/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|*  * Mips Disassembler                                                       *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#include "llvm/MC/MCInst.h"
#include "llvm/Support/Debug.h"
#include "llvm/Support/DataTypes.h"
#include "llvm/Support/LEB128.h"
#include "llvm/Support/raw_ostream.h"
#include <assert.h>

namespace llvm {

// Helper function for extracting fields from encoded instructions.
template<typename InsnType>
static InsnType fieldFromInstruction(InsnType insn, unsigned startBit,
                                     unsigned numBits) {
    assert(startBit + numBits <= (sizeof(InsnType)*8) &&
           "Instruction field out of bounds!");
    InsnType fieldMask;
    if (numBits == sizeof(InsnType)*8)
      fieldMask = (InsnType)(-1LL);
    else
      fieldMask = (((InsnType)1 << numBits) - 1) << startBit;
    return (insn & fieldMask) >> startBit;
}

static const uint8_t DecoderTable16[] = {
/* 0 */       MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 3 */       MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 15
/* 7 */       MCD::OPC_CheckPredicate, 0, 245, 1, // Skip to: 512
/* 11 */      MCD::OPC_Decode, 128, 4, 0, // Opcode: Bimm16
/* 15 */      MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 27
/* 19 */      MCD::OPC_CheckPredicate, 0, 233, 1, // Skip to: 512
/* 23 */      MCD::OPC_Decode, 254, 3, 1, // Opcode: BeqzRxImm16
/* 27 */      MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 39
/* 31 */      MCD::OPC_CheckPredicate, 0, 221, 1, // Skip to: 512
/* 35 */      MCD::OPC_Decode, 131, 4, 1, // Opcode: BnezRxImm16
/* 39 */      MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 51
/* 43 */      MCD::OPC_CheckPredicate, 0, 209, 1, // Skip to: 512
/* 47 */      MCD::OPC_Decode, 144, 2, 2, // Opcode: AddiuRxRxImm16
/* 51 */      MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 63
/* 55 */      MCD::OPC_CheckPredicate, 0, 197, 1, // Skip to: 512
/* 59 */      MCD::OPC_Decode, 153, 19, 1, // Opcode: SltiRxImm16
/* 63 */      MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 75
/* 67 */      MCD::OPC_CheckPredicate, 0, 185, 1, // Skip to: 512
/* 71 */      MCD::OPC_Decode, 156, 19, 1, // Opcode: SltiuRxImm16
/* 75 */      MCD::OPC_FilterValue, 12, 63, 0, // Skip to: 142
/* 79 */      MCD::OPC_ExtractField, 8, 3,  // Inst{10-8} ...
/* 82 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 94
/* 86 */      MCD::OPC_CheckPredicate, 0, 166, 1, // Skip to: 512
/* 90 */      MCD::OPC_Decode, 134, 4, 0, // Opcode: Bteqz16
/* 94 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 106
/* 98 */      MCD::OPC_CheckPredicate, 0, 154, 1, // Skip to: 512
/* 102 */     MCD::OPC_Decode, 142, 4, 0, // Opcode: Btnez16
/* 106 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 118
/* 110 */     MCD::OPC_CheckPredicate, 0, 142, 1, // Skip to: 512
/* 114 */     MCD::OPC_Decode, 147, 2, 0, // Opcode: AddiuSpImm16
/* 118 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 130
/* 122 */     MCD::OPC_CheckPredicate, 0, 130, 1, // Skip to: 512
/* 126 */     MCD::OPC_Decode, 176, 14, 3, // Opcode: Move32R16
/* 130 */     MCD::OPC_FilterValue, 7, 122, 1, // Skip to: 512
/* 134 */     MCD::OPC_CheckPredicate, 0, 118, 1, // Skip to: 512
/* 138 */     MCD::OPC_Decode, 177, 14, 4, // Opcode: MoveR3216
/* 142 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 154
/* 146 */     MCD::OPC_CheckPredicate, 0, 106, 1, // Skip to: 512
/* 150 */     MCD::OPC_Decode, 230, 11, 1, // Opcode: LiRxImm16
/* 154 */     MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 166
/* 158 */     MCD::OPC_CheckPredicate, 0, 94, 1, // Skip to: 512
/* 162 */     MCD::OPC_Decode, 207, 6, 1, // Opcode: CmpiRxImm16
/* 166 */     MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 178
/* 170 */     MCD::OPC_CheckPredicate, 0, 82, 1, // Skip to: 512
/* 174 */     MCD::OPC_Decode, 245, 11, 1, // Opcode: LwRxPcTcp16
/* 178 */     MCD::OPC_FilterValue, 28, 27, 0, // Skip to: 209
/* 182 */     MCD::OPC_ExtractField, 0, 2,  // Inst{1-0} ...
/* 185 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 197
/* 189 */     MCD::OPC_CheckPredicate, 0, 63, 1, // Skip to: 512
/* 193 */     MCD::OPC_Decode, 149, 2, 5, // Opcode: AdduRxRyRz16
/* 197 */     MCD::OPC_FilterValue, 3, 55, 1, // Skip to: 512
/* 201 */     MCD::OPC_CheckPredicate, 0, 51, 1, // Skip to: 512
/* 205 */     MCD::OPC_Decode, 165, 19, 5, // Opcode: SubuRxRyRz16
/* 209 */     MCD::OPC_FilterValue, 29, 43, 1, // Skip to: 512
/* 213 */     MCD::OPC_ExtractField, 0, 5,  // Inst{4-0} ...
/* 216 */     MCD::OPC_FilterValue, 0, 63, 0, // Skip to: 283
/* 220 */     MCD::OPC_ExtractField, 5, 3,  // Inst{7-5} ...
/* 223 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 235
/* 227 */     MCD::OPC_CheckPredicate, 0, 25, 1, // Skip to: 512
/* 231 */     MCD::OPC_Decode, 218, 10, 0, // Opcode: JumpLinkReg16
/* 235 */     MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 253
/* 239 */     MCD::OPC_CheckPredicate, 0, 13, 1, // Skip to: 512
/* 243 */     MCD::OPC_CheckField, 8, 3, 0, 7, 1, // Skip to: 512
/* 249 */     MCD::OPC_Decode, 215, 10, 0, // Opcode: JrRa16
/* 253 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 265
/* 257 */     MCD::OPC_CheckPredicate, 0, 251, 0, // Skip to: 512
/* 261 */     MCD::OPC_Decode, 217, 10, 1, // Opcode: JrcRx16
/* 265 */     MCD::OPC_FilterValue, 7, 243, 0, // Skip to: 512
/* 269 */     MCD::OPC_CheckPredicate, 0, 239, 0, // Skip to: 512
/* 273 */     MCD::OPC_CheckField, 8, 3, 0, 233, 0, // Skip to: 512
/* 279 */     MCD::OPC_Decode, 216, 10, 0, // Opcode: JrcRa16
/* 283 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 295
/* 287 */     MCD::OPC_CheckPredicate, 0, 221, 0, // Skip to: 512
/* 291 */     MCD::OPC_Decode, 151, 19, 6, // Opcode: SltRxRy16
/* 295 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 307
/* 299 */     MCD::OPC_CheckPredicate, 0, 209, 0, // Skip to: 512
/* 303 */     MCD::OPC_Decode, 159, 19, 6, // Opcode: SltuRxRy16
/* 307 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 319
/* 311 */     MCD::OPC_CheckPredicate, 0, 197, 0, // Skip to: 512
/* 315 */     MCD::OPC_Decode, 149, 19, 7, // Opcode: SllvRxRy16
/* 319 */     MCD::OPC_FilterValue, 5, 14, 0, // Skip to: 337
/* 323 */     MCD::OPC_CheckPredicate, 0, 185, 0, // Skip to: 512
/* 327 */     MCD::OPC_CheckField, 5, 6, 0, 179, 0, // Skip to: 512
/* 333 */     MCD::OPC_Decode, 133, 4, 0, // Opcode: Break16
/* 337 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 349
/* 341 */     MCD::OPC_CheckPredicate, 0, 167, 0, // Skip to: 512
/* 345 */     MCD::OPC_Decode, 164, 19, 7, // Opcode: SrlvRxRy16
/* 349 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 361
/* 353 */     MCD::OPC_CheckPredicate, 0, 155, 0, // Skip to: 512
/* 357 */     MCD::OPC_Decode, 162, 19, 7, // Opcode: SravRxRy16
/* 361 */     MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 373
/* 365 */     MCD::OPC_CheckPredicate, 0, 143, 0, // Skip to: 512
/* 369 */     MCD::OPC_Decode, 206, 6, 6, // Opcode: CmpRxRy16
/* 373 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 385
/* 377 */     MCD::OPC_CheckPredicate, 0, 131, 0, // Skip to: 512
/* 381 */     MCD::OPC_Decode, 150, 2, 7, // Opcode: AndRxRxRy16
/* 385 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 397
/* 389 */     MCD::OPC_CheckPredicate, 0, 119, 0, // Skip to: 512
/* 393 */     MCD::OPC_Decode, 231, 14, 7, // Opcode: OrRxRxRy16
/* 397 */     MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 409
/* 401 */     MCD::OPC_CheckPredicate, 0, 107, 0, // Skip to: 512
/* 405 */     MCD::OPC_Decode, 134, 20, 7, // Opcode: XorRxRxRy16
/* 409 */     MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 421
/* 413 */     MCD::OPC_CheckPredicate, 0, 95, 0, // Skip to: 512
/* 417 */     MCD::OPC_Decode, 215, 14, 6, // Opcode: NotRxRy16
/* 421 */     MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 433
/* 425 */     MCD::OPC_CheckPredicate, 0, 83, 0, // Skip to: 512
/* 429 */     MCD::OPC_Decode, 174, 14, 1, // Opcode: Mfhi16
/* 433 */     MCD::OPC_FilterValue, 17, 27, 0, // Skip to: 464
/* 437 */     MCD::OPC_ExtractField, 5, 3,  // Inst{7-5} ...
/* 440 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 452
/* 444 */     MCD::OPC_CheckPredicate, 0, 64, 0, // Skip to: 512
/* 448 */     MCD::OPC_Decode, 131, 19, 2, // Opcode: SebRx16
/* 452 */     MCD::OPC_FilterValue, 5, 56, 0, // Skip to: 512
/* 456 */     MCD::OPC_CheckPredicate, 0, 52, 0, // Skip to: 512
/* 460 */     MCD::OPC_Decode, 132, 19, 2, // Opcode: SehRx16
/* 464 */     MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 476
/* 468 */     MCD::OPC_CheckPredicate, 0, 40, 0, // Skip to: 512
/* 472 */     MCD::OPC_Decode, 175, 14, 1, // Opcode: Mflo16
/* 476 */     MCD::OPC_FilterValue, 26, 8, 0, // Skip to: 488
/* 480 */     MCD::OPC_CheckPredicate, 0, 28, 0, // Skip to: 512
/* 484 */     MCD::OPC_Decode, 146, 8, 6, // Opcode: DivRxRy16
/* 488 */     MCD::OPC_FilterValue, 27, 8, 0, // Skip to: 500
/* 492 */     MCD::OPC_CheckPredicate, 0, 16, 0, // Skip to: 512
/* 496 */     MCD::OPC_Decode, 147, 8, 6, // Opcode: DivuRxRy16
/* 500 */     MCD::OPC_FilterValue, 29, 8, 0, // Skip to: 512
/* 504 */     MCD::OPC_CheckPredicate, 0, 4, 0, // Skip to: 512
/* 508 */     MCD::OPC_Decode, 214, 14, 6, // Opcode: NegRxRy16
/* 512 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTable32[] = {
/* 0 */       MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 3 */       MCD::OPC_FilterValue, 1, 20, 0, // Skip to: 27
/* 7 */       MCD::OPC_CheckPredicate, 0, 186, 1, // Skip to: 453
/* 11 */      MCD::OPC_CheckField, 27, 5, 30, 180, 1, // Skip to: 453
/* 17 */      MCD::OPC_CheckField, 5, 3, 0, 174, 1, // Skip to: 453
/* 23 */      MCD::OPC_Decode, 143, 2, 1, // Opcode: AddiuRxPcImmX16
/* 27 */      MCD::OPC_FilterValue, 2, 20, 0, // Skip to: 51
/* 31 */      MCD::OPC_CheckPredicate, 0, 162, 1, // Skip to: 453
/* 35 */      MCD::OPC_CheckField, 27, 5, 30, 156, 1, // Skip to: 453
/* 41 */      MCD::OPC_CheckField, 5, 6, 0, 150, 1, // Skip to: 453
/* 47 */      MCD::OPC_Decode, 129, 4, 8, // Opcode: BimmX16
/* 51 */      MCD::OPC_FilterValue, 4, 20, 0, // Skip to: 75
/* 55 */      MCD::OPC_CheckPredicate, 0, 138, 1, // Skip to: 453
/* 59 */      MCD::OPC_CheckField, 27, 5, 30, 132, 1, // Skip to: 453
/* 65 */      MCD::OPC_CheckField, 5, 3, 0, 126, 1, // Skip to: 453
/* 71 */      MCD::OPC_Decode, 255, 3, 1, // Opcode: BeqzRxImmX16
/* 75 */      MCD::OPC_FilterValue, 5, 20, 0, // Skip to: 99
/* 79 */      MCD::OPC_CheckPredicate, 0, 114, 1, // Skip to: 453
/* 83 */      MCD::OPC_CheckField, 27, 5, 30, 108, 1, // Skip to: 453
/* 89 */      MCD::OPC_CheckField, 5, 3, 0, 102, 1, // Skip to: 453
/* 95 */      MCD::OPC_Decode, 132, 4, 1, // Opcode: BnezRxImmX16
/* 99 */      MCD::OPC_FilterValue, 6, 92, 0, // Skip to: 195
/* 103 */     MCD::OPC_ExtractField, 27, 5,  // Inst{31-27} ...
/* 106 */     MCD::OPC_FilterValue, 30, 87, 1, // Skip to: 453
/* 110 */     MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 113 */     MCD::OPC_FilterValue, 0, 39, 0, // Skip to: 156
/* 117 */     MCD::OPC_ExtractField, 0, 5,  // Inst{4-0} ...
/* 120 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 132
/* 124 */     MCD::OPC_CheckPredicate, 0, 28, 0, // Skip to: 156
/* 128 */     MCD::OPC_Decode, 148, 19, 6, // Opcode: SllX16
/* 132 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 144
/* 136 */     MCD::OPC_CheckPredicate, 0, 16, 0, // Skip to: 156
/* 140 */     MCD::OPC_Decode, 163, 19, 6, // Opcode: SrlX16
/* 144 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 156
/* 148 */     MCD::OPC_CheckPredicate, 0, 4, 0, // Skip to: 156
/* 152 */     MCD::OPC_Decode, 161, 19, 6, // Opcode: SraX16
/* 156 */     MCD::OPC_ExtractField, 5, 6,  // Inst{10-5} ...
/* 159 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 171
/* 163 */     MCD::OPC_CheckPredicate, 0, 30, 1, // Skip to: 453
/* 167 */     MCD::OPC_Decode, 141, 4, 0, // Opcode: BteqzX16
/* 171 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 183
/* 175 */     MCD::OPC_CheckPredicate, 0, 18, 1, // Skip to: 453
/* 179 */     MCD::OPC_Decode, 149, 4, 0, // Opcode: BtnezX16
/* 183 */     MCD::OPC_FilterValue, 24, 10, 1, // Skip to: 453
/* 187 */     MCD::OPC_CheckPredicate, 0, 6, 1, // Skip to: 453
/* 191 */     MCD::OPC_Decode, 148, 2, 0, // Opcode: AddiuSpImmX16
/* 195 */     MCD::OPC_FilterValue, 8, 20, 0, // Skip to: 219
/* 199 */     MCD::OPC_CheckPredicate, 0, 250, 0, // Skip to: 453
/* 203 */     MCD::OPC_CheckField, 27, 5, 30, 244, 0, // Skip to: 453
/* 209 */     MCD::OPC_CheckField, 4, 1, 0, 238, 0, // Skip to: 453
/* 215 */     MCD::OPC_Decode, 146, 2, 9, // Opcode: AddiuRxRyOffMemX16
/* 219 */     MCD::OPC_FilterValue, 9, 20, 0, // Skip to: 243
/* 223 */     MCD::OPC_CheckPredicate, 0, 226, 0, // Skip to: 453
/* 227 */     MCD::OPC_CheckField, 27, 5, 30, 220, 0, // Skip to: 453
/* 233 */     MCD::OPC_CheckField, 5, 3, 0, 214, 0, // Skip to: 453
/* 239 */     MCD::OPC_Decode, 142, 2, 1, // Opcode: AddiuRxImmX16
/* 243 */     MCD::OPC_FilterValue, 10, 20, 0, // Skip to: 267
/* 247 */     MCD::OPC_CheckPredicate, 0, 202, 0, // Skip to: 453
/* 251 */     MCD::OPC_CheckField, 27, 5, 30, 196, 0, // Skip to: 453
/* 257 */     MCD::OPC_CheckField, 5, 3, 0, 190, 0, // Skip to: 453
/* 263 */     MCD::OPC_Decode, 154, 19, 1, // Opcode: SltiRxImmX16
/* 267 */     MCD::OPC_FilterValue, 11, 20, 0, // Skip to: 291
/* 271 */     MCD::OPC_CheckPredicate, 0, 178, 0, // Skip to: 453
/* 275 */     MCD::OPC_CheckField, 27, 5, 30, 172, 0, // Skip to: 453
/* 281 */     MCD::OPC_CheckField, 5, 3, 0, 166, 0, // Skip to: 453
/* 287 */     MCD::OPC_Decode, 157, 19, 1, // Opcode: SltiuRxImmX16
/* 291 */     MCD::OPC_FilterValue, 13, 20, 0, // Skip to: 315
/* 295 */     MCD::OPC_CheckPredicate, 0, 154, 0, // Skip to: 453
/* 299 */     MCD::OPC_CheckField, 27, 5, 30, 148, 0, // Skip to: 453
/* 305 */     MCD::OPC_CheckField, 5, 3, 0, 142, 0, // Skip to: 453
/* 311 */     MCD::OPC_Decode, 232, 11, 1, // Opcode: LiRxImmX16
/* 315 */     MCD::OPC_FilterValue, 14, 20, 0, // Skip to: 339
/* 319 */     MCD::OPC_CheckPredicate, 0, 130, 0, // Skip to: 453
/* 323 */     MCD::OPC_CheckField, 27, 5, 30, 124, 0, // Skip to: 453
/* 329 */     MCD::OPC_CheckField, 5, 3, 0, 118, 0, // Skip to: 453
/* 335 */     MCD::OPC_Decode, 208, 6, 1, // Opcode: CmpiRxImmX16
/* 339 */     MCD::OPC_FilterValue, 18, 14, 0, // Skip to: 357
/* 343 */     MCD::OPC_CheckPredicate, 0, 106, 0, // Skip to: 453
/* 347 */     MCD::OPC_CheckField, 27, 5, 30, 100, 0, // Skip to: 453
/* 353 */     MCD::OPC_Decode, 248, 11, 9, // Opcode: LwRxSpImmX16
/* 357 */     MCD::OPC_FilterValue, 22, 20, 0, // Skip to: 381
/* 361 */     MCD::OPC_CheckPredicate, 0, 88, 0, // Skip to: 453
/* 365 */     MCD::OPC_CheckField, 27, 5, 30, 82, 0, // Skip to: 453
/* 371 */     MCD::OPC_CheckField, 5, 3, 0, 76, 0, // Skip to: 453
/* 377 */     MCD::OPC_Decode, 246, 11, 1, // Opcode: LwRxPcTcpX16
/* 381 */     MCD::OPC_FilterValue, 24, 14, 0, // Skip to: 399
/* 385 */     MCD::OPC_CheckPredicate, 0, 64, 0, // Skip to: 453
/* 389 */     MCD::OPC_CheckField, 27, 5, 30, 58, 0, // Skip to: 453
/* 395 */     MCD::OPC_Decode, 130, 19, 9, // Opcode: SbRxRyOffMemX16
/* 399 */     MCD::OPC_FilterValue, 25, 14, 0, // Skip to: 417
/* 403 */     MCD::OPC_CheckPredicate, 0, 46, 0, // Skip to: 453
/* 407 */     MCD::OPC_CheckField, 27, 5, 30, 40, 0, // Skip to: 453
/* 413 */     MCD::OPC_Decode, 147, 19, 9, // Opcode: ShRxRyOffMemX16
/* 417 */     MCD::OPC_FilterValue, 26, 14, 0, // Skip to: 435
/* 421 */     MCD::OPC_CheckPredicate, 0, 28, 0, // Skip to: 453
/* 425 */     MCD::OPC_CheckField, 27, 5, 30, 22, 0, // Skip to: 453
/* 431 */     MCD::OPC_Decode, 167, 19, 9, // Opcode: SwRxSpImmX16
/* 435 */     MCD::OPC_FilterValue, 27, 14, 0, // Skip to: 453
/* 439 */     MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 453
/* 443 */     MCD::OPC_CheckField, 27, 5, 30, 4, 0, // Skip to: 453
/* 449 */     MCD::OPC_Decode, 166, 19, 9, // Opcode: SwRxRyOffMemX16
/* 453 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableCOP3_32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 51, 8, 0, // Skip to: 15
/* 7 */       MCD::OPC_CheckPredicate, 1, 40, 0, // Skip to: 51
/* 11 */      MCD::OPC_Decode, 188, 11, 10, // Opcode: LWC3
/* 15 */      MCD::OPC_FilterValue, 55, 8, 0, // Skip to: 27
/* 19 */      MCD::OPC_CheckPredicate, 2, 28, 0, // Skip to: 51
/* 23 */      MCD::OPC_Decode, 244, 10, 10, // Opcode: LDC3
/* 27 */      MCD::OPC_FilterValue, 59, 8, 0, // Skip to: 39
/* 31 */      MCD::OPC_CheckPredicate, 1, 16, 0, // Skip to: 51
/* 35 */      MCD::OPC_Decode, 215, 18, 10, // Opcode: SWC3
/* 39 */      MCD::OPC_FilterValue, 63, 8, 0, // Skip to: 51
/* 43 */      MCD::OPC_CheckPredicate, 2, 4, 0, // Skip to: 51
/* 47 */      MCD::OPC_Decode, 189, 16, 10, // Opcode: SDC3
/* 51 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableCnMips32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 18, 27, 0, // Skip to: 34
/* 7 */       MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 10 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 22
/* 14 */      MCD::OPC_CheckPredicate, 3, 169, 1, // Skip to: 443
/* 18 */      MCD::OPC_Decode, 149, 7, 11, // Opcode: DMFC2_OCTEON
/* 22 */      MCD::OPC_FilterValue, 5, 161, 1, // Skip to: 443
/* 26 */      MCD::OPC_CheckPredicate, 3, 157, 1, // Skip to: 443
/* 30 */      MCD::OPC_Decode, 161, 7, 11, // Opcode: DMTC2_OCTEON
/* 34 */      MCD::OPC_FilterValue, 28, 101, 1, // Skip to: 395
/* 38 */      MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 41 */      MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 59
/* 45 */      MCD::OPC_CheckPredicate, 3, 138, 1, // Skip to: 443
/* 49 */      MCD::OPC_CheckField, 6, 5, 0, 132, 1, // Skip to: 443
/* 55 */      MCD::OPC_Decode, 166, 7, 12, // Opcode: DMUL
/* 59 */      MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 77
/* 63 */      MCD::OPC_CheckPredicate, 3, 120, 1, // Skip to: 443
/* 67 */      MCD::OPC_CheckField, 6, 15, 0, 114, 1, // Skip to: 443
/* 73 */      MCD::OPC_Decode, 234, 13, 13, // Opcode: MTM0
/* 77 */      MCD::OPC_FilterValue, 9, 14, 0, // Skip to: 95
/* 81 */      MCD::OPC_CheckPredicate, 3, 102, 1, // Skip to: 443
/* 85 */      MCD::OPC_CheckField, 6, 15, 0, 96, 1, // Skip to: 443
/* 91 */      MCD::OPC_Decode, 237, 13, 13, // Opcode: MTP0
/* 95 */      MCD::OPC_FilterValue, 10, 14, 0, // Skip to: 113
/* 99 */      MCD::OPC_CheckPredicate, 3, 84, 1, // Skip to: 443
/* 103 */     MCD::OPC_CheckField, 6, 15, 0, 78, 1, // Skip to: 443
/* 109 */     MCD::OPC_Decode, 238, 13, 13, // Opcode: MTP1
/* 113 */     MCD::OPC_FilterValue, 11, 14, 0, // Skip to: 131
/* 117 */     MCD::OPC_CheckPredicate, 3, 66, 1, // Skip to: 443
/* 121 */     MCD::OPC_CheckField, 6, 15, 0, 60, 1, // Skip to: 443
/* 127 */     MCD::OPC_Decode, 239, 13, 13, // Opcode: MTP2
/* 131 */     MCD::OPC_FilterValue, 12, 14, 0, // Skip to: 149
/* 135 */     MCD::OPC_CheckPredicate, 3, 48, 1, // Skip to: 443
/* 139 */     MCD::OPC_CheckField, 6, 15, 0, 42, 1, // Skip to: 443
/* 145 */     MCD::OPC_Decode, 235, 13, 13, // Opcode: MTM1
/* 149 */     MCD::OPC_FilterValue, 13, 14, 0, // Skip to: 167
/* 153 */     MCD::OPC_CheckPredicate, 3, 30, 1, // Skip to: 443
/* 157 */     MCD::OPC_CheckField, 6, 15, 0, 24, 1, // Skip to: 443
/* 163 */     MCD::OPC_Decode, 236, 13, 13, // Opcode: MTM2
/* 167 */     MCD::OPC_FilterValue, 15, 14, 0, // Skip to: 185
/* 171 */     MCD::OPC_CheckPredicate, 3, 12, 1, // Skip to: 443
/* 175 */     MCD::OPC_CheckField, 6, 5, 0, 6, 1, // Skip to: 443
/* 181 */     MCD::OPC_Decode, 233, 19, 12, // Opcode: VMULU
/* 185 */     MCD::OPC_FilterValue, 16, 14, 0, // Skip to: 203
/* 189 */     MCD::OPC_CheckPredicate, 3, 250, 0, // Skip to: 443
/* 193 */     MCD::OPC_CheckField, 6, 5, 0, 244, 0, // Skip to: 443
/* 199 */     MCD::OPC_Decode, 232, 19, 12, // Opcode: VMM0
/* 203 */     MCD::OPC_FilterValue, 17, 14, 0, // Skip to: 221
/* 207 */     MCD::OPC_CheckPredicate, 3, 232, 0, // Skip to: 443
/* 211 */     MCD::OPC_CheckField, 6, 5, 0, 226, 0, // Skip to: 443
/* 217 */     MCD::OPC_Decode, 231, 19, 12, // Opcode: V3MULU
/* 221 */     MCD::OPC_FilterValue, 40, 14, 0, // Skip to: 239
/* 225 */     MCD::OPC_CheckPredicate, 3, 214, 0, // Skip to: 443
/* 229 */     MCD::OPC_CheckField, 6, 5, 0, 208, 0, // Skip to: 443
/* 235 */     MCD::OPC_Decode, 153, 2, 12, // Opcode: BADDu
/* 239 */     MCD::OPC_FilterValue, 42, 14, 0, // Skip to: 257
/* 243 */     MCD::OPC_CheckPredicate, 3, 196, 0, // Skip to: 443
/* 247 */     MCD::OPC_CheckField, 6, 5, 0, 190, 0, // Skip to: 443
/* 253 */     MCD::OPC_Decode, 227, 16, 12, // Opcode: SEQ
/* 257 */     MCD::OPC_FilterValue, 43, 14, 0, // Skip to: 275
/* 261 */     MCD::OPC_CheckPredicate, 3, 178, 0, // Skip to: 443
/* 265 */     MCD::OPC_CheckField, 6, 5, 0, 172, 0, // Skip to: 443
/* 271 */     MCD::OPC_Decode, 202, 17, 12, // Opcode: SNE
/* 275 */     MCD::OPC_FilterValue, 44, 20, 0, // Skip to: 299
/* 279 */     MCD::OPC_CheckPredicate, 3, 160, 0, // Skip to: 443
/* 283 */     MCD::OPC_CheckField, 16, 5, 0, 154, 0, // Skip to: 443
/* 289 */     MCD::OPC_CheckField, 6, 5, 0, 148, 0, // Skip to: 443
/* 295 */     MCD::OPC_Decode, 253, 14, 14, // Opcode: POP
/* 299 */     MCD::OPC_FilterValue, 45, 20, 0, // Skip to: 323
/* 303 */     MCD::OPC_CheckPredicate, 3, 136, 0, // Skip to: 443
/* 307 */     MCD::OPC_CheckField, 16, 5, 0, 130, 0, // Skip to: 443
/* 313 */     MCD::OPC_CheckField, 6, 5, 0, 124, 0, // Skip to: 443
/* 319 */     MCD::OPC_Decode, 205, 7, 15, // Opcode: DPOP
/* 323 */     MCD::OPC_FilterValue, 46, 8, 0, // Skip to: 335
/* 327 */     MCD::OPC_CheckPredicate, 3, 112, 0, // Skip to: 443
/* 331 */     MCD::OPC_Decode, 230, 16, 16, // Opcode: SEQi
/* 335 */     MCD::OPC_FilterValue, 47, 8, 0, // Skip to: 347
/* 339 */     MCD::OPC_CheckPredicate, 3, 100, 0, // Skip to: 443
/* 343 */     MCD::OPC_Decode, 203, 17, 16, // Opcode: SNEi
/* 347 */     MCD::OPC_FilterValue, 50, 8, 0, // Skip to: 359
/* 351 */     MCD::OPC_CheckPredicate, 4, 88, 0, // Skip to: 443
/* 355 */     MCD::OPC_Decode, 183, 4, 17, // Opcode: CINS
/* 359 */     MCD::OPC_FilterValue, 51, 8, 0, // Skip to: 371
/* 363 */     MCD::OPC_CheckPredicate, 4, 76, 0, // Skip to: 443
/* 367 */     MCD::OPC_Decode, 184, 4, 17, // Opcode: CINS32
/* 371 */     MCD::OPC_FilterValue, 58, 8, 0, // Skip to: 383
/* 375 */     MCD::OPC_CheckPredicate, 4, 64, 0, // Skip to: 443
/* 379 */     MCD::OPC_Decode, 189, 8, 17, // Opcode: EXTS
/* 383 */     MCD::OPC_FilterValue, 59, 56, 0, // Skip to: 443
/* 387 */     MCD::OPC_CheckPredicate, 4, 52, 0, // Skip to: 443
/* 391 */     MCD::OPC_Decode, 190, 8, 17, // Opcode: EXTS32
/* 395 */     MCD::OPC_FilterValue, 50, 8, 0, // Skip to: 407
/* 399 */     MCD::OPC_CheckPredicate, 3, 40, 0, // Skip to: 443
/* 403 */     MCD::OPC_Decode, 160, 2, 18, // Opcode: BBIT0
/* 407 */     MCD::OPC_FilterValue, 54, 8, 0, // Skip to: 419
/* 411 */     MCD::OPC_CheckPredicate, 3, 28, 0, // Skip to: 443
/* 415 */     MCD::OPC_Decode, 161, 2, 18, // Opcode: BBIT032
/* 419 */     MCD::OPC_FilterValue, 58, 8, 0, // Skip to: 431
/* 423 */     MCD::OPC_CheckPredicate, 3, 16, 0, // Skip to: 443
/* 427 */     MCD::OPC_Decode, 162, 2, 18, // Opcode: BBIT1
/* 431 */     MCD::OPC_FilterValue, 62, 8, 0, // Skip to: 443
/* 435 */     MCD::OPC_CheckPredicate, 3, 4, 0, // Skip to: 443
/* 439 */     MCD::OPC_Decode, 163, 2, 18, // Opcode: BBIT132
/* 443 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMips16[] = {
/* 0 */       MCD::OPC_ExtractField, 10, 6,  // Inst{15-10} ...
/* 3 */       MCD::OPC_FilterValue, 1, 27, 0, // Skip to: 34
/* 7 */       MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 10 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 22
/* 14 */      MCD::OPC_CheckPredicate, 5, 22, 2, // Skip to: 552
/* 18 */      MCD::OPC_Decode, 148, 1, 19, // Opcode: ADDU16_MM
/* 22 */      MCD::OPC_FilterValue, 1, 14, 2, // Skip to: 552
/* 26 */      MCD::OPC_CheckPredicate, 5, 10, 2, // Skip to: 552
/* 30 */      MCD::OPC_Decode, 176, 18, 19, // Opcode: SUBU16_MM
/* 34 */      MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 46
/* 38 */      MCD::OPC_CheckPredicate, 6, 254, 1, // Skip to: 552
/* 42 */      MCD::OPC_Decode, 224, 10, 20, // Opcode: LBU16_MM
/* 46 */      MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 58
/* 50 */      MCD::OPC_CheckPredicate, 6, 242, 1, // Skip to: 552
/* 54 */      MCD::OPC_Decode, 134, 13, 21, // Opcode: MOVE16_MM
/* 58 */      MCD::OPC_FilterValue, 9, 27, 0, // Skip to: 89
/* 62 */      MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 65 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 77
/* 69 */      MCD::OPC_CheckPredicate, 5, 223, 1, // Skip to: 552
/* 73 */      MCD::OPC_Decode, 172, 17, 22, // Opcode: SLL16_MM
/* 77 */      MCD::OPC_FilterValue, 1, 215, 1, // Skip to: 552
/* 81 */      MCD::OPC_CheckPredicate, 5, 211, 1, // Skip to: 552
/* 85 */      MCD::OPC_Decode, 240, 17, 22, // Opcode: SRL16_MM
/* 89 */      MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 101
/* 93 */      MCD::OPC_CheckPredicate, 6, 199, 1, // Skip to: 552
/* 97 */      MCD::OPC_Decode, 141, 11, 20, // Opcode: LHU16_MM
/* 101 */     MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 113
/* 105 */     MCD::OPC_CheckPredicate, 5, 187, 1, // Skip to: 552
/* 109 */     MCD::OPC_Decode, 195, 1, 23, // Opcode: ANDI16_MM
/* 113 */     MCD::OPC_FilterValue, 17, 227, 0, // Skip to: 344
/* 117 */     MCD::OPC_ExtractField, 6, 4,  // Inst{9-6} ...
/* 120 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 132
/* 124 */     MCD::OPC_CheckPredicate, 5, 168, 1, // Skip to: 552
/* 128 */     MCD::OPC_Decode, 212, 14, 24, // Opcode: NOT16_MM
/* 132 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 144
/* 136 */     MCD::OPC_CheckPredicate, 5, 156, 1, // Skip to: 552
/* 140 */     MCD::OPC_Decode, 248, 19, 25, // Opcode: XOR16_MM
/* 144 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 156
/* 148 */     MCD::OPC_CheckPredicate, 5, 144, 1, // Skip to: 552
/* 152 */     MCD::OPC_Decode, 192, 1, 25, // Opcode: AND16_MM
/* 156 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 168
/* 160 */     MCD::OPC_CheckPredicate, 5, 132, 1, // Skip to: 552
/* 164 */     MCD::OPC_Decode, 217, 14, 25, // Opcode: OR16_MM
/* 168 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 180
/* 172 */     MCD::OPC_CheckPredicate, 7, 120, 1, // Skip to: 552
/* 176 */     MCD::OPC_Decode, 200, 11, 26, // Opcode: LWM16_MM
/* 180 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 192
/* 184 */     MCD::OPC_CheckPredicate, 7, 108, 1, // Skip to: 552
/* 188 */     MCD::OPC_Decode, 226, 18, 26, // Opcode: SWM16_MM
/* 192 */     MCD::OPC_FilterValue, 6, 27, 0, // Skip to: 223
/* 196 */     MCD::OPC_ExtractField, 5, 1,  // Inst{5} ...
/* 199 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 211
/* 203 */     MCD::OPC_CheckPredicate, 6, 89, 1, // Skip to: 552
/* 207 */     MCD::OPC_Decode, 201, 10, 27, // Opcode: JR16_MM
/* 211 */     MCD::OPC_FilterValue, 1, 81, 1, // Skip to: 552
/* 215 */     MCD::OPC_CheckPredicate, 6, 77, 1, // Skip to: 552
/* 219 */     MCD::OPC_Decode, 204, 10, 27, // Opcode: JRC16_MM
/* 223 */     MCD::OPC_FilterValue, 7, 27, 0, // Skip to: 254
/* 227 */     MCD::OPC_ExtractField, 5, 1,  // Inst{5} ...
/* 230 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 242
/* 234 */     MCD::OPC_CheckPredicate, 7, 58, 1, // Skip to: 552
/* 238 */     MCD::OPC_Decode, 179, 10, 27, // Opcode: JALR16_MM
/* 242 */     MCD::OPC_FilterValue, 1, 50, 1, // Skip to: 552
/* 246 */     MCD::OPC_CheckPredicate, 6, 46, 1, // Skip to: 552
/* 250 */     MCD::OPC_Decode, 186, 10, 27, // Opcode: JALRS16_MM
/* 254 */     MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 272
/* 258 */     MCD::OPC_CheckPredicate, 6, 34, 1, // Skip to: 552
/* 262 */     MCD::OPC_CheckField, 5, 1, 0, 28, 1, // Skip to: 552
/* 268 */     MCD::OPC_Decode, 198, 12, 27, // Opcode: MFHI16_MM
/* 272 */     MCD::OPC_FilterValue, 9, 14, 0, // Skip to: 290
/* 276 */     MCD::OPC_CheckPredicate, 6, 16, 1, // Skip to: 552
/* 280 */     MCD::OPC_CheckField, 5, 1, 0, 10, 1, // Skip to: 552
/* 286 */     MCD::OPC_Decode, 204, 12, 27, // Opcode: MFLO16_MM
/* 290 */     MCD::OPC_FilterValue, 10, 14, 0, // Skip to: 308
/* 294 */     MCD::OPC_CheckPredicate, 5, 254, 0, // Skip to: 552
/* 298 */     MCD::OPC_CheckField, 4, 2, 0, 248, 0, // Skip to: 552
/* 304 */     MCD::OPC_Decode, 227, 3, 28, // Opcode: BREAK16_MM
/* 308 */     MCD::OPC_FilterValue, 11, 14, 0, // Skip to: 326
/* 312 */     MCD::OPC_CheckPredicate, 5, 236, 0, // Skip to: 552
/* 316 */     MCD::OPC_CheckField, 4, 2, 0, 230, 0, // Skip to: 552
/* 322 */     MCD::OPC_Decode, 177, 16, 28, // Opcode: SDBBP16_MM
/* 326 */     MCD::OPC_FilterValue, 12, 222, 0, // Skip to: 552
/* 330 */     MCD::OPC_CheckPredicate, 6, 218, 0, // Skip to: 552
/* 334 */     MCD::OPC_CheckField, 5, 1, 0, 212, 0, // Skip to: 552
/* 340 */     MCD::OPC_Decode, 203, 10, 29, // Opcode: JRADDIUSP
/* 344 */     MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 356
/* 348 */     MCD::OPC_CheckPredicate, 6, 200, 0, // Skip to: 552
/* 352 */     MCD::OPC_Decode, 213, 11, 30, // Opcode: LWSP_MM
/* 356 */     MCD::OPC_FilterValue, 19, 25, 0, // Skip to: 385
/* 360 */     MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 363 */     MCD::OPC_FilterValue, 0, 7, 0, // Skip to: 374
/* 367 */     MCD::OPC_CheckPredicate, 6, 181, 0, // Skip to: 552
/* 371 */     MCD::OPC_Decode, 117, 31, // Opcode: ADDIUS5_MM
/* 374 */     MCD::OPC_FilterValue, 1, 174, 0, // Skip to: 552
/* 378 */     MCD::OPC_CheckPredicate, 6, 170, 0, // Skip to: 552
/* 382 */     MCD::OPC_Decode, 118, 32, // Opcode: ADDIUSP_MM
/* 385 */     MCD::OPC_FilterValue, 25, 8, 0, // Skip to: 397
/* 389 */     MCD::OPC_CheckPredicate, 6, 159, 0, // Skip to: 552
/* 393 */     MCD::OPC_Decode, 194, 11, 33, // Opcode: LWGP_MM
/* 397 */     MCD::OPC_FilterValue, 26, 8, 0, // Skip to: 409
/* 401 */     MCD::OPC_CheckPredicate, 6, 147, 0, // Skip to: 552
/* 405 */     MCD::OPC_Decode, 181, 11, 20, // Opcode: LW16_MM
/* 409 */     MCD::OPC_FilterValue, 27, 25, 0, // Skip to: 438
/* 413 */     MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 416 */     MCD::OPC_FilterValue, 0, 7, 0, // Skip to: 427
/* 420 */     MCD::OPC_CheckPredicate, 6, 128, 0, // Skip to: 552
/* 424 */     MCD::OPC_Decode, 116, 34, // Opcode: ADDIUR2_MM
/* 427 */     MCD::OPC_FilterValue, 1, 121, 0, // Skip to: 552
/* 431 */     MCD::OPC_CheckPredicate, 6, 117, 0, // Skip to: 552
/* 435 */     MCD::OPC_Decode, 115, 35, // Opcode: ADDIUR1SP_MM
/* 438 */     MCD::OPC_FilterValue, 33, 14, 0, // Skip to: 456
/* 442 */     MCD::OPC_CheckPredicate, 6, 106, 0, // Skip to: 552
/* 446 */     MCD::OPC_CheckField, 0, 1, 0, 100, 0, // Skip to: 552
/* 452 */     MCD::OPC_Decode, 136, 13, 36, // Opcode: MOVEP_MM
/* 456 */     MCD::OPC_FilterValue, 34, 8, 0, // Skip to: 468
/* 460 */     MCD::OPC_CheckPredicate, 6, 88, 0, // Skip to: 552
/* 464 */     MCD::OPC_Decode, 157, 16, 20, // Opcode: SB16_MM
/* 468 */     MCD::OPC_FilterValue, 35, 8, 0, // Skip to: 480
/* 472 */     MCD::OPC_CheckPredicate, 6, 76, 0, // Skip to: 552
/* 476 */     MCD::OPC_Decode, 196, 2, 37, // Opcode: BEQZ16_MM
/* 480 */     MCD::OPC_FilterValue, 42, 8, 0, // Skip to: 492
/* 484 */     MCD::OPC_CheckPredicate, 6, 64, 0, // Skip to: 552
/* 488 */     MCD::OPC_Decode, 232, 16, 20, // Opcode: SH16_MM
/* 492 */     MCD::OPC_FilterValue, 43, 8, 0, // Skip to: 504
/* 496 */     MCD::OPC_CheckPredicate, 6, 52, 0, // Skip to: 552
/* 500 */     MCD::OPC_Decode, 204, 3, 37, // Opcode: BNEZ16_MM
/* 504 */     MCD::OPC_FilterValue, 50, 8, 0, // Skip to: 516
/* 508 */     MCD::OPC_CheckPredicate, 6, 40, 0, // Skip to: 552
/* 512 */     MCD::OPC_Decode, 237, 18, 30, // Opcode: SWSP_MM
/* 516 */     MCD::OPC_FilterValue, 51, 8, 0, // Skip to: 528
/* 520 */     MCD::OPC_CheckPredicate, 6, 28, 0, // Skip to: 552
/* 524 */     MCD::OPC_Decode, 152, 2, 38, // Opcode: B16_MM
/* 528 */     MCD::OPC_FilterValue, 58, 8, 0, // Skip to: 540
/* 532 */     MCD::OPC_CheckPredicate, 6, 16, 0, // Skip to: 552
/* 536 */     MCD::OPC_Decode, 207, 18, 20, // Opcode: SW16_MM
/* 540 */     MCD::OPC_FilterValue, 59, 8, 0, // Skip to: 552
/* 544 */     MCD::OPC_CheckPredicate, 6, 4, 0, // Skip to: 552
/* 548 */     MCD::OPC_Decode, 150, 11, 39, // Opcode: LI16_MM
/* 552 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMips32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 55, 12, // Skip to: 3134
/* 7 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 10 */      MCD::OPC_FilterValue, 0, 90, 0, // Skip to: 104
/* 14 */      MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 17 */      MCD::OPC_FilterValue, 0, 47, 0, // Skip to: 68
/* 21 */      MCD::OPC_ExtractField, 11, 15,  // Inst{25-11} ...
/* 24 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 36
/* 28 */      MCD::OPC_CheckPredicate, 6, 28, 0, // Skip to: 60
/* 32 */      MCD::OPC_Decode, 134, 18, 0, // Opcode: SSNOP_MM
/* 36 */      MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 48
/* 40 */      MCD::OPC_CheckPredicate, 6, 16, 0, // Skip to: 60
/* 44 */      MCD::OPC_Decode, 149, 8, 0, // Opcode: EHB_MM
/* 48 */      MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 60
/* 52 */      MCD::OPC_CheckPredicate, 6, 4, 0, // Skip to: 60
/* 56 */      MCD::OPC_Decode, 235, 14, 0, // Opcode: PAUSE_MM
/* 60 */      MCD::OPC_CheckPredicate, 6, 105, 16, // Skip to: 4265
/* 64 */      MCD::OPC_Decode, 185, 17, 40, // Opcode: SLL_MM
/* 68 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 80
/* 72 */      MCD::OPC_CheckPredicate, 6, 93, 16, // Skip to: 4265
/* 76 */      MCD::OPC_Decode, 131, 18, 40, // Opcode: SRL_MM
/* 80 */      MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 92
/* 84 */      MCD::OPC_CheckPredicate, 6, 81, 16, // Skip to: 4265
/* 88 */      MCD::OPC_Decode, 237, 17, 40, // Opcode: SRA_MM
/* 92 */      MCD::OPC_FilterValue, 3, 73, 16, // Skip to: 4265
/* 96 */      MCD::OPC_CheckPredicate, 6, 69, 16, // Skip to: 4265
/* 100 */     MCD::OPC_Decode, 128, 16, 40, // Opcode: ROTR_MM
/* 104 */     MCD::OPC_FilterValue, 5, 195, 0, // Skip to: 303
/* 108 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 111 */     MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 129
/* 115 */     MCD::OPC_CheckPredicate, 8, 50, 16, // Skip to: 4265
/* 119 */     MCD::OPC_CheckField, 11, 5, 0, 44, 16, // Skip to: 4265
/* 125 */     MCD::OPC_Decode, 254, 4, 41, // Opcode: CMP_EQ_PH_MM
/* 129 */     MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 147
/* 133 */     MCD::OPC_CheckPredicate, 8, 32, 16, // Skip to: 4265
/* 137 */     MCD::OPC_CheckField, 11, 5, 0, 26, 16, // Skip to: 4265
/* 143 */     MCD::OPC_Decode, 140, 5, 41, // Opcode: CMP_LT_PH_MM
/* 147 */     MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 165
/* 151 */     MCD::OPC_CheckPredicate, 8, 14, 16, // Skip to: 4265
/* 155 */     MCD::OPC_CheckField, 11, 5, 0, 8, 16, // Skip to: 4265
/* 161 */     MCD::OPC_Decode, 134, 5, 41, // Opcode: CMP_LE_PH_MM
/* 165 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 177
/* 169 */     MCD::OPC_CheckPredicate, 9, 252, 15, // Skip to: 4265
/* 173 */     MCD::OPC_Decode, 232, 4, 42, // Opcode: CMPGDU_EQ_QB_MMR2
/* 177 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 189
/* 181 */     MCD::OPC_CheckPredicate, 9, 240, 15, // Skip to: 4265
/* 185 */     MCD::OPC_Decode, 236, 4, 42, // Opcode: CMPGDU_LT_QB_MMR2
/* 189 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 201
/* 193 */     MCD::OPC_CheckPredicate, 9, 228, 15, // Skip to: 4265
/* 197 */     MCD::OPC_Decode, 234, 4, 42, // Opcode: CMPGDU_LE_QB_MMR2
/* 201 */     MCD::OPC_FilterValue, 9, 14, 0, // Skip to: 219
/* 205 */     MCD::OPC_CheckPredicate, 8, 216, 15, // Skip to: 4265
/* 209 */     MCD::OPC_CheckField, 11, 5, 0, 210, 15, // Skip to: 4265
/* 215 */     MCD::OPC_Decode, 244, 4, 41, // Opcode: CMPU_EQ_QB_MM
/* 219 */     MCD::OPC_FilterValue, 10, 14, 0, // Skip to: 237
/* 223 */     MCD::OPC_CheckPredicate, 8, 198, 15, // Skip to: 4265
/* 227 */     MCD::OPC_CheckField, 11, 5, 0, 192, 15, // Skip to: 4265
/* 233 */     MCD::OPC_Decode, 248, 4, 41, // Opcode: CMPU_LT_QB_MM
/* 237 */     MCD::OPC_FilterValue, 11, 14, 0, // Skip to: 255
/* 241 */     MCD::OPC_CheckPredicate, 8, 180, 15, // Skip to: 4265
/* 245 */     MCD::OPC_CheckField, 11, 5, 0, 174, 15, // Skip to: 4265
/* 251 */     MCD::OPC_Decode, 246, 4, 41, // Opcode: CMPU_LE_QB_MM
/* 255 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 267
/* 259 */     MCD::OPC_CheckPredicate, 8, 162, 15, // Skip to: 4265
/* 263 */     MCD::OPC_Decode, 133, 1, 43, // Opcode: ADDQ_S_W_MM
/* 267 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 279
/* 271 */     MCD::OPC_CheckPredicate, 8, 150, 15, // Skip to: 4265
/* 275 */     MCD::OPC_Decode, 159, 18, 43, // Opcode: SUBQ_S_W_MM
/* 279 */     MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 291
/* 283 */     MCD::OPC_CheckPredicate, 8, 138, 15, // Skip to: 4265
/* 287 */     MCD::OPC_Decode, 135, 1, 43, // Opcode: ADDSC_MM
/* 291 */     MCD::OPC_FilterValue, 15, 130, 15, // Skip to: 4265
/* 295 */     MCD::OPC_CheckPredicate, 8, 126, 15, // Skip to: 4265
/* 299 */     MCD::OPC_Decode, 172, 1, 43, // Opcode: ADDWC_MM
/* 303 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 315
/* 307 */     MCD::OPC_CheckPredicate, 6, 114, 15, // Skip to: 4265
/* 311 */     MCD::OPC_Decode, 229, 3, 44, // Opcode: BREAK_MM
/* 315 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 327
/* 319 */     MCD::OPC_CheckPredicate, 6, 102, 15, // Skip to: 4265
/* 323 */     MCD::OPC_Decode, 174, 10, 45, // Opcode: INS_MM
/* 327 */     MCD::OPC_FilterValue, 13, 103, 1, // Skip to: 690
/* 331 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 334 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 346
/* 338 */     MCD::OPC_CheckPredicate, 8, 83, 15, // Skip to: 4265
/* 342 */     MCD::OPC_Decode, 129, 1, 46, // Opcode: ADDQ_PH_MM
/* 346 */     MCD::OPC_FilterValue, 1, 7, 0, // Skip to: 357
/* 350 */     MCD::OPC_CheckPredicate, 9, 71, 15, // Skip to: 4265
/* 354 */     MCD::OPC_Decode, 121, 46, // Opcode: ADDQH_PH_MMR2
/* 357 */     MCD::OPC_FilterValue, 2, 7, 0, // Skip to: 368
/* 361 */     MCD::OPC_CheckPredicate, 9, 60, 15, // Skip to: 4265
/* 365 */     MCD::OPC_Decode, 127, 43, // Opcode: ADDQH_W_MMR2
/* 368 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 380
/* 372 */     MCD::OPC_CheckPredicate, 8, 49, 15, // Skip to: 4265
/* 376 */     MCD::OPC_Decode, 158, 1, 46, // Opcode: ADDU_QB_MM
/* 380 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 392
/* 384 */     MCD::OPC_CheckPredicate, 9, 37, 15, // Skip to: 4265
/* 388 */     MCD::OPC_Decode, 156, 1, 46, // Opcode: ADDU_PH_MMR2
/* 392 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 404
/* 396 */     MCD::OPC_CheckPredicate, 9, 25, 15, // Skip to: 4265
/* 400 */     MCD::OPC_Decode, 151, 1, 46, // Opcode: ADDUH_QB_MMR2
/* 404 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 416
/* 408 */     MCD::OPC_CheckPredicate, 8, 13, 15, // Skip to: 4265
/* 412 */     MCD::OPC_Decode, 134, 17, 47, // Opcode: SHRAV_PH_MM
/* 416 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 428
/* 420 */     MCD::OPC_CheckPredicate, 9, 1, 15, // Skip to: 4265
/* 424 */     MCD::OPC_Decode, 136, 17, 47, // Opcode: SHRAV_QB_MMR2
/* 428 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 440
/* 432 */     MCD::OPC_CheckPredicate, 8, 245, 14, // Skip to: 4265
/* 436 */     MCD::OPC_Decode, 155, 18, 46, // Opcode: SUBQ_PH_MM
/* 440 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 452
/* 444 */     MCD::OPC_CheckPredicate, 9, 233, 14, // Skip to: 4265
/* 448 */     MCD::OPC_Decode, 147, 18, 46, // Opcode: SUBQH_PH_MMR2
/* 452 */     MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 464
/* 456 */     MCD::OPC_CheckPredicate, 9, 221, 14, // Skip to: 4265
/* 460 */     MCD::OPC_Decode, 153, 18, 43, // Opcode: SUBQH_W_MMR2
/* 464 */     MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 476
/* 468 */     MCD::OPC_CheckPredicate, 8, 209, 14, // Skip to: 4265
/* 472 */     MCD::OPC_Decode, 186, 18, 46, // Opcode: SUBU_QB_MM
/* 476 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 488
/* 480 */     MCD::OPC_CheckPredicate, 9, 197, 14, // Skip to: 4265
/* 484 */     MCD::OPC_Decode, 184, 18, 46, // Opcode: SUBU_PH_MMR2
/* 488 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 500
/* 492 */     MCD::OPC_CheckPredicate, 9, 185, 14, // Skip to: 4265
/* 496 */     MCD::OPC_Decode, 179, 18, 46, // Opcode: SUBUH_QB_MMR2
/* 500 */     MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 512
/* 504 */     MCD::OPC_CheckPredicate, 9, 173, 14, // Skip to: 4265
/* 508 */     MCD::OPC_Decode, 157, 15, 48, // Opcode: PRECR_SRA_PH_W_MMR2
/* 512 */     MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 524
/* 516 */     MCD::OPC_CheckPredicate, 8, 161, 14, // Skip to: 4265
/* 520 */     MCD::OPC_Decode, 131, 1, 46, // Opcode: ADDQ_S_PH_MM
/* 524 */     MCD::OPC_FilterValue, 17, 7, 0, // Skip to: 535
/* 528 */     MCD::OPC_CheckPredicate, 9, 149, 14, // Skip to: 4265
/* 532 */     MCD::OPC_Decode, 123, 46, // Opcode: ADDQH_R_PH_MMR2
/* 535 */     MCD::OPC_FilterValue, 18, 7, 0, // Skip to: 546
/* 539 */     MCD::OPC_CheckPredicate, 9, 138, 14, // Skip to: 4265
/* 543 */     MCD::OPC_Decode, 125, 43, // Opcode: ADDQH_R_W_MMR2
/* 546 */     MCD::OPC_FilterValue, 19, 8, 0, // Skip to: 558
/* 550 */     MCD::OPC_CheckPredicate, 8, 127, 14, // Skip to: 4265
/* 554 */     MCD::OPC_Decode, 162, 1, 46, // Opcode: ADDU_S_QB_MM
/* 558 */     MCD::OPC_FilterValue, 20, 8, 0, // Skip to: 570
/* 562 */     MCD::OPC_CheckPredicate, 9, 115, 14, // Skip to: 4265
/* 566 */     MCD::OPC_Decode, 160, 1, 46, // Opcode: ADDU_S_PH_MMR2
/* 570 */     MCD::OPC_FilterValue, 21, 8, 0, // Skip to: 582
/* 574 */     MCD::OPC_CheckPredicate, 9, 103, 14, // Skip to: 4265
/* 578 */     MCD::OPC_Decode, 153, 1, 46, // Opcode: ADDUH_R_QB_MMR2
/* 582 */     MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 594
/* 586 */     MCD::OPC_CheckPredicate, 8, 91, 14, // Skip to: 4265
/* 590 */     MCD::OPC_Decode, 138, 17, 47, // Opcode: SHRAV_R_PH_MM
/* 594 */     MCD::OPC_FilterValue, 23, 8, 0, // Skip to: 606
/* 598 */     MCD::OPC_CheckPredicate, 9, 79, 14, // Skip to: 4265
/* 602 */     MCD::OPC_Decode, 140, 17, 47, // Opcode: SHRAV_R_QB_MMR2
/* 606 */     MCD::OPC_FilterValue, 24, 8, 0, // Skip to: 618
/* 610 */     MCD::OPC_CheckPredicate, 8, 67, 14, // Skip to: 4265
/* 614 */     MCD::OPC_Decode, 157, 18, 46, // Opcode: SUBQ_S_PH_MM
/* 618 */     MCD::OPC_FilterValue, 25, 8, 0, // Skip to: 630
/* 622 */     MCD::OPC_CheckPredicate, 9, 55, 14, // Skip to: 4265
/* 626 */     MCD::OPC_Decode, 149, 18, 46, // Opcode: SUBQH_R_PH_MMR2
/* 630 */     MCD::OPC_FilterValue, 26, 8, 0, // Skip to: 642
/* 634 */     MCD::OPC_CheckPredicate, 9, 43, 14, // Skip to: 4265
/* 638 */     MCD::OPC_Decode, 151, 18, 43, // Opcode: SUBQH_R_W_MMR2
/* 642 */     MCD::OPC_FilterValue, 27, 8, 0, // Skip to: 654
/* 646 */     MCD::OPC_CheckPredicate, 8, 31, 14, // Skip to: 4265
/* 650 */     MCD::OPC_Decode, 190, 18, 46, // Opcode: SUBU_S_QB_MM
/* 654 */     MCD::OPC_FilterValue, 28, 8, 0, // Skip to: 666
/* 658 */     MCD::OPC_CheckPredicate, 9, 19, 14, // Skip to: 4265
/* 662 */     MCD::OPC_Decode, 188, 18, 46, // Opcode: SUBU_S_PH_MMR2
/* 666 */     MCD::OPC_FilterValue, 29, 8, 0, // Skip to: 678
/* 670 */     MCD::OPC_CheckPredicate, 9, 7, 14, // Skip to: 4265
/* 674 */     MCD::OPC_Decode, 181, 18, 46, // Opcode: SUBUH_R_QB_MMR2
/* 678 */     MCD::OPC_FilterValue, 31, 255, 13, // Skip to: 4265
/* 682 */     MCD::OPC_CheckPredicate, 9, 251, 13, // Skip to: 4265
/* 686 */     MCD::OPC_Decode, 159, 15, 48, // Opcode: PRECR_SRA_R_PH_W_MMR2
/* 690 */     MCD::OPC_FilterValue, 14, 27, 0, // Skip to: 721
/* 694 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 697 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 709
/* 701 */     MCD::OPC_CheckPredicate, 8, 232, 13, // Skip to: 4265
/* 705 */     MCD::OPC_Decode, 246, 16, 47, // Opcode: SHLLV_PH_MM
/* 709 */     MCD::OPC_FilterValue, 16, 224, 13, // Skip to: 4265
/* 713 */     MCD::OPC_CheckPredicate, 8, 220, 13, // Skip to: 4265
/* 717 */     MCD::OPC_Decode, 250, 16, 47, // Opcode: SHLLV_S_PH_MM
/* 721 */     MCD::OPC_FilterValue, 16, 183, 0, // Skip to: 908
/* 725 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 728 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 740
/* 732 */     MCD::OPC_CheckPredicate, 6, 201, 13, // Skip to: 4265
/* 736 */     MCD::OPC_Decode, 181, 17, 49, // Opcode: SLLV_MM
/* 740 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 752
/* 744 */     MCD::OPC_CheckPredicate, 6, 189, 13, // Skip to: 4265
/* 748 */     MCD::OPC_Decode, 255, 17, 49, // Opcode: SRLV_MM
/* 752 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 764
/* 756 */     MCD::OPC_CheckPredicate, 6, 177, 13, // Skip to: 4265
/* 760 */     MCD::OPC_Decode, 233, 17, 49, // Opcode: SRAV_MM
/* 764 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 776
/* 768 */     MCD::OPC_CheckPredicate, 6, 165, 13, // Skip to: 4265
/* 772 */     MCD::OPC_Decode, 255, 15, 49, // Opcode: ROTRV_MM
/* 776 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 788
/* 780 */     MCD::OPC_CheckPredicate, 6, 153, 13, // Skip to: 4265
/* 784 */     MCD::OPC_Decode, 177, 1, 43, // Opcode: ADD_MM
/* 788 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 800
/* 792 */     MCD::OPC_CheckPredicate, 6, 141, 13, // Skip to: 4265
/* 796 */     MCD::OPC_Decode, 184, 1, 43, // Opcode: ADDu_MM
/* 800 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 812
/* 804 */     MCD::OPC_CheckPredicate, 6, 129, 13, // Skip to: 4265
/* 808 */     MCD::OPC_Decode, 199, 18, 43, // Opcode: SUB_MM
/* 812 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 824
/* 816 */     MCD::OPC_CheckPredicate, 6, 117, 13, // Skip to: 4265
/* 820 */     MCD::OPC_Decode, 202, 18, 43, // Opcode: SUBu_MM
/* 824 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 836
/* 828 */     MCD::OPC_CheckPredicate, 6, 105, 13, // Skip to: 4265
/* 832 */     MCD::OPC_Decode, 165, 14, 43, // Opcode: MUL_MM
/* 836 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 848
/* 840 */     MCD::OPC_CheckPredicate, 6, 93, 13, // Skip to: 4265
/* 844 */     MCD::OPC_Decode, 199, 1, 43, // Opcode: AND_MM
/* 848 */     MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 860
/* 852 */     MCD::OPC_CheckPredicate, 6, 81, 13, // Skip to: 4265
/* 856 */     MCD::OPC_Decode, 222, 14, 43, // Opcode: OR_MM
/* 860 */     MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 872
/* 864 */     MCD::OPC_CheckPredicate, 6, 69, 13, // Skip to: 4265
/* 868 */     MCD::OPC_Decode, 206, 14, 43, // Opcode: NOR_MM
/* 872 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 884
/* 876 */     MCD::OPC_CheckPredicate, 6, 57, 13, // Skip to: 4265
/* 880 */     MCD::OPC_Decode, 253, 19, 43, // Opcode: XOR_MM
/* 884 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 896
/* 888 */     MCD::OPC_CheckPredicate, 6, 45, 13, // Skip to: 4265
/* 892 */     MCD::OPC_Decode, 192, 17, 43, // Opcode: SLT_MM
/* 896 */     MCD::OPC_FilterValue, 14, 37, 13, // Skip to: 4265
/* 900 */     MCD::OPC_CheckPredicate, 6, 33, 13, // Skip to: 4265
/* 904 */     MCD::OPC_Decode, 201, 17, 43, // Opcode: SLTu_MM
/* 908 */     MCD::OPC_FilterValue, 21, 171, 0, // Skip to: 1083
/* 912 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 915 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 927
/* 919 */     MCD::OPC_CheckPredicate, 8, 14, 13, // Skip to: 4265
/* 923 */     MCD::OPC_Decode, 131, 14, 46, // Opcode: MULEU_S_PH_QBL_MM
/* 927 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 939
/* 931 */     MCD::OPC_CheckPredicate, 8, 2, 13, // Skip to: 4265
/* 935 */     MCD::OPC_Decode, 133, 14, 46, // Opcode: MULEU_S_PH_QBR_MM
/* 939 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 951
/* 943 */     MCD::OPC_CheckPredicate, 8, 246, 12, // Skip to: 4265
/* 947 */     MCD::OPC_Decode, 138, 14, 46, // Opcode: MULQ_RS_PH_MM
/* 951 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 963
/* 955 */     MCD::OPC_CheckPredicate, 9, 234, 12, // Skip to: 4265
/* 959 */     MCD::OPC_Decode, 142, 14, 46, // Opcode: MULQ_S_PH_MMR2
/* 963 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 975
/* 967 */     MCD::OPC_CheckPredicate, 9, 222, 12, // Skip to: 4265
/* 971 */     MCD::OPC_Decode, 140, 14, 43, // Opcode: MULQ_RS_W_MMR2
/* 975 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 987
/* 979 */     MCD::OPC_CheckPredicate, 9, 210, 12, // Skip to: 4265
/* 983 */     MCD::OPC_Decode, 144, 14, 43, // Opcode: MULQ_S_W_MMR2
/* 987 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 999
/* 991 */     MCD::OPC_CheckPredicate, 9, 198, 12, // Skip to: 4265
/* 995 */     MCD::OPC_Decode, 209, 1, 50, // Opcode: APPEND_MMR2
/* 999 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 1011
/* 1003 */    MCD::OPC_CheckPredicate, 9, 186, 12, // Skip to: 4265
/* 1007 */    MCD::OPC_Decode, 169, 15, 50, // Opcode: PREPEND_MMR2
/* 1011 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 1023
/* 1015 */    MCD::OPC_CheckPredicate, 8, 174, 12, // Skip to: 4265
/* 1019 */    MCD::OPC_Decode, 250, 12, 43, // Opcode: MODSUB_MM
/* 1023 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 1035
/* 1027 */    MCD::OPC_CheckPredicate, 8, 162, 12, // Skip to: 4265
/* 1031 */    MCD::OPC_Decode, 142, 17, 49, // Opcode: SHRAV_R_W_MM
/* 1035 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 1047
/* 1039 */    MCD::OPC_CheckPredicate, 9, 150, 12, // Skip to: 4265
/* 1043 */    MCD::OPC_Decode, 154, 17, 47, // Opcode: SHRLV_PH_MMR2
/* 1047 */    MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 1059
/* 1051 */    MCD::OPC_CheckPredicate, 8, 138, 12, // Skip to: 4265
/* 1055 */    MCD::OPC_Decode, 156, 17, 47, // Opcode: SHRLV_QB_MM
/* 1059 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 1071
/* 1063 */    MCD::OPC_CheckPredicate, 8, 126, 12, // Skip to: 4265
/* 1067 */    MCD::OPC_Decode, 248, 16, 47, // Opcode: SHLLV_QB_MM
/* 1071 */    MCD::OPC_FilterValue, 15, 118, 12, // Skip to: 4265
/* 1075 */    MCD::OPC_CheckPredicate, 8, 114, 12, // Skip to: 4265
/* 1079 */    MCD::OPC_Decode, 252, 16, 49, // Opcode: SHLLV_S_W_MM
/* 1083 */    MCD::OPC_FilterValue, 24, 39, 0, // Skip to: 1126
/* 1087 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 1090 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1102
/* 1094 */    MCD::OPC_CheckPredicate, 6, 95, 12, // Skip to: 4265
/* 1098 */    MCD::OPC_Decode, 155, 13, 51, // Opcode: MOVN_I_MM
/* 1102 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1114
/* 1106 */    MCD::OPC_CheckPredicate, 6, 83, 12, // Skip to: 4265
/* 1110 */    MCD::OPC_Decode, 175, 13, 51, // Opcode: MOVZ_I_MM
/* 1114 */    MCD::OPC_FilterValue, 4, 75, 12, // Skip to: 4265
/* 1118 */    MCD::OPC_CheckPredicate, 6, 71, 12, // Skip to: 4265
/* 1122 */    MCD::OPC_Decode, 221, 11, 52, // Opcode: LWXS_MM
/* 1126 */    MCD::OPC_FilterValue, 29, 20, 0, // Skip to: 1150
/* 1130 */    MCD::OPC_CheckPredicate, 8, 59, 12, // Skip to: 4265
/* 1134 */    MCD::OPC_CheckField, 22, 4, 0, 53, 12, // Skip to: 4265
/* 1140 */    MCD::OPC_CheckField, 6, 8, 0, 47, 12, // Skip to: 4265
/* 1146 */    MCD::OPC_Decode, 244, 16, 53, // Opcode: SHILO_MM
/* 1150 */    MCD::OPC_FilterValue, 37, 63, 0, // Skip to: 1217
/* 1154 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 1157 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1169
/* 1161 */    MCD::OPC_CheckPredicate, 8, 28, 12, // Skip to: 4265
/* 1165 */    MCD::OPC_Decode, 255, 13, 42, // Opcode: MULEQ_S_W_PHL_MM
/* 1169 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1181
/* 1173 */    MCD::OPC_CheckPredicate, 8, 16, 12, // Skip to: 4265
/* 1177 */    MCD::OPC_Decode, 129, 14, 42, // Opcode: MULEQ_S_W_PHR_MM
/* 1181 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 1193
/* 1185 */    MCD::OPC_CheckPredicate, 8, 4, 12, // Skip to: 4265
/* 1189 */    MCD::OPC_Decode, 143, 11, 52, // Opcode: LHX_MM
/* 1193 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1205
/* 1197 */    MCD::OPC_CheckPredicate, 8, 248, 11, // Skip to: 4265
/* 1201 */    MCD::OPC_Decode, 222, 11, 52, // Opcode: LWX_MM
/* 1205 */    MCD::OPC_FilterValue, 8, 240, 11, // Skip to: 4265
/* 1209 */    MCD::OPC_CheckPredicate, 8, 236, 11, // Skip to: 4265
/* 1213 */    MCD::OPC_Decode, 227, 10, 52, // Opcode: LBUX_MM
/* 1217 */    MCD::OPC_FilterValue, 44, 8, 0, // Skip to: 1229
/* 1221 */    MCD::OPC_CheckPredicate, 6, 224, 11, // Skip to: 4265
/* 1225 */    MCD::OPC_Decode, 191, 8, 54, // Opcode: EXT_MM
/* 1229 */    MCD::OPC_FilterValue, 45, 123, 0, // Skip to: 1356
/* 1233 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 1236 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1248
/* 1240 */    MCD::OPC_CheckPredicate, 9, 205, 11, // Skip to: 4265
/* 1244 */    MCD::OPC_Decode, 168, 14, 46, // Opcode: MUL_PH_MMR2
/* 1248 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1260
/* 1252 */    MCD::OPC_CheckPredicate, 9, 193, 11, // Skip to: 4265
/* 1256 */    MCD::OPC_Decode, 155, 15, 46, // Opcode: PRECR_QB_PH_MMR2
/* 1260 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 1272
/* 1264 */    MCD::OPC_CheckPredicate, 8, 181, 11, // Skip to: 4265
/* 1268 */    MCD::OPC_Decode, 151, 15, 46, // Opcode: PRECRQ_QB_PH_MM
/* 1272 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 1284
/* 1276 */    MCD::OPC_CheckPredicate, 8, 169, 11, // Skip to: 4265
/* 1280 */    MCD::OPC_Decode, 149, 15, 55, // Opcode: PRECRQ_PH_W_MM
/* 1284 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 1296
/* 1288 */    MCD::OPC_CheckPredicate, 8, 157, 11, // Skip to: 4265
/* 1292 */    MCD::OPC_Decode, 153, 15, 55, // Opcode: PRECRQ_RS_PH_W_MM
/* 1296 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 1308
/* 1300 */    MCD::OPC_CheckPredicate, 8, 145, 11, // Skip to: 4265
/* 1304 */    MCD::OPC_Decode, 147, 15, 46, // Opcode: PRECRQU_S_QB_PH_MM
/* 1308 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1320
/* 1312 */    MCD::OPC_CheckPredicate, 8, 133, 11, // Skip to: 4265
/* 1316 */    MCD::OPC_Decode, 233, 14, 46, // Opcode: PACKRL_PH_MM
/* 1320 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 1332
/* 1324 */    MCD::OPC_CheckPredicate, 8, 121, 11, // Skip to: 4265
/* 1328 */    MCD::OPC_Decode, 252, 14, 46, // Opcode: PICK_QB_MM
/* 1332 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 1344
/* 1336 */    MCD::OPC_CheckPredicate, 8, 109, 11, // Skip to: 4265
/* 1340 */    MCD::OPC_Decode, 250, 14, 46, // Opcode: PICK_PH_MM
/* 1344 */    MCD::OPC_FilterValue, 16, 101, 11, // Skip to: 4265
/* 1348 */    MCD::OPC_CheckPredicate, 9, 97, 11, // Skip to: 4265
/* 1352 */    MCD::OPC_Decode, 173, 14, 46, // Opcode: MUL_S_PH_MMR2
/* 1356 */    MCD::OPC_FilterValue, 53, 94, 0, // Skip to: 1454
/* 1360 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 1363 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 1375
/* 1367 */    MCD::OPC_CheckPredicate, 8, 78, 11, // Skip to: 4265
/* 1371 */    MCD::OPC_Decode, 152, 17, 40, // Opcode: SHRA_R_W_MM
/* 1375 */    MCD::OPC_FilterValue, 12, 14, 0, // Skip to: 1393
/* 1379 */    MCD::OPC_CheckPredicate, 8, 66, 11, // Skip to: 4265
/* 1383 */    MCD::OPC_CheckField, 11, 1, 0, 60, 11, // Skip to: 4265
/* 1389 */    MCD::OPC_Decode, 144, 17, 56, // Opcode: SHRA_PH_MM
/* 1393 */    MCD::OPC_FilterValue, 14, 27, 0, // Skip to: 1424
/* 1397 */    MCD::OPC_ExtractField, 11, 1,  // Inst{11} ...
/* 1400 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1412
/* 1404 */    MCD::OPC_CheckPredicate, 8, 41, 11, // Skip to: 4265
/* 1408 */    MCD::OPC_Decode, 254, 16, 56, // Opcode: SHLL_PH_MM
/* 1412 */    MCD::OPC_FilterValue, 1, 33, 11, // Skip to: 4265
/* 1416 */    MCD::OPC_CheckPredicate, 8, 29, 11, // Skip to: 4265
/* 1420 */    MCD::OPC_Decode, 130, 17, 56, // Opcode: SHLL_S_PH_MM
/* 1424 */    MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 1436
/* 1428 */    MCD::OPC_CheckPredicate, 8, 17, 11, // Skip to: 4265
/* 1432 */    MCD::OPC_Decode, 132, 17, 40, // Opcode: SHLL_S_W_MM
/* 1436 */    MCD::OPC_FilterValue, 28, 9, 11, // Skip to: 4265
/* 1440 */    MCD::OPC_CheckPredicate, 8, 5, 11, // Skip to: 4265
/* 1444 */    MCD::OPC_CheckField, 11, 1, 0, 255, 10, // Skip to: 4265
/* 1450 */    MCD::OPC_Decode, 148, 17, 56, // Opcode: SHRA_R_PH_MM
/* 1454 */    MCD::OPC_FilterValue, 60, 122, 6, // Skip to: 3116
/* 1458 */    MCD::OPC_ExtractField, 6, 6,  // Inst{11-6} ...
/* 1461 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1473
/* 1465 */    MCD::OPC_CheckPredicate, 6, 236, 10, // Skip to: 4265
/* 1469 */    MCD::OPC_Decode, 176, 19, 57, // Opcode: TEQ_MM
/* 1473 */    MCD::OPC_FilterValue, 1, 75, 0, // Skip to: 1552
/* 1477 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 1480 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 1498
/* 1484 */    MCD::OPC_CheckPredicate, 8, 217, 10, // Skip to: 4265
/* 1488 */    MCD::OPC_CheckField, 21, 5, 0, 211, 10, // Skip to: 4265
/* 1494 */    MCD::OPC_Decode, 201, 12, 58, // Opcode: MFHI_DSP_MM
/* 1498 */    MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 1516
/* 1502 */    MCD::OPC_CheckPredicate, 8, 199, 10, // Skip to: 4265
/* 1506 */    MCD::OPC_CheckField, 21, 5, 0, 193, 10, // Skip to: 4265
/* 1512 */    MCD::OPC_Decode, 207, 12, 58, // Opcode: MFLO_DSP_MM
/* 1516 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 1534
/* 1520 */    MCD::OPC_CheckPredicate, 8, 181, 10, // Skip to: 4265
/* 1524 */    MCD::OPC_CheckField, 21, 5, 0, 175, 10, // Skip to: 4265
/* 1530 */    MCD::OPC_Decode, 225, 13, 59, // Opcode: MTHI_DSP_MM
/* 1534 */    MCD::OPC_FilterValue, 3, 167, 10, // Skip to: 4265
/* 1538 */    MCD::OPC_CheckPredicate, 8, 163, 10, // Skip to: 4265
/* 1542 */    MCD::OPC_CheckField, 21, 5, 0, 157, 10, // Skip to: 4265
/* 1548 */    MCD::OPC_Decode, 232, 13, 60, // Opcode: MTLO_DSP_MM
/* 1552 */    MCD::OPC_FilterValue, 2, 51, 0, // Skip to: 1607
/* 1556 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 1559 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1571
/* 1563 */    MCD::OPC_CheckPredicate, 9, 138, 10, // Skip to: 4265
/* 1567 */    MCD::OPC_Decode, 204, 7, 61, // Opcode: DPA_W_PH_MMR2
/* 1571 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1583
/* 1575 */    MCD::OPC_CheckPredicate, 9, 126, 10, // Skip to: 4265
/* 1579 */    MCD::OPC_Decode, 202, 7, 61, // Opcode: DPAX_W_PH_MMR2
/* 1583 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 1595
/* 1587 */    MCD::OPC_CheckPredicate, 8, 114, 10, // Skip to: 4265
/* 1591 */    MCD::OPC_Decode, 198, 7, 61, // Opcode: DPAU_H_QBL_MM
/* 1595 */    MCD::OPC_FilterValue, 3, 106, 10, // Skip to: 4265
/* 1599 */    MCD::OPC_CheckPredicate, 8, 102, 10, // Skip to: 4265
/* 1603 */    MCD::OPC_Decode, 200, 7, 61, // Opcode: DPAU_H_QBR_MM
/* 1607 */    MCD::OPC_FilterValue, 4, 144, 0, // Skip to: 1755
/* 1611 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 1614 */    MCD::OPC_FilterValue, 0, 7, 0, // Skip to: 1625
/* 1618 */    MCD::OPC_CheckPredicate, 9, 83, 10, // Skip to: 4265
/* 1622 */    MCD::OPC_Decode, 106, 62, // Opcode: ABSQ_S_QB_MMR2
/* 1625 */    MCD::OPC_FilterValue, 1, 7, 0, // Skip to: 1636
/* 1629 */    MCD::OPC_CheckPredicate, 8, 72, 10, // Skip to: 4265
/* 1633 */    MCD::OPC_Decode, 104, 62, // Opcode: ABSQ_S_PH_MM
/* 1636 */    MCD::OPC_FilterValue, 2, 7, 0, // Skip to: 1647
/* 1640 */    MCD::OPC_CheckPredicate, 8, 61, 10, // Skip to: 4265
/* 1644 */    MCD::OPC_Decode, 108, 63, // Opcode: ABSQ_S_W_MM
/* 1647 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 1659
/* 1651 */    MCD::OPC_CheckPredicate, 8, 50, 10, // Skip to: 4265
/* 1655 */    MCD::OPC_Decode, 138, 3, 63, // Opcode: BITREV_MM
/* 1659 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 1671
/* 1663 */    MCD::OPC_CheckPredicate, 8, 38, 10, // Skip to: 4265
/* 1667 */    MCD::OPC_Decode, 173, 10, 64, // Opcode: INSV_MM
/* 1671 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 1683
/* 1675 */    MCD::OPC_CheckPredicate, 8, 26, 10, // Skip to: 4265
/* 1679 */    MCD::OPC_Decode, 135, 15, 65, // Opcode: PRECEQ_W_PHL_MM
/* 1683 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1695
/* 1687 */    MCD::OPC_CheckPredicate, 8, 14, 10, // Skip to: 4265
/* 1691 */    MCD::OPC_Decode, 137, 15, 65, // Opcode: PRECEQ_W_PHR_MM
/* 1695 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 1707
/* 1699 */    MCD::OPC_CheckPredicate, 8, 2, 10, // Skip to: 4265
/* 1703 */    MCD::OPC_Decode, 129, 15, 62, // Opcode: PRECEQU_PH_QBL_MM
/* 1707 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 1719
/* 1711 */    MCD::OPC_CheckPredicate, 8, 246, 9, // Skip to: 4265
/* 1715 */    MCD::OPC_Decode, 133, 15, 62, // Opcode: PRECEQU_PH_QBR_MM
/* 1719 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 1731
/* 1723 */    MCD::OPC_CheckPredicate, 8, 234, 9, // Skip to: 4265
/* 1727 */    MCD::OPC_Decode, 141, 15, 62, // Opcode: PRECEU_PH_QBL_MM
/* 1731 */    MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 1743
/* 1735 */    MCD::OPC_CheckPredicate, 8, 222, 9, // Skip to: 4265
/* 1739 */    MCD::OPC_Decode, 145, 15, 62, // Opcode: PRECEU_PH_QBR_MM
/* 1743 */    MCD::OPC_FilterValue, 15, 214, 9, // Skip to: 4265
/* 1747 */    MCD::OPC_CheckPredicate, 8, 210, 9, // Skip to: 4265
/* 1751 */    MCD::OPC_Decode, 225, 15, 65, // Opcode: RADDU_W_QB_MM
/* 1755 */    MCD::OPC_FilterValue, 7, 27, 0, // Skip to: 1786
/* 1759 */    MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 1762 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1774
/* 1766 */    MCD::OPC_CheckPredicate, 9, 191, 9, // Skip to: 4265
/* 1770 */    MCD::OPC_Decode, 146, 17, 66, // Opcode: SHRA_QB_MMR2
/* 1774 */    MCD::OPC_FilterValue, 1, 183, 9, // Skip to: 4265
/* 1778 */    MCD::OPC_CheckPredicate, 9, 179, 9, // Skip to: 4265
/* 1782 */    MCD::OPC_Decode, 150, 17, 66, // Opcode: SHRA_R_QB_MMR2
/* 1786 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 1798
/* 1790 */    MCD::OPC_CheckPredicate, 6, 167, 9, // Skip to: 4265
/* 1794 */    MCD::OPC_Decode, 184, 19, 57, // Opcode: TGE_MM
/* 1798 */    MCD::OPC_FilterValue, 9, 39, 0, // Skip to: 1841
/* 1802 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 1805 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 1823
/* 1809 */    MCD::OPC_CheckPredicate, 8, 148, 9, // Skip to: 4265
/* 1813 */    MCD::OPC_CheckField, 21, 5, 0, 142, 9, // Skip to: 4265
/* 1819 */    MCD::OPC_Decode, 228, 13, 67, // Opcode: MTHLIP_MM
/* 1823 */    MCD::OPC_FilterValue, 1, 134, 9, // Skip to: 4265
/* 1827 */    MCD::OPC_CheckPredicate, 8, 130, 9, // Skip to: 4265
/* 1831 */    MCD::OPC_CheckField, 21, 5, 0, 124, 9, // Skip to: 4265
/* 1837 */    MCD::OPC_Decode, 243, 16, 67, // Opcode: SHILOV_MM
/* 1841 */    MCD::OPC_FilterValue, 10, 51, 0, // Skip to: 1896
/* 1845 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 1848 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1860
/* 1852 */    MCD::OPC_CheckPredicate, 8, 105, 9, // Skip to: 4265
/* 1856 */    MCD::OPC_Decode, 196, 7, 61, // Opcode: DPAQ_S_W_PH_MM
/* 1860 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1872
/* 1864 */    MCD::OPC_CheckPredicate, 8, 93, 9, // Skip to: 4265
/* 1868 */    MCD::OPC_Decode, 194, 7, 61, // Opcode: DPAQ_SA_L_W_MM
/* 1872 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 1884
/* 1876 */    MCD::OPC_CheckPredicate, 9, 81, 9, // Skip to: 4265
/* 1880 */    MCD::OPC_Decode, 192, 7, 61, // Opcode: DPAQX_S_W_PH_MMR2
/* 1884 */    MCD::OPC_FilterValue, 3, 73, 9, // Skip to: 4265
/* 1888 */    MCD::OPC_CheckPredicate, 9, 69, 9, // Skip to: 4265
/* 1892 */    MCD::OPC_Decode, 190, 7, 61, // Opcode: DPAQX_SA_W_PH_MMR2
/* 1896 */    MCD::OPC_FilterValue, 12, 75, 0, // Skip to: 1975
/* 1900 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 1903 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1915
/* 1907 */    MCD::OPC_CheckPredicate, 8, 50, 9, // Skip to: 4265
/* 1911 */    MCD::OPC_Decode, 238, 15, 68, // Opcode: REPLV_PH_MM
/* 1915 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1927
/* 1919 */    MCD::OPC_CheckPredicate, 8, 38, 9, // Skip to: 4265
/* 1923 */    MCD::OPC_Decode, 240, 15, 68, // Opcode: REPLV_QB_MM
/* 1927 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 1939
/* 1931 */    MCD::OPC_CheckPredicate, 8, 26, 9, // Skip to: 4265
/* 1935 */    MCD::OPC_Decode, 128, 15, 62, // Opcode: PRECEQU_PH_QBLA_MM
/* 1939 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 1951
/* 1943 */    MCD::OPC_CheckPredicate, 8, 14, 9, // Skip to: 4265
/* 1947 */    MCD::OPC_Decode, 132, 15, 62, // Opcode: PRECEQU_PH_QBRA_MM
/* 1951 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 1963
/* 1955 */    MCD::OPC_CheckPredicate, 8, 2, 9, // Skip to: 4265
/* 1959 */    MCD::OPC_Decode, 140, 15, 62, // Opcode: PRECEU_PH_QBLA_MM
/* 1963 */    MCD::OPC_FilterValue, 13, 250, 8, // Skip to: 4265
/* 1967 */    MCD::OPC_CheckPredicate, 8, 246, 8, // Skip to: 4265
/* 1971 */    MCD::OPC_Decode, 144, 15, 62, // Opcode: PRECEU_PH_QBRA_MM
/* 1975 */    MCD::OPC_FilterValue, 13, 123, 0, // Skip to: 2102
/* 1979 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 1982 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 2000
/* 1986 */    MCD::OPC_CheckPredicate, 6, 227, 8, // Skip to: 4265
/* 1990 */    MCD::OPC_CheckField, 16, 10, 0, 221, 8, // Skip to: 4265
/* 1996 */    MCD::OPC_Decode, 190, 19, 0, // Opcode: TLBP_MM
/* 2000 */    MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 2018
/* 2004 */    MCD::OPC_CheckPredicate, 6, 209, 8, // Skip to: 4265
/* 2008 */    MCD::OPC_CheckField, 16, 10, 0, 203, 8, // Skip to: 4265
/* 2014 */    MCD::OPC_Decode, 192, 19, 0, // Opcode: TLBR_MM
/* 2018 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 2036
/* 2022 */    MCD::OPC_CheckPredicate, 6, 191, 8, // Skip to: 4265
/* 2026 */    MCD::OPC_CheckField, 16, 10, 0, 185, 8, // Skip to: 4265
/* 2032 */    MCD::OPC_Decode, 194, 19, 0, // Opcode: TLBWI_MM
/* 2036 */    MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 2054
/* 2040 */    MCD::OPC_CheckPredicate, 6, 173, 8, // Skip to: 4265
/* 2044 */    MCD::OPC_CheckField, 16, 10, 0, 167, 8, // Skip to: 4265
/* 2050 */    MCD::OPC_Decode, 196, 19, 0, // Opcode: TLBWR_MM
/* 2054 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 2066
/* 2058 */    MCD::OPC_CheckPredicate, 6, 155, 8, // Skip to: 4265
/* 2062 */    MCD::OPC_Decode, 239, 19, 69, // Opcode: WAIT_MM
/* 2066 */    MCD::OPC_FilterValue, 14, 14, 0, // Skip to: 2084
/* 2070 */    MCD::OPC_CheckPredicate, 6, 143, 8, // Skip to: 4265
/* 2074 */    MCD::OPC_CheckField, 16, 10, 0, 137, 8, // Skip to: 4265
/* 2080 */    MCD::OPC_Decode, 238, 6, 0, // Opcode: DERET_MM
/* 2084 */    MCD::OPC_FilterValue, 15, 129, 8, // Skip to: 4265
/* 2088 */    MCD::OPC_CheckPredicate, 6, 125, 8, // Skip to: 4265
/* 2092 */    MCD::OPC_CheckField, 16, 10, 0, 119, 8, // Skip to: 4265
/* 2098 */    MCD::OPC_Decode, 158, 8, 0, // Opcode: ERET_MM
/* 2102 */    MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 2114
/* 2106 */    MCD::OPC_CheckPredicate, 9, 107, 8, // Skip to: 4265
/* 2110 */    MCD::OPC_Decode, 158, 17, 56, // Opcode: SHRL_PH_MMR2
/* 2114 */    MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 2126
/* 2118 */    MCD::OPC_CheckPredicate, 6, 95, 8, // Skip to: 4265
/* 2122 */    MCD::OPC_Decode, 183, 19, 57, // Opcode: TGEU_MM
/* 2126 */    MCD::OPC_FilterValue, 18, 51, 0, // Skip to: 2181
/* 2130 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 2133 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2145
/* 2137 */    MCD::OPC_CheckPredicate, 9, 76, 8, // Skip to: 4265
/* 2141 */    MCD::OPC_Decode, 227, 7, 61, // Opcode: DPS_W_PH_MMR2
/* 2145 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2157
/* 2149 */    MCD::OPC_CheckPredicate, 9, 64, 8, // Skip to: 4265
/* 2153 */    MCD::OPC_Decode, 225, 7, 61, // Opcode: DPSX_W_PH_MMR2
/* 2157 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2169
/* 2161 */    MCD::OPC_CheckPredicate, 8, 52, 8, // Skip to: 4265
/* 2165 */    MCD::OPC_Decode, 221, 7, 61, // Opcode: DPSU_H_QBL_MM
/* 2169 */    MCD::OPC_FilterValue, 3, 44, 8, // Skip to: 4265
/* 2173 */    MCD::OPC_CheckPredicate, 8, 40, 8, // Skip to: 4265
/* 2177 */    MCD::OPC_Decode, 223, 7, 61, // Opcode: DPSU_H_QBR_MM
/* 2181 */    MCD::OPC_FilterValue, 23, 14, 0, // Skip to: 2199
/* 2185 */    MCD::OPC_CheckPredicate, 8, 28, 8, // Skip to: 4265
/* 2189 */    MCD::OPC_CheckField, 12, 1, 0, 22, 8, // Skip to: 4265
/* 2195 */    MCD::OPC_Decode, 244, 15, 70, // Opcode: REPL_QB_MM
/* 2199 */    MCD::OPC_FilterValue, 25, 51, 0, // Skip to: 2254
/* 2203 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 2206 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2218
/* 2210 */    MCD::OPC_CheckPredicate, 8, 3, 8, // Skip to: 4265
/* 2214 */    MCD::OPC_Decode, 227, 15, 71, // Opcode: RDDSP_MM
/* 2218 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2230
/* 2222 */    MCD::OPC_CheckPredicate, 8, 247, 7, // Skip to: 4265
/* 2226 */    MCD::OPC_Decode, 242, 19, 71, // Opcode: WRDSP_MM
/* 2230 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2242
/* 2234 */    MCD::OPC_CheckPredicate, 8, 235, 7, // Skip to: 4265
/* 2238 */    MCD::OPC_Decode, 172, 8, 72, // Opcode: EXTP_MM
/* 2242 */    MCD::OPC_FilterValue, 3, 227, 7, // Skip to: 4265
/* 2246 */    MCD::OPC_CheckPredicate, 8, 223, 7, // Skip to: 4265
/* 2250 */    MCD::OPC_Decode, 169, 8, 72, // Opcode: EXTPDP_MM
/* 2254 */    MCD::OPC_FilterValue, 26, 51, 0, // Skip to: 2309
/* 2258 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 2261 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2273
/* 2265 */    MCD::OPC_CheckPredicate, 8, 204, 7, // Skip to: 4265
/* 2269 */    MCD::OPC_Decode, 213, 7, 61, // Opcode: DPSQ_S_W_PH_MM
/* 2273 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2285
/* 2277 */    MCD::OPC_CheckPredicate, 8, 192, 7, // Skip to: 4265
/* 2281 */    MCD::OPC_Decode, 211, 7, 61, // Opcode: DPSQ_SA_L_W_MM
/* 2285 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2297
/* 2289 */    MCD::OPC_CheckPredicate, 9, 180, 7, // Skip to: 4265
/* 2293 */    MCD::OPC_Decode, 209, 7, 61, // Opcode: DPSQX_S_W_PH_MMR2
/* 2297 */    MCD::OPC_FilterValue, 3, 172, 7, // Skip to: 4265
/* 2301 */    MCD::OPC_CheckPredicate, 9, 168, 7, // Skip to: 4265
/* 2305 */    MCD::OPC_Decode, 207, 7, 61, // Opcode: DPSQX_SA_W_PH_MMR2
/* 2309 */    MCD::OPC_FilterValue, 29, 39, 0, // Skip to: 2352
/* 2313 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 2316 */    MCD::OPC_FilterValue, 4, 14, 0, // Skip to: 2334
/* 2320 */    MCD::OPC_CheckPredicate, 6, 149, 7, // Skip to: 4265
/* 2324 */    MCD::OPC_CheckField, 21, 5, 0, 143, 7, // Skip to: 4265
/* 2330 */    MCD::OPC_Decode, 138, 7, 73, // Opcode: DI_MM
/* 2334 */    MCD::OPC_FilterValue, 5, 135, 7, // Skip to: 4265
/* 2338 */    MCD::OPC_CheckPredicate, 6, 131, 7, // Skip to: 4265
/* 2342 */    MCD::OPC_CheckField, 21, 5, 0, 125, 7, // Skip to: 4265
/* 2348 */    MCD::OPC_Decode, 152, 8, 73, // Opcode: EI_MM
/* 2352 */    MCD::OPC_FilterValue, 32, 8, 0, // Skip to: 2364
/* 2356 */    MCD::OPC_CheckPredicate, 6, 113, 7, // Skip to: 4265
/* 2360 */    MCD::OPC_Decode, 203, 19, 57, // Opcode: TLT_MM
/* 2364 */    MCD::OPC_FilterValue, 33, 27, 0, // Skip to: 2395
/* 2368 */    MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 2371 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2383
/* 2375 */    MCD::OPC_CheckPredicate, 8, 94, 7, // Skip to: 4265
/* 2379 */    MCD::OPC_Decode, 128, 17, 66, // Opcode: SHLL_QB_MM
/* 2383 */    MCD::OPC_FilterValue, 1, 86, 7, // Skip to: 4265
/* 2387 */    MCD::OPC_CheckPredicate, 8, 82, 7, // Skip to: 4265
/* 2391 */    MCD::OPC_Decode, 160, 17, 66, // Opcode: SHRL_QB_MM
/* 2395 */    MCD::OPC_FilterValue, 34, 39, 0, // Skip to: 2438
/* 2399 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 2402 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2414
/* 2406 */    MCD::OPC_CheckPredicate, 9, 63, 7, // Skip to: 4265
/* 2410 */    MCD::OPC_Decode, 158, 2, 74, // Opcode: BALIGN_MMR2
/* 2414 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2426
/* 2418 */    MCD::OPC_CheckPredicate, 8, 51, 7, // Skip to: 4265
/* 2422 */    MCD::OPC_Decode, 171, 8, 75, // Opcode: EXTPV_MM
/* 2426 */    MCD::OPC_FilterValue, 3, 43, 7, // Skip to: 4265
/* 2430 */    MCD::OPC_CheckPredicate, 8, 39, 7, // Skip to: 4265
/* 2434 */    MCD::OPC_Decode, 168, 8, 75, // Opcode: EXTPDPV_MM
/* 2438 */    MCD::OPC_FilterValue, 40, 8, 0, // Skip to: 2450
/* 2442 */    MCD::OPC_CheckPredicate, 6, 27, 7, // Skip to: 4265
/* 2446 */    MCD::OPC_Decode, 202, 19, 57, // Opcode: TLTU_MM
/* 2450 */    MCD::OPC_FilterValue, 41, 51, 0, // Skip to: 2505
/* 2454 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 2457 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2469
/* 2461 */    MCD::OPC_CheckPredicate, 8, 8, 7, // Skip to: 4265
/* 2465 */    MCD::OPC_Decode, 153, 12, 61, // Opcode: MAQ_S_W_PHR_MM
/* 2469 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2481
/* 2473 */    MCD::OPC_CheckPredicate, 8, 252, 6, // Skip to: 4265
/* 2477 */    MCD::OPC_Decode, 151, 12, 61, // Opcode: MAQ_S_W_PHL_MM
/* 2481 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2493
/* 2485 */    MCD::OPC_CheckPredicate, 8, 240, 6, // Skip to: 4265
/* 2489 */    MCD::OPC_Decode, 149, 12, 61, // Opcode: MAQ_SA_W_PHR_MM
/* 2493 */    MCD::OPC_FilterValue, 3, 232, 6, // Skip to: 4265
/* 2497 */    MCD::OPC_CheckPredicate, 8, 228, 6, // Skip to: 4265
/* 2501 */    MCD::OPC_Decode, 147, 12, 61, // Opcode: MAQ_SA_W_PHL_MM
/* 2505 */    MCD::OPC_FilterValue, 42, 51, 0, // Skip to: 2560
/* 2509 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 2512 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2524
/* 2516 */    MCD::OPC_CheckPredicate, 8, 209, 6, // Skip to: 4265
/* 2520 */    MCD::OPC_Decode, 140, 12, 61, // Opcode: MADD_DSP_MM
/* 2524 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2536
/* 2528 */    MCD::OPC_CheckPredicate, 8, 197, 6, // Skip to: 4265
/* 2532 */    MCD::OPC_Decode, 130, 12, 61, // Opcode: MADDU_DSP_MM
/* 2536 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2548
/* 2540 */    MCD::OPC_CheckPredicate, 8, 185, 6, // Skip to: 4265
/* 2544 */    MCD::OPC_Decode, 201, 13, 61, // Opcode: MSUB_DSP_MM
/* 2548 */    MCD::OPC_FilterValue, 3, 177, 6, // Skip to: 4265
/* 2552 */    MCD::OPC_CheckPredicate, 8, 173, 6, // Skip to: 4265
/* 2556 */    MCD::OPC_Decode, 191, 13, 61, // Opcode: MSUBU_DSP_MM
/* 2560 */    MCD::OPC_FilterValue, 44, 171, 0, // Skip to: 2735
/* 2564 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 2567 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2579
/* 2571 */    MCD::OPC_CheckPredicate, 6, 154, 6, // Skip to: 4265
/* 2575 */    MCD::OPC_Decode, 203, 16, 63, // Opcode: SEB_MM
/* 2579 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 2591
/* 2583 */    MCD::OPC_CheckPredicate, 6, 142, 6, // Skip to: 4265
/* 2587 */    MCD::OPC_Decode, 207, 16, 63, // Opcode: SEH_MM
/* 2591 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 2603
/* 2595 */    MCD::OPC_CheckPredicate, 6, 130, 6, // Skip to: 4265
/* 2599 */    MCD::OPC_Decode, 208, 4, 63, // Opcode: CLO_MM
/* 2603 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 2615
/* 2607 */    MCD::OPC_CheckPredicate, 6, 118, 6, // Skip to: 4265
/* 2611 */    MCD::OPC_Decode, 228, 4, 63, // Opcode: CLZ_MM
/* 2615 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 2627
/* 2619 */    MCD::OPC_CheckPredicate, 10, 106, 6, // Skip to: 4265
/* 2623 */    MCD::OPC_Decode, 230, 15, 76, // Opcode: RDHWR_MM
/* 2627 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 2639
/* 2631 */    MCD::OPC_CheckPredicate, 6, 94, 6, // Skip to: 4265
/* 2635 */    MCD::OPC_Decode, 245, 19, 63, // Opcode: WSBH_MM
/* 2639 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 2651
/* 2643 */    MCD::OPC_CheckPredicate, 6, 82, 6, // Skip to: 4265
/* 2647 */    MCD::OPC_Decode, 156, 14, 77, // Opcode: MULT_MM
/* 2651 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 2663
/* 2655 */    MCD::OPC_CheckPredicate, 6, 70, 6, // Skip to: 4265
/* 2659 */    MCD::OPC_Decode, 158, 14, 77, // Opcode: MULTu_MM
/* 2663 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 2675
/* 2667 */    MCD::OPC_CheckPredicate, 6, 58, 6, // Skip to: 4265
/* 2671 */    MCD::OPC_Decode, 191, 16, 77, // Opcode: SDIV_MM
/* 2675 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 2687
/* 2679 */    MCD::OPC_CheckPredicate, 6, 46, 6, // Skip to: 4265
/* 2683 */    MCD::OPC_Decode, 222, 19, 77, // Opcode: UDIV_MM
/* 2687 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 2699
/* 2691 */    MCD::OPC_CheckPredicate, 6, 34, 6, // Skip to: 4265
/* 2695 */    MCD::OPC_Decode, 141, 12, 77, // Opcode: MADD_MM
/* 2699 */    MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 2711
/* 2703 */    MCD::OPC_CheckPredicate, 6, 22, 6, // Skip to: 4265
/* 2707 */    MCD::OPC_Decode, 131, 12, 77, // Opcode: MADDU_MM
/* 2711 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 2723
/* 2715 */    MCD::OPC_CheckPredicate, 6, 10, 6, // Skip to: 4265
/* 2719 */    MCD::OPC_Decode, 202, 13, 77, // Opcode: MSUB_MM
/* 2723 */    MCD::OPC_FilterValue, 15, 2, 6, // Skip to: 4265
/* 2727 */    MCD::OPC_CheckPredicate, 6, 254, 5, // Skip to: 4265
/* 2731 */    MCD::OPC_Decode, 192, 13, 77, // Opcode: MSUBU_MM
/* 2735 */    MCD::OPC_FilterValue, 45, 45, 0, // Skip to: 2784
/* 2739 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 2742 */    MCD::OPC_FilterValue, 6, 14, 0, // Skip to: 2760
/* 2746 */    MCD::OPC_CheckPredicate, 6, 235, 5, // Skip to: 4265
/* 2750 */    MCD::OPC_CheckField, 21, 5, 0, 229, 5, // Skip to: 4265
/* 2756 */    MCD::OPC_Decode, 247, 18, 78, // Opcode: SYNC_MM
/* 2760 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 2772
/* 2764 */    MCD::OPC_CheckPredicate, 6, 217, 5, // Skip to: 4265
/* 2768 */    MCD::OPC_Decode, 250, 18, 69, // Opcode: SYSCALL_MM
/* 2772 */    MCD::OPC_FilterValue, 13, 209, 5, // Skip to: 4265
/* 2776 */    MCD::OPC_CheckPredicate, 6, 205, 5, // Skip to: 4265
/* 2780 */    MCD::OPC_Decode, 179, 16, 69, // Opcode: SDBBP_MM
/* 2784 */    MCD::OPC_FilterValue, 48, 8, 0, // Skip to: 2796
/* 2788 */    MCD::OPC_CheckPredicate, 6, 193, 5, // Skip to: 4265
/* 2792 */    MCD::OPC_Decode, 207, 19, 57, // Opcode: TNE_MM
/* 2796 */    MCD::OPC_FilterValue, 50, 51, 0, // Skip to: 2851
/* 2800 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 2803 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2815
/* 2807 */    MCD::OPC_CheckPredicate, 8, 174, 5, // Skip to: 4265
/* 2811 */    MCD::OPC_Decode, 155, 14, 79, // Opcode: MULT_DSP_MM
/* 2815 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2827
/* 2819 */    MCD::OPC_CheckPredicate, 8, 162, 5, // Skip to: 4265
/* 2823 */    MCD::OPC_Decode, 153, 14, 79, // Opcode: MULTU_DSP_MM
/* 2827 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2839
/* 2831 */    MCD::OPC_CheckPredicate, 9, 150, 5, // Skip to: 4265
/* 2835 */    MCD::OPC_Decode, 150, 14, 61, // Opcode: MULSA_W_PH_MMR2
/* 2839 */    MCD::OPC_FilterValue, 3, 142, 5, // Skip to: 4265
/* 2843 */    MCD::OPC_CheckPredicate, 8, 138, 5, // Skip to: 4265
/* 2847 */    MCD::OPC_Decode, 148, 14, 61, // Opcode: MULSAQ_S_W_PH_MM
/* 2851 */    MCD::OPC_FilterValue, 52, 27, 0, // Skip to: 2882
/* 2855 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 2858 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 2870
/* 2862 */    MCD::OPC_CheckPredicate, 11, 119, 5, // Skip to: 4265
/* 2866 */    MCD::OPC_Decode, 180, 4, 80, // Opcode: CFC2_MM
/* 2870 */    MCD::OPC_FilterValue, 13, 111, 5, // Skip to: 4265
/* 2874 */    MCD::OPC_CheckPredicate, 11, 107, 5, // Skip to: 4265
/* 2878 */    MCD::OPC_Decode, 203, 5, 81, // Opcode: CTC2_MM
/* 2882 */    MCD::OPC_FilterValue, 53, 75, 0, // Skip to: 2961
/* 2886 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 2889 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 2907
/* 2893 */    MCD::OPC_CheckPredicate, 6, 88, 5, // Skip to: 4265
/* 2897 */    MCD::OPC_CheckField, 21, 5, 0, 82, 5, // Skip to: 4265
/* 2903 */    MCD::OPC_Decode, 202, 12, 73, // Opcode: MFHI_MM
/* 2907 */    MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 2925
/* 2911 */    MCD::OPC_CheckPredicate, 6, 70, 5, // Skip to: 4265
/* 2915 */    MCD::OPC_CheckField, 21, 5, 0, 64, 5, // Skip to: 4265
/* 2921 */    MCD::OPC_Decode, 208, 12, 73, // Opcode: MFLO_MM
/* 2925 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 2943
/* 2929 */    MCD::OPC_CheckPredicate, 6, 52, 5, // Skip to: 4265
/* 2933 */    MCD::OPC_CheckField, 21, 5, 0, 46, 5, // Skip to: 4265
/* 2939 */    MCD::OPC_Decode, 226, 13, 73, // Opcode: MTHI_MM
/* 2943 */    MCD::OPC_FilterValue, 3, 38, 5, // Skip to: 4265
/* 2947 */    MCD::OPC_CheckPredicate, 6, 34, 5, // Skip to: 4265
/* 2951 */    MCD::OPC_CheckField, 21, 5, 0, 28, 5, // Skip to: 4265
/* 2957 */    MCD::OPC_Decode, 233, 13, 73, // Opcode: MTLO_MM
/* 2961 */    MCD::OPC_FilterValue, 57, 51, 0, // Skip to: 3016
/* 2965 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 2968 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 2980
/* 2972 */    MCD::OPC_CheckPredicate, 8, 9, 5, // Skip to: 4265
/* 2976 */    MCD::OPC_Decode, 188, 8, 72, // Opcode: EXTR_W_MM
/* 2980 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2992
/* 2984 */    MCD::OPC_CheckPredicate, 8, 253, 4, // Skip to: 4265
/* 2988 */    MCD::OPC_Decode, 184, 8, 72, // Opcode: EXTR_R_W_MM
/* 2992 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3004
/* 2996 */    MCD::OPC_CheckPredicate, 8, 241, 4, // Skip to: 4265
/* 3000 */    MCD::OPC_Decode, 182, 8, 72, // Opcode: EXTR_RS_W_MM
/* 3004 */    MCD::OPC_FilterValue, 3, 233, 4, // Skip to: 4265
/* 3008 */    MCD::OPC_CheckPredicate, 8, 229, 4, // Skip to: 4265
/* 3012 */    MCD::OPC_Decode, 186, 8, 72, // Opcode: EXTR_S_H_MM
/* 3016 */    MCD::OPC_FilterValue, 58, 51, 0, // Skip to: 3071
/* 3020 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 3023 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 3035
/* 3027 */    MCD::OPC_CheckPredicate, 8, 210, 4, // Skip to: 4265
/* 3031 */    MCD::OPC_Decode, 180, 8, 75, // Opcode: EXTRV_W_MM
/* 3035 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3047
/* 3039 */    MCD::OPC_CheckPredicate, 8, 198, 4, // Skip to: 4265
/* 3043 */    MCD::OPC_Decode, 176, 8, 75, // Opcode: EXTRV_R_W_MM
/* 3047 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3059
/* 3051 */    MCD::OPC_CheckPredicate, 8, 186, 4, // Skip to: 4265
/* 3055 */    MCD::OPC_Decode, 174, 8, 75, // Opcode: EXTRV_RS_W_MM
/* 3059 */    MCD::OPC_FilterValue, 3, 178, 4, // Skip to: 4265
/* 3063 */    MCD::OPC_CheckPredicate, 8, 174, 4, // Skip to: 4265
/* 3067 */    MCD::OPC_Decode, 178, 8, 75, // Opcode: EXTRV_S_H_MM
/* 3071 */    MCD::OPC_FilterValue, 60, 166, 4, // Skip to: 4265
/* 3075 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 3078 */    MCD::OPC_FilterValue, 0, 22, 0, // Skip to: 3104
/* 3082 */    MCD::OPC_CheckPredicate, 6, 10, 0, // Skip to: 3096
/* 3086 */    MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 3096
/* 3092 */    MCD::OPC_Decode, 209, 10, 73, // Opcode: JR_MM
/* 3096 */    MCD::OPC_CheckPredicate, 6, 141, 4, // Skip to: 4265
/* 3100 */    MCD::OPC_Decode, 189, 10, 63, // Opcode: JALR_MM
/* 3104 */    MCD::OPC_FilterValue, 4, 133, 4, // Skip to: 4265
/* 3108 */    MCD::OPC_CheckPredicate, 6, 129, 4, // Skip to: 4265
/* 3112 */    MCD::OPC_Decode, 187, 10, 63, // Opcode: JALRS_MM
/* 3116 */    MCD::OPC_FilterValue, 61, 121, 4, // Skip to: 4265
/* 3120 */    MCD::OPC_CheckPredicate, 8, 117, 4, // Skip to: 4265
/* 3124 */    MCD::OPC_CheckField, 6, 5, 0, 111, 4, // Skip to: 4265
/* 3130 */    MCD::OPC_Decode, 242, 15, 82, // Opcode: REPL_PH_MM
/* 3134 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 3146
/* 3138 */    MCD::OPC_CheckPredicate, 6, 99, 4, // Skip to: 4265
/* 3142 */    MCD::OPC_Decode, 180, 1, 83, // Opcode: ADDi_MM
/* 3146 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 3158
/* 3150 */    MCD::OPC_CheckPredicate, 6, 87, 4, // Skip to: 4265
/* 3154 */    MCD::OPC_Decode, 235, 10, 84, // Opcode: LBu_MM
/* 3158 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3170
/* 3162 */    MCD::OPC_CheckPredicate, 6, 75, 4, // Skip to: 4265
/* 3166 */    MCD::OPC_Decode, 163, 16, 84, // Opcode: SB_MM
/* 3170 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 3182
/* 3174 */    MCD::OPC_CheckPredicate, 6, 63, 4, // Skip to: 4265
/* 3178 */    MCD::OPC_Decode, 229, 10, 84, // Opcode: LB_MM
/* 3182 */    MCD::OPC_FilterValue, 8, 63, 0, // Skip to: 3249
/* 3186 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 3189 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3201
/* 3193 */    MCD::OPC_CheckPredicate, 6, 44, 4, // Skip to: 4265
/* 3197 */    MCD::OPC_Decode, 206, 11, 85, // Opcode: LWP_MM
/* 3201 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 3213
/* 3205 */    MCD::OPC_CheckPredicate, 6, 32, 4, // Skip to: 4265
/* 3209 */    MCD::OPC_Decode, 202, 11, 85, // Opcode: LWM32_MM
/* 3213 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3225
/* 3217 */    MCD::OPC_CheckPredicate, 6, 20, 4, // Skip to: 4265
/* 3221 */    MCD::OPC_Decode, 156, 4, 86, // Opcode: CACHE_MM
/* 3225 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 3237
/* 3229 */    MCD::OPC_CheckPredicate, 6, 8, 4, // Skip to: 4265
/* 3233 */    MCD::OPC_Decode, 230, 18, 85, // Opcode: SWP_MM
/* 3237 */    MCD::OPC_FilterValue, 13, 0, 4, // Skip to: 4265
/* 3241 */    MCD::OPC_CheckPredicate, 6, 252, 3, // Skip to: 4265
/* 3245 */    MCD::OPC_Decode, 228, 18, 85, // Opcode: SWM32_MM
/* 3249 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 3261
/* 3253 */    MCD::OPC_CheckPredicate, 6, 240, 3, // Skip to: 4265
/* 3257 */    MCD::OPC_Decode, 182, 1, 83, // Opcode: ADDiu_MM
/* 3261 */    MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 3273
/* 3265 */    MCD::OPC_CheckPredicate, 6, 228, 3, // Skip to: 4265
/* 3269 */    MCD::OPC_Decode, 149, 11, 84, // Opcode: LHu_MM
/* 3273 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 3285
/* 3277 */    MCD::OPC_CheckPredicate, 6, 216, 3, // Skip to: 4265
/* 3281 */    MCD::OPC_Decode, 161, 17, 84, // Opcode: SH_MM
/* 3285 */    MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 3297
/* 3289 */    MCD::OPC_CheckPredicate, 6, 204, 3, // Skip to: 4265
/* 3293 */    MCD::OPC_Decode, 144, 11, 84, // Opcode: LH_MM
/* 3297 */    MCD::OPC_FilterValue, 16, 255, 0, // Skip to: 3556
/* 3301 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 3304 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 3316
/* 3308 */    MCD::OPC_CheckPredicate, 6, 185, 3, // Skip to: 4265
/* 3312 */    MCD::OPC_Decode, 184, 3, 87, // Opcode: BLTZ_MM
/* 3316 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3328
/* 3320 */    MCD::OPC_CheckPredicate, 6, 173, 3, // Skip to: 4265
/* 3324 */    MCD::OPC_Decode, 179, 3, 87, // Opcode: BLTZAL_MM
/* 3328 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3340
/* 3332 */    MCD::OPC_CheckPredicate, 6, 161, 3, // Skip to: 4265
/* 3336 */    MCD::OPC_Decode, 231, 2, 87, // Opcode: BGEZ_MM
/* 3340 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 3352
/* 3344 */    MCD::OPC_CheckPredicate, 6, 149, 3, // Skip to: 4265
/* 3348 */    MCD::OPC_Decode, 226, 2, 87, // Opcode: BGEZAL_MM
/* 3352 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 3364
/* 3356 */    MCD::OPC_CheckPredicate, 6, 137, 3, // Skip to: 4265
/* 3360 */    MCD::OPC_Decode, 157, 3, 87, // Opcode: BLEZ_MM
/* 3364 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 3376
/* 3368 */    MCD::OPC_CheckPredicate, 5, 125, 3, // Skip to: 4265
/* 3372 */    MCD::OPC_Decode, 210, 3, 87, // Opcode: BNEZC_MM
/* 3376 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3388
/* 3380 */    MCD::OPC_CheckPredicate, 6, 113, 3, // Skip to: 4265
/* 3384 */    MCD::OPC_Decode, 248, 2, 87, // Opcode: BGTZ_MM
/* 3388 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 3400
/* 3392 */    MCD::OPC_CheckPredicate, 5, 101, 3, // Skip to: 4265
/* 3396 */    MCD::OPC_Decode, 202, 2, 87, // Opcode: BEQZC_MM
/* 3400 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 3412
/* 3404 */    MCD::OPC_CheckPredicate, 6, 89, 3, // Skip to: 4265
/* 3408 */    MCD::OPC_Decode, 200, 19, 88, // Opcode: TLTI_MM
/* 3412 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 3424
/* 3416 */    MCD::OPC_CheckPredicate, 6, 77, 3, // Skip to: 4265
/* 3420 */    MCD::OPC_Decode, 181, 19, 88, // Opcode: TGEI_MM
/* 3424 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 3436
/* 3428 */    MCD::OPC_CheckPredicate, 6, 65, 3, // Skip to: 4265
/* 3432 */    MCD::OPC_Decode, 199, 19, 88, // Opcode: TLTIU_MM
/* 3436 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 3448
/* 3440 */    MCD::OPC_CheckPredicate, 6, 53, 3, // Skip to: 4265
/* 3444 */    MCD::OPC_Decode, 180, 19, 88, // Opcode: TGEIU_MM
/* 3448 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 3460
/* 3452 */    MCD::OPC_CheckPredicate, 6, 41, 3, // Skip to: 4265
/* 3456 */    MCD::OPC_Decode, 206, 19, 88, // Opcode: TNEI_MM
/* 3460 */    MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 3472
/* 3464 */    MCD::OPC_CheckPredicate, 6, 29, 3, // Skip to: 4265
/* 3468 */    MCD::OPC_Decode, 179, 11, 89, // Opcode: LUi_MM
/* 3472 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 3484
/* 3476 */    MCD::OPC_CheckPredicate, 6, 17, 3, // Skip to: 4265
/* 3480 */    MCD::OPC_Decode, 175, 19, 88, // Opcode: TEQI_MM
/* 3484 */    MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 3496
/* 3488 */    MCD::OPC_CheckPredicate, 6, 5, 3, // Skip to: 4265
/* 3492 */    MCD::OPC_Decode, 245, 18, 90, // Opcode: SYNCI_MM
/* 3496 */    MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 3508
/* 3500 */    MCD::OPC_CheckPredicate, 6, 249, 2, // Skip to: 4265
/* 3504 */    MCD::OPC_Decode, 178, 3, 87, // Opcode: BLTZALS_MM
/* 3508 */    MCD::OPC_FilterValue, 19, 8, 0, // Skip to: 3520
/* 3512 */    MCD::OPC_CheckPredicate, 6, 237, 2, // Skip to: 4265
/* 3516 */    MCD::OPC_Decode, 225, 2, 87, // Opcode: BGEZALS_MM
/* 3520 */    MCD::OPC_FilterValue, 25, 14, 0, // Skip to: 3538
/* 3524 */    MCD::OPC_CheckPredicate, 12, 225, 2, // Skip to: 4265
/* 3528 */    MCD::OPC_CheckField, 16, 5, 0, 219, 2, // Skip to: 4265
/* 3534 */    MCD::OPC_Decode, 223, 3, 91, // Opcode: BPOSGE32C_MMR3
/* 3538 */    MCD::OPC_FilterValue, 27, 211, 2, // Skip to: 4265
/* 3542 */    MCD::OPC_CheckPredicate, 13, 207, 2, // Skip to: 4265
/* 3546 */    MCD::OPC_CheckField, 16, 5, 0, 201, 2, // Skip to: 4265
/* 3552 */    MCD::OPC_Decode, 224, 3, 92, // Opcode: BPOSGE32_MM
/* 3556 */    MCD::OPC_FilterValue, 20, 8, 0, // Skip to: 3568
/* 3560 */    MCD::OPC_CheckPredicate, 6, 189, 2, // Skip to: 4265
/* 3564 */    MCD::OPC_Decode, 230, 14, 93, // Opcode: ORi_MM
/* 3568 */    MCD::OPC_FilterValue, 21, 135, 0, // Skip to: 3707
/* 3572 */    MCD::OPC_ExtractField, 0, 11,  // Inst{10-0} ...
/* 3575 */    MCD::OPC_FilterValue, 59, 27, 0, // Skip to: 3606
/* 3579 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 3582 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3594
/* 3586 */    MCD::OPC_CheckPredicate, 14, 163, 2, // Skip to: 4265
/* 3590 */    MCD::OPC_Decode, 179, 4, 94, // Opcode: CFC1_MM
/* 3594 */    MCD::OPC_FilterValue, 3, 155, 2, // Skip to: 4265
/* 3598 */    MCD::OPC_CheckPredicate, 14, 151, 2, // Skip to: 4265
/* 3602 */    MCD::OPC_Decode, 202, 5, 95, // Opcode: CTC1_MM
/* 3606 */    MCD::OPC_FilterValue, 251, 2, 27, 0, // Skip to: 3638
/* 3611 */    MCD::OPC_ExtractField, 11, 2,  // Inst{12-11} ...
/* 3614 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 3626
/* 3618 */    MCD::OPC_CheckPredicate, 6, 131, 2, // Skip to: 4265
/* 3622 */    MCD::OPC_Decode, 143, 13, 96, // Opcode: MOVF_I_MM
/* 3626 */    MCD::OPC_FilterValue, 1, 123, 2, // Skip to: 4265
/* 3630 */    MCD::OPC_CheckPredicate, 6, 119, 2, // Skip to: 4265
/* 3634 */    MCD::OPC_Decode, 163, 13, 96, // Opcode: MOVT_I_MM
/* 3638 */    MCD::OPC_FilterValue, 160, 3, 8, 0, // Skip to: 3651
/* 3643 */    MCD::OPC_CheckPredicate, 6, 106, 2, // Skip to: 4265
/* 3647 */    MCD::OPC_Decode, 164, 15, 97, // Opcode: PREFX_MM
/* 3651 */    MCD::OPC_FilterValue, 187, 4, 97, 2, // Skip to: 4265
/* 3656 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 3659 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 3671
/* 3663 */    MCD::OPC_CheckPredicate, 14, 86, 2, // Skip to: 4265
/* 3667 */    MCD::OPC_Decode, 143, 16, 98, // Opcode: RSQRT_S_MM
/* 3671 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3683
/* 3675 */    MCD::OPC_CheckPredicate, 14, 74, 2, // Skip to: 4265
/* 3679 */    MCD::OPC_Decode, 236, 15, 98, // Opcode: RECIP_S_MM
/* 3683 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 3695
/* 3687 */    MCD::OPC_CheckPredicate, 14, 62, 2, // Skip to: 4265
/* 3691 */    MCD::OPC_Decode, 141, 16, 99, // Opcode: RSQRT_D_MM
/* 3695 */    MCD::OPC_FilterValue, 10, 54, 2, // Skip to: 4265
/* 3699 */    MCD::OPC_CheckPredicate, 14, 50, 2, // Skip to: 4265
/* 3703 */    MCD::OPC_Decode, 234, 15, 99, // Opcode: RECIP_D_MM
/* 3707 */    MCD::OPC_FilterValue, 22, 42, 0, // Skip to: 3753
/* 3711 */    MCD::OPC_ExtractField, 0, 11,  // Inst{10-0} ...
/* 3714 */    MCD::OPC_FilterValue, 197, 1, 8, 0, // Skip to: 3727
/* 3719 */    MCD::OPC_CheckPredicate, 8, 30, 2, // Skip to: 4265
/* 3723 */    MCD::OPC_Decode, 238, 4, 42, // Opcode: CMPGU_EQ_QB_MM
/* 3727 */    MCD::OPC_FilterValue, 133, 2, 8, 0, // Skip to: 3740
/* 3732 */    MCD::OPC_CheckPredicate, 8, 17, 2, // Skip to: 4265
/* 3736 */    MCD::OPC_Decode, 242, 4, 42, // Opcode: CMPGU_LT_QB_MM
/* 3740 */    MCD::OPC_FilterValue, 197, 2, 8, 2, // Skip to: 4265
/* 3745 */    MCD::OPC_CheckPredicate, 8, 4, 2, // Skip to: 4265
/* 3749 */    MCD::OPC_Decode, 240, 4, 42, // Opcode: CMPGU_LE_QB_MM
/* 3753 */    MCD::OPC_FilterValue, 24, 49, 1, // Skip to: 4062
/* 3757 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 3760 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 3772
/* 3764 */    MCD::OPC_CheckPredicate, 6, 241, 1, // Skip to: 4265
/* 3768 */    MCD::OPC_Decode, 199, 11, 85, // Opcode: LWL_MM
/* 3772 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3784
/* 3776 */    MCD::OPC_CheckPredicate, 6, 229, 1, // Skip to: 4265
/* 3780 */    MCD::OPC_Decode, 212, 11, 85, // Opcode: LWR_MM
/* 3784 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3796
/* 3788 */    MCD::OPC_CheckPredicate, 6, 217, 1, // Skip to: 4265
/* 3792 */    MCD::OPC_Decode, 165, 15, 86, // Opcode: PREF_MM
/* 3796 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 3808
/* 3800 */    MCD::OPC_CheckPredicate, 6, 205, 1, // Skip to: 4265
/* 3804 */    MCD::OPC_Decode, 161, 11, 85, // Opcode: LL_MM
/* 3808 */    MCD::OPC_FilterValue, 6, 99, 0, // Skip to: 3911
/* 3812 */    MCD::OPC_ExtractField, 9, 3,  // Inst{11-9} ...
/* 3815 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 3827
/* 3819 */    MCD::OPC_CheckPredicate, 6, 186, 1, // Skip to: 4265
/* 3823 */    MCD::OPC_Decode, 234, 10, 100, // Opcode: LBuE_MM
/* 3827 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3839
/* 3831 */    MCD::OPC_CheckPredicate, 6, 174, 1, // Skip to: 4265
/* 3835 */    MCD::OPC_Decode, 148, 11, 100, // Opcode: LHuE_MM
/* 3839 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3851
/* 3843 */    MCD::OPC_CheckPredicate, 6, 162, 1, // Skip to: 4265
/* 3847 */    MCD::OPC_Decode, 198, 11, 100, // Opcode: LWLE_MM
/* 3851 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 3863
/* 3855 */    MCD::OPC_CheckPredicate, 6, 150, 1, // Skip to: 4265
/* 3859 */    MCD::OPC_Decode, 211, 11, 100, // Opcode: LWRE_MM
/* 3863 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 3875
/* 3867 */    MCD::OPC_CheckPredicate, 6, 138, 1, // Skip to: 4265
/* 3871 */    MCD::OPC_Decode, 222, 10, 100, // Opcode: LBE_MM
/* 3875 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 3887
/* 3879 */    MCD::OPC_CheckPredicate, 6, 126, 1, // Skip to: 4265
/* 3883 */    MCD::OPC_Decode, 140, 11, 100, // Opcode: LHE_MM
/* 3887 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3899
/* 3891 */    MCD::OPC_CheckPredicate, 6, 114, 1, // Skip to: 4265
/* 3895 */    MCD::OPC_Decode, 159, 11, 100, // Opcode: LLE_MM
/* 3899 */    MCD::OPC_FilterValue, 7, 106, 1, // Skip to: 4265
/* 3903 */    MCD::OPC_CheckPredicate, 6, 102, 1, // Skip to: 4265
/* 3907 */    MCD::OPC_Decode, 192, 11, 100, // Opcode: LWE_MM
/* 3911 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 3923
/* 3915 */    MCD::OPC_CheckPredicate, 6, 90, 1, // Skip to: 4265
/* 3919 */    MCD::OPC_Decode, 225, 18, 85, // Opcode: SWL_MM
/* 3923 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 3935
/* 3927 */    MCD::OPC_CheckPredicate, 6, 78, 1, // Skip to: 4265
/* 3931 */    MCD::OPC_Decode, 236, 18, 85, // Opcode: SWR_MM
/* 3935 */    MCD::OPC_FilterValue, 10, 99, 0, // Skip to: 4038
/* 3939 */    MCD::OPC_ExtractField, 9, 3,  // Inst{11-9} ...
/* 3942 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 3954
/* 3946 */    MCD::OPC_CheckPredicate, 6, 59, 1, // Skip to: 4265
/* 3950 */    MCD::OPC_Decode, 224, 18, 100, // Opcode: SWLE_MM
/* 3954 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3966
/* 3958 */    MCD::OPC_CheckPredicate, 6, 47, 1, // Skip to: 4265
/* 3962 */    MCD::OPC_Decode, 235, 18, 100, // Opcode: SWRE_MM
/* 3966 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3978
/* 3970 */    MCD::OPC_CheckPredicate, 6, 35, 1, // Skip to: 4265
/* 3974 */    MCD::OPC_Decode, 162, 15, 101, // Opcode: PREFE_MM
/* 3978 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 3990
/* 3982 */    MCD::OPC_CheckPredicate, 6, 23, 1, // Skip to: 4265
/* 3986 */    MCD::OPC_Decode, 154, 4, 101, // Opcode: CACHEE_MM
/* 3990 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 4002
/* 3994 */    MCD::OPC_CheckPredicate, 6, 11, 1, // Skip to: 4265
/* 3998 */    MCD::OPC_Decode, 161, 16, 100, // Opcode: SBE_MM
/* 4002 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 4014
/* 4006 */    MCD::OPC_CheckPredicate, 6, 255, 0, // Skip to: 4265
/* 4010 */    MCD::OPC_Decode, 236, 16, 100, // Opcode: SHE_MM
/* 4014 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 4026
/* 4018 */    MCD::OPC_CheckPredicate, 6, 243, 0, // Skip to: 4265
/* 4022 */    MCD::OPC_Decode, 171, 16, 100, // Opcode: SCE_MM
/* 4026 */    MCD::OPC_FilterValue, 7, 235, 0, // Skip to: 4265
/* 4030 */    MCD::OPC_CheckPredicate, 6, 231, 0, // Skip to: 4265
/* 4034 */    MCD::OPC_Decode, 219, 18, 100, // Opcode: SWE_MM
/* 4038 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 4050
/* 4042 */    MCD::OPC_CheckPredicate, 6, 219, 0, // Skip to: 4265
/* 4046 */    MCD::OPC_Decode, 173, 16, 85, // Opcode: SC_MM
/* 4050 */    MCD::OPC_FilterValue, 14, 211, 0, // Skip to: 4265
/* 4054 */    MCD::OPC_CheckPredicate, 10, 207, 0, // Skip to: 4265
/* 4058 */    MCD::OPC_Decode, 216, 11, 85, // Opcode: LWU_MM
/* 4062 */    MCD::OPC_FilterValue, 28, 8, 0, // Skip to: 4074
/* 4066 */    MCD::OPC_CheckPredicate, 6, 195, 0, // Skip to: 4265
/* 4070 */    MCD::OPC_Decode, 133, 20, 93, // Opcode: XORi_MM
/* 4074 */    MCD::OPC_FilterValue, 29, 8, 0, // Skip to: 4086
/* 4078 */    MCD::OPC_CheckPredicate, 6, 183, 0, // Skip to: 4265
/* 4082 */    MCD::OPC_Decode, 190, 10, 102, // Opcode: JALS_MM
/* 4086 */    MCD::OPC_FilterValue, 30, 7, 0, // Skip to: 4097
/* 4090 */    MCD::OPC_CheckPredicate, 6, 171, 0, // Skip to: 4265
/* 4094 */    MCD::OPC_Decode, 113, 103, // Opcode: ADDIUPC_MM
/* 4097 */    MCD::OPC_FilterValue, 36, 8, 0, // Skip to: 4109
/* 4101 */    MCD::OPC_CheckPredicate, 6, 160, 0, // Skip to: 4265
/* 4105 */    MCD::OPC_Decode, 195, 17, 83, // Opcode: SLTi_MM
/* 4109 */    MCD::OPC_FilterValue, 37, 8, 0, // Skip to: 4121
/* 4113 */    MCD::OPC_CheckPredicate, 6, 148, 0, // Skip to: 4265
/* 4117 */    MCD::OPC_Decode, 204, 2, 104, // Opcode: BEQ_MM
/* 4121 */    MCD::OPC_FilterValue, 38, 8, 0, // Skip to: 4133
/* 4125 */    MCD::OPC_CheckPredicate, 14, 136, 0, // Skip to: 4265
/* 4129 */    MCD::OPC_Decode, 211, 18, 105, // Opcode: SWC1_MM
/* 4133 */    MCD::OPC_FilterValue, 39, 8, 0, // Skip to: 4145
/* 4137 */    MCD::OPC_CheckPredicate, 14, 124, 0, // Skip to: 4265
/* 4141 */    MCD::OPC_Decode, 184, 11, 105, // Opcode: LWC1_MM
/* 4145 */    MCD::OPC_FilterValue, 44, 8, 0, // Skip to: 4157
/* 4149 */    MCD::OPC_CheckPredicate, 6, 112, 0, // Skip to: 4265
/* 4153 */    MCD::OPC_Decode, 198, 17, 83, // Opcode: SLTiu_MM
/* 4157 */    MCD::OPC_FilterValue, 45, 8, 0, // Skip to: 4169
/* 4161 */    MCD::OPC_CheckPredicate, 6, 100, 0, // Skip to: 4265
/* 4165 */    MCD::OPC_Decode, 212, 3, 104, // Opcode: BNE_MM
/* 4169 */    MCD::OPC_FilterValue, 46, 8, 0, // Skip to: 4181
/* 4173 */    MCD::OPC_CheckPredicate, 15, 88, 0, // Skip to: 4265
/* 4177 */    MCD::OPC_Decode, 185, 16, 105, // Opcode: SDC1_MM
/* 4181 */    MCD::OPC_FilterValue, 47, 8, 0, // Skip to: 4193
/* 4185 */    MCD::OPC_CheckPredicate, 15, 76, 0, // Skip to: 4265
/* 4189 */    MCD::OPC_Decode, 240, 10, 105, // Opcode: LDC1_MM
/* 4193 */    MCD::OPC_FilterValue, 52, 8, 0, // Skip to: 4205
/* 4197 */    MCD::OPC_CheckPredicate, 6, 64, 0, // Skip to: 4265
/* 4201 */    MCD::OPC_Decode, 207, 1, 93, // Opcode: ANDi_MM
/* 4205 */    MCD::OPC_FilterValue, 53, 8, 0, // Skip to: 4217
/* 4209 */    MCD::OPC_CheckPredicate, 6, 52, 0, // Skip to: 4265
/* 4213 */    MCD::OPC_Decode, 210, 10, 102, // Opcode: J_MM
/* 4217 */    MCD::OPC_FilterValue, 60, 8, 0, // Skip to: 4229
/* 4221 */    MCD::OPC_CheckPredicate, 6, 40, 0, // Skip to: 4265
/* 4225 */    MCD::OPC_Decode, 192, 10, 102, // Opcode: JALX_MM
/* 4229 */    MCD::OPC_FilterValue, 61, 8, 0, // Skip to: 4241
/* 4233 */    MCD::OPC_CheckPredicate, 6, 28, 0, // Skip to: 4265
/* 4237 */    MCD::OPC_Decode, 193, 10, 102, // Opcode: JAL_MM
/* 4241 */    MCD::OPC_FilterValue, 62, 8, 0, // Skip to: 4253
/* 4245 */    MCD::OPC_CheckPredicate, 6, 16, 0, // Skip to: 4265
/* 4249 */    MCD::OPC_Decode, 241, 18, 84, // Opcode: SW_MM
/* 4253 */    MCD::OPC_FilterValue, 63, 8, 0, // Skip to: 4265
/* 4257 */    MCD::OPC_CheckPredicate, 6, 4, 0, // Skip to: 4265
/* 4261 */    MCD::OPC_Decode, 223, 11, 84, // Opcode: LW_MM
/* 4265 */    MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMips32r6FP6432[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 21, 29, 0, // Skip to: 36
/* 7 */       MCD::OPC_ExtractField, 0, 16,  // Inst{15-0} ...
/* 10 */      MCD::OPC_FilterValue, 187, 96, 8, 0, // Skip to: 23
/* 15 */      MCD::OPC_CheckPredicate, 16, 41, 0, // Skip to: 60
/* 19 */      MCD::OPC_Decode, 194, 12, 106, // Opcode: MFHC1_D64_MMR6
/* 23 */      MCD::OPC_FilterValue, 187, 112, 32, 0, // Skip to: 60
/* 28 */      MCD::OPC_CheckPredicate, 16, 28, 0, // Skip to: 60
/* 32 */      MCD::OPC_Decode, 219, 13, 107, // Opcode: MTHC1_D64_MMR6
/* 36 */      MCD::OPC_FilterValue, 46, 8, 0, // Skip to: 48
/* 40 */      MCD::OPC_CheckPredicate, 16, 16, 0, // Skip to: 60
/* 44 */      MCD::OPC_Decode, 184, 16, 105, // Opcode: SDC1_D64_MMR6
/* 48 */      MCD::OPC_FilterValue, 47, 8, 0, // Skip to: 60
/* 52 */      MCD::OPC_CheckPredicate, 16, 4, 0, // Skip to: 60
/* 56 */      MCD::OPC_Decode, 239, 10, 105, // Opcode: LDC1_D64_MMR6
/* 60 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMipsDSP32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 62, 8, 0, // Skip to: 15
/* 7 */       MCD::OPC_CheckPredicate, 17, 16, 0, // Skip to: 27
/* 11 */      MCD::OPC_Decode, 217, 18, 108, // Opcode: SWDSP_MM
/* 15 */      MCD::OPC_FilterValue, 63, 8, 0, // Skip to: 27
/* 19 */      MCD::OPC_CheckPredicate, 17, 4, 0, // Skip to: 27
/* 23 */      MCD::OPC_Decode, 190, 11, 108, // Opcode: LWDSP_MM
/* 27 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMipsR616[] = {
/* 0 */       MCD::OPC_ExtractField, 10, 6,  // Inst{15-10} ...
/* 3 */       MCD::OPC_FilterValue, 1, 27, 0, // Skip to: 34
/* 7 */       MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 10 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 22
/* 14 */      MCD::OPC_CheckPredicate, 18, 71, 1, // Skip to: 345
/* 18 */      MCD::OPC_Decode, 149, 1, 109, // Opcode: ADDU16_MMR6
/* 22 */      MCD::OPC_FilterValue, 1, 63, 1, // Skip to: 345
/* 26 */      MCD::OPC_CheckPredicate, 18, 59, 1, // Skip to: 345
/* 30 */      MCD::OPC_Decode, 177, 18, 109, // Opcode: SUBU16_MMR6
/* 34 */      MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 46
/* 38 */      MCD::OPC_CheckPredicate, 18, 47, 1, // Skip to: 345
/* 42 */      MCD::OPC_Decode, 135, 13, 21, // Opcode: MOVE16_MMR6
/* 46 */      MCD::OPC_FilterValue, 9, 27, 0, // Skip to: 77
/* 50 */      MCD::OPC_ExtractField, 0, 1,  // Inst{0} ...
/* 53 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 65
/* 57 */      MCD::OPC_CheckPredicate, 18, 28, 1, // Skip to: 345
/* 61 */      MCD::OPC_Decode, 173, 17, 22, // Opcode: SLL16_MMR6
/* 65 */      MCD::OPC_FilterValue, 1, 20, 1, // Skip to: 345
/* 69 */      MCD::OPC_CheckPredicate, 18, 16, 1, // Skip to: 345
/* 73 */      MCD::OPC_Decode, 241, 17, 22, // Opcode: SRL16_MMR6
/* 77 */      MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 89
/* 81 */      MCD::OPC_CheckPredicate, 18, 4, 1, // Skip to: 345
/* 85 */      MCD::OPC_Decode, 196, 1, 23, // Opcode: ANDI16_MMR6
/* 89 */      MCD::OPC_FilterValue, 17, 156, 0, // Skip to: 249
/* 93 */      MCD::OPC_ExtractField, 0, 4,  // Inst{3-0} ...
/* 96 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 108
/* 100 */     MCD::OPC_CheckPredicate, 18, 241, 0, // Skip to: 345
/* 104 */     MCD::OPC_Decode, 213, 14, 110, // Opcode: NOT16_MMR6
/* 108 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 120
/* 112 */     MCD::OPC_CheckPredicate, 18, 229, 0, // Skip to: 345
/* 116 */     MCD::OPC_Decode, 193, 1, 111, // Opcode: AND16_MMR6
/* 120 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 132
/* 124 */     MCD::OPC_CheckPredicate, 18, 217, 0, // Skip to: 345
/* 128 */     MCD::OPC_Decode, 201, 11, 26, // Opcode: LWM16_MMR6
/* 132 */     MCD::OPC_FilterValue, 3, 27, 0, // Skip to: 163
/* 136 */     MCD::OPC_ExtractField, 4, 1,  // Inst{4} ...
/* 139 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 151
/* 143 */     MCD::OPC_CheckPredicate, 18, 198, 0, // Skip to: 345
/* 147 */     MCD::OPC_Decode, 205, 10, 112, // Opcode: JRC16_MMR6
/* 151 */     MCD::OPC_FilterValue, 1, 190, 0, // Skip to: 345
/* 155 */     MCD::OPC_CheckPredicate, 18, 186, 0, // Skip to: 345
/* 159 */     MCD::OPC_Decode, 206, 10, 113, // Opcode: JRCADDIUSP_MMR6
/* 163 */     MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 175
/* 167 */     MCD::OPC_CheckPredicate, 18, 174, 0, // Skip to: 345
/* 171 */     MCD::OPC_Decode, 249, 19, 111, // Opcode: XOR16_MMR6
/* 175 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 187
/* 179 */     MCD::OPC_CheckPredicate, 18, 162, 0, // Skip to: 345
/* 183 */     MCD::OPC_Decode, 218, 14, 111, // Opcode: OR16_MMR6
/* 187 */     MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 199
/* 191 */     MCD::OPC_CheckPredicate, 18, 150, 0, // Skip to: 345
/* 195 */     MCD::OPC_Decode, 227, 18, 26, // Opcode: SWM16_MMR6
/* 199 */     MCD::OPC_FilterValue, 11, 142, 0, // Skip to: 345
/* 203 */     MCD::OPC_ExtractField, 4, 1,  // Inst{4} ...
/* 206 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 218
/* 210 */     MCD::OPC_CheckPredicate, 18, 131, 0, // Skip to: 345
/* 214 */     MCD::OPC_Decode, 182, 10, 112, // Opcode: JALRC16_MMR6
/* 218 */     MCD::OPC_FilterValue, 1, 123, 0, // Skip to: 345
/* 222 */     MCD::OPC_ExtractField, 5, 1,  // Inst{5} ...
/* 225 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 237
/* 229 */     MCD::OPC_CheckPredicate, 18, 112, 0, // Skip to: 345
/* 233 */     MCD::OPC_Decode, 228, 3, 114, // Opcode: BREAK16_MMR6
/* 237 */     MCD::OPC_FilterValue, 1, 104, 0, // Skip to: 345
/* 241 */     MCD::OPC_CheckPredicate, 18, 100, 0, // Skip to: 345
/* 245 */     MCD::OPC_Decode, 178, 16, 114, // Opcode: SDBBP16_MMR6
/* 249 */     MCD::OPC_FilterValue, 34, 8, 0, // Skip to: 261
/* 253 */     MCD::OPC_CheckPredicate, 18, 88, 0, // Skip to: 345
/* 257 */     MCD::OPC_Decode, 158, 16, 20, // Opcode: SB16_MMR6
/* 261 */     MCD::OPC_FilterValue, 35, 8, 0, // Skip to: 273
/* 265 */     MCD::OPC_CheckPredicate, 18, 76, 0, // Skip to: 345
/* 269 */     MCD::OPC_Decode, 200, 2, 37, // Opcode: BEQZC16_MMR6
/* 273 */     MCD::OPC_FilterValue, 42, 8, 0, // Skip to: 285
/* 277 */     MCD::OPC_CheckPredicate, 18, 64, 0, // Skip to: 345
/* 281 */     MCD::OPC_Decode, 233, 16, 20, // Opcode: SH16_MMR6
/* 285 */     MCD::OPC_FilterValue, 43, 8, 0, // Skip to: 297
/* 289 */     MCD::OPC_CheckPredicate, 18, 52, 0, // Skip to: 345
/* 293 */     MCD::OPC_Decode, 208, 3, 37, // Opcode: BNEZC16_MMR6
/* 297 */     MCD::OPC_FilterValue, 50, 8, 0, // Skip to: 309
/* 301 */     MCD::OPC_CheckPredicate, 18, 40, 0, // Skip to: 345
/* 305 */     MCD::OPC_Decode, 238, 18, 30, // Opcode: SWSP_MMR6
/* 309 */     MCD::OPC_FilterValue, 51, 8, 0, // Skip to: 321
/* 313 */     MCD::OPC_CheckPredicate, 18, 28, 0, // Skip to: 345
/* 317 */     MCD::OPC_Decode, 165, 2, 38, // Opcode: BC16_MMR6
/* 321 */     MCD::OPC_FilterValue, 58, 8, 0, // Skip to: 333
/* 325 */     MCD::OPC_CheckPredicate, 18, 16, 0, // Skip to: 345
/* 329 */     MCD::OPC_Decode, 208, 18, 20, // Opcode: SW16_MMR6
/* 333 */     MCD::OPC_FilterValue, 59, 8, 0, // Skip to: 345
/* 337 */     MCD::OPC_CheckPredicate, 18, 4, 0, // Skip to: 345
/* 341 */     MCD::OPC_Decode, 151, 11, 39, // Opcode: LI16_MMR6
/* 345 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMipsR632[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 138, 3, // Skip to: 913
/* 7 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 10 */      MCD::OPC_FilterValue, 0, 96, 0, // Skip to: 110
/* 14 */      MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 17 */      MCD::OPC_FilterValue, 0, 47, 0, // Skip to: 68
/* 21 */      MCD::OPC_ExtractField, 11, 15,  // Inst{25-11} ...
/* 24 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 36
/* 28 */      MCD::OPC_CheckPredicate, 19, 28, 0, // Skip to: 60
/* 32 */      MCD::OPC_Decode, 135, 18, 0, // Opcode: SSNOP_MMR6
/* 36 */      MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 48
/* 40 */      MCD::OPC_CheckPredicate, 19, 16, 0, // Skip to: 60
/* 44 */      MCD::OPC_Decode, 150, 8, 0, // Opcode: EHB_MMR6
/* 48 */      MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 60
/* 52 */      MCD::OPC_CheckPredicate, 19, 4, 0, // Skip to: 60
/* 56 */      MCD::OPC_Decode, 236, 14, 0, // Opcode: PAUSE_MMR6
/* 60 */      MCD::OPC_CheckPredicate, 19, 157, 14, // Skip to: 3805
/* 64 */      MCD::OPC_Decode, 186, 17, 40, // Opcode: SLL_MMR6
/* 68 */      MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 80
/* 72 */      MCD::OPC_CheckPredicate, 19, 145, 14, // Skip to: 3805
/* 76 */      MCD::OPC_Decode, 213, 16, 43, // Opcode: SELEQZ_MMR6
/* 80 */      MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 92
/* 84 */      MCD::OPC_CheckPredicate, 19, 133, 14, // Skip to: 3805
/* 88 */      MCD::OPC_Decode, 220, 16, 43, // Opcode: SELNEZ_MMR6
/* 92 */      MCD::OPC_FilterValue, 7, 125, 14, // Skip to: 3805
/* 96 */      MCD::OPC_CheckPredicate, 19, 121, 14, // Skip to: 3805
/* 100 */     MCD::OPC_CheckField, 14, 2, 0, 115, 14, // Skip to: 3805
/* 106 */     MCD::OPC_Decode, 231, 15, 115, // Opcode: RDHWR_MMR6
/* 110 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 122
/* 114 */     MCD::OPC_CheckPredicate, 19, 103, 14, // Skip to: 3805
/* 118 */     MCD::OPC_Decode, 230, 3, 44, // Opcode: BREAK_MMR6
/* 122 */     MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 134
/* 126 */     MCD::OPC_CheckPredicate, 19, 91, 14, // Skip to: 3805
/* 130 */     MCD::OPC_Decode, 175, 10, 45, // Opcode: INS_MMR6
/* 134 */     MCD::OPC_FilterValue, 15, 14, 0, // Skip to: 152
/* 138 */     MCD::OPC_CheckPredicate, 19, 79, 14, // Skip to: 3805
/* 142 */     MCD::OPC_CheckField, 6, 3, 0, 73, 14, // Skip to: 3805
/* 148 */     MCD::OPC_Decode, 171, 11, 116, // Opcode: LSA_MMR6
/* 152 */     MCD::OPC_FilterValue, 16, 117, 0, // Skip to: 273
/* 156 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 159 */     MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 177
/* 163 */     MCD::OPC_CheckPredicate, 19, 54, 14, // Skip to: 3805
/* 167 */     MCD::OPC_CheckField, 16, 5, 0, 48, 14, // Skip to: 3805
/* 173 */     MCD::OPC_Decode, 229, 4, 14, // Opcode: CLZ_MMR6
/* 177 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 189
/* 181 */     MCD::OPC_CheckPredicate, 19, 36, 14, // Skip to: 3805
/* 185 */     MCD::OPC_Decode, 178, 1, 43, // Opcode: ADD_MMR6
/* 189 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 201
/* 193 */     MCD::OPC_CheckPredicate, 19, 24, 14, // Skip to: 3805
/* 197 */     MCD::OPC_Decode, 154, 1, 43, // Opcode: ADDU_MMR6
/* 201 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 213
/* 205 */     MCD::OPC_CheckPredicate, 19, 12, 14, // Skip to: 3805
/* 209 */     MCD::OPC_Decode, 200, 18, 43, // Opcode: SUB_MMR6
/* 213 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 225
/* 217 */     MCD::OPC_CheckPredicate, 19, 0, 14, // Skip to: 3805
/* 221 */     MCD::OPC_Decode, 182, 18, 43, // Opcode: SUBU_MMR6
/* 225 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 237
/* 229 */     MCD::OPC_CheckPredicate, 19, 244, 13, // Skip to: 3805
/* 233 */     MCD::OPC_Decode, 200, 1, 43, // Opcode: AND_MMR6
/* 237 */     MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 249
/* 241 */     MCD::OPC_CheckPredicate, 19, 232, 13, // Skip to: 3805
/* 245 */     MCD::OPC_Decode, 223, 14, 43, // Opcode: OR_MMR6
/* 249 */     MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 261
/* 253 */     MCD::OPC_CheckPredicate, 19, 220, 13, // Skip to: 3805
/* 257 */     MCD::OPC_Decode, 207, 14, 43, // Opcode: NOR_MMR6
/* 261 */     MCD::OPC_FilterValue, 12, 212, 13, // Skip to: 3805
/* 265 */     MCD::OPC_CheckPredicate, 19, 208, 13, // Skip to: 3805
/* 269 */     MCD::OPC_Decode, 254, 19, 43, // Opcode: XOR_MMR6
/* 273 */     MCD::OPC_FilterValue, 24, 99, 0, // Skip to: 376
/* 277 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 280 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 292
/* 284 */     MCD::OPC_CheckPredicate, 19, 189, 13, // Skip to: 3805
/* 288 */     MCD::OPC_Decode, 166, 14, 43, // Opcode: MUL_MMR6
/* 292 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 304
/* 296 */     MCD::OPC_CheckPredicate, 19, 177, 13, // Skip to: 3805
/* 300 */     MCD::OPC_Decode, 252, 13, 43, // Opcode: MUH_MMR6
/* 304 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 316
/* 308 */     MCD::OPC_CheckPredicate, 19, 165, 13, // Skip to: 3805
/* 312 */     MCD::OPC_Decode, 160, 14, 43, // Opcode: MULU_MMR6
/* 316 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 328
/* 320 */     MCD::OPC_CheckPredicate, 19, 153, 13, // Skip to: 3805
/* 324 */     MCD::OPC_Decode, 251, 13, 43, // Opcode: MUHU_MMR6
/* 328 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 340
/* 332 */     MCD::OPC_CheckPredicate, 19, 141, 13, // Skip to: 3805
/* 336 */     MCD::OPC_Decode, 129, 7, 43, // Opcode: DIV_MMR6
/* 340 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 352
/* 344 */     MCD::OPC_CheckPredicate, 19, 129, 13, // Skip to: 3805
/* 348 */     MCD::OPC_Decode, 253, 12, 43, // Opcode: MOD_MMR6
/* 352 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 364
/* 356 */     MCD::OPC_CheckPredicate, 19, 117, 13, // Skip to: 3805
/* 360 */     MCD::OPC_Decode, 128, 7, 43, // Opcode: DIVU_MMR6
/* 364 */     MCD::OPC_FilterValue, 7, 109, 13, // Skip to: 3805
/* 368 */     MCD::OPC_CheckPredicate, 19, 105, 13, // Skip to: 3805
/* 372 */     MCD::OPC_Decode, 252, 12, 43, // Opcode: MODU_MMR6
/* 376 */     MCD::OPC_FilterValue, 31, 14, 0, // Skip to: 394
/* 380 */     MCD::OPC_CheckPredicate, 19, 93, 13, // Skip to: 3805
/* 384 */     MCD::OPC_CheckField, 6, 3, 0, 87, 13, // Skip to: 3805
/* 390 */     MCD::OPC_Decode, 188, 1, 117, // Opcode: ALIGN_MMR6
/* 394 */     MCD::OPC_FilterValue, 44, 8, 0, // Skip to: 406
/* 398 */     MCD::OPC_CheckPredicate, 19, 75, 13, // Skip to: 3805
/* 402 */     MCD::OPC_Decode, 192, 8, 54, // Opcode: EXT_MMR6
/* 406 */     MCD::OPC_FilterValue, 52, 39, 0, // Skip to: 449
/* 410 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 413 */     MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 431
/* 417 */     MCD::OPC_CheckPredicate, 19, 56, 13, // Skip to: 3805
/* 421 */     MCD::OPC_CheckField, 14, 2, 0, 50, 13, // Skip to: 3805
/* 427 */     MCD::OPC_Decode, 190, 12, 118, // Opcode: MFHC0_MMR6
/* 431 */     MCD::OPC_FilterValue, 11, 42, 13, // Skip to: 3805
/* 435 */     MCD::OPC_CheckPredicate, 19, 38, 13, // Skip to: 3805
/* 439 */     MCD::OPC_CheckField, 14, 2, 0, 32, 13, // Skip to: 3805
/* 445 */     MCD::OPC_Decode, 215, 13, 119, // Opcode: MTHC0_MMR6
/* 449 */     MCD::OPC_FilterValue, 60, 24, 13, // Skip to: 3805
/* 453 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 456 */     MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 474
/* 460 */     MCD::OPC_CheckPredicate, 19, 13, 13, // Skip to: 3805
/* 464 */     MCD::OPC_CheckField, 14, 2, 0, 7, 13, // Skip to: 3805
/* 470 */     MCD::OPC_Decode, 183, 12, 118, // Opcode: MFC0_MMR6
/* 474 */     MCD::OPC_FilterValue, 5, 63, 0, // Skip to: 541
/* 478 */     MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 481 */     MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 499
/* 485 */     MCD::OPC_CheckPredicate, 19, 244, 12, // Skip to: 3805
/* 489 */     MCD::OPC_CheckField, 21, 5, 0, 238, 12, // Skip to: 3805
/* 495 */     MCD::OPC_Decode, 145, 8, 73, // Opcode: DVP_MMR6
/* 499 */     MCD::OPC_FilterValue, 7, 14, 0, // Skip to: 517
/* 503 */     MCD::OPC_CheckPredicate, 19, 226, 12, // Skip to: 3805
/* 507 */     MCD::OPC_CheckField, 21, 5, 0, 220, 12, // Skip to: 3805
/* 513 */     MCD::OPC_Decode, 163, 8, 73, // Opcode: EVP_MMR6
/* 517 */     MCD::OPC_FilterValue, 28, 8, 0, // Skip to: 529
/* 521 */     MCD::OPC_CheckPredicate, 19, 208, 12, // Skip to: 3805
/* 525 */     MCD::OPC_Decode, 232, 15, 63, // Opcode: RDPGPR_MMR6
/* 529 */     MCD::OPC_FilterValue, 30, 200, 12, // Skip to: 3805
/* 533 */     MCD::OPC_CheckPredicate, 19, 196, 12, // Skip to: 3805
/* 537 */     MCD::OPC_Decode, 243, 19, 63, // Opcode: WRPGPR_MMR6
/* 541 */     MCD::OPC_FilterValue, 11, 14, 0, // Skip to: 559
/* 545 */     MCD::OPC_CheckPredicate, 19, 184, 12, // Skip to: 3805
/* 549 */     MCD::OPC_CheckField, 14, 2, 0, 178, 12, // Skip to: 3805
/* 555 */     MCD::OPC_Decode, 208, 13, 119, // Opcode: MTC0_MMR6
/* 559 */     MCD::OPC_FilterValue, 12, 63, 0, // Skip to: 626
/* 563 */     MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 566 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 578
/* 570 */     MCD::OPC_CheckPredicate, 19, 159, 12, // Skip to: 3805
/* 574 */     MCD::OPC_Decode, 140, 3, 77, // Opcode: BITSWAP_MMR6
/* 578 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 590
/* 582 */     MCD::OPC_CheckPredicate, 19, 147, 12, // Skip to: 3805
/* 586 */     MCD::OPC_Decode, 204, 16, 63, // Opcode: SEB_MMR6
/* 590 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 602
/* 594 */     MCD::OPC_CheckPredicate, 19, 135, 12, // Skip to: 3805
/* 598 */     MCD::OPC_Decode, 208, 16, 63, // Opcode: SEH_MMR6
/* 602 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 614
/* 606 */     MCD::OPC_CheckPredicate, 19, 123, 12, // Skip to: 3805
/* 610 */     MCD::OPC_Decode, 209, 4, 63, // Opcode: CLO_MMR6
/* 614 */     MCD::OPC_FilterValue, 15, 115, 12, // Skip to: 3805
/* 618 */     MCD::OPC_CheckPredicate, 19, 111, 12, // Skip to: 3805
/* 622 */     MCD::OPC_Decode, 246, 19, 63, // Opcode: WSBH_MMR6
/* 626 */     MCD::OPC_FilterValue, 13, 130, 0, // Skip to: 760
/* 630 */     MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 633 */     MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 651
/* 637 */     MCD::OPC_CheckPredicate, 19, 92, 12, // Skip to: 3805
/* 641 */     MCD::OPC_CheckField, 16, 10, 0, 86, 12, // Skip to: 3805
/* 647 */     MCD::OPC_Decode, 188, 19, 0, // Opcode: TLBINV_MMR6
/* 651 */     MCD::OPC_FilterValue, 10, 14, 0, // Skip to: 669
/* 655 */     MCD::OPC_CheckPredicate, 19, 74, 12, // Skip to: 3805
/* 659 */     MCD::OPC_CheckField, 16, 10, 0, 68, 12, // Skip to: 3805
/* 665 */     MCD::OPC_Decode, 187, 19, 0, // Opcode: TLBINVF_MMR6
/* 669 */     MCD::OPC_FilterValue, 13, 14, 0, // Skip to: 687
/* 673 */     MCD::OPC_CheckPredicate, 19, 56, 12, // Skip to: 3805
/* 677 */     MCD::OPC_CheckField, 21, 5, 0, 50, 12, // Skip to: 3805
/* 683 */     MCD::OPC_Decode, 248, 18, 78, // Opcode: SYNC_MMR6
/* 687 */     MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 699
/* 691 */     MCD::OPC_CheckPredicate, 19, 38, 12, // Skip to: 3805
/* 695 */     MCD::OPC_Decode, 240, 19, 69, // Opcode: WAIT_MMR6
/* 699 */     MCD::OPC_FilterValue, 27, 8, 0, // Skip to: 711
/* 703 */     MCD::OPC_CheckPredicate, 19, 26, 12, // Skip to: 3805
/* 707 */     MCD::OPC_Decode, 180, 16, 69, // Opcode: SDBBP_MMR6
/* 711 */     MCD::OPC_FilterValue, 28, 14, 0, // Skip to: 729
/* 715 */     MCD::OPC_CheckPredicate, 19, 14, 12, // Skip to: 3805
/* 719 */     MCD::OPC_CheckField, 16, 10, 0, 8, 12, // Skip to: 3805
/* 725 */     MCD::OPC_Decode, 239, 6, 0, // Opcode: DERET_MMR6
/* 729 */     MCD::OPC_FilterValue, 30, 0, 12, // Skip to: 3805
/* 733 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 736 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 748
/* 740 */     MCD::OPC_CheckPredicate, 19, 245, 11, // Skip to: 3805
/* 744 */     MCD::OPC_Decode, 159, 8, 0, // Opcode: ERET_MMR6
/* 748 */     MCD::OPC_FilterValue, 1, 237, 11, // Skip to: 3805
/* 752 */     MCD::OPC_CheckPredicate, 19, 233, 11, // Skip to: 3805
/* 756 */     MCD::OPC_Decode, 157, 8, 0, // Opcode: ERETNC_MMR6
/* 760 */     MCD::OPC_FilterValue, 20, 75, 0, // Skip to: 839
/* 764 */     MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 767 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 779
/* 771 */     MCD::OPC_CheckPredicate, 19, 214, 11, // Skip to: 3805
/* 775 */     MCD::OPC_Decode, 189, 12, 80, // Opcode: MFC2_MMR6
/* 779 */     MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 791
/* 783 */     MCD::OPC_CheckPredicate, 19, 202, 11, // Skip to: 3805
/* 787 */     MCD::OPC_Decode, 214, 13, 81, // Opcode: MTC2_MMR6
/* 791 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 803
/* 795 */     MCD::OPC_CheckPredicate, 20, 190, 11, // Skip to: 3805
/* 799 */     MCD::OPC_Decode, 148, 7, 120, // Opcode: DMFC2_MM64R6
/* 803 */     MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 815
/* 807 */     MCD::OPC_CheckPredicate, 20, 178, 11, // Skip to: 3805
/* 811 */     MCD::OPC_Decode, 160, 7, 121, // Opcode: DMTC2_MM64R6
/* 815 */     MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 827
/* 819 */     MCD::OPC_CheckPredicate, 19, 166, 11, // Skip to: 3805
/* 823 */     MCD::OPC_Decode, 196, 12, 80, // Opcode: MFHC2_MMR6
/* 827 */     MCD::OPC_FilterValue, 19, 158, 11, // Skip to: 3805
/* 831 */     MCD::OPC_CheckPredicate, 19, 154, 11, // Skip to: 3805
/* 835 */     MCD::OPC_Decode, 221, 13, 81, // Opcode: MTHC2_MMR6
/* 839 */     MCD::OPC_FilterValue, 28, 27, 0, // Skip to: 870
/* 843 */     MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 846 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 858
/* 850 */     MCD::OPC_CheckPredicate, 19, 135, 11, // Skip to: 3805
/* 854 */     MCD::OPC_Decode, 184, 10, 63, // Opcode: JALRC_MMR6
/* 858 */     MCD::OPC_FilterValue, 3, 127, 11, // Skip to: 3805
/* 862 */     MCD::OPC_CheckPredicate, 19, 123, 11, // Skip to: 3805
/* 866 */     MCD::OPC_Decode, 183, 10, 63, // Opcode: JALRC_HB_MMR6
/* 870 */     MCD::OPC_FilterValue, 29, 115, 11, // Skip to: 3805
/* 874 */     MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 877 */     MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 895
/* 881 */     MCD::OPC_CheckPredicate, 19, 104, 11, // Skip to: 3805
/* 885 */     MCD::OPC_CheckField, 21, 5, 0, 98, 11, // Skip to: 3805
/* 891 */     MCD::OPC_Decode, 139, 7, 73, // Opcode: DI_MMR6
/* 895 */     MCD::OPC_FilterValue, 10, 90, 11, // Skip to: 3805
/* 899 */     MCD::OPC_CheckPredicate, 19, 86, 11, // Skip to: 3805
/* 903 */     MCD::OPC_CheckField, 21, 5, 0, 80, 11, // Skip to: 3805
/* 909 */     MCD::OPC_Decode, 153, 8, 73, // Opcode: EI_MMR6
/* 913 */     MCD::OPC_FilterValue, 4, 22, 0, // Skip to: 939
/* 917 */     MCD::OPC_CheckPredicate, 19, 10, 0, // Skip to: 931
/* 921 */     MCD::OPC_CheckField, 16, 5, 0, 4, 0, // Skip to: 931
/* 927 */     MCD::OPC_Decode, 173, 11, 122, // Opcode: LUI_MMR6
/* 931 */     MCD::OPC_CheckPredicate, 19, 54, 11, // Skip to: 3805
/* 935 */     MCD::OPC_Decode, 253, 1, 93, // Opcode: AUI_MMR6
/* 939 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 951
/* 943 */     MCD::OPC_CheckPredicate, 19, 42, 11, // Skip to: 3805
/* 947 */     MCD::OPC_Decode, 228, 10, 123, // Opcode: LBU_MMR6
/* 951 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 963
/* 955 */     MCD::OPC_CheckPredicate, 19, 30, 11, // Skip to: 3805
/* 959 */     MCD::OPC_Decode, 164, 16, 84, // Opcode: SB_MMR6
/* 963 */     MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 975
/* 967 */     MCD::OPC_CheckPredicate, 19, 18, 11, // Skip to: 3805
/* 971 */     MCD::OPC_Decode, 230, 10, 123, // Opcode: LB_MMR6
/* 975 */     MCD::OPC_FilterValue, 8, 111, 0, // Skip to: 1090
/* 979 */     MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 982 */     MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 1000
/* 986 */     MCD::OPC_CheckPredicate, 19, 255, 10, // Skip to: 3805
/* 990 */     MCD::OPC_CheckField, 11, 1, 0, 249, 10, // Skip to: 3805
/* 996 */     MCD::OPC_Decode, 186, 11, 124, // Opcode: LWC2_MMR6
/* 1000 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1012
/* 1004 */    MCD::OPC_CheckPredicate, 19, 237, 10, // Skip to: 3805
/* 1008 */    MCD::OPC_Decode, 207, 11, 85, // Opcode: LWP_MMR6
/* 1012 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 1030
/* 1016 */    MCD::OPC_CheckPredicate, 19, 225, 10, // Skip to: 3805
/* 1020 */    MCD::OPC_CheckField, 11, 1, 0, 219, 10, // Skip to: 3805
/* 1026 */    MCD::OPC_Decode, 242, 10, 124, // Opcode: LDC2_MMR6
/* 1030 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1042
/* 1034 */    MCD::OPC_CheckPredicate, 19, 207, 10, // Skip to: 3805
/* 1038 */    MCD::OPC_Decode, 157, 4, 86, // Opcode: CACHE_MMR6
/* 1042 */    MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 1060
/* 1046 */    MCD::OPC_CheckPredicate, 19, 195, 10, // Skip to: 3805
/* 1050 */    MCD::OPC_CheckField, 11, 1, 0, 189, 10, // Skip to: 3805
/* 1056 */    MCD::OPC_Decode, 213, 18, 124, // Opcode: SWC2_MMR6
/* 1060 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 1072
/* 1064 */    MCD::OPC_CheckPredicate, 19, 177, 10, // Skip to: 3805
/* 1068 */    MCD::OPC_Decode, 231, 18, 85, // Opcode: SWP_MMR6
/* 1072 */    MCD::OPC_FilterValue, 10, 169, 10, // Skip to: 3805
/* 1076 */    MCD::OPC_CheckPredicate, 19, 165, 10, // Skip to: 3805
/* 1080 */    MCD::OPC_CheckField, 11, 1, 0, 159, 10, // Skip to: 3805
/* 1086 */    MCD::OPC_Decode, 187, 16, 124, // Opcode: SDC2_MMR6
/* 1090 */    MCD::OPC_FilterValue, 12, 7, 0, // Skip to: 1101
/* 1094 */    MCD::OPC_CheckPredicate, 19, 147, 10, // Skip to: 3805
/* 1098 */    MCD::OPC_Decode, 119, 83, // Opcode: ADDIU_MMR6
/* 1101 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 1113
/* 1105 */    MCD::OPC_CheckPredicate, 19, 136, 10, // Skip to: 3805
/* 1109 */    MCD::OPC_Decode, 162, 17, 84, // Opcode: SH_MMR6
/* 1113 */    MCD::OPC_FilterValue, 16, 89, 0, // Skip to: 1206
/* 1117 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 1120 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 1132
/* 1124 */    MCD::OPC_CheckPredicate, 21, 117, 10, // Skip to: 3805
/* 1128 */    MCD::OPC_Decode, 167, 2, 125, // Opcode: BC1EQZC_MMR6
/* 1132 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 1144
/* 1136 */    MCD::OPC_CheckPredicate, 21, 105, 10, // Skip to: 3805
/* 1140 */    MCD::OPC_Decode, 172, 2, 125, // Opcode: BC1NEZC_MMR6
/* 1144 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 1156
/* 1148 */    MCD::OPC_CheckPredicate, 19, 93, 10, // Skip to: 3805
/* 1152 */    MCD::OPC_Decode, 177, 2, 126, // Opcode: BC2EQZC_MMR6
/* 1156 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 1168
/* 1160 */    MCD::OPC_CheckPredicate, 19, 81, 10, // Skip to: 3805
/* 1164 */    MCD::OPC_Decode, 179, 2, 126, // Opcode: BC2NEZC_MMR6
/* 1168 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 1180
/* 1172 */    MCD::OPC_CheckPredicate, 19, 69, 10, // Skip to: 3805
/* 1176 */    MCD::OPC_Decode, 246, 18, 127, // Opcode: SYNCI_MMR6
/* 1180 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 1193
/* 1184 */    MCD::OPC_CheckPredicate, 20, 57, 10, // Skip to: 3805
/* 1188 */    MCD::OPC_Decode, 222, 6, 128, 1, // Opcode: DATI_MM64R6
/* 1193 */    MCD::OPC_FilterValue, 17, 48, 10, // Skip to: 3805
/* 1197 */    MCD::OPC_CheckPredicate, 20, 44, 10, // Skip to: 3805
/* 1201 */    MCD::OPC_Decode, 218, 6, 128, 1, // Opcode: DAHI_MM64R6
/* 1206 */    MCD::OPC_FilterValue, 20, 8, 0, // Skip to: 1218
/* 1210 */    MCD::OPC_CheckPredicate, 19, 31, 10, // Skip to: 3805
/* 1214 */    MCD::OPC_Decode, 221, 14, 93, // Opcode: ORI_MMR6
/* 1218 */    MCD::OPC_FilterValue, 21, 159, 5, // Skip to: 2661
/* 1222 */    MCD::OPC_ExtractField, 0, 11,  // Inst{10-0} ...
/* 1225 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 1238
/* 1229 */    MCD::OPC_CheckPredicate, 21, 12, 10, // Skip to: 3805
/* 1233 */    MCD::OPC_Decode, 240, 12, 129, 1, // Opcode: MIN_S_MMR6
/* 1238 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 1251
/* 1242 */    MCD::OPC_CheckPredicate, 21, 255, 9, // Skip to: 3805
/* 1246 */    MCD::OPC_Decode, 250, 4, 130, 1, // Opcode: CMP_AF_S_MMR6
/* 1251 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1264
/* 1255 */    MCD::OPC_CheckPredicate, 21, 242, 9, // Skip to: 3805
/* 1259 */    MCD::OPC_Decode, 176, 12, 129, 1, // Opcode: MAX_S_MMR6
/* 1264 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 1277
/* 1268 */    MCD::OPC_CheckPredicate, 21, 229, 9, // Skip to: 3805
/* 1272 */    MCD::OPC_Decode, 249, 4, 131, 1, // Opcode: CMP_AF_D_MMR6
/* 1277 */    MCD::OPC_FilterValue, 32, 15, 0, // Skip to: 1296
/* 1281 */    MCD::OPC_CheckPredicate, 19, 216, 9, // Skip to: 3805
/* 1285 */    MCD::OPC_CheckField, 11, 5, 0, 210, 9, // Skip to: 3805
/* 1291 */    MCD::OPC_Decode, 248, 15, 132, 1, // Opcode: RINT_S_MMR6
/* 1296 */    MCD::OPC_FilterValue, 35, 9, 0, // Skip to: 1309
/* 1300 */    MCD::OPC_CheckPredicate, 21, 197, 9, // Skip to: 3805
/* 1304 */    MCD::OPC_Decode, 221, 12, 129, 1, // Opcode: MINA_S_MMR6
/* 1309 */    MCD::OPC_FilterValue, 43, 9, 0, // Skip to: 1322
/* 1313 */    MCD::OPC_CheckPredicate, 21, 184, 9, // Skip to: 3805
/* 1317 */    MCD::OPC_Decode, 157, 12, 129, 1, // Opcode: MAXA_S_MMR6
/* 1322 */    MCD::OPC_FilterValue, 48, 9, 0, // Skip to: 1335
/* 1326 */    MCD::OPC_CheckPredicate, 21, 171, 9, // Skip to: 3805
/* 1330 */    MCD::OPC_Decode, 209, 8, 133, 1, // Opcode: FADD_S_MMR6
/* 1335 */    MCD::OPC_FilterValue, 56, 9, 0, // Skip to: 1348
/* 1339 */    MCD::OPC_CheckPredicate, 19, 158, 9, // Skip to: 3805
/* 1343 */    MCD::OPC_Decode, 215, 16, 129, 1, // Opcode: SELEQZ_S_MMR6
/* 1348 */    MCD::OPC_FilterValue, 59, 55, 0, // Skip to: 1407
/* 1352 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 1355 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 1368
/* 1359 */    MCD::OPC_CheckPredicate, 21, 138, 9, // Skip to: 3805
/* 1363 */    MCD::OPC_Decode, 187, 12, 134, 1, // Opcode: MFC1_MMR6
/* 1368 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 1381
/* 1372 */    MCD::OPC_CheckPredicate, 21, 125, 9, // Skip to: 3805
/* 1376 */    MCD::OPC_Decode, 212, 13, 135, 1, // Opcode: MTC1_MMR6
/* 1381 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 1394
/* 1385 */    MCD::OPC_CheckPredicate, 22, 112, 9, // Skip to: 3805
/* 1389 */    MCD::OPC_Decode, 192, 12, 136, 1, // Opcode: MFHC1_D32_MMR6
/* 1394 */    MCD::OPC_FilterValue, 7, 103, 9, // Skip to: 3805
/* 1398 */    MCD::OPC_CheckPredicate, 22, 99, 9, // Skip to: 3805
/* 1402 */    MCD::OPC_Decode, 217, 13, 137, 1, // Opcode: MTHC1_D32_MMR6
/* 1407 */    MCD::OPC_FilterValue, 69, 9, 0, // Skip to: 1420
/* 1411 */    MCD::OPC_CheckPredicate, 21, 86, 9, // Skip to: 3805
/* 1415 */    MCD::OPC_Decode, 190, 5, 130, 1, // Opcode: CMP_UN_S_MMR6
/* 1420 */    MCD::OPC_FilterValue, 85, 9, 0, // Skip to: 1433
/* 1424 */    MCD::OPC_CheckPredicate, 21, 73, 9, // Skip to: 3805
/* 1428 */    MCD::OPC_Decode, 188, 5, 131, 1, // Opcode: CMP_UN_D_MMR6
/* 1433 */    MCD::OPC_FilterValue, 96, 15, 0, // Skip to: 1452
/* 1437 */    MCD::OPC_CheckPredicate, 19, 60, 9, // Skip to: 3805
/* 1441 */    MCD::OPC_CheckField, 11, 5, 0, 54, 9, // Skip to: 3805
/* 1447 */    MCD::OPC_Decode, 190, 4, 132, 1, // Opcode: CLASS_S_MMR6
/* 1452 */    MCD::OPC_FilterValue, 112, 9, 0, // Skip to: 1465
/* 1456 */    MCD::OPC_CheckPredicate, 21, 41, 9, // Skip to: 3805
/* 1460 */    MCD::OPC_Decode, 226, 9, 133, 1, // Opcode: FSUB_S_MMR6
/* 1465 */    MCD::OPC_FilterValue, 120, 9, 0, // Skip to: 1478
/* 1469 */    MCD::OPC_CheckPredicate, 19, 28, 9, // Skip to: 3805
/* 1473 */    MCD::OPC_Decode, 222, 16, 129, 1, // Opcode: SELNEZ_S_MMR6
/* 1478 */    MCD::OPC_FilterValue, 123, 27, 0, // Skip to: 1509
/* 1482 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 1485 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1497
/* 1489 */    MCD::OPC_CheckPredicate, 21, 8, 9, // Skip to: 3805
/* 1493 */    MCD::OPC_Decode, 174, 9, 98, // Opcode: FMOV_S_MMR6
/* 1497 */    MCD::OPC_FilterValue, 4, 0, 9, // Skip to: 3805
/* 1501 */    MCD::OPC_CheckPredicate, 21, 252, 8, // Skip to: 3805
/* 1505 */    MCD::OPC_Decode, 171, 9, 99, // Opcode: FMOV_D_MMR6
/* 1509 */    MCD::OPC_FilterValue, 133, 1, 9, 0, // Skip to: 1523
/* 1514 */    MCD::OPC_CheckPredicate, 21, 239, 8, // Skip to: 3805
/* 1518 */    MCD::OPC_Decode, 128, 5, 130, 1, // Opcode: CMP_EQ_S_MMR6
/* 1523 */    MCD::OPC_FilterValue, 149, 1, 9, 0, // Skip to: 1537
/* 1528 */    MCD::OPC_CheckPredicate, 21, 225, 8, // Skip to: 3805
/* 1532 */    MCD::OPC_Decode, 252, 4, 131, 1, // Opcode: CMP_EQ_D_MMR6
/* 1537 */    MCD::OPC_FilterValue, 176, 1, 9, 0, // Skip to: 1551
/* 1542 */    MCD::OPC_CheckPredicate, 21, 211, 8, // Skip to: 3805
/* 1546 */    MCD::OPC_Decode, 184, 9, 133, 1, // Opcode: FMUL_S_MMR6
/* 1551 */    MCD::OPC_FilterValue, 184, 1, 9, 0, // Skip to: 1565
/* 1556 */    MCD::OPC_CheckPredicate, 19, 197, 8, // Skip to: 3805
/* 1560 */    MCD::OPC_Decode, 226, 16, 138, 1, // Opcode: SEL_S_MMR6
/* 1565 */    MCD::OPC_FilterValue, 197, 1, 9, 0, // Skip to: 1579
/* 1570 */    MCD::OPC_CheckPredicate, 21, 183, 8, // Skip to: 3805
/* 1574 */    MCD::OPC_Decode, 178, 5, 130, 1, // Opcode: CMP_UEQ_S_MMR6
/* 1579 */    MCD::OPC_FilterValue, 213, 1, 9, 0, // Skip to: 1593
/* 1584 */    MCD::OPC_CheckPredicate, 21, 169, 8, // Skip to: 3805
/* 1588 */    MCD::OPC_Decode, 176, 5, 131, 1, // Opcode: CMP_UEQ_D_MMR6
/* 1593 */    MCD::OPC_FilterValue, 240, 1, 9, 0, // Skip to: 1607
/* 1598 */    MCD::OPC_CheckPredicate, 21, 155, 8, // Skip to: 3805
/* 1602 */    MCD::OPC_Decode, 247, 8, 133, 1, // Opcode: FDIV_S_MMR6
/* 1607 */    MCD::OPC_FilterValue, 133, 2, 9, 0, // Skip to: 1621
/* 1612 */    MCD::OPC_CheckPredicate, 21, 141, 8, // Skip to: 3805
/* 1616 */    MCD::OPC_Decode, 142, 5, 130, 1, // Opcode: CMP_LT_S_MMR6
/* 1621 */    MCD::OPC_FilterValue, 149, 2, 9, 0, // Skip to: 1635
/* 1626 */    MCD::OPC_CheckPredicate, 21, 127, 8, // Skip to: 3805
/* 1630 */    MCD::OPC_Decode, 138, 5, 131, 1, // Opcode: CMP_LT_D_MMR6
/* 1635 */    MCD::OPC_FilterValue, 176, 2, 9, 0, // Skip to: 1649
/* 1640 */    MCD::OPC_CheckPredicate, 21, 113, 8, // Skip to: 3805
/* 1644 */    MCD::OPC_Decode, 205, 8, 139, 1, // Opcode: FADD_D_MMR6
/* 1649 */    MCD::OPC_FilterValue, 187, 2, 54, 0, // Skip to: 1708
/* 1654 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 1657 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 1670
/* 1661 */    MCD::OPC_CheckPredicate, 21, 92, 8, // Skip to: 3805
/* 1665 */    MCD::OPC_Decode, 221, 5, 140, 1, // Opcode: CVT_L_S_MMR6
/* 1670 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1682
/* 1674 */    MCD::OPC_CheckPredicate, 21, 79, 8, // Skip to: 3805
/* 1678 */    MCD::OPC_Decode, 237, 5, 98, // Opcode: CVT_W_S_MMR6
/* 1682 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 1695
/* 1686 */    MCD::OPC_CheckPredicate, 21, 67, 8, // Skip to: 3805
/* 1690 */    MCD::OPC_Decode, 218, 5, 141, 1, // Opcode: CVT_L_D_MMR6
/* 1695 */    MCD::OPC_FilterValue, 9, 58, 8, // Skip to: 3805
/* 1699 */    MCD::OPC_CheckPredicate, 21, 54, 8, // Skip to: 3805
/* 1703 */    MCD::OPC_Decode, 233, 5, 142, 1, // Opcode: CVT_W_D_MMR6
/* 1708 */    MCD::OPC_FilterValue, 197, 2, 9, 0, // Skip to: 1722
/* 1713 */    MCD::OPC_CheckPredicate, 21, 40, 8, // Skip to: 3805
/* 1717 */    MCD::OPC_Decode, 186, 5, 130, 1, // Opcode: CMP_ULT_S_MMR6
/* 1722 */    MCD::OPC_FilterValue, 213, 2, 9, 0, // Skip to: 1736
/* 1727 */    MCD::OPC_CheckPredicate, 21, 26, 8, // Skip to: 3805
/* 1731 */    MCD::OPC_Decode, 184, 5, 131, 1, // Opcode: CMP_ULT_D_MMR6
/* 1736 */    MCD::OPC_FilterValue, 240, 2, 9, 0, // Skip to: 1750
/* 1741 */    MCD::OPC_CheckPredicate, 21, 12, 8, // Skip to: 3805
/* 1745 */    MCD::OPC_Decode, 222, 9, 139, 1, // Opcode: FSUB_D_MMR6
/* 1750 */    MCD::OPC_FilterValue, 133, 3, 9, 0, // Skip to: 1764
/* 1755 */    MCD::OPC_CheckPredicate, 21, 254, 7, // Skip to: 3805
/* 1759 */    MCD::OPC_Decode, 136, 5, 130, 1, // Opcode: CMP_LE_S_MMR6
/* 1764 */    MCD::OPC_FilterValue, 149, 3, 9, 0, // Skip to: 1778
/* 1769 */    MCD::OPC_CheckPredicate, 21, 240, 7, // Skip to: 3805
/* 1773 */    MCD::OPC_Decode, 132, 5, 131, 1, // Opcode: CMP_LE_D_MMR6
/* 1778 */    MCD::OPC_FilterValue, 176, 3, 9, 0, // Skip to: 1792
/* 1783 */    MCD::OPC_CheckPredicate, 21, 226, 7, // Skip to: 3805
/* 1787 */    MCD::OPC_Decode, 180, 9, 139, 1, // Opcode: FMUL_D_MMR6
/* 1792 */    MCD::OPC_FilterValue, 184, 3, 9, 0, // Skip to: 1806
/* 1797 */    MCD::OPC_CheckPredicate, 21, 212, 7, // Skip to: 3805
/* 1801 */    MCD::OPC_Decode, 253, 11, 143, 1, // Opcode: MADDF_S_MMR6
/* 1806 */    MCD::OPC_FilterValue, 197, 3, 9, 0, // Skip to: 1820
/* 1811 */    MCD::OPC_CheckPredicate, 21, 198, 7, // Skip to: 3805
/* 1815 */    MCD::OPC_Decode, 182, 5, 130, 1, // Opcode: CMP_ULE_S_MMR6
/* 1820 */    MCD::OPC_FilterValue, 213, 3, 9, 0, // Skip to: 1834
/* 1825 */    MCD::OPC_CheckPredicate, 21, 184, 7, // Skip to: 3805
/* 1829 */    MCD::OPC_Decode, 180, 5, 131, 1, // Opcode: CMP_ULE_D_MMR6
/* 1834 */    MCD::OPC_FilterValue, 240, 3, 9, 0, // Skip to: 1848
/* 1839 */    MCD::OPC_CheckPredicate, 21, 170, 7, // Skip to: 3805
/* 1843 */    MCD::OPC_Decode, 243, 8, 139, 1, // Opcode: FDIV_D_MMR6
/* 1848 */    MCD::OPC_FilterValue, 248, 3, 9, 0, // Skip to: 1862
/* 1853 */    MCD::OPC_CheckPredicate, 21, 156, 7, // Skip to: 3805
/* 1857 */    MCD::OPC_Decode, 186, 13, 143, 1, // Opcode: MSUBF_S_MMR6
/* 1862 */    MCD::OPC_FilterValue, 131, 4, 9, 0, // Skip to: 1876
/* 1867 */    MCD::OPC_CheckPredicate, 21, 142, 7, // Skip to: 3805
/* 1871 */    MCD::OPC_Decode, 235, 12, 144, 1, // Opcode: MIN_D_MMR6
/* 1876 */    MCD::OPC_FilterValue, 133, 4, 9, 0, // Skip to: 1890
/* 1881 */    MCD::OPC_CheckPredicate, 21, 128, 7, // Skip to: 3805
/* 1885 */    MCD::OPC_Decode, 146, 5, 130, 1, // Opcode: CMP_SAF_S_MMR6
/* 1890 */    MCD::OPC_FilterValue, 139, 4, 9, 0, // Skip to: 1904
/* 1895 */    MCD::OPC_CheckPredicate, 21, 114, 7, // Skip to: 3805
/* 1899 */    MCD::OPC_Decode, 171, 12, 144, 1, // Opcode: MAX_D_MMR6
/* 1904 */    MCD::OPC_FilterValue, 149, 4, 9, 0, // Skip to: 1918
/* 1909 */    MCD::OPC_CheckPredicate, 21, 100, 7, // Skip to: 3805
/* 1913 */    MCD::OPC_Decode, 144, 5, 131, 1, // Opcode: CMP_SAF_D_MMR6
/* 1918 */    MCD::OPC_FilterValue, 160, 4, 15, 0, // Skip to: 1938
/* 1923 */    MCD::OPC_CheckPredicate, 19, 86, 7, // Skip to: 3805
/* 1927 */    MCD::OPC_CheckField, 11, 5, 0, 80, 7, // Skip to: 3805
/* 1933 */    MCD::OPC_Decode, 246, 15, 145, 1, // Opcode: RINT_D_MMR6
/* 1938 */    MCD::OPC_FilterValue, 163, 4, 9, 0, // Skip to: 1952
/* 1943 */    MCD::OPC_CheckPredicate, 21, 66, 7, // Skip to: 3805
/* 1947 */    MCD::OPC_Decode, 219, 12, 144, 1, // Opcode: MINA_D_MMR6
/* 1952 */    MCD::OPC_FilterValue, 171, 4, 9, 0, // Skip to: 1966
/* 1957 */    MCD::OPC_CheckPredicate, 21, 52, 7, // Skip to: 3805
/* 1961 */    MCD::OPC_Decode, 155, 12, 144, 1, // Opcode: MAXA_D_MMR6
/* 1966 */    MCD::OPC_FilterValue, 184, 4, 9, 0, // Skip to: 1980
/* 1971 */    MCD::OPC_CheckPredicate, 19, 38, 7, // Skip to: 3805
/* 1975 */    MCD::OPC_Decode, 212, 16, 144, 1, // Opcode: SELEQZ_D_MMR6
/* 1980 */    MCD::OPC_FilterValue, 187, 4, 27, 0, // Skip to: 2012
/* 1985 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 1988 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2000
/* 1992 */    MCD::OPC_CheckPredicate, 21, 17, 7, // Skip to: 3805
/* 1996 */    MCD::OPC_Decode, 218, 17, 98, // Opcode: SQRT_S_MMR6
/* 2000 */    MCD::OPC_FilterValue, 9, 9, 7, // Skip to: 3805
/* 2004 */    MCD::OPC_CheckPredicate, 21, 5, 7, // Skip to: 3805
/* 2008 */    MCD::OPC_Decode, 217, 17, 99, // Opcode: SQRT_D_MMR6
/* 2012 */    MCD::OPC_FilterValue, 197, 4, 9, 0, // Skip to: 2026
/* 2017 */    MCD::OPC_CheckPredicate, 21, 248, 6, // Skip to: 3805
/* 2021 */    MCD::OPC_Decode, 174, 5, 130, 1, // Opcode: CMP_SUN_S_MMR6
/* 2026 */    MCD::OPC_FilterValue, 213, 4, 9, 0, // Skip to: 2040
/* 2031 */    MCD::OPC_CheckPredicate, 21, 234, 6, // Skip to: 3805
/* 2035 */    MCD::OPC_Decode, 172, 5, 131, 1, // Opcode: CMP_SUN_D_MMR6
/* 2040 */    MCD::OPC_FilterValue, 224, 4, 15, 0, // Skip to: 2060
/* 2045 */    MCD::OPC_CheckPredicate, 19, 220, 6, // Skip to: 3805
/* 2049 */    MCD::OPC_CheckField, 11, 5, 0, 214, 6, // Skip to: 3805
/* 2055 */    MCD::OPC_Decode, 188, 4, 145, 1, // Opcode: CLASS_D_MMR6
/* 2060 */    MCD::OPC_FilterValue, 248, 4, 9, 0, // Skip to: 2074
/* 2065 */    MCD::OPC_CheckPredicate, 19, 200, 6, // Skip to: 3805
/* 2069 */    MCD::OPC_Decode, 219, 16, 144, 1, // Opcode: SELNEZ_D_MMR6
/* 2074 */    MCD::OPC_FilterValue, 133, 5, 9, 0, // Skip to: 2088
/* 2079 */    MCD::OPC_CheckPredicate, 21, 186, 6, // Skip to: 3805
/* 2083 */    MCD::OPC_Decode, 150, 5, 130, 1, // Opcode: CMP_SEQ_S_MMR6
/* 2088 */    MCD::OPC_FilterValue, 149, 5, 9, 0, // Skip to: 2102
/* 2093 */    MCD::OPC_CheckPredicate, 21, 172, 6, // Skip to: 3805
/* 2097 */    MCD::OPC_Decode, 148, 5, 131, 1, // Opcode: CMP_SEQ_D_MMR6
/* 2102 */    MCD::OPC_FilterValue, 184, 5, 9, 0, // Skip to: 2116
/* 2107 */    MCD::OPC_CheckPredicate, 19, 158, 6, // Skip to: 3805
/* 2111 */    MCD::OPC_Decode, 224, 16, 146, 1, // Opcode: SEL_D_MMR6
/* 2116 */    MCD::OPC_FilterValue, 197, 5, 9, 0, // Skip to: 2130
/* 2121 */    MCD::OPC_CheckPredicate, 21, 144, 6, // Skip to: 3805
/* 2125 */    MCD::OPC_Decode, 162, 5, 130, 1, // Opcode: CMP_SUEQ_S_MMR6
/* 2130 */    MCD::OPC_FilterValue, 213, 5, 9, 0, // Skip to: 2144
/* 2135 */    MCD::OPC_CheckPredicate, 21, 130, 6, // Skip to: 3805
/* 2139 */    MCD::OPC_Decode, 160, 5, 131, 1, // Opcode: CMP_SUEQ_D_MMR6
/* 2144 */    MCD::OPC_FilterValue, 133, 6, 9, 0, // Skip to: 2158
/* 2149 */    MCD::OPC_CheckPredicate, 21, 116, 6, // Skip to: 3805
/* 2153 */    MCD::OPC_Decode, 158, 5, 130, 1, // Opcode: CMP_SLT_S_MMR6
/* 2158 */    MCD::OPC_FilterValue, 149, 6, 9, 0, // Skip to: 2172
/* 2163 */    MCD::OPC_CheckPredicate, 21, 102, 6, // Skip to: 3805
/* 2167 */    MCD::OPC_Decode, 156, 5, 131, 1, // Opcode: CMP_SLT_D_MMR6
/* 2172 */    MCD::OPC_FilterValue, 187, 6, 207, 0, // Skip to: 2384
/* 2177 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 2180 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2193
/* 2184 */    MCD::OPC_CheckPredicate, 21, 81, 6, // Skip to: 3805
/* 2188 */    MCD::OPC_Decode, 150, 9, 140, 1, // Opcode: FLOOR_L_S_MMR6
/* 2193 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2205
/* 2197 */    MCD::OPC_CheckPredicate, 21, 68, 6, // Skip to: 3805
/* 2201 */    MCD::OPC_Decode, 157, 9, 98, // Opcode: FLOOR_W_S_MMR6
/* 2205 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2218
/* 2209 */    MCD::OPC_CheckPredicate, 21, 56, 6, // Skip to: 3805
/* 2213 */    MCD::OPC_Decode, 162, 4, 140, 1, // Opcode: CEIL_L_S_MMR6
/* 2218 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 2230
/* 2222 */    MCD::OPC_CheckPredicate, 21, 43, 6, // Skip to: 3805
/* 2226 */    MCD::OPC_Decode, 169, 4, 98, // Opcode: CEIL_W_S_MMR6
/* 2230 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 2243
/* 2234 */    MCD::OPC_CheckPredicate, 21, 31, 6, // Skip to: 3805
/* 2238 */    MCD::OPC_Decode, 212, 19, 140, 1, // Opcode: TRUNC_L_S_MMR6
/* 2243 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 2255
/* 2247 */    MCD::OPC_CheckPredicate, 21, 18, 6, // Skip to: 3805
/* 2251 */    MCD::OPC_Decode, 219, 19, 98, // Opcode: TRUNC_W_S_MMR6
/* 2255 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 2268
/* 2259 */    MCD::OPC_CheckPredicate, 21, 6, 6, // Skip to: 3805
/* 2263 */    MCD::OPC_Decode, 132, 16, 140, 1, // Opcode: ROUND_L_S_MMR6
/* 2268 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 2280
/* 2272 */    MCD::OPC_CheckPredicate, 21, 249, 5, // Skip to: 3805
/* 2276 */    MCD::OPC_Decode, 139, 16, 98, // Opcode: ROUND_W_S_MMR6
/* 2280 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 2293
/* 2284 */    MCD::OPC_CheckPredicate, 21, 237, 5, // Skip to: 3805
/* 2288 */    MCD::OPC_Decode, 148, 9, 141, 1, // Opcode: FLOOR_L_D_MMR6
/* 2293 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 2306
/* 2297 */    MCD::OPC_CheckPredicate, 21, 224, 5, // Skip to: 3805
/* 2301 */    MCD::OPC_Decode, 153, 9, 142, 1, // Opcode: FLOOR_W_D_MMR6
/* 2306 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 2319
/* 2310 */    MCD::OPC_CheckPredicate, 21, 211, 5, // Skip to: 3805
/* 2314 */    MCD::OPC_Decode, 160, 4, 141, 1, // Opcode: CEIL_L_D_MMR6
/* 2319 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 2332
/* 2323 */    MCD::OPC_CheckPredicate, 21, 198, 5, // Skip to: 3805
/* 2327 */    MCD::OPC_Decode, 165, 4, 142, 1, // Opcode: CEIL_W_D_MMR6
/* 2332 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 2345
/* 2336 */    MCD::OPC_CheckPredicate, 21, 185, 5, // Skip to: 3805
/* 2340 */    MCD::OPC_Decode, 210, 19, 141, 1, // Opcode: TRUNC_L_D_MMR6
/* 2345 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 2358
/* 2349 */    MCD::OPC_CheckPredicate, 21, 172, 5, // Skip to: 3805
/* 2353 */    MCD::OPC_Decode, 215, 19, 142, 1, // Opcode: TRUNC_W_D_MMR6
/* 2358 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 2371
/* 2362 */    MCD::OPC_CheckPredicate, 21, 159, 5, // Skip to: 3805
/* 2366 */    MCD::OPC_Decode, 130, 16, 141, 1, // Opcode: ROUND_L_D_MMR6
/* 2371 */    MCD::OPC_FilterValue, 15, 150, 5, // Skip to: 3805
/* 2375 */    MCD::OPC_CheckPredicate, 21, 146, 5, // Skip to: 3805
/* 2379 */    MCD::OPC_Decode, 135, 16, 141, 1, // Opcode: ROUND_W_D_MMR6
/* 2384 */    MCD::OPC_FilterValue, 197, 6, 9, 0, // Skip to: 2398
/* 2389 */    MCD::OPC_CheckPredicate, 21, 132, 5, // Skip to: 3805
/* 2393 */    MCD::OPC_Decode, 170, 5, 130, 1, // Opcode: CMP_SULT_S_MMR6
/* 2398 */    MCD::OPC_FilterValue, 213, 6, 9, 0, // Skip to: 2412
/* 2403 */    MCD::OPC_CheckPredicate, 21, 118, 5, // Skip to: 3805
/* 2407 */    MCD::OPC_Decode, 168, 5, 131, 1, // Opcode: CMP_SULT_D_MMR6
/* 2412 */    MCD::OPC_FilterValue, 251, 6, 126, 0, // Skip to: 2543
/* 2417 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 2420 */    MCD::OPC_FilterValue, 0, 7, 0, // Skip to: 2431
/* 2424 */    MCD::OPC_CheckPredicate, 21, 97, 5, // Skip to: 3805
/* 2428 */    MCD::OPC_Decode, 110, 98, // Opcode: ABS_S_MMR6
/* 2431 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 2443
/* 2435 */    MCD::OPC_CheckPredicate, 21, 86, 5, // Skip to: 3805
/* 2439 */    MCD::OPC_Decode, 192, 9, 98, // Opcode: FNEG_S_MMR6
/* 2443 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2456
/* 2447 */    MCD::OPC_CheckPredicate, 21, 74, 5, // Skip to: 3805
/* 2451 */    MCD::OPC_Decode, 214, 5, 142, 1, // Opcode: CVT_D_S_MMR6
/* 2456 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 2469
/* 2460 */    MCD::OPC_CheckPredicate, 21, 61, 5, // Skip to: 3805
/* 2464 */    MCD::OPC_Decode, 225, 5, 147, 1, // Opcode: CVT_S_D_MMR6
/* 2469 */    MCD::OPC_FilterValue, 4, 7, 0, // Skip to: 2480
/* 2473 */    MCD::OPC_CheckPredicate, 21, 48, 5, // Skip to: 3805
/* 2477 */    MCD::OPC_Decode, 109, 99, // Opcode: ABS_D_MMR6
/* 2480 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 2492
/* 2484 */    MCD::OPC_CheckPredicate, 21, 37, 5, // Skip to: 3805
/* 2488 */    MCD::OPC_Decode, 188, 9, 99, // Opcode: FNEG_D_MMR6
/* 2492 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 2505
/* 2496 */    MCD::OPC_CheckPredicate, 21, 25, 5, // Skip to: 3805
/* 2500 */    MCD::OPC_Decode, 215, 5, 142, 1, // Opcode: CVT_D_W_MMR6
/* 2505 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 2517
/* 2509 */    MCD::OPC_CheckPredicate, 21, 12, 5, // Skip to: 3805
/* 2513 */    MCD::OPC_Decode, 230, 5, 98, // Opcode: CVT_S_W_MMR6
/* 2517 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 2530
/* 2521 */    MCD::OPC_CheckPredicate, 16, 0, 5, // Skip to: 3805
/* 2525 */    MCD::OPC_Decode, 212, 5, 141, 1, // Opcode: CVT_D_L_MMR6
/* 2530 */    MCD::OPC_FilterValue, 11, 247, 4, // Skip to: 3805
/* 2534 */    MCD::OPC_CheckPredicate, 16, 243, 4, // Skip to: 3805
/* 2538 */    MCD::OPC_Decode, 227, 5, 140, 1, // Opcode: CVT_S_L_MMR6
/* 2543 */    MCD::OPC_FilterValue, 133, 7, 9, 0, // Skip to: 2557
/* 2548 */    MCD::OPC_CheckPredicate, 21, 229, 4, // Skip to: 3805
/* 2552 */    MCD::OPC_Decode, 154, 5, 130, 1, // Opcode: CMP_SLE_S_MMR6
/* 2557 */    MCD::OPC_FilterValue, 149, 7, 9, 0, // Skip to: 2571
/* 2562 */    MCD::OPC_CheckPredicate, 21, 215, 4, // Skip to: 3805
/* 2566 */    MCD::OPC_Decode, 152, 5, 131, 1, // Opcode: CMP_SLE_D_MMR6
/* 2571 */    MCD::OPC_FilterValue, 184, 7, 9, 0, // Skip to: 2585
/* 2576 */    MCD::OPC_CheckPredicate, 21, 201, 4, // Skip to: 3805
/* 2580 */    MCD::OPC_Decode, 251, 11, 148, 1, // Opcode: MADDF_D_MMR6
/* 2585 */    MCD::OPC_FilterValue, 197, 7, 9, 0, // Skip to: 2599
/* 2590 */    MCD::OPC_CheckPredicate, 21, 187, 4, // Skip to: 3805
/* 2594 */    MCD::OPC_Decode, 166, 5, 130, 1, // Opcode: CMP_SULE_S_MMR6
/* 2599 */    MCD::OPC_FilterValue, 213, 7, 9, 0, // Skip to: 2613
/* 2604 */    MCD::OPC_CheckPredicate, 21, 173, 4, // Skip to: 3805
/* 2608 */    MCD::OPC_Decode, 164, 5, 131, 1, // Opcode: CMP_SULE_D_MMR6
/* 2613 */    MCD::OPC_FilterValue, 248, 7, 9, 0, // Skip to: 2627
/* 2618 */    MCD::OPC_CheckPredicate, 21, 159, 4, // Skip to: 3805
/* 2622 */    MCD::OPC_Decode, 184, 13, 148, 1, // Opcode: MSUBF_D_MMR6
/* 2627 */    MCD::OPC_FilterValue, 187, 8, 149, 4, // Skip to: 3805
/* 2632 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 2635 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 2648
/* 2639 */    MCD::OPC_CheckPredicate, 20, 138, 4, // Skip to: 3805
/* 2643 */    MCD::OPC_Decode, 146, 7, 149, 1, // Opcode: DMFC1_MM64R6
/* 2648 */    MCD::OPC_FilterValue, 5, 129, 4, // Skip to: 3805
/* 2652 */    MCD::OPC_CheckPredicate, 20, 125, 4, // Skip to: 3805
/* 2656 */    MCD::OPC_Decode, 158, 7, 150, 1, // Opcode: DMTC1_MM64R6
/* 2661 */    MCD::OPC_FilterValue, 22, 62, 2, // Skip to: 3239
/* 2665 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 2668 */    MCD::OPC_FilterValue, 0, 55, 0, // Skip to: 2727
/* 2672 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 2675 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2688
/* 2679 */    MCD::OPC_CheckPredicate, 20, 98, 4, // Skip to: 3805
/* 2683 */    MCD::OPC_Decode, 251, 7, 151, 1, // Opcode: DSLL_MM64R6
/* 2688 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 2701
/* 2692 */    MCD::OPC_CheckPredicate, 20, 85, 4, // Skip to: 3805
/* 2696 */    MCD::OPC_Decode, 135, 8, 151, 1, // Opcode: DSRL_MM64R6
/* 2701 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2714
/* 2705 */    MCD::OPC_CheckPredicate, 20, 72, 4, // Skip to: 3805
/* 2709 */    MCD::OPC_Decode, 129, 8, 151, 1, // Opcode: DSRA_MM64R6
/* 2714 */    MCD::OPC_FilterValue, 3, 63, 4, // Skip to: 3805
/* 2718 */    MCD::OPC_CheckPredicate, 20, 59, 4, // Skip to: 3805
/* 2722 */    MCD::OPC_Decode, 237, 7, 151, 1, // Opcode: DROTR_MM64R6
/* 2727 */    MCD::OPC_FilterValue, 4, 39, 0, // Skip to: 2770
/* 2731 */    MCD::OPC_CheckPredicate, 20, 11, 0, // Skip to: 2746
/* 2735 */    MCD::OPC_CheckField, 6, 5, 2, 5, 0, // Skip to: 2746
/* 2741 */    MCD::OPC_Decode, 254, 7, 151, 1, // Opcode: DSRA32_MM64R6
/* 2746 */    MCD::OPC_CheckPredicate, 20, 11, 0, // Skip to: 2761
/* 2750 */    MCD::OPC_CheckField, 6, 3, 4, 5, 0, // Skip to: 2761
/* 2756 */    MCD::OPC_Decode, 141, 7, 152, 1, // Opcode: DLSA_MM64R6
/* 2761 */    MCD::OPC_CheckPredicate, 20, 16, 4, // Skip to: 3805
/* 2765 */    MCD::OPC_Decode, 250, 6, 153, 1, // Opcode: DINSM_MM64R6
/* 2770 */    MCD::OPC_FilterValue, 8, 42, 0, // Skip to: 2816
/* 2774 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 2777 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2790
/* 2781 */    MCD::OPC_CheckPredicate, 20, 252, 3, // Skip to: 3805
/* 2785 */    MCD::OPC_Decode, 247, 7, 151, 1, // Opcode: DSLL32_MM64R6
/* 2790 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 2803
/* 2794 */    MCD::OPC_CheckPredicate, 20, 239, 3, // Skip to: 3805
/* 2798 */    MCD::OPC_Decode, 132, 8, 151, 1, // Opcode: DSRL32_MM64R6
/* 2803 */    MCD::OPC_FilterValue, 3, 230, 3, // Skip to: 3805
/* 2807 */    MCD::OPC_CheckPredicate, 20, 226, 3, // Skip to: 3805
/* 2811 */    MCD::OPC_Decode, 234, 7, 151, 1, // Opcode: DROTR32_MM64R6
/* 2816 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 2829
/* 2820 */    MCD::OPC_CheckPredicate, 20, 213, 3, // Skip to: 3805
/* 2824 */    MCD::OPC_Decode, 253, 6, 153, 1, // Opcode: DINS_MM64R6
/* 2829 */    MCD::OPC_FilterValue, 16, 107, 0, // Skip to: 2940
/* 2833 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 2836 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2849
/* 2840 */    MCD::OPC_CheckPredicate, 20, 193, 3, // Skip to: 3805
/* 2844 */    MCD::OPC_Decode, 250, 7, 154, 1, // Opcode: DSLLV_MM64R6
/* 2849 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 2862
/* 2853 */    MCD::OPC_CheckPredicate, 20, 180, 3, // Skip to: 3805
/* 2857 */    MCD::OPC_Decode, 134, 8, 154, 1, // Opcode: DSRLV_MM64R6
/* 2862 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2875
/* 2866 */    MCD::OPC_CheckPredicate, 20, 167, 3, // Skip to: 3805
/* 2870 */    MCD::OPC_Decode, 128, 8, 154, 1, // Opcode: DSRAV_MM64R6
/* 2875 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 2888
/* 2879 */    MCD::OPC_CheckPredicate, 20, 154, 3, // Skip to: 3805
/* 2883 */    MCD::OPC_Decode, 236, 7, 154, 1, // Opcode: DROTRV_MM64R6
/* 2888 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 2901
/* 2892 */    MCD::OPC_CheckPredicate, 20, 141, 3, // Skip to: 3805
/* 2896 */    MCD::OPC_Decode, 213, 6, 155, 1, // Opcode: DADD_MM64R6
/* 2901 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 2914
/* 2905 */    MCD::OPC_CheckPredicate, 20, 128, 3, // Skip to: 3805
/* 2909 */    MCD::OPC_Decode, 212, 6, 155, 1, // Opcode: DADDU_MM64R6
/* 2914 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 2927
/* 2918 */    MCD::OPC_CheckPredicate, 20, 115, 3, // Skip to: 3805
/* 2922 */    MCD::OPC_Decode, 138, 8, 155, 1, // Opcode: DSUB_MM64R6
/* 2927 */    MCD::OPC_FilterValue, 7, 106, 3, // Skip to: 3805
/* 2931 */    MCD::OPC_CheckPredicate, 20, 102, 3, // Skip to: 3805
/* 2935 */    MCD::OPC_Decode, 137, 8, 155, 1, // Opcode: DSUBU_MM64R6
/* 2940 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 2953
/* 2944 */    MCD::OPC_CheckPredicate, 20, 89, 3, // Skip to: 3805
/* 2948 */    MCD::OPC_Decode, 245, 6, 156, 1, // Opcode: DEXTU_MM64R6
/* 2953 */    MCD::OPC_FilterValue, 24, 107, 0, // Skip to: 3064
/* 2957 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 2960 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2973
/* 2964 */    MCD::OPC_CheckPredicate, 20, 69, 3, // Skip to: 3805
/* 2968 */    MCD::OPC_Decode, 175, 7, 155, 1, // Opcode: DMUL_MM64R6
/* 2973 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 2986
/* 2977 */    MCD::OPC_CheckPredicate, 20, 56, 3, // Skip to: 3805
/* 2981 */    MCD::OPC_Decode, 165, 7, 155, 1, // Opcode: DMUH_MM64R6
/* 2986 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2999
/* 2990 */    MCD::OPC_CheckPredicate, 20, 43, 3, // Skip to: 3805
/* 2994 */    MCD::OPC_Decode, 174, 7, 155, 1, // Opcode: DMULU_MM64R6
/* 2999 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 3012
/* 3003 */    MCD::OPC_CheckPredicate, 20, 30, 3, // Skip to: 3805
/* 3007 */    MCD::OPC_Decode, 164, 7, 155, 1, // Opcode: DMUHU_MM64R6
/* 3012 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 3025
/* 3016 */    MCD::OPC_CheckPredicate, 20, 17, 3, // Skip to: 3805
/* 3020 */    MCD::OPC_Decode, 236, 6, 155, 1, // Opcode: DDIV_MM64R6
/* 3025 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 3038
/* 3029 */    MCD::OPC_CheckPredicate, 20, 4, 3, // Skip to: 3805
/* 3033 */    MCD::OPC_Decode, 153, 7, 155, 1, // Opcode: DMOD_MM64R6
/* 3038 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 3051
/* 3042 */    MCD::OPC_CheckPredicate, 20, 247, 2, // Skip to: 3805
/* 3046 */    MCD::OPC_Decode, 235, 6, 155, 1, // Opcode: DDIVU_MM64R6
/* 3051 */    MCD::OPC_FilterValue, 7, 238, 2, // Skip to: 3805
/* 3055 */    MCD::OPC_CheckPredicate, 20, 234, 2, // Skip to: 3805
/* 3059 */    MCD::OPC_Decode, 152, 7, 155, 1, // Opcode: DMODU_MM64R6
/* 3064 */    MCD::OPC_FilterValue, 28, 15, 0, // Skip to: 3083
/* 3068 */    MCD::OPC_CheckPredicate, 20, 221, 2, // Skip to: 3805
/* 3072 */    MCD::OPC_CheckField, 6, 2, 0, 215, 2, // Skip to: 3805
/* 3078 */    MCD::OPC_Decode, 220, 6, 157, 1, // Opcode: DALIGN_MM64R6
/* 3083 */    MCD::OPC_FilterValue, 36, 9, 0, // Skip to: 3096
/* 3087 */    MCD::OPC_CheckPredicate, 20, 202, 2, // Skip to: 3805
/* 3091 */    MCD::OPC_Decode, 243, 6, 156, 1, // Opcode: DEXTM_MM64R6
/* 3096 */    MCD::OPC_FilterValue, 44, 9, 0, // Skip to: 3109
/* 3100 */    MCD::OPC_CheckPredicate, 20, 189, 2, // Skip to: 3805
/* 3104 */    MCD::OPC_Decode, 246, 6, 156, 1, // Opcode: DEXT_MM64R6
/* 3109 */    MCD::OPC_FilterValue, 52, 9, 0, // Skip to: 3122
/* 3113 */    MCD::OPC_CheckPredicate, 20, 176, 2, // Skip to: 3805
/* 3117 */    MCD::OPC_Decode, 252, 6, 153, 1, // Opcode: DINSU_MM64R6
/* 3122 */    MCD::OPC_FilterValue, 60, 167, 2, // Skip to: 3805
/* 3126 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 3129 */    MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 3148
/* 3133 */    MCD::OPC_CheckPredicate, 20, 156, 2, // Skip to: 3805
/* 3137 */    MCD::OPC_CheckField, 14, 2, 0, 150, 2, // Skip to: 3805
/* 3143 */    MCD::OPC_Decode, 144, 7, 158, 1, // Opcode: DMFC0_MM64R6
/* 3148 */    MCD::OPC_FilterValue, 11, 15, 0, // Skip to: 3167
/* 3152 */    MCD::OPC_CheckPredicate, 20, 137, 2, // Skip to: 3805
/* 3156 */    MCD::OPC_CheckField, 14, 2, 0, 131, 2, // Skip to: 3805
/* 3162 */    MCD::OPC_Decode, 156, 7, 159, 1, // Opcode: DMTC0_MM64R6
/* 3167 */    MCD::OPC_FilterValue, 12, 122, 2, // Skip to: 3805
/* 3171 */    MCD::OPC_ExtractField, 11, 5,  // Inst{15-11} ...
/* 3174 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 3187
/* 3178 */    MCD::OPC_CheckPredicate, 20, 111, 2, // Skip to: 3805
/* 3182 */    MCD::OPC_Decode, 226, 6, 160, 1, // Opcode: DBITSWAP_MM64R6
/* 3187 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 3200
/* 3191 */    MCD::OPC_CheckPredicate, 20, 98, 2, // Skip to: 3805
/* 3195 */    MCD::OPC_Decode, 228, 6, 161, 1, // Opcode: DCLO_MM64R6
/* 3200 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 3213
/* 3204 */    MCD::OPC_CheckPredicate, 20, 85, 2, // Skip to: 3805
/* 3208 */    MCD::OPC_Decode, 231, 6, 161, 1, // Opcode: DCLZ_MM64R6
/* 3213 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 3226
/* 3217 */    MCD::OPC_CheckPredicate, 20, 72, 2, // Skip to: 3805
/* 3221 */    MCD::OPC_Decode, 239, 7, 161, 1, // Opcode: DSBH_MM64R6
/* 3226 */    MCD::OPC_FilterValue, 31, 63, 2, // Skip to: 3805
/* 3230 */    MCD::OPC_CheckPredicate, 20, 59, 2, // Skip to: 3805
/* 3234 */    MCD::OPC_Decode, 244, 7, 161, 1, // Opcode: DSHD_MM64R6
/* 3239 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 3252
/* 3243 */    MCD::OPC_CheckPredicate, 20, 46, 2, // Skip to: 3805
/* 3247 */    MCD::OPC_Decode, 211, 6, 162, 1, // Opcode: DADDIU_MM64R6
/* 3252 */    MCD::OPC_FilterValue, 24, 178, 0, // Skip to: 3434
/* 3256 */    MCD::OPC_ExtractField, 12, 4,  // Inst{15-12} ...
/* 3259 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3271
/* 3263 */    MCD::OPC_CheckPredicate, 19, 26, 2, // Skip to: 3805
/* 3267 */    MCD::OPC_Decode, 166, 15, 86, // Opcode: PREF_MMR6
/* 3271 */    MCD::OPC_FilterValue, 6, 53, 0, // Skip to: 3328
/* 3275 */    MCD::OPC_ExtractField, 9, 3,  // Inst{11-9} ...
/* 3278 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 3291
/* 3282 */    MCD::OPC_CheckPredicate, 19, 7, 2, // Skip to: 3805
/* 3286 */    MCD::OPC_Decode, 225, 10, 163, 1, // Opcode: LBUE_MMR6
/* 3291 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 3304
/* 3295 */    MCD::OPC_CheckPredicate, 19, 250, 1, // Skip to: 3805
/* 3299 */    MCD::OPC_Decode, 223, 10, 163, 1, // Opcode: LBE_MMR6
/* 3304 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3316
/* 3308 */    MCD::OPC_CheckPredicate, 19, 237, 1, // Skip to: 3805
/* 3312 */    MCD::OPC_Decode, 160, 11, 100, // Opcode: LLE_MMR6
/* 3316 */    MCD::OPC_FilterValue, 7, 229, 1, // Skip to: 3805
/* 3320 */    MCD::OPC_CheckPredicate, 19, 225, 1, // Skip to: 3805
/* 3324 */    MCD::OPC_Decode, 193, 11, 100, // Opcode: LWE_MMR6
/* 3328 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 3340
/* 3332 */    MCD::OPC_CheckPredicate, 20, 213, 1, // Skip to: 3805
/* 3336 */    MCD::OPC_Decode, 156, 11, 85, // Opcode: LLD_MM64R6
/* 3340 */    MCD::OPC_FilterValue, 10, 78, 0, // Skip to: 3422
/* 3344 */    MCD::OPC_ExtractField, 9, 3,  // Inst{11-9} ...
/* 3347 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3359
/* 3351 */    MCD::OPC_CheckPredicate, 19, 194, 1, // Skip to: 3805
/* 3355 */    MCD::OPC_Decode, 163, 15, 101, // Opcode: PREFE_MMR6
/* 3359 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 3371
/* 3363 */    MCD::OPC_CheckPredicate, 19, 182, 1, // Skip to: 3805
/* 3367 */    MCD::OPC_Decode, 155, 4, 101, // Opcode: CACHEE_MMR6
/* 3371 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 3384
/* 3375 */    MCD::OPC_CheckPredicate, 19, 170, 1, // Skip to: 3805
/* 3379 */    MCD::OPC_Decode, 162, 16, 164, 1, // Opcode: SBE_MMR6
/* 3384 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 3397
/* 3388 */    MCD::OPC_CheckPredicate, 19, 157, 1, // Skip to: 3805
/* 3392 */    MCD::OPC_Decode, 237, 16, 164, 1, // Opcode: SHE_MMR6
/* 3397 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 3410
/* 3401 */    MCD::OPC_CheckPredicate, 19, 144, 1, // Skip to: 3805
/* 3405 */    MCD::OPC_Decode, 172, 16, 164, 1, // Opcode: SCE_MMR6
/* 3410 */    MCD::OPC_FilterValue, 7, 135, 1, // Skip to: 3805
/* 3414 */    MCD::OPC_CheckPredicate, 19, 131, 1, // Skip to: 3805
/* 3418 */    MCD::OPC_Decode, 220, 18, 100, // Opcode: SWE_MMR6
/* 3422 */    MCD::OPC_FilterValue, 14, 123, 1, // Skip to: 3805
/* 3426 */    MCD::OPC_CheckPredicate, 20, 119, 1, // Skip to: 3805
/* 3430 */    MCD::OPC_Decode, 217, 11, 85, // Opcode: LWU_MM64R6
/* 3434 */    MCD::OPC_FilterValue, 28, 8, 0, // Skip to: 3446
/* 3438 */    MCD::OPC_CheckPredicate, 19, 107, 1, // Skip to: 3805
/* 3442 */    MCD::OPC_Decode, 252, 19, 93, // Opcode: XORI_MMR6
/* 3446 */    MCD::OPC_FilterValue, 29, 24, 0, // Skip to: 3474
/* 3450 */    MCD::OPC_CheckPredicate, 19, 11, 0, // Skip to: 3465
/* 3454 */    MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 3465
/* 3460 */    MCD::OPC_Decode, 198, 2, 165, 1, // Opcode: BEQZALC_MMR6
/* 3465 */    MCD::OPC_CheckPredicate, 19, 80, 1, // Skip to: 3805
/* 3469 */    MCD::OPC_Decode, 193, 2, 165, 1, // Opcode: BEQC_MMR6
/* 3474 */    MCD::OPC_FilterValue, 30, 94, 0, // Skip to: 3572
/* 3478 */    MCD::OPC_ExtractField, 19, 2,  // Inst{20-19} ...
/* 3481 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 3493
/* 3485 */    MCD::OPC_CheckPredicate, 19, 60, 1, // Skip to: 3805
/* 3489 */    MCD::OPC_Decode, 114, 166, 1, // Opcode: ADDIUPC_MMR6
/* 3493 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 3506
/* 3497 */    MCD::OPC_CheckPredicate, 19, 48, 1, // Skip to: 3805
/* 3501 */    MCD::OPC_Decode, 205, 11, 166, 1, // Opcode: LWPC_MMR6
/* 3506 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 3519
/* 3510 */    MCD::OPC_CheckPredicate, 20, 35, 1, // Skip to: 3805
/* 3514 */    MCD::OPC_Decode, 215, 11, 167, 1, // Opcode: LWUPC_MM64R6
/* 3519 */    MCD::OPC_FilterValue, 3, 26, 1, // Skip to: 3805
/* 3523 */    MCD::OPC_ExtractField, 18, 1,  // Inst{18} ...
/* 3526 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 3539
/* 3530 */    MCD::OPC_CheckPredicate, 20, 15, 1, // Skip to: 3805
/* 3534 */    MCD::OPC_Decode, 252, 10, 168, 1, // Opcode: LDPC_MM64R6
/* 3539 */    MCD::OPC_FilterValue, 1, 6, 1, // Skip to: 3805
/* 3543 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 3546 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 3559
/* 3550 */    MCD::OPC_CheckPredicate, 19, 251, 0, // Skip to: 3805
/* 3554 */    MCD::OPC_Decode, 252, 1, 169, 1, // Opcode: AUIPC_MMR6
/* 3559 */    MCD::OPC_FilterValue, 3, 242, 0, // Skip to: 3805
/* 3563 */    MCD::OPC_CheckPredicate, 19, 238, 0, // Skip to: 3805
/* 3567 */    MCD::OPC_Decode, 190, 1, 169, 1, // Opcode: ALUIPC_MMR6
/* 3572 */    MCD::OPC_FilterValue, 31, 24, 0, // Skip to: 3600
/* 3576 */    MCD::OPC_CheckPredicate, 19, 11, 0, // Skip to: 3591
/* 3580 */    MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 3591
/* 3586 */    MCD::OPC_Decode, 206, 3, 170, 1, // Opcode: BNEZALC_MMR6
/* 3591 */    MCD::OPC_CheckPredicate, 19, 210, 0, // Skip to: 3805
/* 3595 */    MCD::OPC_Decode, 193, 3, 170, 1, // Opcode: BNEC_MMR6
/* 3600 */    MCD::OPC_FilterValue, 32, 23, 0, // Skip to: 3627
/* 3604 */    MCD::OPC_CheckPredicate, 19, 10, 0, // Skip to: 3618
/* 3608 */    MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 3618
/* 3614 */    MCD::OPC_Decode, 196, 10, 89, // Opcode: JIALC_MMR6
/* 3618 */    MCD::OPC_CheckPredicate, 19, 183, 0, // Skip to: 3805
/* 3622 */    MCD::OPC_Decode, 203, 2, 171, 1, // Opcode: BEQZC_MMR6
/* 3627 */    MCD::OPC_FilterValue, 37, 9, 0, // Skip to: 3640
/* 3631 */    MCD::OPC_CheckPredicate, 19, 170, 0, // Skip to: 3805
/* 3635 */    MCD::OPC_Decode, 188, 2, 172, 1, // Opcode: BC_MMR6
/* 3640 */    MCD::OPC_FilterValue, 40, 23, 0, // Skip to: 3667
/* 3644 */    MCD::OPC_CheckPredicate, 19, 10, 0, // Skip to: 3658
/* 3648 */    MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 3658
/* 3654 */    MCD::OPC_Decode, 199, 10, 89, // Opcode: JIC_MMR6
/* 3658 */    MCD::OPC_CheckPredicate, 19, 143, 0, // Skip to: 3805
/* 3662 */    MCD::OPC_Decode, 211, 3, 171, 1, // Opcode: BNEZC_MMR6
/* 3667 */    MCD::OPC_FilterValue, 45, 9, 0, // Skip to: 3680
/* 3671 */    MCD::OPC_CheckPredicate, 19, 130, 0, // Skip to: 3805
/* 3675 */    MCD::OPC_Decode, 156, 2, 172, 1, // Opcode: BALC_MMR6
/* 3680 */    MCD::OPC_FilterValue, 48, 9, 0, // Skip to: 3693
/* 3684 */    MCD::OPC_CheckPredicate, 19, 117, 0, // Skip to: 3805
/* 3688 */    MCD::OPC_Decode, 215, 2, 173, 1, // Opcode: BGEUC_MMR6
/* 3693 */    MCD::OPC_FilterValue, 52, 8, 0, // Skip to: 3705
/* 3697 */    MCD::OPC_CheckPredicate, 19, 104, 0, // Skip to: 3805
/* 3701 */    MCD::OPC_Decode, 198, 1, 93, // Opcode: ANDI_MMR6
/* 3705 */    MCD::OPC_FilterValue, 53, 9, 0, // Skip to: 3718
/* 3709 */    MCD::OPC_CheckPredicate, 19, 92, 0, // Skip to: 3805
/* 3713 */    MCD::OPC_Decode, 161, 3, 174, 1, // Opcode: BLTC_MMR6
/* 3718 */    MCD::OPC_FilterValue, 54, 8, 0, // Skip to: 3730
/* 3722 */    MCD::OPC_CheckPredicate, 20, 79, 0, // Skip to: 3805
/* 3726 */    MCD::OPC_Decode, 198, 16, 84, // Opcode: SD_MM64R6
/* 3730 */    MCD::OPC_FilterValue, 55, 8, 0, // Skip to: 3742
/* 3734 */    MCD::OPC_CheckPredicate, 20, 67, 0, // Skip to: 3805
/* 3738 */    MCD::OPC_Decode, 132, 11, 84, // Opcode: LD_MM64R6
/* 3742 */    MCD::OPC_FilterValue, 56, 9, 0, // Skip to: 3755
/* 3746 */    MCD::OPC_CheckPredicate, 19, 55, 0, // Skip to: 3805
/* 3750 */    MCD::OPC_Decode, 168, 3, 175, 1, // Opcode: BLTUC_MMR6
/* 3755 */    MCD::OPC_FilterValue, 60, 9, 0, // Skip to: 3768
/* 3759 */    MCD::OPC_CheckPredicate, 20, 42, 0, // Skip to: 3805
/* 3763 */    MCD::OPC_Decode, 224, 6, 176, 1, // Opcode: DAUI_MM64R6
/* 3768 */    MCD::OPC_FilterValue, 61, 9, 0, // Skip to: 3781
/* 3772 */    MCD::OPC_CheckPredicate, 19, 29, 0, // Skip to: 3805
/* 3776 */    MCD::OPC_Decode, 208, 2, 177, 1, // Opcode: BGEC_MMR6
/* 3781 */    MCD::OPC_FilterValue, 62, 8, 0, // Skip to: 3793
/* 3785 */    MCD::OPC_CheckPredicate, 19, 16, 0, // Skip to: 3805
/* 3789 */    MCD::OPC_Decode, 242, 18, 84, // Opcode: SW_MMR6
/* 3793 */    MCD::OPC_FilterValue, 63, 8, 0, // Skip to: 3805
/* 3797 */    MCD::OPC_CheckPredicate, 19, 4, 0, // Skip to: 3805
/* 3801 */    MCD::OPC_Decode, 224, 11, 84, // Opcode: LW_MMR6
/* 3805 */    MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMicroMipsR6_Ambiguous32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 16
/* 7 */       MCD::OPC_CheckPredicate, 19, 74, 0, // Skip to: 85
/* 11 */      MCD::OPC_Decode, 221, 3, 165, 1, // Opcode: BOVC_MMR6
/* 16 */      MCD::OPC_FilterValue, 31, 9, 0, // Skip to: 29
/* 20 */      MCD::OPC_CheckPredicate, 19, 61, 0, // Skip to: 85
/* 24 */      MCD::OPC_Decode, 214, 3, 170, 1, // Opcode: BNVC_MMR6
/* 29 */      MCD::OPC_FilterValue, 48, 24, 0, // Skip to: 57
/* 33 */      MCD::OPC_CheckPredicate, 19, 11, 0, // Skip to: 48
/* 37 */      MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 48
/* 43 */      MCD::OPC_Decode, 152, 3, 173, 1, // Opcode: BLEZALC_MMR6
/* 48 */      MCD::OPC_CheckPredicate, 19, 33, 0, // Skip to: 85
/* 52 */      MCD::OPC_Decode, 223, 2, 173, 1, // Opcode: BGEZALC_MMR6
/* 57 */      MCD::OPC_FilterValue, 56, 24, 0, // Skip to: 85
/* 61 */      MCD::OPC_CheckPredicate, 19, 11, 0, // Skip to: 76
/* 65 */      MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 76
/* 71 */      MCD::OPC_Decode, 243, 2, 175, 1, // Opcode: BGTZALC_MMR6
/* 76 */      MCD::OPC_CheckPredicate, 19, 5, 0, // Skip to: 85
/* 80 */      MCD::OPC_Decode, 176, 3, 175, 1, // Opcode: BLTZALC_MMR6
/* 85 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 205, 3, // Skip to: 980
/* 7 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 10 */      MCD::OPC_FilterValue, 0, 55, 0, // Skip to: 69
/* 14 */      MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 17 */      MCD::OPC_FilterValue, 0, 60, 58, // Skip to: 14929
/* 21 */      MCD::OPC_ExtractField, 6, 15,  // Inst{20-6} ...
/* 24 */      MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 36
/* 28 */      MCD::OPC_CheckPredicate, 23, 28, 0, // Skip to: 60
/* 32 */      MCD::OPC_Decode, 133, 18, 0, // Opcode: SSNOP
/* 36 */      MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 48
/* 40 */      MCD::OPC_CheckPredicate, 23, 16, 0, // Skip to: 60
/* 44 */      MCD::OPC_Decode, 148, 8, 0, // Opcode: EHB
/* 48 */      MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 60
/* 52 */      MCD::OPC_CheckPredicate, 24, 4, 0, // Skip to: 60
/* 56 */      MCD::OPC_Decode, 234, 14, 0, // Opcode: PAUSE
/* 60 */      MCD::OPC_CheckPredicate, 1, 17, 58, // Skip to: 14929
/* 64 */      MCD::OPC_Decode, 171, 17, 178, 1, // Opcode: SLL
/* 69 */      MCD::OPC_FilterValue, 1, 41, 0, // Skip to: 114
/* 73 */      MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 76 */      MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 95
/* 80 */      MCD::OPC_CheckPredicate, 25, 253, 57, // Skip to: 14929
/* 84 */      MCD::OPC_CheckField, 6, 5, 0, 247, 57, // Skip to: 14929
/* 90 */      MCD::OPC_Decode, 141, 13, 179, 1, // Opcode: MOVF_I
/* 95 */      MCD::OPC_FilterValue, 1, 238, 57, // Skip to: 14929
/* 99 */      MCD::OPC_CheckPredicate, 25, 234, 57, // Skip to: 14929
/* 103 */     MCD::OPC_CheckField, 6, 5, 0, 228, 57, // Skip to: 14929
/* 109 */     MCD::OPC_Decode, 161, 13, 179, 1, // Opcode: MOVT_I
/* 114 */     MCD::OPC_FilterValue, 2, 29, 0, // Skip to: 147
/* 118 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 121 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 134
/* 125 */     MCD::OPC_CheckPredicate, 1, 208, 57, // Skip to: 14929
/* 129 */     MCD::OPC_Decode, 239, 17, 178, 1, // Opcode: SRL
/* 134 */     MCD::OPC_FilterValue, 1, 199, 57, // Skip to: 14929
/* 138 */     MCD::OPC_CheckPredicate, 26, 195, 57, // Skip to: 14929
/* 142 */     MCD::OPC_Decode, 253, 15, 178, 1, // Opcode: ROTR
/* 147 */     MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 166
/* 151 */     MCD::OPC_CheckPredicate, 1, 182, 57, // Skip to: 14929
/* 155 */     MCD::OPC_CheckField, 21, 5, 0, 176, 57, // Skip to: 14929
/* 161 */     MCD::OPC_Decode, 219, 17, 178, 1, // Opcode: SRA
/* 166 */     MCD::OPC_FilterValue, 4, 14, 0, // Skip to: 184
/* 170 */     MCD::OPC_CheckPredicate, 1, 163, 57, // Skip to: 14929
/* 174 */     MCD::OPC_CheckField, 6, 5, 0, 157, 57, // Skip to: 14929
/* 180 */     MCD::OPC_Decode, 180, 17, 43, // Opcode: SLLV
/* 184 */     MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 203
/* 188 */     MCD::OPC_CheckPredicate, 27, 145, 57, // Skip to: 14929
/* 192 */     MCD::OPC_CheckField, 8, 3, 0, 139, 57, // Skip to: 14929
/* 198 */     MCD::OPC_Decode, 170, 11, 180, 1, // Opcode: LSA
/* 203 */     MCD::OPC_FilterValue, 6, 27, 0, // Skip to: 234
/* 207 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 210 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 222
/* 214 */     MCD::OPC_CheckPredicate, 1, 119, 57, // Skip to: 14929
/* 218 */     MCD::OPC_Decode, 254, 17, 43, // Opcode: SRLV
/* 222 */     MCD::OPC_FilterValue, 1, 111, 57, // Skip to: 14929
/* 226 */     MCD::OPC_CheckPredicate, 26, 107, 57, // Skip to: 14929
/* 230 */     MCD::OPC_Decode, 254, 15, 43, // Opcode: ROTRV
/* 234 */     MCD::OPC_FilterValue, 7, 14, 0, // Skip to: 252
/* 238 */     MCD::OPC_CheckPredicate, 1, 95, 57, // Skip to: 14929
/* 242 */     MCD::OPC_CheckField, 6, 5, 0, 89, 57, // Skip to: 14929
/* 248 */     MCD::OPC_Decode, 232, 17, 43, // Opcode: SRAV
/* 252 */     MCD::OPC_FilterValue, 8, 29, 0, // Skip to: 285
/* 256 */     MCD::OPC_ExtractField, 6, 15,  // Inst{20-6} ...
/* 259 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 272
/* 263 */     MCD::OPC_CheckPredicate, 28, 70, 57, // Skip to: 14929
/* 267 */     MCD::OPC_Decode, 200, 10, 181, 1, // Opcode: JR
/* 272 */     MCD::OPC_FilterValue, 16, 61, 57, // Skip to: 14929
/* 276 */     MCD::OPC_CheckPredicate, 29, 57, 57, // Skip to: 14929
/* 280 */     MCD::OPC_Decode, 207, 10, 181, 1, // Opcode: JR_HB
/* 285 */     MCD::OPC_FilterValue, 9, 39, 0, // Skip to: 328
/* 289 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 292 */     MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 310
/* 296 */     MCD::OPC_CheckPredicate, 1, 37, 57, // Skip to: 14929
/* 300 */     MCD::OPC_CheckField, 16, 5, 0, 31, 57, // Skip to: 14929
/* 306 */     MCD::OPC_Decode, 178, 10, 14, // Opcode: JALR
/* 310 */     MCD::OPC_FilterValue, 16, 23, 57, // Skip to: 14929
/* 314 */     MCD::OPC_CheckPredicate, 30, 19, 57, // Skip to: 14929
/* 318 */     MCD::OPC_CheckField, 16, 5, 0, 13, 57, // Skip to: 14929
/* 324 */     MCD::OPC_Decode, 188, 10, 14, // Opcode: JALR_HB
/* 328 */     MCD::OPC_FilterValue, 10, 15, 0, // Skip to: 347
/* 332 */     MCD::OPC_CheckPredicate, 31, 1, 57, // Skip to: 14929
/* 336 */     MCD::OPC_CheckField, 6, 5, 0, 251, 56, // Skip to: 14929
/* 342 */     MCD::OPC_Decode, 173, 13, 182, 1, // Opcode: MOVZ_I_I
/* 347 */     MCD::OPC_FilterValue, 11, 15, 0, // Skip to: 366
/* 351 */     MCD::OPC_CheckPredicate, 31, 238, 56, // Skip to: 14929
/* 355 */     MCD::OPC_CheckField, 6, 5, 0, 232, 56, // Skip to: 14929
/* 361 */     MCD::OPC_Decode, 153, 13, 182, 1, // Opcode: MOVN_I_I
/* 366 */     MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 379
/* 370 */     MCD::OPC_CheckPredicate, 1, 219, 56, // Skip to: 14929
/* 374 */     MCD::OPC_Decode, 249, 18, 183, 1, // Opcode: SYSCALL
/* 379 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 391
/* 383 */     MCD::OPC_CheckPredicate, 1, 206, 56, // Skip to: 14929
/* 387 */     MCD::OPC_Decode, 226, 3, 44, // Opcode: BREAK
/* 391 */     MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 404
/* 395 */     MCD::OPC_CheckPredicate, 2, 194, 56, // Skip to: 14929
/* 399 */     MCD::OPC_Decode, 243, 18, 184, 1, // Opcode: SYNC
/* 404 */     MCD::OPC_FilterValue, 16, 45, 0, // Skip to: 453
/* 408 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 411 */     MCD::OPC_FilterValue, 0, 178, 56, // Skip to: 14929
/* 415 */     MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 418 */     MCD::OPC_FilterValue, 0, 171, 56, // Skip to: 14929
/* 422 */     MCD::OPC_ExtractField, 23, 3,  // Inst{25-23} ...
/* 425 */     MCD::OPC_FilterValue, 0, 164, 56, // Skip to: 14929
/* 429 */     MCD::OPC_CheckPredicate, 32, 11, 0, // Skip to: 444
/* 433 */     MCD::OPC_CheckField, 21, 2, 0, 5, 0, // Skip to: 444
/* 439 */     MCD::OPC_Decode, 197, 12, 185, 1, // Opcode: MFHI
/* 444 */     MCD::OPC_CheckPredicate, 33, 145, 56, // Skip to: 14929
/* 448 */     MCD::OPC_Decode, 200, 12, 186, 1, // Opcode: MFHI_DSP
/* 453 */     MCD::OPC_FilterValue, 17, 38, 0, // Skip to: 495
/* 457 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 460 */     MCD::OPC_FilterValue, 0, 129, 56, // Skip to: 14929
/* 464 */     MCD::OPC_ExtractField, 13, 8,  // Inst{20-13} ...
/* 467 */     MCD::OPC_FilterValue, 0, 122, 56, // Skip to: 14929
/* 471 */     MCD::OPC_CheckPredicate, 28, 11, 0, // Skip to: 486
/* 475 */     MCD::OPC_CheckField, 11, 2, 0, 5, 0, // Skip to: 486
/* 481 */     MCD::OPC_Decode, 222, 13, 181, 1, // Opcode: MTHI
/* 486 */     MCD::OPC_CheckPredicate, 33, 103, 56, // Skip to: 14929
/* 490 */     MCD::OPC_Decode, 224, 13, 187, 1, // Opcode: MTHI_DSP
/* 495 */     MCD::OPC_FilterValue, 18, 45, 0, // Skip to: 544
/* 499 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 502 */     MCD::OPC_FilterValue, 0, 87, 56, // Skip to: 14929
/* 506 */     MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 509 */     MCD::OPC_FilterValue, 0, 80, 56, // Skip to: 14929
/* 513 */     MCD::OPC_ExtractField, 23, 3,  // Inst{25-23} ...
/* 516 */     MCD::OPC_FilterValue, 0, 73, 56, // Skip to: 14929
/* 520 */     MCD::OPC_CheckPredicate, 32, 11, 0, // Skip to: 535
/* 524 */     MCD::OPC_CheckField, 21, 2, 0, 5, 0, // Skip to: 535
/* 530 */     MCD::OPC_Decode, 203, 12, 185, 1, // Opcode: MFLO
/* 535 */     MCD::OPC_CheckPredicate, 33, 54, 56, // Skip to: 14929
/* 539 */     MCD::OPC_Decode, 206, 12, 186, 1, // Opcode: MFLO_DSP
/* 544 */     MCD::OPC_FilterValue, 19, 38, 0, // Skip to: 586
/* 548 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 551 */     MCD::OPC_FilterValue, 0, 38, 56, // Skip to: 14929
/* 555 */     MCD::OPC_ExtractField, 13, 8,  // Inst{20-13} ...
/* 558 */     MCD::OPC_FilterValue, 0, 31, 56, // Skip to: 14929
/* 562 */     MCD::OPC_CheckPredicate, 28, 11, 0, // Skip to: 577
/* 566 */     MCD::OPC_CheckField, 11, 2, 0, 5, 0, // Skip to: 577
/* 572 */     MCD::OPC_Decode, 229, 13, 181, 1, // Opcode: MTLO
/* 577 */     MCD::OPC_CheckPredicate, 33, 12, 56, // Skip to: 14929
/* 581 */     MCD::OPC_Decode, 231, 13, 188, 1, // Opcode: MTLO_DSP
/* 586 */     MCD::OPC_FilterValue, 21, 15, 0, // Skip to: 605
/* 590 */     MCD::OPC_CheckPredicate, 34, 255, 55, // Skip to: 14929
/* 594 */     MCD::OPC_CheckField, 8, 3, 0, 249, 55, // Skip to: 14929
/* 600 */     MCD::OPC_Decode, 140, 7, 189, 1, // Opcode: DLSA
/* 605 */     MCD::OPC_FilterValue, 24, 37, 0, // Skip to: 646
/* 609 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 612 */     MCD::OPC_FilterValue, 0, 233, 55, // Skip to: 14929
/* 616 */     MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 619 */     MCD::OPC_FilterValue, 0, 226, 55, // Skip to: 14929
/* 623 */     MCD::OPC_CheckPredicate, 28, 10, 0, // Skip to: 637
/* 627 */     MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 637
/* 633 */     MCD::OPC_Decode, 151, 14, 63, // Opcode: MULT
/* 637 */     MCD::OPC_CheckPredicate, 33, 208, 55, // Skip to: 14929
/* 641 */     MCD::OPC_Decode, 154, 14, 190, 1, // Opcode: MULT_DSP
/* 646 */     MCD::OPC_FilterValue, 25, 37, 0, // Skip to: 687
/* 650 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 653 */     MCD::OPC_FilterValue, 0, 192, 55, // Skip to: 14929
/* 657 */     MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 660 */     MCD::OPC_FilterValue, 0, 185, 55, // Skip to: 14929
/* 664 */     MCD::OPC_CheckPredicate, 28, 10, 0, // Skip to: 678
/* 668 */     MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 678
/* 674 */     MCD::OPC_Decode, 157, 14, 63, // Opcode: MULTu
/* 678 */     MCD::OPC_CheckPredicate, 33, 167, 55, // Skip to: 14929
/* 682 */     MCD::OPC_Decode, 152, 14, 190, 1, // Opcode: MULTU_DSP
/* 687 */     MCD::OPC_FilterValue, 26, 14, 0, // Skip to: 705
/* 691 */     MCD::OPC_CheckPredicate, 35, 154, 55, // Skip to: 14929
/* 695 */     MCD::OPC_CheckField, 6, 10, 0, 148, 55, // Skip to: 14929
/* 701 */     MCD::OPC_Decode, 190, 16, 63, // Opcode: SDIV
/* 705 */     MCD::OPC_FilterValue, 27, 14, 0, // Skip to: 723
/* 709 */     MCD::OPC_CheckPredicate, 35, 136, 55, // Skip to: 14929
/* 713 */     MCD::OPC_CheckField, 6, 10, 0, 130, 55, // Skip to: 14929
/* 719 */     MCD::OPC_Decode, 221, 19, 63, // Opcode: UDIV
/* 723 */     MCD::OPC_FilterValue, 32, 13, 0, // Skip to: 740
/* 727 */     MCD::OPC_CheckPredicate, 23, 118, 55, // Skip to: 14929
/* 731 */     MCD::OPC_CheckField, 6, 5, 0, 112, 55, // Skip to: 14929
/* 737 */     MCD::OPC_Decode, 111, 49, // Opcode: ADD
/* 740 */     MCD::OPC_FilterValue, 33, 14, 0, // Skip to: 758
/* 744 */     MCD::OPC_CheckPredicate, 1, 101, 55, // Skip to: 14929
/* 748 */     MCD::OPC_CheckField, 6, 5, 0, 95, 55, // Skip to: 14929
/* 754 */     MCD::OPC_Decode, 183, 1, 49, // Opcode: ADDu
/* 758 */     MCD::OPC_FilterValue, 34, 14, 0, // Skip to: 776
/* 762 */     MCD::OPC_CheckPredicate, 23, 83, 55, // Skip to: 14929
/* 766 */     MCD::OPC_CheckField, 6, 5, 0, 77, 55, // Skip to: 14929
/* 772 */     MCD::OPC_Decode, 145, 18, 49, // Opcode: SUB
/* 776 */     MCD::OPC_FilterValue, 35, 14, 0, // Skip to: 794
/* 780 */     MCD::OPC_CheckPredicate, 1, 65, 55, // Skip to: 14929
/* 784 */     MCD::OPC_CheckField, 6, 5, 0, 59, 55, // Skip to: 14929
/* 790 */     MCD::OPC_Decode, 201, 18, 49, // Opcode: SUBu
/* 794 */     MCD::OPC_FilterValue, 36, 14, 0, // Skip to: 812
/* 798 */     MCD::OPC_CheckPredicate, 1, 47, 55, // Skip to: 14929
/* 802 */     MCD::OPC_CheckField, 6, 5, 0, 41, 55, // Skip to: 14929
/* 808 */     MCD::OPC_Decode, 191, 1, 49, // Opcode: AND
/* 812 */     MCD::OPC_FilterValue, 37, 14, 0, // Skip to: 830
/* 816 */     MCD::OPC_CheckPredicate, 1, 29, 55, // Skip to: 14929
/* 820 */     MCD::OPC_CheckField, 6, 5, 0, 23, 55, // Skip to: 14929
/* 826 */     MCD::OPC_Decode, 216, 14, 49, // Opcode: OR
/* 830 */     MCD::OPC_FilterValue, 38, 14, 0, // Skip to: 848
/* 834 */     MCD::OPC_CheckPredicate, 1, 11, 55, // Skip to: 14929
/* 838 */     MCD::OPC_CheckField, 6, 5, 0, 5, 55, // Skip to: 14929
/* 844 */     MCD::OPC_Decode, 247, 19, 49, // Opcode: XOR
/* 848 */     MCD::OPC_FilterValue, 39, 14, 0, // Skip to: 866
/* 852 */     MCD::OPC_CheckPredicate, 1, 249, 54, // Skip to: 14929
/* 856 */     MCD::OPC_CheckField, 6, 5, 0, 243, 54, // Skip to: 14929
/* 862 */     MCD::OPC_Decode, 201, 14, 49, // Opcode: NOR
/* 866 */     MCD::OPC_FilterValue, 42, 14, 0, // Skip to: 884
/* 870 */     MCD::OPC_CheckPredicate, 1, 231, 54, // Skip to: 14929
/* 874 */     MCD::OPC_CheckField, 6, 5, 0, 225, 54, // Skip to: 14929
/* 880 */     MCD::OPC_Decode, 188, 17, 49, // Opcode: SLT
/* 884 */     MCD::OPC_FilterValue, 43, 14, 0, // Skip to: 902
/* 888 */     MCD::OPC_CheckPredicate, 1, 213, 54, // Skip to: 14929
/* 892 */     MCD::OPC_CheckField, 6, 5, 0, 207, 54, // Skip to: 14929
/* 898 */     MCD::OPC_Decode, 199, 17, 49, // Opcode: SLTu
/* 902 */     MCD::OPC_FilterValue, 48, 9, 0, // Skip to: 915
/* 906 */     MCD::OPC_CheckPredicate, 2, 195, 54, // Skip to: 14929
/* 910 */     MCD::OPC_Decode, 177, 19, 191, 1, // Opcode: TGE
/* 915 */     MCD::OPC_FilterValue, 49, 9, 0, // Skip to: 928
/* 919 */     MCD::OPC_CheckPredicate, 2, 182, 54, // Skip to: 14929
/* 923 */     MCD::OPC_Decode, 182, 19, 191, 1, // Opcode: TGEU
/* 928 */     MCD::OPC_FilterValue, 50, 9, 0, // Skip to: 941
/* 932 */     MCD::OPC_CheckPredicate, 2, 169, 54, // Skip to: 14929
/* 936 */     MCD::OPC_Decode, 197, 19, 191, 1, // Opcode: TLT
/* 941 */     MCD::OPC_FilterValue, 51, 9, 0, // Skip to: 954
/* 945 */     MCD::OPC_CheckPredicate, 2, 156, 54, // Skip to: 14929
/* 949 */     MCD::OPC_Decode, 201, 19, 191, 1, // Opcode: TLTU
/* 954 */     MCD::OPC_FilterValue, 52, 9, 0, // Skip to: 967
/* 958 */     MCD::OPC_CheckPredicate, 2, 143, 54, // Skip to: 14929
/* 962 */     MCD::OPC_Decode, 173, 19, 191, 1, // Opcode: TEQ
/* 967 */     MCD::OPC_FilterValue, 54, 134, 54, // Skip to: 14929
/* 971 */     MCD::OPC_CheckPredicate, 2, 130, 54, // Skip to: 14929
/* 975 */     MCD::OPC_Decode, 204, 19, 191, 1, // Opcode: TNE
/* 980 */     MCD::OPC_FilterValue, 1, 216, 0, // Skip to: 1200
/* 984 */     MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 987 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 1000
/* 991 */     MCD::OPC_CheckPredicate, 23, 110, 54, // Skip to: 14929
/* 995 */     MCD::OPC_Decode, 172, 3, 192, 1, // Opcode: BLTZ
/* 1000 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 1013
/* 1004 */    MCD::OPC_CheckPredicate, 23, 97, 54, // Skip to: 14929
/* 1008 */    MCD::OPC_Decode, 219, 2, 192, 1, // Opcode: BGEZ
/* 1013 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1026
/* 1017 */    MCD::OPC_CheckPredicate, 36, 84, 54, // Skip to: 14929
/* 1021 */    MCD::OPC_Decode, 183, 3, 192, 1, // Opcode: BLTZL
/* 1026 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 1039
/* 1030 */    MCD::OPC_CheckPredicate, 36, 71, 54, // Skip to: 14929
/* 1034 */    MCD::OPC_Decode, 230, 2, 192, 1, // Opcode: BGEZL
/* 1039 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 1052
/* 1043 */    MCD::OPC_CheckPredicate, 36, 58, 54, // Skip to: 14929
/* 1047 */    MCD::OPC_Decode, 178, 19, 169, 1, // Opcode: TGEI
/* 1052 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 1065
/* 1056 */    MCD::OPC_CheckPredicate, 36, 45, 54, // Skip to: 14929
/* 1060 */    MCD::OPC_Decode, 179, 19, 169, 1, // Opcode: TGEIU
/* 1065 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 1078
/* 1069 */    MCD::OPC_CheckPredicate, 36, 32, 54, // Skip to: 14929
/* 1073 */    MCD::OPC_Decode, 198, 19, 169, 1, // Opcode: TLTI
/* 1078 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1091
/* 1082 */    MCD::OPC_CheckPredicate, 36, 19, 54, // Skip to: 14929
/* 1086 */    MCD::OPC_Decode, 220, 19, 169, 1, // Opcode: TTLTIU
/* 1091 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 1104
/* 1095 */    MCD::OPC_CheckPredicate, 36, 6, 54, // Skip to: 14929
/* 1099 */    MCD::OPC_Decode, 174, 19, 169, 1, // Opcode: TEQI
/* 1104 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 1117
/* 1108 */    MCD::OPC_CheckPredicate, 36, 249, 53, // Skip to: 14929
/* 1112 */    MCD::OPC_Decode, 205, 19, 169, 1, // Opcode: TNEI
/* 1117 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 1130
/* 1121 */    MCD::OPC_CheckPredicate, 28, 236, 53, // Skip to: 14929
/* 1125 */    MCD::OPC_Decode, 174, 3, 192, 1, // Opcode: BLTZAL
/* 1130 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 1143
/* 1134 */    MCD::OPC_CheckPredicate, 28, 223, 53, // Skip to: 14929
/* 1138 */    MCD::OPC_Decode, 221, 2, 192, 1, // Opcode: BGEZAL
/* 1143 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 1156
/* 1147 */    MCD::OPC_CheckPredicate, 36, 210, 53, // Skip to: 14929
/* 1151 */    MCD::OPC_Decode, 177, 3, 192, 1, // Opcode: BLTZALL
/* 1156 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 1169
/* 1160 */    MCD::OPC_CheckPredicate, 36, 197, 53, // Skip to: 14929
/* 1164 */    MCD::OPC_Decode, 224, 2, 192, 1, // Opcode: BGEZALL
/* 1169 */    MCD::OPC_FilterValue, 28, 15, 0, // Skip to: 1188
/* 1173 */    MCD::OPC_CheckPredicate, 37, 184, 53, // Skip to: 14929
/* 1177 */    MCD::OPC_CheckField, 21, 5, 0, 178, 53, // Skip to: 14929
/* 1183 */    MCD::OPC_Decode, 222, 3, 193, 1, // Opcode: BPOSGE32
/* 1188 */    MCD::OPC_FilterValue, 31, 169, 53, // Skip to: 14929
/* 1192 */    MCD::OPC_CheckPredicate, 26, 165, 53, // Skip to: 14929
/* 1196 */    MCD::OPC_Decode, 244, 18, 90, // Opcode: SYNCI
/* 1200 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1213
/* 1204 */    MCD::OPC_CheckPredicate, 23, 153, 53, // Skip to: 14929
/* 1208 */    MCD::OPC_Decode, 176, 10, 194, 1, // Opcode: J
/* 1213 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 1226
/* 1217 */    MCD::OPC_CheckPredicate, 23, 140, 53, // Skip to: 14929
/* 1221 */    MCD::OPC_Decode, 177, 10, 194, 1, // Opcode: JAL
/* 1226 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 1239
/* 1230 */    MCD::OPC_CheckPredicate, 23, 127, 53, // Skip to: 14929
/* 1234 */    MCD::OPC_Decode, 189, 2, 195, 1, // Opcode: BEQ
/* 1239 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 1252
/* 1243 */    MCD::OPC_CheckPredicate, 23, 114, 53, // Skip to: 14929
/* 1247 */    MCD::OPC_Decode, 189, 3, 195, 1, // Opcode: BNE
/* 1252 */    MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 1271
/* 1256 */    MCD::OPC_CheckPredicate, 23, 101, 53, // Skip to: 14929
/* 1260 */    MCD::OPC_CheckField, 16, 5, 0, 95, 53, // Skip to: 14929
/* 1266 */    MCD::OPC_Decode, 149, 3, 192, 1, // Opcode: BLEZ
/* 1271 */    MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 1290
/* 1275 */    MCD::OPC_CheckPredicate, 23, 82, 53, // Skip to: 14929
/* 1279 */    MCD::OPC_CheckField, 16, 5, 0, 76, 53, // Skip to: 14929
/* 1285 */    MCD::OPC_Decode, 240, 2, 192, 1, // Opcode: BGTZ
/* 1290 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 1303
/* 1294 */    MCD::OPC_CheckPredicate, 28, 63, 53, // Skip to: 14929
/* 1298 */    MCD::OPC_Decode, 179, 1, 196, 1, // Opcode: ADDi
/* 1303 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 1316
/* 1307 */    MCD::OPC_CheckPredicate, 1, 50, 53, // Skip to: 14929
/* 1311 */    MCD::OPC_Decode, 181, 1, 196, 1, // Opcode: ADDiu
/* 1316 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 1329
/* 1320 */    MCD::OPC_CheckPredicate, 1, 37, 53, // Skip to: 14929
/* 1324 */    MCD::OPC_Decode, 193, 17, 196, 1, // Opcode: SLTi
/* 1329 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1342
/* 1333 */    MCD::OPC_CheckPredicate, 1, 24, 53, // Skip to: 14929
/* 1337 */    MCD::OPC_Decode, 196, 17, 196, 1, // Opcode: SLTiu
/* 1342 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 1355
/* 1346 */    MCD::OPC_CheckPredicate, 1, 11, 53, // Skip to: 14929
/* 1350 */    MCD::OPC_Decode, 205, 1, 197, 1, // Opcode: ANDi
/* 1355 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 1368
/* 1359 */    MCD::OPC_CheckPredicate, 1, 254, 52, // Skip to: 14929
/* 1363 */    MCD::OPC_Decode, 228, 14, 197, 1, // Opcode: ORi
/* 1368 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 1381
/* 1372 */    MCD::OPC_CheckPredicate, 1, 241, 52, // Skip to: 14929
/* 1376 */    MCD::OPC_Decode, 131, 20, 197, 1, // Opcode: XORi
/* 1381 */    MCD::OPC_FilterValue, 15, 14, 0, // Skip to: 1399
/* 1385 */    MCD::OPC_CheckPredicate, 23, 228, 52, // Skip to: 14929
/* 1389 */    MCD::OPC_CheckField, 21, 5, 0, 222, 52, // Skip to: 14929
/* 1395 */    MCD::OPC_Decode, 177, 11, 89, // Opcode: LUi
/* 1399 */    MCD::OPC_FilterValue, 16, 47, 1, // Skip to: 1706
/* 1403 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 1406 */    MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 1425
/* 1410 */    MCD::OPC_CheckPredicate, 38, 203, 52, // Skip to: 14929
/* 1414 */    MCD::OPC_CheckField, 3, 8, 0, 197, 52, // Skip to: 14929
/* 1420 */    MCD::OPC_Decode, 182, 12, 198, 1, // Opcode: MFC0
/* 1425 */    MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 1444
/* 1429 */    MCD::OPC_CheckPredicate, 38, 184, 52, // Skip to: 14929
/* 1433 */    MCD::OPC_CheckField, 3, 8, 0, 178, 52, // Skip to: 14929
/* 1439 */    MCD::OPC_Decode, 207, 13, 199, 1, // Opcode: MTC0
/* 1444 */    MCD::OPC_FilterValue, 8, 21, 0, // Skip to: 1469
/* 1448 */    MCD::OPC_CheckPredicate, 39, 165, 52, // Skip to: 14929
/* 1452 */    MCD::OPC_CheckField, 6, 5, 0, 159, 52, // Skip to: 14929
/* 1458 */    MCD::OPC_CheckField, 3, 1, 0, 153, 52, // Skip to: 14929
/* 1464 */    MCD::OPC_Decode, 217, 12, 200, 1, // Opcode: MFTR
/* 1469 */    MCD::OPC_FilterValue, 11, 81, 0, // Skip to: 1554
/* 1473 */    MCD::OPC_ExtractField, 0, 16,  // Inst{15-0} ...
/* 1476 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1488
/* 1480 */    MCD::OPC_CheckPredicate, 39, 133, 52, // Skip to: 14929
/* 1484 */    MCD::OPC_Decode, 144, 8, 73, // Opcode: DVPE
/* 1488 */    MCD::OPC_FilterValue, 33, 8, 0, // Skip to: 1500
/* 1492 */    MCD::OPC_CheckPredicate, 39, 121, 52, // Skip to: 14929
/* 1496 */    MCD::OPC_Decode, 162, 8, 73, // Opcode: EVPE
/* 1500 */    MCD::OPC_FilterValue, 193, 23, 8, 0, // Skip to: 1513
/* 1505 */    MCD::OPC_CheckPredicate, 39, 108, 52, // Skip to: 14929
/* 1509 */    MCD::OPC_Decode, 154, 7, 73, // Opcode: DMT
/* 1513 */    MCD::OPC_FilterValue, 225, 23, 8, 0, // Skip to: 1526
/* 1518 */    MCD::OPC_CheckPredicate, 39, 95, 52, // Skip to: 14929
/* 1522 */    MCD::OPC_Decode, 154, 8, 73, // Opcode: EMT
/* 1526 */    MCD::OPC_FilterValue, 128, 192, 1, 8, 0, // Skip to: 1540
/* 1532 */    MCD::OPC_CheckPredicate, 26, 81, 52, // Skip to: 14929
/* 1536 */    MCD::OPC_Decode, 247, 6, 73, // Opcode: DI
/* 1540 */    MCD::OPC_FilterValue, 160, 192, 1, 71, 52, // Skip to: 14929
/* 1546 */    MCD::OPC_CheckPredicate, 26, 67, 52, // Skip to: 14929
/* 1550 */    MCD::OPC_Decode, 151, 8, 73, // Opcode: EI
/* 1554 */    MCD::OPC_FilterValue, 12, 21, 0, // Skip to: 1579
/* 1558 */    MCD::OPC_CheckPredicate, 39, 55, 52, // Skip to: 14929
/* 1562 */    MCD::OPC_CheckField, 6, 5, 0, 49, 52, // Skip to: 14929
/* 1568 */    MCD::OPC_CheckField, 3, 1, 0, 43, 52, // Skip to: 14929
/* 1574 */    MCD::OPC_Decode, 248, 13, 200, 1, // Opcode: MTTR
/* 1579 */    MCD::OPC_FilterValue, 16, 34, 52, // Skip to: 14929
/* 1583 */    MCD::OPC_ExtractField, 0, 21,  // Inst{20-0} ...
/* 1586 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1598
/* 1590 */    MCD::OPC_CheckPredicate, 1, 23, 52, // Skip to: 14929
/* 1594 */    MCD::OPC_Decode, 191, 19, 0, // Opcode: TLBR
/* 1598 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 1610
/* 1602 */    MCD::OPC_CheckPredicate, 1, 11, 52, // Skip to: 14929
/* 1606 */    MCD::OPC_Decode, 193, 19, 0, // Opcode: TLBWI
/* 1610 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 1622
/* 1614 */    MCD::OPC_CheckPredicate, 40, 255, 51, // Skip to: 14929
/* 1618 */    MCD::OPC_Decode, 185, 19, 0, // Opcode: TLBINV
/* 1622 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 1634
/* 1626 */    MCD::OPC_CheckPredicate, 40, 243, 51, // Skip to: 14929
/* 1630 */    MCD::OPC_Decode, 186, 19, 0, // Opcode: TLBINVF
/* 1634 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1646
/* 1638 */    MCD::OPC_CheckPredicate, 1, 231, 51, // Skip to: 14929
/* 1642 */    MCD::OPC_Decode, 195, 19, 0, // Opcode: TLBWR
/* 1646 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 1658
/* 1650 */    MCD::OPC_CheckPredicate, 1, 219, 51, // Skip to: 14929
/* 1654 */    MCD::OPC_Decode, 189, 19, 0, // Opcode: TLBP
/* 1658 */    MCD::OPC_FilterValue, 24, 8, 0, // Skip to: 1670
/* 1662 */    MCD::OPC_CheckPredicate, 41, 207, 51, // Skip to: 14929
/* 1666 */    MCD::OPC_Decode, 155, 8, 0, // Opcode: ERET
/* 1670 */    MCD::OPC_FilterValue, 31, 8, 0, // Skip to: 1682
/* 1674 */    MCD::OPC_CheckPredicate, 38, 195, 51, // Skip to: 14929
/* 1678 */    MCD::OPC_Decode, 237, 6, 0, // Opcode: DERET
/* 1682 */    MCD::OPC_FilterValue, 32, 8, 0, // Skip to: 1694
/* 1686 */    MCD::OPC_CheckPredicate, 42, 183, 51, // Skip to: 14929
/* 1690 */    MCD::OPC_Decode, 238, 19, 0, // Opcode: WAIT
/* 1694 */    MCD::OPC_FilterValue, 88, 175, 51, // Skip to: 14929
/* 1698 */    MCD::OPC_CheckPredicate, 43, 171, 51, // Skip to: 14929
/* 1702 */    MCD::OPC_Decode, 156, 8, 0, // Opcode: ERETNC
/* 1706 */    MCD::OPC_FilterValue, 17, 191, 6, // Skip to: 3437
/* 1710 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 1713 */    MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 1732
/* 1717 */    MCD::OPC_CheckPredicate, 44, 152, 51, // Skip to: 14929
/* 1721 */    MCD::OPC_CheckField, 0, 11, 0, 146, 51, // Skip to: 14929
/* 1727 */    MCD::OPC_Decode, 184, 12, 201, 1, // Opcode: MFC1
/* 1732 */    MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 1751
/* 1736 */    MCD::OPC_CheckPredicate, 45, 133, 51, // Skip to: 14929
/* 1740 */    MCD::OPC_CheckField, 0, 11, 0, 127, 51, // Skip to: 14929
/* 1746 */    MCD::OPC_Decode, 145, 7, 202, 1, // Opcode: DMFC1
/* 1751 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 1770
/* 1755 */    MCD::OPC_CheckPredicate, 46, 114, 51, // Skip to: 14929
/* 1759 */    MCD::OPC_CheckField, 0, 11, 0, 108, 51, // Skip to: 14929
/* 1765 */    MCD::OPC_Decode, 178, 4, 203, 1, // Opcode: CFC1
/* 1770 */    MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 1789
/* 1774 */    MCD::OPC_CheckPredicate, 47, 95, 51, // Skip to: 14929
/* 1778 */    MCD::OPC_CheckField, 0, 11, 0, 89, 51, // Skip to: 14929
/* 1784 */    MCD::OPC_Decode, 191, 12, 204, 1, // Opcode: MFHC1_D32
/* 1789 */    MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 1808
/* 1793 */    MCD::OPC_CheckPredicate, 44, 76, 51, // Skip to: 14929
/* 1797 */    MCD::OPC_CheckField, 0, 11, 0, 70, 51, // Skip to: 14929
/* 1803 */    MCD::OPC_Decode, 209, 13, 205, 1, // Opcode: MTC1
/* 1808 */    MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 1827
/* 1812 */    MCD::OPC_CheckPredicate, 45, 57, 51, // Skip to: 14929
/* 1816 */    MCD::OPC_CheckField, 0, 11, 0, 51, 51, // Skip to: 14929
/* 1822 */    MCD::OPC_Decode, 157, 7, 206, 1, // Opcode: DMTC1
/* 1827 */    MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 1846
/* 1831 */    MCD::OPC_CheckPredicate, 46, 38, 51, // Skip to: 14929
/* 1835 */    MCD::OPC_CheckField, 0, 11, 0, 32, 51, // Skip to: 14929
/* 1841 */    MCD::OPC_Decode, 201, 5, 207, 1, // Opcode: CTC1
/* 1846 */    MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 1865
/* 1850 */    MCD::OPC_CheckPredicate, 47, 19, 51, // Skip to: 14929
/* 1854 */    MCD::OPC_CheckField, 0, 11, 0, 13, 51, // Skip to: 14929
/* 1860 */    MCD::OPC_Decode, 216, 13, 208, 1, // Opcode: MTHC1_D32
/* 1865 */    MCD::OPC_FilterValue, 8, 55, 0, // Skip to: 1924
/* 1869 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 1872 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 1885
/* 1876 */    MCD::OPC_CheckPredicate, 48, 249, 50, // Skip to: 14929
/* 1880 */    MCD::OPC_Decode, 168, 2, 209, 1, // Opcode: BC1F
/* 1885 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 1898
/* 1889 */    MCD::OPC_CheckPredicate, 48, 236, 50, // Skip to: 14929
/* 1893 */    MCD::OPC_Decode, 173, 2, 209, 1, // Opcode: BC1T
/* 1898 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1911
/* 1902 */    MCD::OPC_CheckPredicate, 49, 223, 50, // Skip to: 14929
/* 1906 */    MCD::OPC_Decode, 169, 2, 209, 1, // Opcode: BC1FL
/* 1911 */    MCD::OPC_FilterValue, 3, 214, 50, // Skip to: 14929
/* 1915 */    MCD::OPC_CheckPredicate, 49, 210, 50, // Skip to: 14929
/* 1919 */    MCD::OPC_Decode, 174, 2, 209, 1, // Opcode: BC1TL
/* 1924 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1937
/* 1928 */    MCD::OPC_CheckPredicate, 27, 197, 50, // Skip to: 14929
/* 1932 */    MCD::OPC_Decode, 249, 3, 210, 1, // Opcode: BZ_V
/* 1937 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 1950
/* 1941 */    MCD::OPC_CheckPredicate, 27, 184, 50, // Skip to: 14929
/* 1945 */    MCD::OPC_Decode, 218, 3, 210, 1, // Opcode: BNZ_V
/* 1950 */    MCD::OPC_FilterValue, 16, 153, 2, // Skip to: 2619
/* 1954 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 1957 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 1970
/* 1961 */    MCD::OPC_CheckPredicate, 44, 164, 50, // Skip to: 14929
/* 1965 */    MCD::OPC_Decode, 207, 8, 211, 1, // Opcode: FADD_S
/* 1970 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 1983
/* 1974 */    MCD::OPC_CheckPredicate, 44, 151, 50, // Skip to: 14929
/* 1978 */    MCD::OPC_Decode, 224, 9, 211, 1, // Opcode: FSUB_S
/* 1983 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1996
/* 1987 */    MCD::OPC_CheckPredicate, 44, 138, 50, // Skip to: 14929
/* 1991 */    MCD::OPC_Decode, 182, 9, 211, 1, // Opcode: FMUL_S
/* 1996 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 2009
/* 2000 */    MCD::OPC_CheckPredicate, 44, 125, 50, // Skip to: 14929
/* 2004 */    MCD::OPC_Decode, 245, 8, 211, 1, // Opcode: FDIV_S
/* 2009 */    MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 2028
/* 2013 */    MCD::OPC_CheckPredicate, 50, 112, 50, // Skip to: 14929
/* 2017 */    MCD::OPC_CheckField, 16, 5, 0, 106, 50, // Skip to: 14929
/* 2023 */    MCD::OPC_Decode, 216, 9, 212, 1, // Opcode: FSQRT_S
/* 2028 */    MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 2047
/* 2032 */    MCD::OPC_CheckPredicate, 44, 93, 50, // Skip to: 14929
/* 2036 */    MCD::OPC_CheckField, 16, 5, 0, 87, 50, // Skip to: 14929
/* 2042 */    MCD::OPC_Decode, 199, 8, 212, 1, // Opcode: FABS_S
/* 2047 */    MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 2066
/* 2051 */    MCD::OPC_CheckPredicate, 44, 74, 50, // Skip to: 14929
/* 2055 */    MCD::OPC_CheckField, 16, 5, 0, 68, 50, // Skip to: 14929
/* 2061 */    MCD::OPC_Decode, 172, 9, 212, 1, // Opcode: FMOV_S
/* 2066 */    MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 2085
/* 2070 */    MCD::OPC_CheckPredicate, 44, 55, 50, // Skip to: 14929
/* 2074 */    MCD::OPC_CheckField, 16, 5, 0, 49, 50, // Skip to: 14929
/* 2080 */    MCD::OPC_Decode, 190, 9, 212, 1, // Opcode: FNEG_S
/* 2085 */    MCD::OPC_FilterValue, 12, 15, 0, // Skip to: 2104
/* 2089 */    MCD::OPC_CheckPredicate, 50, 36, 50, // Skip to: 14929
/* 2093 */    MCD::OPC_CheckField, 16, 5, 0, 30, 50, // Skip to: 14929
/* 2099 */    MCD::OPC_Decode, 137, 16, 212, 1, // Opcode: ROUND_W_S
/* 2104 */    MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 2123
/* 2108 */    MCD::OPC_CheckPredicate, 50, 17, 50, // Skip to: 14929
/* 2112 */    MCD::OPC_CheckField, 16, 5, 0, 11, 50, // Skip to: 14929
/* 2118 */    MCD::OPC_Decode, 217, 19, 212, 1, // Opcode: TRUNC_W_S
/* 2123 */    MCD::OPC_FilterValue, 14, 15, 0, // Skip to: 2142
/* 2127 */    MCD::OPC_CheckPredicate, 50, 254, 49, // Skip to: 14929
/* 2131 */    MCD::OPC_CheckField, 16, 5, 0, 248, 49, // Skip to: 14929
/* 2137 */    MCD::OPC_Decode, 167, 4, 212, 1, // Opcode: CEIL_W_S
/* 2142 */    MCD::OPC_FilterValue, 15, 15, 0, // Skip to: 2161
/* 2146 */    MCD::OPC_CheckPredicate, 50, 235, 49, // Skip to: 14929
/* 2150 */    MCD::OPC_CheckField, 16, 5, 0, 229, 49, // Skip to: 14929
/* 2156 */    MCD::OPC_Decode, 155, 9, 212, 1, // Opcode: FLOOR_W_S
/* 2161 */    MCD::OPC_FilterValue, 17, 29, 0, // Skip to: 2194
/* 2165 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 2168 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2181
/* 2172 */    MCD::OPC_CheckPredicate, 25, 209, 49, // Skip to: 14929
/* 2176 */    MCD::OPC_Decode, 144, 13, 213, 1, // Opcode: MOVF_S
/* 2181 */    MCD::OPC_FilterValue, 1, 200, 49, // Skip to: 14929
/* 2185 */    MCD::OPC_CheckPredicate, 25, 196, 49, // Skip to: 14929
/* 2189 */    MCD::OPC_Decode, 164, 13, 213, 1, // Opcode: MOVT_S
/* 2194 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 2207
/* 2198 */    MCD::OPC_CheckPredicate, 25, 183, 49, // Skip to: 14929
/* 2202 */    MCD::OPC_Decode, 176, 13, 214, 1, // Opcode: MOVZ_I_S
/* 2207 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 2220
/* 2211 */    MCD::OPC_CheckPredicate, 25, 170, 49, // Skip to: 14929
/* 2215 */    MCD::OPC_Decode, 156, 13, 214, 1, // Opcode: MOVN_I_S
/* 2220 */    MCD::OPC_FilterValue, 21, 15, 0, // Skip to: 2239
/* 2224 */    MCD::OPC_CheckPredicate, 51, 157, 49, // Skip to: 14929
/* 2228 */    MCD::OPC_CheckField, 16, 5, 0, 151, 49, // Skip to: 14929
/* 2234 */    MCD::OPC_Decode, 235, 15, 212, 1, // Opcode: RECIP_S
/* 2239 */    MCD::OPC_FilterValue, 22, 15, 0, // Skip to: 2258
/* 2243 */    MCD::OPC_CheckPredicate, 51, 138, 49, // Skip to: 14929
/* 2247 */    MCD::OPC_CheckField, 16, 5, 0, 132, 49, // Skip to: 14929
/* 2253 */    MCD::OPC_Decode, 142, 16, 212, 1, // Opcode: RSQRT_S
/* 2258 */    MCD::OPC_FilterValue, 33, 15, 0, // Skip to: 2277
/* 2262 */    MCD::OPC_CheckPredicate, 52, 119, 49, // Skip to: 14929
/* 2266 */    MCD::OPC_CheckField, 16, 5, 0, 113, 49, // Skip to: 14929
/* 2272 */    MCD::OPC_Decode, 206, 5, 215, 1, // Opcode: CVT_D32_S
/* 2277 */    MCD::OPC_FilterValue, 36, 15, 0, // Skip to: 2296
/* 2281 */    MCD::OPC_CheckPredicate, 44, 100, 49, // Skip to: 14929
/* 2285 */    MCD::OPC_CheckField, 16, 5, 0, 94, 49, // Skip to: 14929
/* 2291 */    MCD::OPC_Decode, 235, 5, 212, 1, // Opcode: CVT_W_S
/* 2296 */    MCD::OPC_FilterValue, 37, 15, 0, // Skip to: 2315
/* 2300 */    MCD::OPC_CheckPredicate, 53, 81, 49, // Skip to: 14929
/* 2304 */    MCD::OPC_CheckField, 16, 5, 0, 75, 49, // Skip to: 14929
/* 2310 */    MCD::OPC_Decode, 219, 5, 216, 1, // Opcode: CVT_L_S
/* 2315 */    MCD::OPC_FilterValue, 48, 15, 0, // Skip to: 2334
/* 2319 */    MCD::OPC_CheckPredicate, 54, 62, 49, // Skip to: 14929
/* 2323 */    MCD::OPC_CheckField, 6, 2, 0, 56, 49, // Skip to: 14929
/* 2329 */    MCD::OPC_Decode, 248, 5, 217, 1, // Opcode: C_F_S
/* 2334 */    MCD::OPC_FilterValue, 49, 15, 0, // Skip to: 2353
/* 2338 */    MCD::OPC_CheckPredicate, 54, 43, 49, // Skip to: 14929
/* 2342 */    MCD::OPC_CheckField, 6, 2, 0, 37, 49, // Skip to: 14929
/* 2348 */    MCD::OPC_Decode, 204, 6, 217, 1, // Opcode: C_UN_S
/* 2353 */    MCD::OPC_FilterValue, 50, 15, 0, // Skip to: 2372
/* 2357 */    MCD::OPC_CheckPredicate, 54, 24, 49, // Skip to: 14929
/* 2361 */    MCD::OPC_CheckField, 6, 2, 0, 18, 49, // Skip to: 14929
/* 2367 */    MCD::OPC_Decode, 242, 5, 217, 1, // Opcode: C_EQ_S
/* 2372 */    MCD::OPC_FilterValue, 51, 15, 0, // Skip to: 2391
/* 2376 */    MCD::OPC_CheckPredicate, 54, 5, 49, // Skip to: 14929
/* 2380 */    MCD::OPC_CheckField, 6, 2, 0, 255, 48, // Skip to: 14929
/* 2386 */    MCD::OPC_Decode, 186, 6, 217, 1, // Opcode: C_UEQ_S
/* 2391 */    MCD::OPC_FilterValue, 52, 15, 0, // Skip to: 2410
/* 2395 */    MCD::OPC_CheckPredicate, 54, 242, 48, // Skip to: 14929
/* 2399 */    MCD::OPC_CheckField, 6, 2, 0, 236, 48, // Skip to: 14929
/* 2405 */    MCD::OPC_Decode, 168, 6, 217, 1, // Opcode: C_OLT_S
/* 2410 */    MCD::OPC_FilterValue, 53, 15, 0, // Skip to: 2429
/* 2414 */    MCD::OPC_CheckPredicate, 54, 223, 48, // Skip to: 14929
/* 2418 */    MCD::OPC_CheckField, 6, 2, 0, 217, 48, // Skip to: 14929
/* 2424 */    MCD::OPC_Decode, 198, 6, 217, 1, // Opcode: C_ULT_S
/* 2429 */    MCD::OPC_FilterValue, 54, 15, 0, // Skip to: 2448
/* 2433 */    MCD::OPC_CheckPredicate, 54, 204, 48, // Skip to: 14929
/* 2437 */    MCD::OPC_CheckField, 6, 2, 0, 198, 48, // Skip to: 14929
/* 2443 */    MCD::OPC_Decode, 162, 6, 217, 1, // Opcode: C_OLE_S
/* 2448 */    MCD::OPC_FilterValue, 55, 15, 0, // Skip to: 2467
/* 2452 */    MCD::OPC_CheckPredicate, 54, 185, 48, // Skip to: 14929
/* 2456 */    MCD::OPC_CheckField, 6, 2, 0, 179, 48, // Skip to: 14929
/* 2462 */    MCD::OPC_Decode, 192, 6, 217, 1, // Opcode: C_ULE_S
/* 2467 */    MCD::OPC_FilterValue, 56, 15, 0, // Skip to: 2486
/* 2471 */    MCD::OPC_CheckPredicate, 54, 166, 48, // Skip to: 14929
/* 2475 */    MCD::OPC_CheckField, 6, 2, 0, 160, 48, // Skip to: 14929
/* 2481 */    MCD::OPC_Decode, 180, 6, 217, 1, // Opcode: C_SF_S
/* 2486 */    MCD::OPC_FilterValue, 57, 15, 0, // Skip to: 2505
/* 2490 */    MCD::OPC_CheckPredicate, 54, 147, 48, // Skip to: 14929
/* 2494 */    MCD::OPC_CheckField, 6, 2, 0, 141, 48, // Skip to: 14929
/* 2500 */    MCD::OPC_Decode, 144, 6, 217, 1, // Opcode: C_NGLE_S
/* 2505 */    MCD::OPC_FilterValue, 58, 15, 0, // Skip to: 2524
/* 2509 */    MCD::OPC_CheckPredicate, 54, 128, 48, // Skip to: 14929
/* 2513 */    MCD::OPC_CheckField, 6, 2, 0, 122, 48, // Skip to: 14929
/* 2519 */    MCD::OPC_Decode, 174, 6, 217, 1, // Opcode: C_SEQ_S
/* 2524 */    MCD::OPC_FilterValue, 59, 15, 0, // Skip to: 2543
/* 2528 */    MCD::OPC_CheckPredicate, 54, 109, 48, // Skip to: 14929
/* 2532 */    MCD::OPC_CheckField, 6, 2, 0, 103, 48, // Skip to: 14929
/* 2538 */    MCD::OPC_Decode, 150, 6, 217, 1, // Opcode: C_NGL_S
/* 2543 */    MCD::OPC_FilterValue, 60, 15, 0, // Skip to: 2562
/* 2547 */    MCD::OPC_CheckPredicate, 54, 90, 48, // Skip to: 14929
/* 2551 */    MCD::OPC_CheckField, 6, 2, 0, 84, 48, // Skip to: 14929
/* 2557 */    MCD::OPC_Decode, 132, 6, 217, 1, // Opcode: C_LT_S
/* 2562 */    MCD::OPC_FilterValue, 61, 15, 0, // Skip to: 2581
/* 2566 */    MCD::OPC_CheckPredicate, 54, 71, 48, // Skip to: 14929
/* 2570 */    MCD::OPC_CheckField, 6, 2, 0, 65, 48, // Skip to: 14929
/* 2576 */    MCD::OPC_Decode, 138, 6, 217, 1, // Opcode: C_NGE_S
/* 2581 */    MCD::OPC_FilterValue, 62, 15, 0, // Skip to: 2600
/* 2585 */    MCD::OPC_CheckPredicate, 54, 52, 48, // Skip to: 14929
/* 2589 */    MCD::OPC_CheckField, 6, 2, 0, 46, 48, // Skip to: 14929
/* 2595 */    MCD::OPC_Decode, 254, 5, 217, 1, // Opcode: C_LE_S
/* 2600 */    MCD::OPC_FilterValue, 63, 37, 48, // Skip to: 14929
/* 2604 */    MCD::OPC_CheckPredicate, 54, 33, 48, // Skip to: 14929
/* 2608 */    MCD::OPC_CheckField, 6, 2, 0, 27, 48, // Skip to: 14929
/* 2614 */    MCD::OPC_Decode, 156, 6, 217, 1, // Opcode: C_NGT_S
/* 2619 */    MCD::OPC_FilterValue, 17, 153, 2, // Skip to: 3288
/* 2623 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 2626 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2639
/* 2630 */    MCD::OPC_CheckPredicate, 52, 7, 48, // Skip to: 14929
/* 2634 */    MCD::OPC_Decode, 203, 8, 218, 1, // Opcode: FADD_D32
/* 2639 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 2652
/* 2643 */    MCD::OPC_CheckPredicate, 52, 250, 47, // Skip to: 14929
/* 2647 */    MCD::OPC_Decode, 220, 9, 218, 1, // Opcode: FSUB_D32
/* 2652 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2665
/* 2656 */    MCD::OPC_CheckPredicate, 52, 237, 47, // Skip to: 14929
/* 2660 */    MCD::OPC_Decode, 178, 9, 218, 1, // Opcode: FMUL_D32
/* 2665 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 2678
/* 2669 */    MCD::OPC_CheckPredicate, 52, 224, 47, // Skip to: 14929
/* 2673 */    MCD::OPC_Decode, 241, 8, 218, 1, // Opcode: FDIV_D32
/* 2678 */    MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 2697
/* 2682 */    MCD::OPC_CheckPredicate, 55, 211, 47, // Skip to: 14929
/* 2686 */    MCD::OPC_CheckField, 16, 5, 0, 205, 47, // Skip to: 14929
/* 2692 */    MCD::OPC_Decode, 213, 9, 219, 1, // Opcode: FSQRT_D32
/* 2697 */    MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 2716
/* 2701 */    MCD::OPC_CheckPredicate, 52, 192, 47, // Skip to: 14929
/* 2705 */    MCD::OPC_CheckField, 16, 5, 0, 186, 47, // Skip to: 14929
/* 2711 */    MCD::OPC_Decode, 196, 8, 219, 1, // Opcode: FABS_D32
/* 2716 */    MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 2735
/* 2720 */    MCD::OPC_CheckPredicate, 52, 173, 47, // Skip to: 14929
/* 2724 */    MCD::OPC_CheckField, 16, 5, 0, 167, 47, // Skip to: 14929
/* 2730 */    MCD::OPC_Decode, 168, 9, 219, 1, // Opcode: FMOV_D32
/* 2735 */    MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 2754
/* 2739 */    MCD::OPC_CheckPredicate, 52, 154, 47, // Skip to: 14929
/* 2743 */    MCD::OPC_CheckField, 16, 5, 0, 148, 47, // Skip to: 14929
/* 2749 */    MCD::OPC_Decode, 186, 9, 219, 1, // Opcode: FNEG_D32
/* 2754 */    MCD::OPC_FilterValue, 12, 15, 0, // Skip to: 2773
/* 2758 */    MCD::OPC_CheckPredicate, 55, 135, 47, // Skip to: 14929
/* 2762 */    MCD::OPC_CheckField, 16, 5, 0, 129, 47, // Skip to: 14929
/* 2768 */    MCD::OPC_Decode, 133, 16, 220, 1, // Opcode: ROUND_W_D32
/* 2773 */    MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 2792
/* 2777 */    MCD::OPC_CheckPredicate, 55, 116, 47, // Skip to: 14929
/* 2781 */    MCD::OPC_CheckField, 16, 5, 0, 110, 47, // Skip to: 14929
/* 2787 */    MCD::OPC_Decode, 213, 19, 220, 1, // Opcode: TRUNC_W_D32
/* 2792 */    MCD::OPC_FilterValue, 14, 15, 0, // Skip to: 2811
/* 2796 */    MCD::OPC_CheckPredicate, 55, 97, 47, // Skip to: 14929
/* 2800 */    MCD::OPC_CheckField, 16, 5, 0, 91, 47, // Skip to: 14929
/* 2806 */    MCD::OPC_Decode, 163, 4, 220, 1, // Opcode: CEIL_W_D32
/* 2811 */    MCD::OPC_FilterValue, 15, 15, 0, // Skip to: 2830
/* 2815 */    MCD::OPC_CheckPredicate, 55, 78, 47, // Skip to: 14929
/* 2819 */    MCD::OPC_CheckField, 16, 5, 0, 72, 47, // Skip to: 14929
/* 2825 */    MCD::OPC_Decode, 151, 9, 220, 1, // Opcode: FLOOR_W_D32
/* 2830 */    MCD::OPC_FilterValue, 17, 29, 0, // Skip to: 2863
/* 2834 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 2837 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 2850
/* 2841 */    MCD::OPC_CheckPredicate, 56, 52, 47, // Skip to: 14929
/* 2845 */    MCD::OPC_Decode, 138, 13, 221, 1, // Opcode: MOVF_D32
/* 2850 */    MCD::OPC_FilterValue, 1, 43, 47, // Skip to: 14929
/* 2854 */    MCD::OPC_CheckPredicate, 56, 39, 47, // Skip to: 14929
/* 2858 */    MCD::OPC_Decode, 158, 13, 221, 1, // Opcode: MOVT_D32
/* 2863 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 2876
/* 2867 */    MCD::OPC_CheckPredicate, 56, 26, 47, // Skip to: 14929
/* 2871 */    MCD::OPC_Decode, 170, 13, 222, 1, // Opcode: MOVZ_I_D32
/* 2876 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 2889
/* 2880 */    MCD::OPC_CheckPredicate, 56, 13, 47, // Skip to: 14929
/* 2884 */    MCD::OPC_Decode, 150, 13, 222, 1, // Opcode: MOVN_I_D32
/* 2889 */    MCD::OPC_FilterValue, 21, 15, 0, // Skip to: 2908
/* 2893 */    MCD::OPC_CheckPredicate, 51, 0, 47, // Skip to: 14929
/* 2897 */    MCD::OPC_CheckField, 16, 5, 0, 250, 46, // Skip to: 14929
/* 2903 */    MCD::OPC_Decode, 233, 15, 223, 1, // Opcode: RECIP_D
/* 2908 */    MCD::OPC_FilterValue, 22, 15, 0, // Skip to: 2927
/* 2912 */    MCD::OPC_CheckPredicate, 51, 237, 46, // Skip to: 14929
/* 2916 */    MCD::OPC_CheckField, 16, 5, 0, 231, 46, // Skip to: 14929
/* 2922 */    MCD::OPC_Decode, 140, 16, 223, 1, // Opcode: RSQRT_D
/* 2927 */    MCD::OPC_FilterValue, 32, 15, 0, // Skip to: 2946
/* 2931 */    MCD::OPC_CheckPredicate, 52, 218, 46, // Skip to: 14929
/* 2935 */    MCD::OPC_CheckField, 16, 5, 0, 212, 46, // Skip to: 14929
/* 2941 */    MCD::OPC_Decode, 222, 5, 220, 1, // Opcode: CVT_S_D32
/* 2946 */    MCD::OPC_FilterValue, 36, 15, 0, // Skip to: 2965
/* 2950 */    MCD::OPC_CheckPredicate, 52, 199, 46, // Skip to: 14929
/* 2954 */    MCD::OPC_CheckField, 16, 5, 0, 193, 46, // Skip to: 14929
/* 2960 */    MCD::OPC_Decode, 231, 5, 220, 1, // Opcode: CVT_W_D32
/* 2965 */    MCD::OPC_FilterValue, 37, 15, 0, // Skip to: 2984
/* 2969 */    MCD::OPC_CheckPredicate, 53, 180, 46, // Skip to: 14929
/* 2973 */    MCD::OPC_CheckField, 16, 5, 0, 174, 46, // Skip to: 14929
/* 2979 */    MCD::OPC_Decode, 216, 5, 223, 1, // Opcode: CVT_L_D64
/* 2984 */    MCD::OPC_FilterValue, 48, 15, 0, // Skip to: 3003
/* 2988 */    MCD::OPC_CheckPredicate, 57, 161, 46, // Skip to: 14929
/* 2992 */    MCD::OPC_CheckField, 6, 2, 0, 155, 46, // Skip to: 14929
/* 2998 */    MCD::OPC_Decode, 244, 5, 224, 1, // Opcode: C_F_D32
/* 3003 */    MCD::OPC_FilterValue, 49, 15, 0, // Skip to: 3022
/* 3007 */    MCD::OPC_CheckPredicate, 57, 142, 46, // Skip to: 14929
/* 3011 */    MCD::OPC_CheckField, 6, 2, 0, 136, 46, // Skip to: 14929
/* 3017 */    MCD::OPC_Decode, 200, 6, 224, 1, // Opcode: C_UN_D32
/* 3022 */    MCD::OPC_FilterValue, 50, 15, 0, // Skip to: 3041
/* 3026 */    MCD::OPC_CheckPredicate, 57, 123, 46, // Skip to: 14929
/* 3030 */    MCD::OPC_CheckField, 6, 2, 0, 117, 46, // Skip to: 14929
/* 3036 */    MCD::OPC_Decode, 238, 5, 224, 1, // Opcode: C_EQ_D32
/* 3041 */    MCD::OPC_FilterValue, 51, 15, 0, // Skip to: 3060
/* 3045 */    MCD::OPC_CheckPredicate, 57, 104, 46, // Skip to: 14929
/* 3049 */    MCD::OPC_CheckField, 6, 2, 0, 98, 46, // Skip to: 14929
/* 3055 */    MCD::OPC_Decode, 182, 6, 224, 1, // Opcode: C_UEQ_D32
/* 3060 */    MCD::OPC_FilterValue, 52, 15, 0, // Skip to: 3079
/* 3064 */    MCD::OPC_CheckPredicate, 57, 85, 46, // Skip to: 14929
/* 3068 */    MCD::OPC_CheckField, 6, 2, 0, 79, 46, // Skip to: 14929
/* 3074 */    MCD::OPC_Decode, 164, 6, 224, 1, // Opcode: C_OLT_D32
/* 3079 */    MCD::OPC_FilterValue, 53, 15, 0, // Skip to: 3098
/* 3083 */    MCD::OPC_CheckPredicate, 57, 66, 46, // Skip to: 14929
/* 3087 */    MCD::OPC_CheckField, 6, 2, 0, 60, 46, // Skip to: 14929
/* 3093 */    MCD::OPC_Decode, 194, 6, 224, 1, // Opcode: C_ULT_D32
/* 3098 */    MCD::OPC_FilterValue, 54, 15, 0, // Skip to: 3117
/* 3102 */    MCD::OPC_CheckPredicate, 57, 47, 46, // Skip to: 14929
/* 3106 */    MCD::OPC_CheckField, 6, 2, 0, 41, 46, // Skip to: 14929
/* 3112 */    MCD::OPC_Decode, 158, 6, 224, 1, // Opcode: C_OLE_D32
/* 3117 */    MCD::OPC_FilterValue, 55, 15, 0, // Skip to: 3136
/* 3121 */    MCD::OPC_CheckPredicate, 57, 28, 46, // Skip to: 14929
/* 3125 */    MCD::OPC_CheckField, 6, 2, 0, 22, 46, // Skip to: 14929
/* 3131 */    MCD::OPC_Decode, 188, 6, 224, 1, // Opcode: C_ULE_D32
/* 3136 */    MCD::OPC_FilterValue, 56, 15, 0, // Skip to: 3155
/* 3140 */    MCD::OPC_CheckPredicate, 57, 9, 46, // Skip to: 14929
/* 3144 */    MCD::OPC_CheckField, 6, 2, 0, 3, 46, // Skip to: 14929
/* 3150 */    MCD::OPC_Decode, 176, 6, 224, 1, // Opcode: C_SF_D32
/* 3155 */    MCD::OPC_FilterValue, 57, 15, 0, // Skip to: 3174
/* 3159 */    MCD::OPC_CheckPredicate, 57, 246, 45, // Skip to: 14929
/* 3163 */    MCD::OPC_CheckField, 6, 2, 0, 240, 45, // Skip to: 14929
/* 3169 */    MCD::OPC_Decode, 140, 6, 224, 1, // Opcode: C_NGLE_D32
/* 3174 */    MCD::OPC_FilterValue, 58, 15, 0, // Skip to: 3193
/* 3178 */    MCD::OPC_CheckPredicate, 57, 227, 45, // Skip to: 14929
/* 3182 */    MCD::OPC_CheckField, 6, 2, 0, 221, 45, // Skip to: 14929
/* 3188 */    MCD::OPC_Decode, 170, 6, 224, 1, // Opcode: C_SEQ_D32
/* 3193 */    MCD::OPC_FilterValue, 59, 15, 0, // Skip to: 3212
/* 3197 */    MCD::OPC_CheckPredicate, 57, 208, 45, // Skip to: 14929
/* 3201 */    MCD::OPC_CheckField, 6, 2, 0, 202, 45, // Skip to: 14929
/* 3207 */    MCD::OPC_Decode, 146, 6, 224, 1, // Opcode: C_NGL_D32
/* 3212 */    MCD::OPC_FilterValue, 60, 15, 0, // Skip to: 3231
/* 3216 */    MCD::OPC_CheckPredicate, 57, 189, 45, // Skip to: 14929
/* 3220 */    MCD::OPC_CheckField, 6, 2, 0, 183, 45, // Skip to: 14929
/* 3226 */    MCD::OPC_Decode, 128, 6, 224, 1, // Opcode: C_LT_D32
/* 3231 */    MCD::OPC_FilterValue, 61, 15, 0, // Skip to: 3250
/* 3235 */    MCD::OPC_CheckPredicate, 57, 170, 45, // Skip to: 14929
/* 3239 */    MCD::OPC_CheckField, 6, 2, 0, 164, 45, // Skip to: 14929
/* 3245 */    MCD::OPC_Decode, 134, 6, 224, 1, // Opcode: C_NGE_D32
/* 3250 */    MCD::OPC_FilterValue, 62, 15, 0, // Skip to: 3269
/* 3254 */    MCD::OPC_CheckPredicate, 57, 151, 45, // Skip to: 14929
/* 3258 */    MCD::OPC_CheckField, 6, 2, 0, 145, 45, // Skip to: 14929
/* 3264 */    MCD::OPC_Decode, 250, 5, 224, 1, // Opcode: C_LE_D32
/* 3269 */    MCD::OPC_FilterValue, 63, 136, 45, // Skip to: 14929
/* 3273 */    MCD::OPC_CheckPredicate, 57, 132, 45, // Skip to: 14929
/* 3277 */    MCD::OPC_CheckField, 6, 2, 0, 126, 45, // Skip to: 14929
/* 3283 */    MCD::OPC_Decode, 152, 6, 224, 1, // Opcode: C_NGT_D32
/* 3288 */    MCD::OPC_FilterValue, 20, 41, 0, // Skip to: 3333
/* 3292 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 3295 */    MCD::OPC_FilterValue, 32, 15, 0, // Skip to: 3314
/* 3299 */    MCD::OPC_CheckPredicate, 44, 106, 45, // Skip to: 14929
/* 3303 */    MCD::OPC_CheckField, 16, 5, 0, 100, 45, // Skip to: 14929
/* 3309 */    MCD::OPC_Decode, 228, 5, 212, 1, // Opcode: CVT_S_W
/* 3314 */    MCD::OPC_FilterValue, 33, 91, 45, // Skip to: 14929
/* 3318 */    MCD::OPC_CheckPredicate, 52, 87, 45, // Skip to: 14929
/* 3322 */    MCD::OPC_CheckField, 16, 5, 0, 81, 45, // Skip to: 14929
/* 3328 */    MCD::OPC_Decode, 207, 5, 215, 1, // Opcode: CVT_D32_W
/* 3333 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 3346
/* 3337 */    MCD::OPC_CheckPredicate, 27, 68, 45, // Skip to: 14929
/* 3341 */    MCD::OPC_Decode, 246, 3, 210, 1, // Opcode: BZ_B
/* 3346 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 3359
/* 3350 */    MCD::OPC_CheckPredicate, 27, 55, 45, // Skip to: 14929
/* 3354 */    MCD::OPC_Decode, 248, 3, 225, 1, // Opcode: BZ_H
/* 3359 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 3372
/* 3363 */    MCD::OPC_CheckPredicate, 27, 42, 45, // Skip to: 14929
/* 3367 */    MCD::OPC_Decode, 250, 3, 226, 1, // Opcode: BZ_W
/* 3372 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 3385
/* 3376 */    MCD::OPC_CheckPredicate, 27, 29, 45, // Skip to: 14929
/* 3380 */    MCD::OPC_Decode, 247, 3, 227, 1, // Opcode: BZ_D
/* 3385 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 3398
/* 3389 */    MCD::OPC_CheckPredicate, 27, 16, 45, // Skip to: 14929
/* 3393 */    MCD::OPC_Decode, 215, 3, 210, 1, // Opcode: BNZ_B
/* 3398 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 3411
/* 3402 */    MCD::OPC_CheckPredicate, 27, 3, 45, // Skip to: 14929
/* 3406 */    MCD::OPC_Decode, 217, 3, 225, 1, // Opcode: BNZ_H
/* 3411 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 3424
/* 3415 */    MCD::OPC_CheckPredicate, 27, 246, 44, // Skip to: 14929
/* 3419 */    MCD::OPC_Decode, 219, 3, 226, 1, // Opcode: BNZ_W
/* 3424 */    MCD::OPC_FilterValue, 31, 237, 44, // Skip to: 14929
/* 3428 */    MCD::OPC_CheckPredicate, 27, 233, 44, // Skip to: 14929
/* 3432 */    MCD::OPC_Decode, 216, 3, 227, 1, // Opcode: BNZ_D
/* 3437 */    MCD::OPC_FilterValue, 18, 41, 0, // Skip to: 3482
/* 3441 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 3444 */    MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 3463
/* 3448 */    MCD::OPC_CheckPredicate, 23, 213, 44, // Skip to: 14929
/* 3452 */    MCD::OPC_CheckField, 3, 8, 0, 207, 44, // Skip to: 14929
/* 3458 */    MCD::OPC_Decode, 188, 12, 228, 1, // Opcode: MFC2
/* 3463 */    MCD::OPC_FilterValue, 4, 198, 44, // Skip to: 14929
/* 3467 */    MCD::OPC_CheckPredicate, 23, 194, 44, // Skip to: 14929
/* 3471 */    MCD::OPC_CheckField, 3, 8, 0, 188, 44, // Skip to: 14929
/* 3477 */    MCD::OPC_Decode, 213, 13, 229, 1, // Opcode: MTC2
/* 3482 */    MCD::OPC_FilterValue, 19, 221, 0, // Skip to: 3707
/* 3486 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 3489 */    MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 3508
/* 3493 */    MCD::OPC_CheckPredicate, 58, 168, 44, // Skip to: 14929
/* 3497 */    MCD::OPC_CheckField, 11, 5, 0, 162, 44, // Skip to: 14929
/* 3503 */    MCD::OPC_Decode, 219, 11, 230, 1, // Opcode: LWXC1
/* 3508 */    MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 3527
/* 3512 */    MCD::OPC_CheckPredicate, 59, 149, 44, // Skip to: 14929
/* 3516 */    MCD::OPC_CheckField, 11, 5, 0, 143, 44, // Skip to: 14929
/* 3522 */    MCD::OPC_Decode, 254, 10, 231, 1, // Opcode: LDXC1
/* 3527 */    MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 3546
/* 3531 */    MCD::OPC_CheckPredicate, 60, 130, 44, // Skip to: 14929
/* 3535 */    MCD::OPC_CheckField, 11, 5, 0, 124, 44, // Skip to: 14929
/* 3541 */    MCD::OPC_Decode, 174, 11, 231, 1, // Opcode: LUXC1
/* 3546 */    MCD::OPC_FilterValue, 8, 15, 0, // Skip to: 3565
/* 3550 */    MCD::OPC_CheckPredicate, 58, 111, 44, // Skip to: 14929
/* 3554 */    MCD::OPC_CheckField, 6, 5, 0, 105, 44, // Skip to: 14929
/* 3560 */    MCD::OPC_Decode, 239, 18, 232, 1, // Opcode: SWXC1
/* 3565 */    MCD::OPC_FilterValue, 9, 15, 0, // Skip to: 3584
/* 3569 */    MCD::OPC_CheckPredicate, 59, 92, 44, // Skip to: 14929
/* 3573 */    MCD::OPC_CheckField, 6, 5, 0, 86, 44, // Skip to: 14929
/* 3579 */    MCD::OPC_Decode, 196, 16, 233, 1, // Opcode: SDXC1
/* 3584 */    MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 3603
/* 3588 */    MCD::OPC_CheckPredicate, 60, 73, 44, // Skip to: 14929
/* 3592 */    MCD::OPC_CheckField, 6, 5, 0, 67, 44, // Skip to: 14929
/* 3598 */    MCD::OPC_Decode, 203, 18, 233, 1, // Opcode: SUXC1
/* 3603 */    MCD::OPC_FilterValue, 32, 9, 0, // Skip to: 3616
/* 3607 */    MCD::OPC_CheckPredicate, 61, 54, 44, // Skip to: 14929
/* 3611 */    MCD::OPC_Decode, 144, 12, 234, 1, // Opcode: MADD_S
/* 3616 */    MCD::OPC_FilterValue, 33, 9, 0, // Skip to: 3629
/* 3620 */    MCD::OPC_CheckPredicate, 62, 41, 44, // Skip to: 14929
/* 3624 */    MCD::OPC_Decode, 136, 12, 235, 1, // Opcode: MADD_D32
/* 3629 */    MCD::OPC_FilterValue, 40, 9, 0, // Skip to: 3642
/* 3633 */    MCD::OPC_CheckPredicate, 61, 28, 44, // Skip to: 14929
/* 3637 */    MCD::OPC_Decode, 205, 13, 234, 1, // Opcode: MSUB_S
/* 3642 */    MCD::OPC_FilterValue, 41, 9, 0, // Skip to: 3655
/* 3646 */    MCD::OPC_CheckPredicate, 62, 15, 44, // Skip to: 14929
/* 3650 */    MCD::OPC_Decode, 197, 13, 235, 1, // Opcode: MSUB_D32
/* 3655 */    MCD::OPC_FilterValue, 48, 9, 0, // Skip to: 3668
/* 3659 */    MCD::OPC_CheckPredicate, 61, 2, 44, // Skip to: 14929
/* 3663 */    MCD::OPC_Decode, 193, 14, 234, 1, // Opcode: NMADD_S
/* 3668 */    MCD::OPC_FilterValue, 49, 9, 0, // Skip to: 3681
/* 3672 */    MCD::OPC_CheckPredicate, 62, 245, 43, // Skip to: 14929
/* 3676 */    MCD::OPC_Decode, 190, 14, 235, 1, // Opcode: NMADD_D32
/* 3681 */    MCD::OPC_FilterValue, 56, 9, 0, // Skip to: 3694
/* 3685 */    MCD::OPC_CheckPredicate, 61, 232, 43, // Skip to: 14929
/* 3689 */    MCD::OPC_Decode, 198, 14, 234, 1, // Opcode: NMSUB_S
/* 3694 */    MCD::OPC_FilterValue, 57, 223, 43, // Skip to: 14929
/* 3698 */    MCD::OPC_CheckPredicate, 62, 219, 43, // Skip to: 14929
/* 3702 */    MCD::OPC_Decode, 195, 14, 235, 1, // Opcode: NMSUB_D32
/* 3707 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 3720
/* 3711 */    MCD::OPC_CheckPredicate, 36, 206, 43, // Skip to: 14929
/* 3715 */    MCD::OPC_Decode, 194, 2, 195, 1, // Opcode: BEQL
/* 3720 */    MCD::OPC_FilterValue, 21, 29, 2, // Skip to: 4265
/* 3724 */    MCD::OPC_ExtractField, 0, 16,  // Inst{15-0} ...
/* 3727 */    MCD::OPC_FilterValue, 187, 20, 8, 0, // Skip to: 3740
/* 3732 */    MCD::OPC_CheckPredicate, 14, 71, 0, // Skip to: 3807
/* 3736 */    MCD::OPC_Decode, 217, 9, 98, // Opcode: FSQRT_S_MM
/* 3740 */    MCD::OPC_FilterValue, 187, 22, 8, 0, // Skip to: 3753
/* 3745 */    MCD::OPC_CheckPredicate, 14, 58, 0, // Skip to: 3807
/* 3749 */    MCD::OPC_Decode, 156, 9, 98, // Opcode: FLOOR_W_S_MM
/* 3753 */    MCD::OPC_FilterValue, 187, 54, 8, 0, // Skip to: 3766
/* 3758 */    MCD::OPC_CheckPredicate, 14, 45, 0, // Skip to: 3807
/* 3762 */    MCD::OPC_Decode, 168, 4, 98, // Opcode: CEIL_W_S_MM
/* 3766 */    MCD::OPC_FilterValue, 187, 86, 8, 0, // Skip to: 3779
/* 3771 */    MCD::OPC_CheckPredicate, 14, 32, 0, // Skip to: 3807
/* 3775 */    MCD::OPC_Decode, 218, 19, 98, // Opcode: TRUNC_W_S_MM
/* 3779 */    MCD::OPC_FilterValue, 187, 96, 9, 0, // Skip to: 3793
/* 3784 */    MCD::OPC_CheckPredicate, 63, 19, 0, // Skip to: 3807
/* 3788 */    MCD::OPC_Decode, 195, 12, 136, 1, // Opcode: MFHC1_MM
/* 3793 */    MCD::OPC_FilterValue, 187, 112, 9, 0, // Skip to: 3807
/* 3798 */    MCD::OPC_CheckPredicate, 63, 5, 0, // Skip to: 3807
/* 3802 */    MCD::OPC_Decode, 220, 13, 137, 1, // Opcode: MTHC1_MM
/* 3807 */    MCD::OPC_ExtractField, 0, 13,  // Inst{12-0} ...
/* 3810 */    MCD::OPC_FilterValue, 60, 9, 0, // Skip to: 3823
/* 3814 */    MCD::OPC_CheckPredicate, 64, 182, 1, // Skip to: 4256
/* 3818 */    MCD::OPC_Decode, 249, 5, 236, 1, // Opcode: C_F_S_MM
/* 3823 */    MCD::OPC_FilterValue, 124, 9, 0, // Skip to: 3836
/* 3827 */    MCD::OPC_CheckPredicate, 64, 169, 1, // Skip to: 4256
/* 3831 */    MCD::OPC_Decode, 205, 6, 236, 1, // Opcode: C_UN_S_MM
/* 3836 */    MCD::OPC_FilterValue, 188, 1, 9, 0, // Skip to: 3850
/* 3841 */    MCD::OPC_CheckPredicate, 64, 155, 1, // Skip to: 4256
/* 3845 */    MCD::OPC_Decode, 243, 5, 236, 1, // Opcode: C_EQ_S_MM
/* 3850 */    MCD::OPC_FilterValue, 252, 1, 9, 0, // Skip to: 3864
/* 3855 */    MCD::OPC_CheckPredicate, 64, 141, 1, // Skip to: 4256
/* 3859 */    MCD::OPC_Decode, 187, 6, 236, 1, // Opcode: C_UEQ_S_MM
/* 3864 */    MCD::OPC_FilterValue, 188, 2, 9, 0, // Skip to: 3878
/* 3869 */    MCD::OPC_CheckPredicate, 64, 127, 1, // Skip to: 4256
/* 3873 */    MCD::OPC_Decode, 169, 6, 236, 1, // Opcode: C_OLT_S_MM
/* 3878 */    MCD::OPC_FilterValue, 252, 2, 9, 0, // Skip to: 3892
/* 3883 */    MCD::OPC_CheckPredicate, 64, 113, 1, // Skip to: 4256
/* 3887 */    MCD::OPC_Decode, 199, 6, 236, 1, // Opcode: C_ULT_S_MM
/* 3892 */    MCD::OPC_FilterValue, 188, 3, 9, 0, // Skip to: 3906
/* 3897 */    MCD::OPC_CheckPredicate, 64, 99, 1, // Skip to: 4256
/* 3901 */    MCD::OPC_Decode, 163, 6, 236, 1, // Opcode: C_OLE_S_MM
/* 3906 */    MCD::OPC_FilterValue, 252, 3, 9, 0, // Skip to: 3920
/* 3911 */    MCD::OPC_CheckPredicate, 64, 85, 1, // Skip to: 4256
/* 3915 */    MCD::OPC_Decode, 193, 6, 236, 1, // Opcode: C_ULE_S_MM
/* 3920 */    MCD::OPC_FilterValue, 188, 4, 9, 0, // Skip to: 3934
/* 3925 */    MCD::OPC_CheckPredicate, 64, 71, 1, // Skip to: 4256
/* 3929 */    MCD::OPC_Decode, 181, 6, 236, 1, // Opcode: C_SF_S_MM
/* 3934 */    MCD::OPC_FilterValue, 252, 4, 9, 0, // Skip to: 3948
/* 3939 */    MCD::OPC_CheckPredicate, 64, 57, 1, // Skip to: 4256
/* 3943 */    MCD::OPC_Decode, 145, 6, 236, 1, // Opcode: C_NGLE_S_MM
/* 3948 */    MCD::OPC_FilterValue, 188, 5, 9, 0, // Skip to: 3962
/* 3953 */    MCD::OPC_CheckPredicate, 64, 43, 1, // Skip to: 4256
/* 3957 */    MCD::OPC_Decode, 175, 6, 236, 1, // Opcode: C_SEQ_S_MM
/* 3962 */    MCD::OPC_FilterValue, 252, 5, 9, 0, // Skip to: 3976
/* 3967 */    MCD::OPC_CheckPredicate, 64, 29, 1, // Skip to: 4256
/* 3971 */    MCD::OPC_Decode, 151, 6, 236, 1, // Opcode: C_NGL_S_MM
/* 3976 */    MCD::OPC_FilterValue, 188, 6, 9, 0, // Skip to: 3990
/* 3981 */    MCD::OPC_CheckPredicate, 64, 15, 1, // Skip to: 4256
/* 3985 */    MCD::OPC_Decode, 133, 6, 236, 1, // Opcode: C_LT_S_MM
/* 3990 */    MCD::OPC_FilterValue, 252, 6, 9, 0, // Skip to: 4004
/* 3995 */    MCD::OPC_CheckPredicate, 64, 1, 1, // Skip to: 4256
/* 3999 */    MCD::OPC_Decode, 139, 6, 236, 1, // Opcode: C_NGE_S_MM
/* 4004 */    MCD::OPC_FilterValue, 188, 7, 9, 0, // Skip to: 4018
/* 4009 */    MCD::OPC_CheckPredicate, 64, 243, 0, // Skip to: 4256
/* 4013 */    MCD::OPC_Decode, 255, 5, 236, 1, // Opcode: C_LE_S_MM
/* 4018 */    MCD::OPC_FilterValue, 252, 7, 9, 0, // Skip to: 4032
/* 4023 */    MCD::OPC_CheckPredicate, 64, 229, 0, // Skip to: 4256
/* 4027 */    MCD::OPC_Decode, 157, 6, 236, 1, // Opcode: C_NGT_S_MM
/* 4032 */    MCD::OPC_FilterValue, 188, 8, 9, 0, // Skip to: 4046
/* 4037 */    MCD::OPC_CheckPredicate, 65, 215, 0, // Skip to: 4256
/* 4041 */    MCD::OPC_Decode, 245, 5, 237, 1, // Opcode: C_F_D32_MM
/* 4046 */    MCD::OPC_FilterValue, 252, 8, 9, 0, // Skip to: 4060
/* 4051 */    MCD::OPC_CheckPredicate, 65, 201, 0, // Skip to: 4256
/* 4055 */    MCD::OPC_Decode, 201, 6, 237, 1, // Opcode: C_UN_D32_MM
/* 4060 */    MCD::OPC_FilterValue, 188, 9, 9, 0, // Skip to: 4074
/* 4065 */    MCD::OPC_CheckPredicate, 65, 187, 0, // Skip to: 4256
/* 4069 */    MCD::OPC_Decode, 239, 5, 237, 1, // Opcode: C_EQ_D32_MM
/* 4074 */    MCD::OPC_FilterValue, 252, 9, 9, 0, // Skip to: 4088
/* 4079 */    MCD::OPC_CheckPredicate, 65, 173, 0, // Skip to: 4256
/* 4083 */    MCD::OPC_Decode, 183, 6, 237, 1, // Opcode: C_UEQ_D32_MM
/* 4088 */    MCD::OPC_FilterValue, 188, 10, 9, 0, // Skip to: 4102
/* 4093 */    MCD::OPC_CheckPredicate, 65, 159, 0, // Skip to: 4256
/* 4097 */    MCD::OPC_Decode, 165, 6, 237, 1, // Opcode: C_OLT_D32_MM
/* 4102 */    MCD::OPC_FilterValue, 252, 10, 9, 0, // Skip to: 4116
/* 4107 */    MCD::OPC_CheckPredicate, 65, 145, 0, // Skip to: 4256
/* 4111 */    MCD::OPC_Decode, 195, 6, 237, 1, // Opcode: C_ULT_D32_MM
/* 4116 */    MCD::OPC_FilterValue, 188, 11, 9, 0, // Skip to: 4130
/* 4121 */    MCD::OPC_CheckPredicate, 65, 131, 0, // Skip to: 4256
/* 4125 */    MCD::OPC_Decode, 159, 6, 237, 1, // Opcode: C_OLE_D32_MM
/* 4130 */    MCD::OPC_FilterValue, 252, 11, 9, 0, // Skip to: 4144
/* 4135 */    MCD::OPC_CheckPredicate, 65, 117, 0, // Skip to: 4256
/* 4139 */    MCD::OPC_Decode, 189, 6, 237, 1, // Opcode: C_ULE_D32_MM
/* 4144 */    MCD::OPC_FilterValue, 188, 12, 9, 0, // Skip to: 4158
/* 4149 */    MCD::OPC_CheckPredicate, 65, 103, 0, // Skip to: 4256
/* 4153 */    MCD::OPC_Decode, 177, 6, 237, 1, // Opcode: C_SF_D32_MM
/* 4158 */    MCD::OPC_FilterValue, 252, 12, 9, 0, // Skip to: 4172
/* 4163 */    MCD::OPC_CheckPredicate, 65, 89, 0, // Skip to: 4256
/* 4167 */    MCD::OPC_Decode, 141, 6, 237, 1, // Opcode: C_NGLE_D32_MM
/* 4172 */    MCD::OPC_FilterValue, 188, 13, 9, 0, // Skip to: 4186
/* 4177 */    MCD::OPC_CheckPredicate, 65, 75, 0, // Skip to: 4256
/* 4181 */    MCD::OPC_Decode, 171, 6, 237, 1, // Opcode: C_SEQ_D32_MM
/* 4186 */    MCD::OPC_FilterValue, 252, 13, 9, 0, // Skip to: 4200
/* 4191 */    MCD::OPC_CheckPredicate, 65, 61, 0, // Skip to: 4256
/* 4195 */    MCD::OPC_Decode, 147, 6, 237, 1, // Opcode: C_NGL_D32_MM
/* 4200 */    MCD::OPC_FilterValue, 188, 14, 9, 0, // Skip to: 4214
/* 4205 */    MCD::OPC_CheckPredicate, 65, 47, 0, // Skip to: 4256
/* 4209 */    MCD::OPC_Decode, 129, 6, 237, 1, // Opcode: C_LT_D32_MM
/* 4214 */    MCD::OPC_FilterValue, 252, 14, 9, 0, // Skip to: 4228
/* 4219 */    MCD::OPC_CheckPredicate, 65, 33, 0, // Skip to: 4256
/* 4223 */    MCD::OPC_Decode, 135, 6, 237, 1, // Opcode: C_NGE_D32_MM
/* 4228 */    MCD::OPC_FilterValue, 188, 15, 9, 0, // Skip to: 4242
/* 4233 */    MCD::OPC_CheckPredicate, 65, 19, 0, // Skip to: 4256
/* 4237 */    MCD::OPC_Decode, 251, 5, 237, 1, // Opcode: C_LE_D32_MM
/* 4242 */    MCD::OPC_FilterValue, 252, 15, 9, 0, // Skip to: 4256
/* 4247 */    MCD::OPC_CheckPredicate, 65, 5, 0, // Skip to: 4256
/* 4251 */    MCD::OPC_Decode, 153, 6, 237, 1, // Opcode: C_NGT_D32_MM
/* 4256 */    MCD::OPC_CheckPredicate, 36, 173, 41, // Skip to: 14929
/* 4260 */    MCD::OPC_Decode, 202, 3, 195, 1, // Opcode: BNEL
/* 4265 */    MCD::OPC_FilterValue, 22, 15, 0, // Skip to: 4284
/* 4269 */    MCD::OPC_CheckPredicate, 36, 160, 41, // Skip to: 14929
/* 4273 */    MCD::OPC_CheckField, 16, 5, 0, 154, 41, // Skip to: 14929
/* 4279 */    MCD::OPC_Decode, 156, 3, 192, 1, // Opcode: BLEZL
/* 4284 */    MCD::OPC_FilterValue, 23, 15, 0, // Skip to: 4303
/* 4288 */    MCD::OPC_CheckPredicate, 36, 141, 41, // Skip to: 14929
/* 4292 */    MCD::OPC_CheckField, 16, 5, 0, 135, 41, // Skip to: 14929
/* 4298 */    MCD::OPC_Decode, 247, 2, 192, 1, // Opcode: BGTZL
/* 4303 */    MCD::OPC_FilterValue, 28, 236, 0, // Skip to: 4543
/* 4307 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 4310 */    MCD::OPC_FilterValue, 0, 37, 0, // Skip to: 4351
/* 4314 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 4317 */    MCD::OPC_FilterValue, 0, 112, 41, // Skip to: 14929
/* 4321 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4324 */    MCD::OPC_FilterValue, 0, 105, 41, // Skip to: 14929
/* 4328 */    MCD::OPC_CheckPredicate, 29, 10, 0, // Skip to: 4342
/* 4332 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 4342
/* 4338 */    MCD::OPC_Decode, 249, 11, 63, // Opcode: MADD
/* 4342 */    MCD::OPC_CheckPredicate, 33, 87, 41, // Skip to: 14929
/* 4346 */    MCD::OPC_Decode, 139, 12, 238, 1, // Opcode: MADD_DSP
/* 4351 */    MCD::OPC_FilterValue, 1, 37, 0, // Skip to: 4392
/* 4355 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 4358 */    MCD::OPC_FilterValue, 0, 71, 41, // Skip to: 14929
/* 4362 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4365 */    MCD::OPC_FilterValue, 0, 64, 41, // Skip to: 14929
/* 4369 */    MCD::OPC_CheckPredicate, 29, 10, 0, // Skip to: 4383
/* 4373 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 4383
/* 4379 */    MCD::OPC_Decode, 128, 12, 63, // Opcode: MADDU
/* 4383 */    MCD::OPC_CheckPredicate, 33, 46, 41, // Skip to: 14929
/* 4387 */    MCD::OPC_Decode, 129, 12, 238, 1, // Opcode: MADDU_DSP
/* 4392 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 4410
/* 4396 */    MCD::OPC_CheckPredicate, 29, 33, 41, // Skip to: 14929
/* 4400 */    MCD::OPC_CheckField, 6, 5, 0, 27, 41, // Skip to: 14929
/* 4406 */    MCD::OPC_Decode, 253, 13, 49, // Opcode: MUL
/* 4410 */    MCD::OPC_FilterValue, 4, 37, 0, // Skip to: 4451
/* 4414 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 4417 */    MCD::OPC_FilterValue, 0, 12, 41, // Skip to: 14929
/* 4421 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4424 */    MCD::OPC_FilterValue, 0, 5, 41, // Skip to: 14929
/* 4428 */    MCD::OPC_CheckPredicate, 29, 10, 0, // Skip to: 4442
/* 4432 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 4442
/* 4438 */    MCD::OPC_Decode, 182, 13, 63, // Opcode: MSUB
/* 4442 */    MCD::OPC_CheckPredicate, 33, 243, 40, // Skip to: 14929
/* 4446 */    MCD::OPC_Decode, 200, 13, 238, 1, // Opcode: MSUB_DSP
/* 4451 */    MCD::OPC_FilterValue, 5, 37, 0, // Skip to: 4492
/* 4455 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 4458 */    MCD::OPC_FilterValue, 0, 227, 40, // Skip to: 14929
/* 4462 */    MCD::OPC_ExtractField, 13, 3,  // Inst{15-13} ...
/* 4465 */    MCD::OPC_FilterValue, 0, 220, 40, // Skip to: 14929
/* 4469 */    MCD::OPC_CheckPredicate, 29, 10, 0, // Skip to: 4483
/* 4473 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 4483
/* 4479 */    MCD::OPC_Decode, 189, 13, 63, // Opcode: MSUBU
/* 4483 */    MCD::OPC_CheckPredicate, 33, 202, 40, // Skip to: 14929
/* 4487 */    MCD::OPC_Decode, 190, 13, 238, 1, // Opcode: MSUBU_DSP
/* 4492 */    MCD::OPC_FilterValue, 32, 15, 0, // Skip to: 4511
/* 4496 */    MCD::OPC_CheckPredicate, 29, 189, 40, // Skip to: 14929
/* 4500 */    MCD::OPC_CheckField, 6, 5, 0, 183, 40, // Skip to: 14929
/* 4506 */    MCD::OPC_Decode, 227, 4, 239, 1, // Opcode: CLZ
/* 4511 */    MCD::OPC_FilterValue, 33, 15, 0, // Skip to: 4530
/* 4515 */    MCD::OPC_CheckPredicate, 29, 170, 40, // Skip to: 14929
/* 4519 */    MCD::OPC_CheckField, 6, 5, 0, 164, 40, // Skip to: 14929
/* 4525 */    MCD::OPC_Decode, 207, 4, 239, 1, // Opcode: CLO
/* 4530 */    MCD::OPC_FilterValue, 63, 155, 40, // Skip to: 14929
/* 4534 */    MCD::OPC_CheckPredicate, 66, 151, 40, // Skip to: 14929
/* 4538 */    MCD::OPC_Decode, 176, 16, 183, 1, // Opcode: SDBBP
/* 4543 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 4556
/* 4547 */    MCD::OPC_CheckPredicate, 29, 138, 40, // Skip to: 14929
/* 4551 */    MCD::OPC_Decode, 191, 10, 194, 1, // Opcode: JALX
/* 4556 */    MCD::OPC_FilterValue, 30, 108, 28, // Skip to: 11836
/* 4560 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 4563 */    MCD::OPC_FilterValue, 0, 55, 0, // Skip to: 4622
/* 4567 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 4570 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4583
/* 4574 */    MCD::OPC_CheckPredicate, 27, 111, 40, // Skip to: 14929
/* 4578 */    MCD::OPC_Decode, 197, 1, 240, 1, // Opcode: ANDI_B
/* 4583 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 4596
/* 4587 */    MCD::OPC_CheckPredicate, 27, 98, 40, // Skip to: 14929
/* 4591 */    MCD::OPC_Decode, 220, 14, 240, 1, // Opcode: ORI_B
/* 4596 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 4609
/* 4600 */    MCD::OPC_CheckPredicate, 27, 85, 40, // Skip to: 14929
/* 4604 */    MCD::OPC_Decode, 203, 14, 240, 1, // Opcode: NORI_B
/* 4609 */    MCD::OPC_FilterValue, 3, 76, 40, // Skip to: 14929
/* 4613 */    MCD::OPC_CheckPredicate, 27, 72, 40, // Skip to: 14929
/* 4617 */    MCD::OPC_Decode, 251, 19, 240, 1, // Opcode: XORI_B
/* 4622 */    MCD::OPC_FilterValue, 1, 42, 0, // Skip to: 4668
/* 4626 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 4629 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4642
/* 4633 */    MCD::OPC_CheckPredicate, 27, 52, 40, // Skip to: 14929
/* 4637 */    MCD::OPC_Decode, 185, 3, 241, 1, // Opcode: BMNZI_B
/* 4642 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 4655
/* 4646 */    MCD::OPC_CheckPredicate, 27, 39, 40, // Skip to: 14929
/* 4650 */    MCD::OPC_Decode, 187, 3, 241, 1, // Opcode: BMZI_B
/* 4655 */    MCD::OPC_FilterValue, 2, 30, 40, // Skip to: 14929
/* 4659 */    MCD::OPC_CheckPredicate, 27, 26, 40, // Skip to: 14929
/* 4663 */    MCD::OPC_Decode, 231, 3, 241, 1, // Opcode: BSELI_B
/* 4668 */    MCD::OPC_FilterValue, 2, 42, 0, // Skip to: 4714
/* 4672 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 4675 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4688
/* 4679 */    MCD::OPC_CheckPredicate, 27, 6, 40, // Skip to: 14929
/* 4683 */    MCD::OPC_Decode, 238, 16, 240, 1, // Opcode: SHF_B
/* 4688 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 4701
/* 4692 */    MCD::OPC_CheckPredicate, 27, 249, 39, // Skip to: 14929
/* 4696 */    MCD::OPC_Decode, 239, 16, 242, 1, // Opcode: SHF_H
/* 4701 */    MCD::OPC_FilterValue, 2, 240, 39, // Skip to: 14929
/* 4705 */    MCD::OPC_CheckPredicate, 27, 236, 39, // Skip to: 14929
/* 4709 */    MCD::OPC_Decode, 240, 16, 243, 1, // Opcode: SHF_W
/* 4714 */    MCD::OPC_FilterValue, 6, 59, 1, // Skip to: 5033
/* 4718 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 4721 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 4734
/* 4725 */    MCD::OPC_CheckPredicate, 27, 216, 39, // Skip to: 14929
/* 4729 */    MCD::OPC_Decode, 163, 1, 244, 1, // Opcode: ADDVI_B
/* 4734 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 4747
/* 4738 */    MCD::OPC_CheckPredicate, 27, 203, 39, // Skip to: 14929
/* 4742 */    MCD::OPC_Decode, 165, 1, 245, 1, // Opcode: ADDVI_H
/* 4747 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 4760
/* 4751 */    MCD::OPC_CheckPredicate, 27, 190, 39, // Skip to: 14929
/* 4755 */    MCD::OPC_Decode, 166, 1, 246, 1, // Opcode: ADDVI_W
/* 4760 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 4773
/* 4764 */    MCD::OPC_CheckPredicate, 27, 177, 39, // Skip to: 14929
/* 4768 */    MCD::OPC_Decode, 164, 1, 247, 1, // Opcode: ADDVI_D
/* 4773 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 4786
/* 4777 */    MCD::OPC_CheckPredicate, 27, 164, 39, // Skip to: 14929
/* 4781 */    MCD::OPC_Decode, 191, 18, 244, 1, // Opcode: SUBVI_B
/* 4786 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 4799
/* 4790 */    MCD::OPC_CheckPredicate, 27, 151, 39, // Skip to: 14929
/* 4794 */    MCD::OPC_Decode, 193, 18, 245, 1, // Opcode: SUBVI_H
/* 4799 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 4812
/* 4803 */    MCD::OPC_CheckPredicate, 27, 138, 39, // Skip to: 14929
/* 4807 */    MCD::OPC_Decode, 194, 18, 246, 1, // Opcode: SUBVI_W
/* 4812 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 4825
/* 4816 */    MCD::OPC_CheckPredicate, 27, 125, 39, // Skip to: 14929
/* 4820 */    MCD::OPC_Decode, 192, 18, 247, 1, // Opcode: SUBVI_D
/* 4825 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 4838
/* 4829 */    MCD::OPC_CheckPredicate, 27, 112, 39, // Skip to: 14929
/* 4833 */    MCD::OPC_Decode, 158, 12, 244, 1, // Opcode: MAXI_S_B
/* 4838 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 4851
/* 4842 */    MCD::OPC_CheckPredicate, 27, 99, 39, // Skip to: 14929
/* 4846 */    MCD::OPC_Decode, 160, 12, 245, 1, // Opcode: MAXI_S_H
/* 4851 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 4864
/* 4855 */    MCD::OPC_CheckPredicate, 27, 86, 39, // Skip to: 14929
/* 4859 */    MCD::OPC_Decode, 161, 12, 246, 1, // Opcode: MAXI_S_W
/* 4864 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 4877
/* 4868 */    MCD::OPC_CheckPredicate, 27, 73, 39, // Skip to: 14929
/* 4872 */    MCD::OPC_Decode, 159, 12, 247, 1, // Opcode: MAXI_S_D
/* 4877 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 4890
/* 4881 */    MCD::OPC_CheckPredicate, 27, 60, 39, // Skip to: 14929
/* 4885 */    MCD::OPC_Decode, 162, 12, 244, 1, // Opcode: MAXI_U_B
/* 4890 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 4903
/* 4894 */    MCD::OPC_CheckPredicate, 27, 47, 39, // Skip to: 14929
/* 4898 */    MCD::OPC_Decode, 164, 12, 245, 1, // Opcode: MAXI_U_H
/* 4903 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 4916
/* 4907 */    MCD::OPC_CheckPredicate, 27, 34, 39, // Skip to: 14929
/* 4911 */    MCD::OPC_Decode, 165, 12, 246, 1, // Opcode: MAXI_U_W
/* 4916 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 4929
/* 4920 */    MCD::OPC_CheckPredicate, 27, 21, 39, // Skip to: 14929
/* 4924 */    MCD::OPC_Decode, 163, 12, 247, 1, // Opcode: MAXI_U_D
/* 4929 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 4942
/* 4933 */    MCD::OPC_CheckPredicate, 27, 8, 39, // Skip to: 14929
/* 4937 */    MCD::OPC_Decode, 222, 12, 244, 1, // Opcode: MINI_S_B
/* 4942 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 4955
/* 4946 */    MCD::OPC_CheckPredicate, 27, 251, 38, // Skip to: 14929
/* 4950 */    MCD::OPC_Decode, 224, 12, 245, 1, // Opcode: MINI_S_H
/* 4955 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 4968
/* 4959 */    MCD::OPC_CheckPredicate, 27, 238, 38, // Skip to: 14929
/* 4963 */    MCD::OPC_Decode, 225, 12, 246, 1, // Opcode: MINI_S_W
/* 4968 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 4981
/* 4972 */    MCD::OPC_CheckPredicate, 27, 225, 38, // Skip to: 14929
/* 4976 */    MCD::OPC_Decode, 223, 12, 247, 1, // Opcode: MINI_S_D
/* 4981 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 4994
/* 4985 */    MCD::OPC_CheckPredicate, 27, 212, 38, // Skip to: 14929
/* 4989 */    MCD::OPC_Decode, 226, 12, 244, 1, // Opcode: MINI_U_B
/* 4994 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 5007
/* 4998 */    MCD::OPC_CheckPredicate, 27, 199, 38, // Skip to: 14929
/* 5002 */    MCD::OPC_Decode, 228, 12, 245, 1, // Opcode: MINI_U_H
/* 5007 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 5020
/* 5011 */    MCD::OPC_CheckPredicate, 27, 186, 38, // Skip to: 14929
/* 5015 */    MCD::OPC_Decode, 229, 12, 246, 1, // Opcode: MINI_U_W
/* 5020 */    MCD::OPC_FilterValue, 23, 177, 38, // Skip to: 14929
/* 5024 */    MCD::OPC_CheckPredicate, 27, 173, 38, // Skip to: 14929
/* 5028 */    MCD::OPC_Decode, 227, 12, 247, 1, // Opcode: MINI_U_D
/* 5033 */    MCD::OPC_FilterValue, 7, 59, 1, // Skip to: 5352
/* 5037 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 5040 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5053
/* 5044 */    MCD::OPC_CheckPredicate, 27, 153, 38, // Skip to: 14929
/* 5048 */    MCD::OPC_Decode, 170, 4, 244, 1, // Opcode: CEQI_B
/* 5053 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 5066
/* 5057 */    MCD::OPC_CheckPredicate, 27, 140, 38, // Skip to: 14929
/* 5061 */    MCD::OPC_Decode, 172, 4, 245, 1, // Opcode: CEQI_H
/* 5066 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 5079
/* 5070 */    MCD::OPC_CheckPredicate, 27, 127, 38, // Skip to: 14929
/* 5074 */    MCD::OPC_Decode, 173, 4, 246, 1, // Opcode: CEQI_W
/* 5079 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 5092
/* 5083 */    MCD::OPC_CheckPredicate, 27, 114, 38, // Skip to: 14929
/* 5087 */    MCD::OPC_Decode, 171, 4, 247, 1, // Opcode: CEQI_D
/* 5092 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 5105
/* 5096 */    MCD::OPC_CheckPredicate, 27, 101, 38, // Skip to: 14929
/* 5100 */    MCD::OPC_Decode, 211, 4, 244, 1, // Opcode: CLTI_S_B
/* 5105 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 5118
/* 5109 */    MCD::OPC_CheckPredicate, 27, 88, 38, // Skip to: 14929
/* 5113 */    MCD::OPC_Decode, 213, 4, 245, 1, // Opcode: CLTI_S_H
/* 5118 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 5131
/* 5122 */    MCD::OPC_CheckPredicate, 27, 75, 38, // Skip to: 14929
/* 5126 */    MCD::OPC_Decode, 214, 4, 246, 1, // Opcode: CLTI_S_W
/* 5131 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 5144
/* 5135 */    MCD::OPC_CheckPredicate, 27, 62, 38, // Skip to: 14929
/* 5139 */    MCD::OPC_Decode, 212, 4, 247, 1, // Opcode: CLTI_S_D
/* 5144 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 5157
/* 5148 */    MCD::OPC_CheckPredicate, 27, 49, 38, // Skip to: 14929
/* 5152 */    MCD::OPC_Decode, 215, 4, 244, 1, // Opcode: CLTI_U_B
/* 5157 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 5170
/* 5161 */    MCD::OPC_CheckPredicate, 27, 36, 38, // Skip to: 14929
/* 5165 */    MCD::OPC_Decode, 217, 4, 245, 1, // Opcode: CLTI_U_H
/* 5170 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 5183
/* 5174 */    MCD::OPC_CheckPredicate, 27, 23, 38, // Skip to: 14929
/* 5178 */    MCD::OPC_Decode, 218, 4, 246, 1, // Opcode: CLTI_U_W
/* 5183 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 5196
/* 5187 */    MCD::OPC_CheckPredicate, 27, 10, 38, // Skip to: 14929
/* 5191 */    MCD::OPC_Decode, 216, 4, 247, 1, // Opcode: CLTI_U_D
/* 5196 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 5209
/* 5200 */    MCD::OPC_CheckPredicate, 27, 253, 37, // Skip to: 14929
/* 5204 */    MCD::OPC_Decode, 191, 4, 244, 1, // Opcode: CLEI_S_B
/* 5209 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 5222
/* 5213 */    MCD::OPC_CheckPredicate, 27, 240, 37, // Skip to: 14929
/* 5217 */    MCD::OPC_Decode, 193, 4, 245, 1, // Opcode: CLEI_S_H
/* 5222 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 5235
/* 5226 */    MCD::OPC_CheckPredicate, 27, 227, 37, // Skip to: 14929
/* 5230 */    MCD::OPC_Decode, 194, 4, 246, 1, // Opcode: CLEI_S_W
/* 5235 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 5248
/* 5239 */    MCD::OPC_CheckPredicate, 27, 214, 37, // Skip to: 14929
/* 5243 */    MCD::OPC_Decode, 192, 4, 247, 1, // Opcode: CLEI_S_D
/* 5248 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 5261
/* 5252 */    MCD::OPC_CheckPredicate, 27, 201, 37, // Skip to: 14929
/* 5256 */    MCD::OPC_Decode, 195, 4, 244, 1, // Opcode: CLEI_U_B
/* 5261 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 5274
/* 5265 */    MCD::OPC_CheckPredicate, 27, 188, 37, // Skip to: 14929
/* 5269 */    MCD::OPC_Decode, 197, 4, 245, 1, // Opcode: CLEI_U_H
/* 5274 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 5287
/* 5278 */    MCD::OPC_CheckPredicate, 27, 175, 37, // Skip to: 14929
/* 5282 */    MCD::OPC_Decode, 198, 4, 246, 1, // Opcode: CLEI_U_W
/* 5287 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 5300
/* 5291 */    MCD::OPC_CheckPredicate, 27, 162, 37, // Skip to: 14929
/* 5295 */    MCD::OPC_Decode, 196, 4, 247, 1, // Opcode: CLEI_U_D
/* 5300 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 5313
/* 5304 */    MCD::OPC_CheckPredicate, 27, 149, 37, // Skip to: 14929
/* 5308 */    MCD::OPC_Decode, 245, 10, 248, 1, // Opcode: LDI_B
/* 5313 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 5326
/* 5317 */    MCD::OPC_CheckPredicate, 27, 136, 37, // Skip to: 14929
/* 5321 */    MCD::OPC_Decode, 247, 10, 249, 1, // Opcode: LDI_H
/* 5326 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 5339
/* 5330 */    MCD::OPC_CheckPredicate, 27, 123, 37, // Skip to: 14929
/* 5334 */    MCD::OPC_Decode, 248, 10, 250, 1, // Opcode: LDI_W
/* 5339 */    MCD::OPC_FilterValue, 27, 114, 37, // Skip to: 14929
/* 5343 */    MCD::OPC_CheckPredicate, 27, 110, 37, // Skip to: 14929
/* 5347 */    MCD::OPC_Decode, 246, 10, 251, 1, // Opcode: LDI_D
/* 5352 */    MCD::OPC_FilterValue, 9, 67, 2, // Skip to: 5935
/* 5356 */    MCD::OPC_ExtractField, 22, 4,  // Inst{25-22} ...
/* 5359 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5372
/* 5363 */    MCD::OPC_CheckPredicate, 27, 90, 37, // Skip to: 14929
/* 5367 */    MCD::OPC_Decode, 177, 17, 252, 1, // Opcode: SLLI_D
/* 5372 */    MCD::OPC_FilterValue, 1, 55, 0, // Skip to: 5431
/* 5376 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5379 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5392
/* 5383 */    MCD::OPC_CheckPredicate, 27, 70, 37, // Skip to: 14929
/* 5387 */    MCD::OPC_Decode, 179, 17, 246, 1, // Opcode: SLLI_W
/* 5392 */    MCD::OPC_FilterValue, 1, 61, 37, // Skip to: 14929
/* 5396 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5399 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5412
/* 5403 */    MCD::OPC_CheckPredicate, 27, 50, 37, // Skip to: 14929
/* 5407 */    MCD::OPC_Decode, 178, 17, 253, 1, // Opcode: SLLI_H
/* 5412 */    MCD::OPC_FilterValue, 1, 41, 37, // Skip to: 14929
/* 5416 */    MCD::OPC_CheckPredicate, 27, 37, 37, // Skip to: 14929
/* 5420 */    MCD::OPC_CheckField, 19, 1, 0, 31, 37, // Skip to: 14929
/* 5426 */    MCD::OPC_Decode, 176, 17, 254, 1, // Opcode: SLLI_B
/* 5431 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 5444
/* 5435 */    MCD::OPC_CheckPredicate, 27, 18, 37, // Skip to: 14929
/* 5439 */    MCD::OPC_Decode, 221, 17, 252, 1, // Opcode: SRAI_D
/* 5444 */    MCD::OPC_FilterValue, 3, 55, 0, // Skip to: 5503
/* 5448 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5451 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5464
/* 5455 */    MCD::OPC_CheckPredicate, 27, 254, 36, // Skip to: 14929
/* 5459 */    MCD::OPC_Decode, 223, 17, 246, 1, // Opcode: SRAI_W
/* 5464 */    MCD::OPC_FilterValue, 1, 245, 36, // Skip to: 14929
/* 5468 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5471 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5484
/* 5475 */    MCD::OPC_CheckPredicate, 27, 234, 36, // Skip to: 14929
/* 5479 */    MCD::OPC_Decode, 222, 17, 253, 1, // Opcode: SRAI_H
/* 5484 */    MCD::OPC_FilterValue, 1, 225, 36, // Skip to: 14929
/* 5488 */    MCD::OPC_CheckPredicate, 27, 221, 36, // Skip to: 14929
/* 5492 */    MCD::OPC_CheckField, 19, 1, 0, 215, 36, // Skip to: 14929
/* 5498 */    MCD::OPC_Decode, 220, 17, 254, 1, // Opcode: SRAI_B
/* 5503 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 5516
/* 5507 */    MCD::OPC_CheckPredicate, 27, 202, 36, // Skip to: 14929
/* 5511 */    MCD::OPC_Decode, 243, 17, 252, 1, // Opcode: SRLI_D
/* 5516 */    MCD::OPC_FilterValue, 5, 55, 0, // Skip to: 5575
/* 5520 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5523 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5536
/* 5527 */    MCD::OPC_CheckPredicate, 27, 182, 36, // Skip to: 14929
/* 5531 */    MCD::OPC_Decode, 245, 17, 246, 1, // Opcode: SRLI_W
/* 5536 */    MCD::OPC_FilterValue, 1, 173, 36, // Skip to: 14929
/* 5540 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5543 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5556
/* 5547 */    MCD::OPC_CheckPredicate, 27, 162, 36, // Skip to: 14929
/* 5551 */    MCD::OPC_Decode, 244, 17, 253, 1, // Opcode: SRLI_H
/* 5556 */    MCD::OPC_FilterValue, 1, 153, 36, // Skip to: 14929
/* 5560 */    MCD::OPC_CheckPredicate, 27, 149, 36, // Skip to: 14929
/* 5564 */    MCD::OPC_CheckField, 19, 1, 0, 143, 36, // Skip to: 14929
/* 5570 */    MCD::OPC_Decode, 242, 17, 254, 1, // Opcode: SRLI_B
/* 5575 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 5588
/* 5579 */    MCD::OPC_CheckPredicate, 27, 130, 36, // Skip to: 14929
/* 5583 */    MCD::OPC_Decode, 181, 2, 252, 1, // Opcode: BCLRI_D
/* 5588 */    MCD::OPC_FilterValue, 7, 55, 0, // Skip to: 5647
/* 5592 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5595 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5608
/* 5599 */    MCD::OPC_CheckPredicate, 27, 110, 36, // Skip to: 14929
/* 5603 */    MCD::OPC_Decode, 183, 2, 246, 1, // Opcode: BCLRI_W
/* 5608 */    MCD::OPC_FilterValue, 1, 101, 36, // Skip to: 14929
/* 5612 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5615 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5628
/* 5619 */    MCD::OPC_CheckPredicate, 27, 90, 36, // Skip to: 14929
/* 5623 */    MCD::OPC_Decode, 182, 2, 253, 1, // Opcode: BCLRI_H
/* 5628 */    MCD::OPC_FilterValue, 1, 81, 36, // Skip to: 14929
/* 5632 */    MCD::OPC_CheckPredicate, 27, 77, 36, // Skip to: 14929
/* 5636 */    MCD::OPC_CheckField, 19, 1, 0, 71, 36, // Skip to: 14929
/* 5642 */    MCD::OPC_Decode, 180, 2, 254, 1, // Opcode: BCLRI_B
/* 5647 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 5660
/* 5651 */    MCD::OPC_CheckPredicate, 27, 58, 36, // Skip to: 14929
/* 5655 */    MCD::OPC_Decode, 239, 3, 252, 1, // Opcode: BSETI_D
/* 5660 */    MCD::OPC_FilterValue, 9, 55, 0, // Skip to: 5719
/* 5664 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5667 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5680
/* 5671 */    MCD::OPC_CheckPredicate, 27, 38, 36, // Skip to: 14929
/* 5675 */    MCD::OPC_Decode, 241, 3, 246, 1, // Opcode: BSETI_W
/* 5680 */    MCD::OPC_FilterValue, 1, 29, 36, // Skip to: 14929
/* 5684 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5687 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5700
/* 5691 */    MCD::OPC_CheckPredicate, 27, 18, 36, // Skip to: 14929
/* 5695 */    MCD::OPC_Decode, 240, 3, 253, 1, // Opcode: BSETI_H
/* 5700 */    MCD::OPC_FilterValue, 1, 9, 36, // Skip to: 14929
/* 5704 */    MCD::OPC_CheckPredicate, 27, 5, 36, // Skip to: 14929
/* 5708 */    MCD::OPC_CheckField, 19, 1, 0, 255, 35, // Skip to: 14929
/* 5714 */    MCD::OPC_Decode, 238, 3, 254, 1, // Opcode: BSETI_B
/* 5719 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 5732
/* 5723 */    MCD::OPC_CheckPredicate, 27, 242, 35, // Skip to: 14929
/* 5727 */    MCD::OPC_Decode, 195, 3, 252, 1, // Opcode: BNEGI_D
/* 5732 */    MCD::OPC_FilterValue, 11, 55, 0, // Skip to: 5791
/* 5736 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5739 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5752
/* 5743 */    MCD::OPC_CheckPredicate, 27, 222, 35, // Skip to: 14929
/* 5747 */    MCD::OPC_Decode, 197, 3, 246, 1, // Opcode: BNEGI_W
/* 5752 */    MCD::OPC_FilterValue, 1, 213, 35, // Skip to: 14929
/* 5756 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5759 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5772
/* 5763 */    MCD::OPC_CheckPredicate, 27, 202, 35, // Skip to: 14929
/* 5767 */    MCD::OPC_Decode, 196, 3, 253, 1, // Opcode: BNEGI_H
/* 5772 */    MCD::OPC_FilterValue, 1, 193, 35, // Skip to: 14929
/* 5776 */    MCD::OPC_CheckPredicate, 27, 189, 35, // Skip to: 14929
/* 5780 */    MCD::OPC_CheckField, 19, 1, 0, 183, 35, // Skip to: 14929
/* 5786 */    MCD::OPC_Decode, 194, 3, 254, 1, // Opcode: BNEGI_B
/* 5791 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 5804
/* 5795 */    MCD::OPC_CheckPredicate, 27, 170, 35, // Skip to: 14929
/* 5799 */    MCD::OPC_Decode, 250, 2, 255, 1, // Opcode: BINSLI_D
/* 5804 */    MCD::OPC_FilterValue, 13, 55, 0, // Skip to: 5863
/* 5808 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5811 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5824
/* 5815 */    MCD::OPC_CheckPredicate, 27, 150, 35, // Skip to: 14929
/* 5819 */    MCD::OPC_Decode, 252, 2, 128, 2, // Opcode: BINSLI_W
/* 5824 */    MCD::OPC_FilterValue, 1, 141, 35, // Skip to: 14929
/* 5828 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5831 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5844
/* 5835 */    MCD::OPC_CheckPredicate, 27, 130, 35, // Skip to: 14929
/* 5839 */    MCD::OPC_Decode, 251, 2, 129, 2, // Opcode: BINSLI_H
/* 5844 */    MCD::OPC_FilterValue, 1, 121, 35, // Skip to: 14929
/* 5848 */    MCD::OPC_CheckPredicate, 27, 117, 35, // Skip to: 14929
/* 5852 */    MCD::OPC_CheckField, 19, 1, 0, 111, 35, // Skip to: 14929
/* 5858 */    MCD::OPC_Decode, 249, 2, 130, 2, // Opcode: BINSLI_B
/* 5863 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 5876
/* 5867 */    MCD::OPC_CheckPredicate, 27, 98, 35, // Skip to: 14929
/* 5871 */    MCD::OPC_Decode, 130, 3, 255, 1, // Opcode: BINSRI_D
/* 5876 */    MCD::OPC_FilterValue, 15, 89, 35, // Skip to: 14929
/* 5880 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5883 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5896
/* 5887 */    MCD::OPC_CheckPredicate, 27, 78, 35, // Skip to: 14929
/* 5891 */    MCD::OPC_Decode, 132, 3, 128, 2, // Opcode: BINSRI_W
/* 5896 */    MCD::OPC_FilterValue, 1, 69, 35, // Skip to: 14929
/* 5900 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5903 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5916
/* 5907 */    MCD::OPC_CheckPredicate, 27, 58, 35, // Skip to: 14929
/* 5911 */    MCD::OPC_Decode, 131, 3, 129, 2, // Opcode: BINSRI_H
/* 5916 */    MCD::OPC_FilterValue, 1, 49, 35, // Skip to: 14929
/* 5920 */    MCD::OPC_CheckPredicate, 27, 45, 35, // Skip to: 14929
/* 5924 */    MCD::OPC_CheckField, 19, 1, 0, 39, 35, // Skip to: 14929
/* 5930 */    MCD::OPC_Decode, 129, 3, 130, 2, // Opcode: BINSRI_B
/* 5935 */    MCD::OPC_FilterValue, 10, 35, 1, // Skip to: 6230
/* 5939 */    MCD::OPC_ExtractField, 22, 4,  // Inst{25-22} ...
/* 5942 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5955
/* 5946 */    MCD::OPC_CheckPredicate, 27, 19, 35, // Skip to: 14929
/* 5950 */    MCD::OPC_Decode, 149, 16, 252, 1, // Opcode: SAT_S_D
/* 5955 */    MCD::OPC_FilterValue, 1, 55, 0, // Skip to: 6014
/* 5959 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 5962 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5975
/* 5966 */    MCD::OPC_CheckPredicate, 27, 255, 34, // Skip to: 14929
/* 5970 */    MCD::OPC_Decode, 151, 16, 246, 1, // Opcode: SAT_S_W
/* 5975 */    MCD::OPC_FilterValue, 1, 246, 34, // Skip to: 14929
/* 5979 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 5982 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 5995
/* 5986 */    MCD::OPC_CheckPredicate, 27, 235, 34, // Skip to: 14929
/* 5990 */    MCD::OPC_Decode, 150, 16, 253, 1, // Opcode: SAT_S_H
/* 5995 */    MCD::OPC_FilterValue, 1, 226, 34, // Skip to: 14929
/* 5999 */    MCD::OPC_CheckPredicate, 27, 222, 34, // Skip to: 14929
/* 6003 */    MCD::OPC_CheckField, 19, 1, 0, 216, 34, // Skip to: 14929
/* 6009 */    MCD::OPC_Decode, 148, 16, 254, 1, // Opcode: SAT_S_B
/* 6014 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 6027
/* 6018 */    MCD::OPC_CheckPredicate, 27, 203, 34, // Skip to: 14929
/* 6022 */    MCD::OPC_Decode, 153, 16, 252, 1, // Opcode: SAT_U_D
/* 6027 */    MCD::OPC_FilterValue, 3, 55, 0, // Skip to: 6086
/* 6031 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 6034 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6047
/* 6038 */    MCD::OPC_CheckPredicate, 27, 183, 34, // Skip to: 14929
/* 6042 */    MCD::OPC_Decode, 155, 16, 246, 1, // Opcode: SAT_U_W
/* 6047 */    MCD::OPC_FilterValue, 1, 174, 34, // Skip to: 14929
/* 6051 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 6054 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6067
/* 6058 */    MCD::OPC_CheckPredicate, 27, 163, 34, // Skip to: 14929
/* 6062 */    MCD::OPC_Decode, 154, 16, 253, 1, // Opcode: SAT_U_H
/* 6067 */    MCD::OPC_FilterValue, 1, 154, 34, // Skip to: 14929
/* 6071 */    MCD::OPC_CheckPredicate, 27, 150, 34, // Skip to: 14929
/* 6075 */    MCD::OPC_CheckField, 19, 1, 0, 144, 34, // Skip to: 14929
/* 6081 */    MCD::OPC_Decode, 152, 16, 254, 1, // Opcode: SAT_U_B
/* 6086 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 6099
/* 6090 */    MCD::OPC_CheckPredicate, 27, 131, 34, // Skip to: 14929
/* 6094 */    MCD::OPC_Decode, 225, 17, 252, 1, // Opcode: SRARI_D
/* 6099 */    MCD::OPC_FilterValue, 5, 55, 0, // Skip to: 6158
/* 6103 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 6106 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6119
/* 6110 */    MCD::OPC_CheckPredicate, 27, 111, 34, // Skip to: 14929
/* 6114 */    MCD::OPC_Decode, 227, 17, 246, 1, // Opcode: SRARI_W
/* 6119 */    MCD::OPC_FilterValue, 1, 102, 34, // Skip to: 14929
/* 6123 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 6126 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6139
/* 6130 */    MCD::OPC_CheckPredicate, 27, 91, 34, // Skip to: 14929
/* 6134 */    MCD::OPC_Decode, 226, 17, 253, 1, // Opcode: SRARI_H
/* 6139 */    MCD::OPC_FilterValue, 1, 82, 34, // Skip to: 14929
/* 6143 */    MCD::OPC_CheckPredicate, 27, 78, 34, // Skip to: 14929
/* 6147 */    MCD::OPC_CheckField, 19, 1, 0, 72, 34, // Skip to: 14929
/* 6153 */    MCD::OPC_Decode, 224, 17, 254, 1, // Opcode: SRARI_B
/* 6158 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 6171
/* 6162 */    MCD::OPC_CheckPredicate, 27, 59, 34, // Skip to: 14929
/* 6166 */    MCD::OPC_Decode, 247, 17, 252, 1, // Opcode: SRLRI_D
/* 6171 */    MCD::OPC_FilterValue, 7, 50, 34, // Skip to: 14929
/* 6175 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 6178 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6191
/* 6182 */    MCD::OPC_CheckPredicate, 27, 39, 34, // Skip to: 14929
/* 6186 */    MCD::OPC_Decode, 249, 17, 246, 1, // Opcode: SRLRI_W
/* 6191 */    MCD::OPC_FilterValue, 1, 30, 34, // Skip to: 14929
/* 6195 */    MCD::OPC_ExtractField, 20, 1,  // Inst{20} ...
/* 6198 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6211
/* 6202 */    MCD::OPC_CheckPredicate, 27, 19, 34, // Skip to: 14929
/* 6206 */    MCD::OPC_Decode, 248, 17, 253, 1, // Opcode: SRLRI_H
/* 6211 */    MCD::OPC_FilterValue, 1, 10, 34, // Skip to: 14929
/* 6215 */    MCD::OPC_CheckPredicate, 27, 6, 34, // Skip to: 14929
/* 6219 */    MCD::OPC_CheckField, 19, 1, 0, 0, 34, // Skip to: 14929
/* 6225 */    MCD::OPC_Decode, 246, 17, 254, 1, // Opcode: SRLRI_B
/* 6230 */    MCD::OPC_FilterValue, 13, 163, 1, // Skip to: 6653
/* 6234 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 6237 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6250
/* 6241 */    MCD::OPC_CheckPredicate, 27, 236, 33, // Skip to: 14929
/* 6245 */    MCD::OPC_Decode, 182, 17, 131, 2, // Opcode: SLL_B
/* 6250 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 6263
/* 6254 */    MCD::OPC_CheckPredicate, 27, 223, 33, // Skip to: 14929
/* 6258 */    MCD::OPC_Decode, 184, 17, 132, 2, // Opcode: SLL_H
/* 6263 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 6276
/* 6267 */    MCD::OPC_CheckPredicate, 27, 210, 33, // Skip to: 14929
/* 6271 */    MCD::OPC_Decode, 187, 17, 133, 2, // Opcode: SLL_W
/* 6276 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 6289
/* 6280 */    MCD::OPC_CheckPredicate, 27, 197, 33, // Skip to: 14929
/* 6284 */    MCD::OPC_Decode, 183, 17, 134, 2, // Opcode: SLL_D
/* 6289 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 6302
/* 6293 */    MCD::OPC_CheckPredicate, 27, 184, 33, // Skip to: 14929
/* 6297 */    MCD::OPC_Decode, 234, 17, 131, 2, // Opcode: SRA_B
/* 6302 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 6315
/* 6306 */    MCD::OPC_CheckPredicate, 27, 171, 33, // Skip to: 14929
/* 6310 */    MCD::OPC_Decode, 236, 17, 132, 2, // Opcode: SRA_H
/* 6315 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 6328
/* 6319 */    MCD::OPC_CheckPredicate, 27, 158, 33, // Skip to: 14929
/* 6323 */    MCD::OPC_Decode, 238, 17, 133, 2, // Opcode: SRA_W
/* 6328 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 6341
/* 6332 */    MCD::OPC_CheckPredicate, 27, 145, 33, // Skip to: 14929
/* 6336 */    MCD::OPC_Decode, 235, 17, 134, 2, // Opcode: SRA_D
/* 6341 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 6354
/* 6345 */    MCD::OPC_CheckPredicate, 27, 132, 33, // Skip to: 14929
/* 6349 */    MCD::OPC_Decode, 128, 18, 131, 2, // Opcode: SRL_B
/* 6354 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 6367
/* 6358 */    MCD::OPC_CheckPredicate, 27, 119, 33, // Skip to: 14929
/* 6362 */    MCD::OPC_Decode, 130, 18, 132, 2, // Opcode: SRL_H
/* 6367 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 6380
/* 6371 */    MCD::OPC_CheckPredicate, 27, 106, 33, // Skip to: 14929
/* 6375 */    MCD::OPC_Decode, 132, 18, 133, 2, // Opcode: SRL_W
/* 6380 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 6393
/* 6384 */    MCD::OPC_CheckPredicate, 27, 93, 33, // Skip to: 14929
/* 6388 */    MCD::OPC_Decode, 129, 18, 134, 2, // Opcode: SRL_D
/* 6393 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 6406
/* 6397 */    MCD::OPC_CheckPredicate, 27, 80, 33, // Skip to: 14929
/* 6401 */    MCD::OPC_Decode, 184, 2, 131, 2, // Opcode: BCLR_B
/* 6406 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 6419
/* 6410 */    MCD::OPC_CheckPredicate, 27, 67, 33, // Skip to: 14929
/* 6414 */    MCD::OPC_Decode, 186, 2, 132, 2, // Opcode: BCLR_H
/* 6419 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 6432
/* 6423 */    MCD::OPC_CheckPredicate, 27, 54, 33, // Skip to: 14929
/* 6427 */    MCD::OPC_Decode, 187, 2, 133, 2, // Opcode: BCLR_W
/* 6432 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 6445
/* 6436 */    MCD::OPC_CheckPredicate, 27, 41, 33, // Skip to: 14929
/* 6440 */    MCD::OPC_Decode, 185, 2, 134, 2, // Opcode: BCLR_D
/* 6445 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 6458
/* 6449 */    MCD::OPC_CheckPredicate, 27, 28, 33, // Skip to: 14929
/* 6453 */    MCD::OPC_Decode, 242, 3, 131, 2, // Opcode: BSET_B
/* 6458 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 6471
/* 6462 */    MCD::OPC_CheckPredicate, 27, 15, 33, // Skip to: 14929
/* 6466 */    MCD::OPC_Decode, 244, 3, 132, 2, // Opcode: BSET_H
/* 6471 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 6484
/* 6475 */    MCD::OPC_CheckPredicate, 27, 2, 33, // Skip to: 14929
/* 6479 */    MCD::OPC_Decode, 245, 3, 133, 2, // Opcode: BSET_W
/* 6484 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 6497
/* 6488 */    MCD::OPC_CheckPredicate, 27, 245, 32, // Skip to: 14929
/* 6492 */    MCD::OPC_Decode, 243, 3, 134, 2, // Opcode: BSET_D
/* 6497 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 6510
/* 6501 */    MCD::OPC_CheckPredicate, 27, 232, 32, // Skip to: 14929
/* 6505 */    MCD::OPC_Decode, 198, 3, 131, 2, // Opcode: BNEG_B
/* 6510 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 6523
/* 6514 */    MCD::OPC_CheckPredicate, 27, 219, 32, // Skip to: 14929
/* 6518 */    MCD::OPC_Decode, 200, 3, 132, 2, // Opcode: BNEG_H
/* 6523 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 6536
/* 6527 */    MCD::OPC_CheckPredicate, 27, 206, 32, // Skip to: 14929
/* 6531 */    MCD::OPC_Decode, 201, 3, 133, 2, // Opcode: BNEG_W
/* 6536 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 6549
/* 6540 */    MCD::OPC_CheckPredicate, 27, 193, 32, // Skip to: 14929
/* 6544 */    MCD::OPC_Decode, 199, 3, 134, 2, // Opcode: BNEG_D
/* 6549 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 6562
/* 6553 */    MCD::OPC_CheckPredicate, 27, 180, 32, // Skip to: 14929
/* 6557 */    MCD::OPC_Decode, 253, 2, 135, 2, // Opcode: BINSL_B
/* 6562 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 6575
/* 6566 */    MCD::OPC_CheckPredicate, 27, 167, 32, // Skip to: 14929
/* 6570 */    MCD::OPC_Decode, 255, 2, 136, 2, // Opcode: BINSL_H
/* 6575 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 6588
/* 6579 */    MCD::OPC_CheckPredicate, 27, 154, 32, // Skip to: 14929
/* 6583 */    MCD::OPC_Decode, 128, 3, 137, 2, // Opcode: BINSL_W
/* 6588 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 6601
/* 6592 */    MCD::OPC_CheckPredicate, 27, 141, 32, // Skip to: 14929
/* 6596 */    MCD::OPC_Decode, 254, 2, 138, 2, // Opcode: BINSL_D
/* 6601 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 6614
/* 6605 */    MCD::OPC_CheckPredicate, 27, 128, 32, // Skip to: 14929
/* 6609 */    MCD::OPC_Decode, 133, 3, 135, 2, // Opcode: BINSR_B
/* 6614 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 6627
/* 6618 */    MCD::OPC_CheckPredicate, 27, 115, 32, // Skip to: 14929
/* 6622 */    MCD::OPC_Decode, 135, 3, 136, 2, // Opcode: BINSR_H
/* 6627 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 6640
/* 6631 */    MCD::OPC_CheckPredicate, 27, 102, 32, // Skip to: 14929
/* 6635 */    MCD::OPC_Decode, 136, 3, 137, 2, // Opcode: BINSR_W
/* 6640 */    MCD::OPC_FilterValue, 31, 93, 32, // Skip to: 14929
/* 6644 */    MCD::OPC_CheckPredicate, 27, 89, 32, // Skip to: 14929
/* 6648 */    MCD::OPC_Decode, 134, 3, 138, 2, // Opcode: BINSR_D
/* 6653 */    MCD::OPC_FilterValue, 14, 163, 1, // Skip to: 7076
/* 6657 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 6660 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 6673
/* 6664 */    MCD::OPC_CheckPredicate, 27, 69, 32, // Skip to: 14929
/* 6668 */    MCD::OPC_Decode, 167, 1, 131, 2, // Opcode: ADDV_B
/* 6673 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 6686
/* 6677 */    MCD::OPC_CheckPredicate, 27, 56, 32, // Skip to: 14929
/* 6681 */    MCD::OPC_Decode, 169, 1, 132, 2, // Opcode: ADDV_H
/* 6686 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 6699
/* 6690 */    MCD::OPC_CheckPredicate, 27, 43, 32, // Skip to: 14929
/* 6694 */    MCD::OPC_Decode, 170, 1, 133, 2, // Opcode: ADDV_W
/* 6699 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 6712
/* 6703 */    MCD::OPC_CheckPredicate, 27, 30, 32, // Skip to: 14929
/* 6707 */    MCD::OPC_Decode, 168, 1, 134, 2, // Opcode: ADDV_D
/* 6712 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 6725
/* 6716 */    MCD::OPC_CheckPredicate, 27, 17, 32, // Skip to: 14929
/* 6720 */    MCD::OPC_Decode, 195, 18, 131, 2, // Opcode: SUBV_B
/* 6725 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 6738
/* 6729 */    MCD::OPC_CheckPredicate, 27, 4, 32, // Skip to: 14929
/* 6733 */    MCD::OPC_Decode, 197, 18, 132, 2, // Opcode: SUBV_H
/* 6738 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 6751
/* 6742 */    MCD::OPC_CheckPredicate, 27, 247, 31, // Skip to: 14929
/* 6746 */    MCD::OPC_Decode, 198, 18, 133, 2, // Opcode: SUBV_W
/* 6751 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 6764
/* 6755 */    MCD::OPC_CheckPredicate, 27, 234, 31, // Skip to: 14929
/* 6759 */    MCD::OPC_Decode, 196, 18, 134, 2, // Opcode: SUBV_D
/* 6764 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 6777
/* 6768 */    MCD::OPC_CheckPredicate, 27, 221, 31, // Skip to: 14929
/* 6772 */    MCD::OPC_Decode, 173, 12, 131, 2, // Opcode: MAX_S_B
/* 6777 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 6790
/* 6781 */    MCD::OPC_CheckPredicate, 27, 208, 31, // Skip to: 14929
/* 6785 */    MCD::OPC_Decode, 175, 12, 132, 2, // Opcode: MAX_S_H
/* 6790 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 6803
/* 6794 */    MCD::OPC_CheckPredicate, 27, 195, 31, // Skip to: 14929
/* 6798 */    MCD::OPC_Decode, 177, 12, 133, 2, // Opcode: MAX_S_W
/* 6803 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 6816
/* 6807 */    MCD::OPC_CheckPredicate, 27, 182, 31, // Skip to: 14929
/* 6811 */    MCD::OPC_Decode, 174, 12, 134, 2, // Opcode: MAX_S_D
/* 6816 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 6829
/* 6820 */    MCD::OPC_CheckPredicate, 27, 169, 31, // Skip to: 14929
/* 6824 */    MCD::OPC_Decode, 178, 12, 131, 2, // Opcode: MAX_U_B
/* 6829 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 6842
/* 6833 */    MCD::OPC_CheckPredicate, 27, 156, 31, // Skip to: 14929
/* 6837 */    MCD::OPC_Decode, 180, 12, 132, 2, // Opcode: MAX_U_H
/* 6842 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 6855
/* 6846 */    MCD::OPC_CheckPredicate, 27, 143, 31, // Skip to: 14929
/* 6850 */    MCD::OPC_Decode, 181, 12, 133, 2, // Opcode: MAX_U_W
/* 6855 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 6868
/* 6859 */    MCD::OPC_CheckPredicate, 27, 130, 31, // Skip to: 14929
/* 6863 */    MCD::OPC_Decode, 179, 12, 134, 2, // Opcode: MAX_U_D
/* 6868 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 6881
/* 6872 */    MCD::OPC_CheckPredicate, 27, 117, 31, // Skip to: 14929
/* 6876 */    MCD::OPC_Decode, 237, 12, 131, 2, // Opcode: MIN_S_B
/* 6881 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 6894
/* 6885 */    MCD::OPC_CheckPredicate, 27, 104, 31, // Skip to: 14929
/* 6889 */    MCD::OPC_Decode, 239, 12, 132, 2, // Opcode: MIN_S_H
/* 6894 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 6907
/* 6898 */    MCD::OPC_CheckPredicate, 27, 91, 31, // Skip to: 14929
/* 6902 */    MCD::OPC_Decode, 241, 12, 133, 2, // Opcode: MIN_S_W
/* 6907 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 6920
/* 6911 */    MCD::OPC_CheckPredicate, 27, 78, 31, // Skip to: 14929
/* 6915 */    MCD::OPC_Decode, 238, 12, 134, 2, // Opcode: MIN_S_D
/* 6920 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 6933
/* 6924 */    MCD::OPC_CheckPredicate, 27, 65, 31, // Skip to: 14929
/* 6928 */    MCD::OPC_Decode, 242, 12, 131, 2, // Opcode: MIN_U_B
/* 6933 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 6946
/* 6937 */    MCD::OPC_CheckPredicate, 27, 52, 31, // Skip to: 14929
/* 6941 */    MCD::OPC_Decode, 244, 12, 132, 2, // Opcode: MIN_U_H
/* 6946 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 6959
/* 6950 */    MCD::OPC_CheckPredicate, 27, 39, 31, // Skip to: 14929
/* 6954 */    MCD::OPC_Decode, 245, 12, 133, 2, // Opcode: MIN_U_W
/* 6959 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 6972
/* 6963 */    MCD::OPC_CheckPredicate, 27, 26, 31, // Skip to: 14929
/* 6967 */    MCD::OPC_Decode, 243, 12, 134, 2, // Opcode: MIN_U_D
/* 6972 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 6985
/* 6976 */    MCD::OPC_CheckPredicate, 27, 13, 31, // Skip to: 14929
/* 6980 */    MCD::OPC_Decode, 166, 12, 131, 2, // Opcode: MAX_A_B
/* 6985 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 6998
/* 6989 */    MCD::OPC_CheckPredicate, 27, 0, 31, // Skip to: 14929
/* 6993 */    MCD::OPC_Decode, 168, 12, 132, 2, // Opcode: MAX_A_H
/* 6998 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 7011
/* 7002 */    MCD::OPC_CheckPredicate, 27, 243, 30, // Skip to: 14929
/* 7006 */    MCD::OPC_Decode, 169, 12, 133, 2, // Opcode: MAX_A_W
/* 7011 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 7024
/* 7015 */    MCD::OPC_CheckPredicate, 27, 230, 30, // Skip to: 14929
/* 7019 */    MCD::OPC_Decode, 167, 12, 134, 2, // Opcode: MAX_A_D
/* 7024 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 7037
/* 7028 */    MCD::OPC_CheckPredicate, 27, 217, 30, // Skip to: 14929
/* 7032 */    MCD::OPC_Decode, 230, 12, 131, 2, // Opcode: MIN_A_B
/* 7037 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 7050
/* 7041 */    MCD::OPC_CheckPredicate, 27, 204, 30, // Skip to: 14929
/* 7045 */    MCD::OPC_Decode, 232, 12, 132, 2, // Opcode: MIN_A_H
/* 7050 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 7063
/* 7054 */    MCD::OPC_CheckPredicate, 27, 191, 30, // Skip to: 14929
/* 7058 */    MCD::OPC_Decode, 233, 12, 133, 2, // Opcode: MIN_A_W
/* 7063 */    MCD::OPC_FilterValue, 31, 182, 30, // Skip to: 14929
/* 7067 */    MCD::OPC_CheckPredicate, 27, 178, 30, // Skip to: 14929
/* 7071 */    MCD::OPC_Decode, 231, 12, 134, 2, // Opcode: MIN_A_D
/* 7076 */    MCD::OPC_FilterValue, 15, 7, 1, // Skip to: 7343
/* 7080 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 7083 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 7096
/* 7087 */    MCD::OPC_CheckPredicate, 27, 158, 30, // Skip to: 14929
/* 7091 */    MCD::OPC_Decode, 174, 4, 131, 2, // Opcode: CEQ_B
/* 7096 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 7109
/* 7100 */    MCD::OPC_CheckPredicate, 27, 145, 30, // Skip to: 14929
/* 7104 */    MCD::OPC_Decode, 176, 4, 132, 2, // Opcode: CEQ_H
/* 7109 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 7122
/* 7113 */    MCD::OPC_CheckPredicate, 27, 132, 30, // Skip to: 14929
/* 7117 */    MCD::OPC_Decode, 177, 4, 133, 2, // Opcode: CEQ_W
/* 7122 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 7135
/* 7126 */    MCD::OPC_CheckPredicate, 27, 119, 30, // Skip to: 14929
/* 7130 */    MCD::OPC_Decode, 175, 4, 134, 2, // Opcode: CEQ_D
/* 7135 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 7148
/* 7139 */    MCD::OPC_CheckPredicate, 27, 106, 30, // Skip to: 14929
/* 7143 */    MCD::OPC_Decode, 219, 4, 131, 2, // Opcode: CLT_S_B
/* 7148 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 7161
/* 7152 */    MCD::OPC_CheckPredicate, 27, 93, 30, // Skip to: 14929
/* 7156 */    MCD::OPC_Decode, 221, 4, 132, 2, // Opcode: CLT_S_H
/* 7161 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 7174
/* 7165 */    MCD::OPC_CheckPredicate, 27, 80, 30, // Skip to: 14929
/* 7169 */    MCD::OPC_Decode, 222, 4, 133, 2, // Opcode: CLT_S_W
/* 7174 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 7187
/* 7178 */    MCD::OPC_CheckPredicate, 27, 67, 30, // Skip to: 14929
/* 7182 */    MCD::OPC_Decode, 220, 4, 134, 2, // Opcode: CLT_S_D
/* 7187 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 7200
/* 7191 */    MCD::OPC_CheckPredicate, 27, 54, 30, // Skip to: 14929
/* 7195 */    MCD::OPC_Decode, 223, 4, 131, 2, // Opcode: CLT_U_B
/* 7200 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 7213
/* 7204 */    MCD::OPC_CheckPredicate, 27, 41, 30, // Skip to: 14929
/* 7208 */    MCD::OPC_Decode, 225, 4, 132, 2, // Opcode: CLT_U_H
/* 7213 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 7226
/* 7217 */    MCD::OPC_CheckPredicate, 27, 28, 30, // Skip to: 14929
/* 7221 */    MCD::OPC_Decode, 226, 4, 133, 2, // Opcode: CLT_U_W
/* 7226 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 7239
/* 7230 */    MCD::OPC_CheckPredicate, 27, 15, 30, // Skip to: 14929
/* 7234 */    MCD::OPC_Decode, 224, 4, 134, 2, // Opcode: CLT_U_D
/* 7239 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 7252
/* 7243 */    MCD::OPC_CheckPredicate, 27, 2, 30, // Skip to: 14929
/* 7247 */    MCD::OPC_Decode, 199, 4, 131, 2, // Opcode: CLE_S_B
/* 7252 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 7265
/* 7256 */    MCD::OPC_CheckPredicate, 27, 245, 29, // Skip to: 14929
/* 7260 */    MCD::OPC_Decode, 201, 4, 132, 2, // Opcode: CLE_S_H
/* 7265 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 7278
/* 7269 */    MCD::OPC_CheckPredicate, 27, 232, 29, // Skip to: 14929
/* 7273 */    MCD::OPC_Decode, 202, 4, 133, 2, // Opcode: CLE_S_W
/* 7278 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 7291
/* 7282 */    MCD::OPC_CheckPredicate, 27, 219, 29, // Skip to: 14929
/* 7286 */    MCD::OPC_Decode, 200, 4, 134, 2, // Opcode: CLE_S_D
/* 7291 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 7304
/* 7295 */    MCD::OPC_CheckPredicate, 27, 206, 29, // Skip to: 14929
/* 7299 */    MCD::OPC_Decode, 203, 4, 131, 2, // Opcode: CLE_U_B
/* 7304 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 7317
/* 7308 */    MCD::OPC_CheckPredicate, 27, 193, 29, // Skip to: 14929
/* 7312 */    MCD::OPC_Decode, 205, 4, 132, 2, // Opcode: CLE_U_H
/* 7317 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 7330
/* 7321 */    MCD::OPC_CheckPredicate, 27, 180, 29, // Skip to: 14929
/* 7325 */    MCD::OPC_Decode, 206, 4, 133, 2, // Opcode: CLE_U_W
/* 7330 */    MCD::OPC_FilterValue, 23, 171, 29, // Skip to: 14929
/* 7334 */    MCD::OPC_CheckPredicate, 27, 167, 29, // Skip to: 14929
/* 7338 */    MCD::OPC_Decode, 204, 4, 134, 2, // Opcode: CLE_U_D
/* 7343 */    MCD::OPC_FilterValue, 16, 163, 1, // Skip to: 7766
/* 7347 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 7350 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 7363
/* 7354 */    MCD::OPC_CheckPredicate, 27, 147, 29, // Skip to: 14929
/* 7358 */    MCD::OPC_Decode, 173, 1, 131, 2, // Opcode: ADD_A_B
/* 7363 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 7376
/* 7367 */    MCD::OPC_CheckPredicate, 27, 134, 29, // Skip to: 14929
/* 7371 */    MCD::OPC_Decode, 175, 1, 132, 2, // Opcode: ADD_A_H
/* 7376 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 7389
/* 7380 */    MCD::OPC_CheckPredicate, 27, 121, 29, // Skip to: 14929
/* 7384 */    MCD::OPC_Decode, 176, 1, 133, 2, // Opcode: ADD_A_W
/* 7389 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 7402
/* 7393 */    MCD::OPC_CheckPredicate, 27, 108, 29, // Skip to: 14929
/* 7397 */    MCD::OPC_Decode, 174, 1, 134, 2, // Opcode: ADD_A_D
/* 7402 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 7415
/* 7406 */    MCD::OPC_CheckPredicate, 27, 95, 29, // Skip to: 14929
/* 7410 */    MCD::OPC_Decode, 136, 1, 131, 2, // Opcode: ADDS_A_B
/* 7415 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 7428
/* 7419 */    MCD::OPC_CheckPredicate, 27, 82, 29, // Skip to: 14929
/* 7423 */    MCD::OPC_Decode, 138, 1, 132, 2, // Opcode: ADDS_A_H
/* 7428 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 7441
/* 7432 */    MCD::OPC_CheckPredicate, 27, 69, 29, // Skip to: 14929
/* 7436 */    MCD::OPC_Decode, 139, 1, 133, 2, // Opcode: ADDS_A_W
/* 7441 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 7454
/* 7445 */    MCD::OPC_CheckPredicate, 27, 56, 29, // Skip to: 14929
/* 7449 */    MCD::OPC_Decode, 137, 1, 134, 2, // Opcode: ADDS_A_D
/* 7454 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 7467
/* 7458 */    MCD::OPC_CheckPredicate, 27, 43, 29, // Skip to: 14929
/* 7462 */    MCD::OPC_Decode, 140, 1, 131, 2, // Opcode: ADDS_S_B
/* 7467 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 7480
/* 7471 */    MCD::OPC_CheckPredicate, 27, 30, 29, // Skip to: 14929
/* 7475 */    MCD::OPC_Decode, 142, 1, 132, 2, // Opcode: ADDS_S_H
/* 7480 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 7493
/* 7484 */    MCD::OPC_CheckPredicate, 27, 17, 29, // Skip to: 14929
/* 7488 */    MCD::OPC_Decode, 143, 1, 133, 2, // Opcode: ADDS_S_W
/* 7493 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 7506
/* 7497 */    MCD::OPC_CheckPredicate, 27, 4, 29, // Skip to: 14929
/* 7501 */    MCD::OPC_Decode, 141, 1, 134, 2, // Opcode: ADDS_S_D
/* 7506 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 7519
/* 7510 */    MCD::OPC_CheckPredicate, 27, 247, 28, // Skip to: 14929
/* 7514 */    MCD::OPC_Decode, 144, 1, 131, 2, // Opcode: ADDS_U_B
/* 7519 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 7532
/* 7523 */    MCD::OPC_CheckPredicate, 27, 234, 28, // Skip to: 14929
/* 7527 */    MCD::OPC_Decode, 146, 1, 132, 2, // Opcode: ADDS_U_H
/* 7532 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 7545
/* 7536 */    MCD::OPC_CheckPredicate, 27, 221, 28, // Skip to: 14929
/* 7540 */    MCD::OPC_Decode, 147, 1, 133, 2, // Opcode: ADDS_U_W
/* 7545 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 7558
/* 7549 */    MCD::OPC_CheckPredicate, 27, 208, 28, // Skip to: 14929
/* 7553 */    MCD::OPC_Decode, 145, 1, 134, 2, // Opcode: ADDS_U_D
/* 7558 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 7571
/* 7562 */    MCD::OPC_CheckPredicate, 27, 195, 28, // Skip to: 14929
/* 7566 */    MCD::OPC_Decode, 134, 2, 131, 2, // Opcode: AVE_S_B
/* 7571 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 7584
/* 7575 */    MCD::OPC_CheckPredicate, 27, 182, 28, // Skip to: 14929
/* 7579 */    MCD::OPC_Decode, 136, 2, 132, 2, // Opcode: AVE_S_H
/* 7584 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 7597
/* 7588 */    MCD::OPC_CheckPredicate, 27, 169, 28, // Skip to: 14929
/* 7592 */    MCD::OPC_Decode, 137, 2, 133, 2, // Opcode: AVE_S_W
/* 7597 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 7610
/* 7601 */    MCD::OPC_CheckPredicate, 27, 156, 28, // Skip to: 14929
/* 7605 */    MCD::OPC_Decode, 135, 2, 134, 2, // Opcode: AVE_S_D
/* 7610 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 7623
/* 7614 */    MCD::OPC_CheckPredicate, 27, 143, 28, // Skip to: 14929
/* 7618 */    MCD::OPC_Decode, 138, 2, 131, 2, // Opcode: AVE_U_B
/* 7623 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 7636
/* 7627 */    MCD::OPC_CheckPredicate, 27, 130, 28, // Skip to: 14929
/* 7631 */    MCD::OPC_Decode, 140, 2, 132, 2, // Opcode: AVE_U_H
/* 7636 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 7649
/* 7640 */    MCD::OPC_CheckPredicate, 27, 117, 28, // Skip to: 14929
/* 7644 */    MCD::OPC_Decode, 141, 2, 133, 2, // Opcode: AVE_U_W
/* 7649 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 7662
/* 7653 */    MCD::OPC_CheckPredicate, 27, 104, 28, // Skip to: 14929
/* 7657 */    MCD::OPC_Decode, 139, 2, 134, 2, // Opcode: AVE_U_D
/* 7662 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 7675
/* 7666 */    MCD::OPC_CheckPredicate, 27, 91, 28, // Skip to: 14929
/* 7670 */    MCD::OPC_Decode, 254, 1, 131, 2, // Opcode: AVER_S_B
/* 7675 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 7688
/* 7679 */    MCD::OPC_CheckPredicate, 27, 78, 28, // Skip to: 14929
/* 7683 */    MCD::OPC_Decode, 128, 2, 132, 2, // Opcode: AVER_S_H
/* 7688 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 7701
/* 7692 */    MCD::OPC_CheckPredicate, 27, 65, 28, // Skip to: 14929
/* 7696 */    MCD::OPC_Decode, 129, 2, 133, 2, // Opcode: AVER_S_W
/* 7701 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 7714
/* 7705 */    MCD::OPC_CheckPredicate, 27, 52, 28, // Skip to: 14929
/* 7709 */    MCD::OPC_Decode, 255, 1, 134, 2, // Opcode: AVER_S_D
/* 7714 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 7727
/* 7718 */    MCD::OPC_CheckPredicate, 27, 39, 28, // Skip to: 14929
/* 7722 */    MCD::OPC_Decode, 130, 2, 131, 2, // Opcode: AVER_U_B
/* 7727 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 7740
/* 7731 */    MCD::OPC_CheckPredicate, 27, 26, 28, // Skip to: 14929
/* 7735 */    MCD::OPC_Decode, 132, 2, 132, 2, // Opcode: AVER_U_H
/* 7740 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 7753
/* 7744 */    MCD::OPC_CheckPredicate, 27, 13, 28, // Skip to: 14929
/* 7748 */    MCD::OPC_Decode, 133, 2, 133, 2, // Opcode: AVER_U_W
/* 7753 */    MCD::OPC_FilterValue, 31, 4, 28, // Skip to: 14929
/* 7757 */    MCD::OPC_CheckPredicate, 27, 0, 28, // Skip to: 14929
/* 7761 */    MCD::OPC_Decode, 131, 2, 134, 2, // Opcode: AVER_U_D
/* 7766 */    MCD::OPC_FilterValue, 17, 59, 1, // Skip to: 8085
/* 7770 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 7773 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 7786
/* 7777 */    MCD::OPC_CheckPredicate, 27, 236, 27, // Skip to: 14929
/* 7781 */    MCD::OPC_Decode, 168, 18, 131, 2, // Opcode: SUBS_S_B
/* 7786 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 7799
/* 7790 */    MCD::OPC_CheckPredicate, 27, 223, 27, // Skip to: 14929
/* 7794 */    MCD::OPC_Decode, 170, 18, 132, 2, // Opcode: SUBS_S_H
/* 7799 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 7812
/* 7803 */    MCD::OPC_CheckPredicate, 27, 210, 27, // Skip to: 14929
/* 7807 */    MCD::OPC_Decode, 171, 18, 133, 2, // Opcode: SUBS_S_W
/* 7812 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 7825
/* 7816 */    MCD::OPC_CheckPredicate, 27, 197, 27, // Skip to: 14929
/* 7820 */    MCD::OPC_Decode, 169, 18, 134, 2, // Opcode: SUBS_S_D
/* 7825 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 7838
/* 7829 */    MCD::OPC_CheckPredicate, 27, 184, 27, // Skip to: 14929
/* 7833 */    MCD::OPC_Decode, 172, 18, 131, 2, // Opcode: SUBS_U_B
/* 7838 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 7851
/* 7842 */    MCD::OPC_CheckPredicate, 27, 171, 27, // Skip to: 14929
/* 7846 */    MCD::OPC_Decode, 174, 18, 132, 2, // Opcode: SUBS_U_H
/* 7851 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 7864
/* 7855 */    MCD::OPC_CheckPredicate, 27, 158, 27, // Skip to: 14929
/* 7859 */    MCD::OPC_Decode, 175, 18, 133, 2, // Opcode: SUBS_U_W
/* 7864 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 7877
/* 7868 */    MCD::OPC_CheckPredicate, 27, 145, 27, // Skip to: 14929
/* 7872 */    MCD::OPC_Decode, 173, 18, 134, 2, // Opcode: SUBS_U_D
/* 7877 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 7890
/* 7881 */    MCD::OPC_CheckPredicate, 27, 132, 27, // Skip to: 14929
/* 7885 */    MCD::OPC_Decode, 160, 18, 131, 2, // Opcode: SUBSUS_U_B
/* 7890 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 7903
/* 7894 */    MCD::OPC_CheckPredicate, 27, 119, 27, // Skip to: 14929
/* 7898 */    MCD::OPC_Decode, 162, 18, 132, 2, // Opcode: SUBSUS_U_H
/* 7903 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 7916
/* 7907 */    MCD::OPC_CheckPredicate, 27, 106, 27, // Skip to: 14929
/* 7911 */    MCD::OPC_Decode, 163, 18, 133, 2, // Opcode: SUBSUS_U_W
/* 7916 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 7929
/* 7920 */    MCD::OPC_CheckPredicate, 27, 93, 27, // Skip to: 14929
/* 7924 */    MCD::OPC_Decode, 161, 18, 134, 2, // Opcode: SUBSUS_U_D
/* 7929 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 7942
/* 7933 */    MCD::OPC_CheckPredicate, 27, 80, 27, // Skip to: 14929
/* 7937 */    MCD::OPC_Decode, 164, 18, 131, 2, // Opcode: SUBSUU_S_B
/* 7942 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 7955
/* 7946 */    MCD::OPC_CheckPredicate, 27, 67, 27, // Skip to: 14929
/* 7950 */    MCD::OPC_Decode, 166, 18, 132, 2, // Opcode: SUBSUU_S_H
/* 7955 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 7968
/* 7959 */    MCD::OPC_CheckPredicate, 27, 54, 27, // Skip to: 14929
/* 7963 */    MCD::OPC_Decode, 167, 18, 133, 2, // Opcode: SUBSUU_S_W
/* 7968 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 7981
/* 7972 */    MCD::OPC_CheckPredicate, 27, 41, 27, // Skip to: 14929
/* 7976 */    MCD::OPC_Decode, 165, 18, 134, 2, // Opcode: SUBSUU_S_D
/* 7981 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 7994
/* 7985 */    MCD::OPC_CheckPredicate, 27, 28, 27, // Skip to: 14929
/* 7989 */    MCD::OPC_Decode, 210, 1, 131, 2, // Opcode: ASUB_S_B
/* 7994 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 8007
/* 7998 */    MCD::OPC_CheckPredicate, 27, 15, 27, // Skip to: 14929
/* 8002 */    MCD::OPC_Decode, 212, 1, 132, 2, // Opcode: ASUB_S_H
/* 8007 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 8020
/* 8011 */    MCD::OPC_CheckPredicate, 27, 2, 27, // Skip to: 14929
/* 8015 */    MCD::OPC_Decode, 213, 1, 133, 2, // Opcode: ASUB_S_W
/* 8020 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 8033
/* 8024 */    MCD::OPC_CheckPredicate, 27, 245, 26, // Skip to: 14929
/* 8028 */    MCD::OPC_Decode, 211, 1, 134, 2, // Opcode: ASUB_S_D
/* 8033 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 8046
/* 8037 */    MCD::OPC_CheckPredicate, 27, 232, 26, // Skip to: 14929
/* 8041 */    MCD::OPC_Decode, 214, 1, 131, 2, // Opcode: ASUB_U_B
/* 8046 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 8059
/* 8050 */    MCD::OPC_CheckPredicate, 27, 219, 26, // Skip to: 14929
/* 8054 */    MCD::OPC_Decode, 216, 1, 132, 2, // Opcode: ASUB_U_H
/* 8059 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 8072
/* 8063 */    MCD::OPC_CheckPredicate, 27, 206, 26, // Skip to: 14929
/* 8067 */    MCD::OPC_Decode, 217, 1, 133, 2, // Opcode: ASUB_U_W
/* 8072 */    MCD::OPC_FilterValue, 23, 197, 26, // Skip to: 14929
/* 8076 */    MCD::OPC_CheckPredicate, 27, 193, 26, // Skip to: 14929
/* 8080 */    MCD::OPC_Decode, 215, 1, 134, 2, // Opcode: ASUB_U_D
/* 8085 */    MCD::OPC_FilterValue, 18, 111, 1, // Skip to: 8456
/* 8089 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 8092 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 8105
/* 8096 */    MCD::OPC_CheckPredicate, 27, 173, 26, // Skip to: 14929
/* 8100 */    MCD::OPC_Decode, 161, 14, 131, 2, // Opcode: MULV_B
/* 8105 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 8118
/* 8109 */    MCD::OPC_CheckPredicate, 27, 160, 26, // Skip to: 14929
/* 8113 */    MCD::OPC_Decode, 163, 14, 132, 2, // Opcode: MULV_H
/* 8118 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 8131
/* 8122 */    MCD::OPC_CheckPredicate, 27, 147, 26, // Skip to: 14929
/* 8126 */    MCD::OPC_Decode, 164, 14, 133, 2, // Opcode: MULV_W
/* 8131 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 8144
/* 8135 */    MCD::OPC_CheckPredicate, 27, 134, 26, // Skip to: 14929
/* 8139 */    MCD::OPC_Decode, 162, 14, 134, 2, // Opcode: MULV_D
/* 8144 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 8157
/* 8148 */    MCD::OPC_CheckPredicate, 27, 121, 26, // Skip to: 14929
/* 8152 */    MCD::OPC_Decode, 132, 12, 135, 2, // Opcode: MADDV_B
/* 8157 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 8170
/* 8161 */    MCD::OPC_CheckPredicate, 27, 108, 26, // Skip to: 14929
/* 8165 */    MCD::OPC_Decode, 134, 12, 136, 2, // Opcode: MADDV_H
/* 8170 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 8183
/* 8174 */    MCD::OPC_CheckPredicate, 27, 95, 26, // Skip to: 14929
/* 8178 */    MCD::OPC_Decode, 135, 12, 137, 2, // Opcode: MADDV_W
/* 8183 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 8196
/* 8187 */    MCD::OPC_CheckPredicate, 27, 82, 26, // Skip to: 14929
/* 8191 */    MCD::OPC_Decode, 133, 12, 138, 2, // Opcode: MADDV_D
/* 8196 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 8209
/* 8200 */    MCD::OPC_CheckPredicate, 27, 69, 26, // Skip to: 14929
/* 8204 */    MCD::OPC_Decode, 193, 13, 135, 2, // Opcode: MSUBV_B
/* 8209 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 8222
/* 8213 */    MCD::OPC_CheckPredicate, 27, 56, 26, // Skip to: 14929
/* 8217 */    MCD::OPC_Decode, 195, 13, 136, 2, // Opcode: MSUBV_H
/* 8222 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 8235
/* 8226 */    MCD::OPC_CheckPredicate, 27, 43, 26, // Skip to: 14929
/* 8230 */    MCD::OPC_Decode, 196, 13, 137, 2, // Opcode: MSUBV_W
/* 8235 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 8248
/* 8239 */    MCD::OPC_CheckPredicate, 27, 30, 26, // Skip to: 14929
/* 8243 */    MCD::OPC_Decode, 194, 13, 138, 2, // Opcode: MSUBV_D
/* 8248 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 8261
/* 8252 */    MCD::OPC_CheckPredicate, 27, 17, 26, // Skip to: 14929
/* 8256 */    MCD::OPC_Decode, 130, 7, 131, 2, // Opcode: DIV_S_B
/* 8261 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 8274
/* 8265 */    MCD::OPC_CheckPredicate, 27, 4, 26, // Skip to: 14929
/* 8269 */    MCD::OPC_Decode, 132, 7, 132, 2, // Opcode: DIV_S_H
/* 8274 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 8287
/* 8278 */    MCD::OPC_CheckPredicate, 27, 247, 25, // Skip to: 14929
/* 8282 */    MCD::OPC_Decode, 133, 7, 133, 2, // Opcode: DIV_S_W
/* 8287 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 8300
/* 8291 */    MCD::OPC_CheckPredicate, 27, 234, 25, // Skip to: 14929
/* 8295 */    MCD::OPC_Decode, 131, 7, 134, 2, // Opcode: DIV_S_D
/* 8300 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 8313
/* 8304 */    MCD::OPC_CheckPredicate, 27, 221, 25, // Skip to: 14929
/* 8308 */    MCD::OPC_Decode, 134, 7, 131, 2, // Opcode: DIV_U_B
/* 8313 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 8326
/* 8317 */    MCD::OPC_CheckPredicate, 27, 208, 25, // Skip to: 14929
/* 8321 */    MCD::OPC_Decode, 136, 7, 132, 2, // Opcode: DIV_U_H
/* 8326 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 8339
/* 8330 */    MCD::OPC_CheckPredicate, 27, 195, 25, // Skip to: 14929
/* 8334 */    MCD::OPC_Decode, 137, 7, 133, 2, // Opcode: DIV_U_W
/* 8339 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 8352
/* 8343 */    MCD::OPC_CheckPredicate, 27, 182, 25, // Skip to: 14929
/* 8347 */    MCD::OPC_Decode, 135, 7, 134, 2, // Opcode: DIV_U_D
/* 8352 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 8365
/* 8356 */    MCD::OPC_CheckPredicate, 27, 169, 25, // Skip to: 14929
/* 8360 */    MCD::OPC_Decode, 254, 12, 131, 2, // Opcode: MOD_S_B
/* 8365 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 8378
/* 8369 */    MCD::OPC_CheckPredicate, 27, 156, 25, // Skip to: 14929
/* 8373 */    MCD::OPC_Decode, 128, 13, 132, 2, // Opcode: MOD_S_H
/* 8378 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 8391
/* 8382 */    MCD::OPC_CheckPredicate, 27, 143, 25, // Skip to: 14929
/* 8386 */    MCD::OPC_Decode, 129, 13, 133, 2, // Opcode: MOD_S_W
/* 8391 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 8404
/* 8395 */    MCD::OPC_CheckPredicate, 27, 130, 25, // Skip to: 14929
/* 8399 */    MCD::OPC_Decode, 255, 12, 134, 2, // Opcode: MOD_S_D
/* 8404 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 8417
/* 8408 */    MCD::OPC_CheckPredicate, 27, 117, 25, // Skip to: 14929
/* 8412 */    MCD::OPC_Decode, 130, 13, 131, 2, // Opcode: MOD_U_B
/* 8417 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 8430
/* 8421 */    MCD::OPC_CheckPredicate, 27, 104, 25, // Skip to: 14929
/* 8425 */    MCD::OPC_Decode, 132, 13, 132, 2, // Opcode: MOD_U_H
/* 8430 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 8443
/* 8434 */    MCD::OPC_CheckPredicate, 27, 91, 25, // Skip to: 14929
/* 8438 */    MCD::OPC_Decode, 133, 13, 133, 2, // Opcode: MOD_U_W
/* 8443 */    MCD::OPC_FilterValue, 31, 82, 25, // Skip to: 14929
/* 8447 */    MCD::OPC_CheckPredicate, 27, 78, 25, // Skip to: 14929
/* 8451 */    MCD::OPC_Decode, 131, 13, 134, 2, // Opcode: MOD_U_D
/* 8456 */    MCD::OPC_FilterValue, 19, 237, 0, // Skip to: 8697
/* 8460 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 8463 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 8476
/* 8467 */    MCD::OPC_CheckPredicate, 27, 58, 25, // Skip to: 14929
/* 8471 */    MCD::OPC_Decode, 178, 7, 139, 2, // Opcode: DOTP_S_H
/* 8476 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 8489
/* 8480 */    MCD::OPC_CheckPredicate, 27, 45, 25, // Skip to: 14929
/* 8484 */    MCD::OPC_Decode, 179, 7, 140, 2, // Opcode: DOTP_S_W
/* 8489 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 8502
/* 8493 */    MCD::OPC_CheckPredicate, 27, 32, 25, // Skip to: 14929
/* 8497 */    MCD::OPC_Decode, 177, 7, 141, 2, // Opcode: DOTP_S_D
/* 8502 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 8515
/* 8506 */    MCD::OPC_CheckPredicate, 27, 19, 25, // Skip to: 14929
/* 8510 */    MCD::OPC_Decode, 181, 7, 139, 2, // Opcode: DOTP_U_H
/* 8515 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 8528
/* 8519 */    MCD::OPC_CheckPredicate, 27, 6, 25, // Skip to: 14929
/* 8523 */    MCD::OPC_Decode, 182, 7, 140, 2, // Opcode: DOTP_U_W
/* 8528 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 8541
/* 8532 */    MCD::OPC_CheckPredicate, 27, 249, 24, // Skip to: 14929
/* 8536 */    MCD::OPC_Decode, 180, 7, 141, 2, // Opcode: DOTP_U_D
/* 8541 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 8554
/* 8545 */    MCD::OPC_CheckPredicate, 27, 236, 24, // Skip to: 14929
/* 8549 */    MCD::OPC_Decode, 184, 7, 142, 2, // Opcode: DPADD_S_H
/* 8554 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 8567
/* 8558 */    MCD::OPC_CheckPredicate, 27, 223, 24, // Skip to: 14929
/* 8562 */    MCD::OPC_Decode, 185, 7, 143, 2, // Opcode: DPADD_S_W
/* 8567 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 8580
/* 8571 */    MCD::OPC_CheckPredicate, 27, 210, 24, // Skip to: 14929
/* 8575 */    MCD::OPC_Decode, 183, 7, 144, 2, // Opcode: DPADD_S_D
/* 8580 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 8593
/* 8584 */    MCD::OPC_CheckPredicate, 27, 197, 24, // Skip to: 14929
/* 8588 */    MCD::OPC_Decode, 187, 7, 142, 2, // Opcode: DPADD_U_H
/* 8593 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 8606
/* 8597 */    MCD::OPC_CheckPredicate, 27, 184, 24, // Skip to: 14929
/* 8601 */    MCD::OPC_Decode, 188, 7, 143, 2, // Opcode: DPADD_U_W
/* 8606 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 8619
/* 8610 */    MCD::OPC_CheckPredicate, 27, 171, 24, // Skip to: 14929
/* 8614 */    MCD::OPC_Decode, 186, 7, 144, 2, // Opcode: DPADD_U_D
/* 8619 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 8632
/* 8623 */    MCD::OPC_CheckPredicate, 27, 158, 24, // Skip to: 14929
/* 8627 */    MCD::OPC_Decode, 215, 7, 142, 2, // Opcode: DPSUB_S_H
/* 8632 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 8645
/* 8636 */    MCD::OPC_CheckPredicate, 27, 145, 24, // Skip to: 14929
/* 8640 */    MCD::OPC_Decode, 216, 7, 143, 2, // Opcode: DPSUB_S_W
/* 8645 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 8658
/* 8649 */    MCD::OPC_CheckPredicate, 27, 132, 24, // Skip to: 14929
/* 8653 */    MCD::OPC_Decode, 214, 7, 144, 2, // Opcode: DPSUB_S_D
/* 8658 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 8671
/* 8662 */    MCD::OPC_CheckPredicate, 27, 119, 24, // Skip to: 14929
/* 8666 */    MCD::OPC_Decode, 218, 7, 142, 2, // Opcode: DPSUB_U_H
/* 8671 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 8684
/* 8675 */    MCD::OPC_CheckPredicate, 27, 106, 24, // Skip to: 14929
/* 8679 */    MCD::OPC_Decode, 219, 7, 143, 2, // Opcode: DPSUB_U_W
/* 8684 */    MCD::OPC_FilterValue, 23, 97, 24, // Skip to: 14929
/* 8688 */    MCD::OPC_CheckPredicate, 27, 93, 24, // Skip to: 14929
/* 8692 */    MCD::OPC_Decode, 217, 7, 144, 2, // Opcode: DPSUB_U_D
/* 8697 */    MCD::OPC_FilterValue, 20, 163, 1, // Skip to: 9120
/* 8701 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 8704 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 8717
/* 8708 */    MCD::OPC_CheckPredicate, 27, 73, 24, // Skip to: 14929
/* 8712 */    MCD::OPC_Decode, 167, 17, 145, 2, // Opcode: SLD_B
/* 8717 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 8730
/* 8721 */    MCD::OPC_CheckPredicate, 27, 60, 24, // Skip to: 14929
/* 8725 */    MCD::OPC_Decode, 169, 17, 146, 2, // Opcode: SLD_H
/* 8730 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 8743
/* 8734 */    MCD::OPC_CheckPredicate, 27, 47, 24, // Skip to: 14929
/* 8738 */    MCD::OPC_Decode, 170, 17, 147, 2, // Opcode: SLD_W
/* 8743 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 8756
/* 8747 */    MCD::OPC_CheckPredicate, 27, 34, 24, // Skip to: 14929
/* 8751 */    MCD::OPC_Decode, 168, 17, 148, 2, // Opcode: SLD_D
/* 8756 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 8769
/* 8760 */    MCD::OPC_CheckPredicate, 27, 21, 24, // Skip to: 14929
/* 8764 */    MCD::OPC_Decode, 213, 17, 149, 2, // Opcode: SPLAT_B
/* 8769 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 8782
/* 8773 */    MCD::OPC_CheckPredicate, 27, 8, 24, // Skip to: 14929
/* 8777 */    MCD::OPC_Decode, 215, 17, 150, 2, // Opcode: SPLAT_H
/* 8782 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 8795
/* 8786 */    MCD::OPC_CheckPredicate, 27, 251, 23, // Skip to: 14929
/* 8790 */    MCD::OPC_Decode, 216, 17, 151, 2, // Opcode: SPLAT_W
/* 8795 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 8808
/* 8799 */    MCD::OPC_CheckPredicate, 27, 238, 23, // Skip to: 14929
/* 8803 */    MCD::OPC_Decode, 214, 17, 152, 2, // Opcode: SPLAT_D
/* 8808 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 8821
/* 8812 */    MCD::OPC_CheckPredicate, 27, 225, 23, // Skip to: 14929
/* 8816 */    MCD::OPC_Decode, 237, 14, 131, 2, // Opcode: PCKEV_B
/* 8821 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 8834
/* 8825 */    MCD::OPC_CheckPredicate, 27, 212, 23, // Skip to: 14929
/* 8829 */    MCD::OPC_Decode, 239, 14, 132, 2, // Opcode: PCKEV_H
/* 8834 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 8847
/* 8838 */    MCD::OPC_CheckPredicate, 27, 199, 23, // Skip to: 14929
/* 8842 */    MCD::OPC_Decode, 240, 14, 133, 2, // Opcode: PCKEV_W
/* 8847 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 8860
/* 8851 */    MCD::OPC_CheckPredicate, 27, 186, 23, // Skip to: 14929
/* 8855 */    MCD::OPC_Decode, 238, 14, 134, 2, // Opcode: PCKEV_D
/* 8860 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 8873
/* 8864 */    MCD::OPC_CheckPredicate, 27, 173, 23, // Skip to: 14929
/* 8868 */    MCD::OPC_Decode, 241, 14, 131, 2, // Opcode: PCKOD_B
/* 8873 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 8886
/* 8877 */    MCD::OPC_CheckPredicate, 27, 160, 23, // Skip to: 14929
/* 8881 */    MCD::OPC_Decode, 243, 14, 132, 2, // Opcode: PCKOD_H
/* 8886 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 8899
/* 8890 */    MCD::OPC_CheckPredicate, 27, 147, 23, // Skip to: 14929
/* 8894 */    MCD::OPC_Decode, 244, 14, 133, 2, // Opcode: PCKOD_W
/* 8899 */    MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 8912
/* 8903 */    MCD::OPC_CheckPredicate, 27, 134, 23, // Skip to: 14929
/* 8907 */    MCD::OPC_Decode, 242, 14, 134, 2, // Opcode: PCKOD_D
/* 8912 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 8925
/* 8916 */    MCD::OPC_CheckPredicate, 27, 121, 23, // Skip to: 14929
/* 8920 */    MCD::OPC_Decode, 137, 10, 131, 2, // Opcode: ILVL_B
/* 8925 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 8938
/* 8929 */    MCD::OPC_CheckPredicate, 27, 108, 23, // Skip to: 14929
/* 8933 */    MCD::OPC_Decode, 139, 10, 132, 2, // Opcode: ILVL_H
/* 8938 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 8951
/* 8942 */    MCD::OPC_CheckPredicate, 27, 95, 23, // Skip to: 14929
/* 8946 */    MCD::OPC_Decode, 140, 10, 133, 2, // Opcode: ILVL_W
/* 8951 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 8964
/* 8955 */    MCD::OPC_CheckPredicate, 27, 82, 23, // Skip to: 14929
/* 8959 */    MCD::OPC_Decode, 138, 10, 134, 2, // Opcode: ILVL_D
/* 8964 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 8977
/* 8968 */    MCD::OPC_CheckPredicate, 27, 69, 23, // Skip to: 14929
/* 8972 */    MCD::OPC_Decode, 145, 10, 131, 2, // Opcode: ILVR_B
/* 8977 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 8990
/* 8981 */    MCD::OPC_CheckPredicate, 27, 56, 23, // Skip to: 14929
/* 8985 */    MCD::OPC_Decode, 147, 10, 132, 2, // Opcode: ILVR_H
/* 8990 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 9003
/* 8994 */    MCD::OPC_CheckPredicate, 27, 43, 23, // Skip to: 14929
/* 8998 */    MCD::OPC_Decode, 148, 10, 133, 2, // Opcode: ILVR_W
/* 9003 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 9016
/* 9007 */    MCD::OPC_CheckPredicate, 27, 30, 23, // Skip to: 14929
/* 9011 */    MCD::OPC_Decode, 146, 10, 134, 2, // Opcode: ILVR_D
/* 9016 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 9029
/* 9020 */    MCD::OPC_CheckPredicate, 27, 17, 23, // Skip to: 14929
/* 9024 */    MCD::OPC_Decode, 133, 10, 131, 2, // Opcode: ILVEV_B
/* 9029 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 9042
/* 9033 */    MCD::OPC_CheckPredicate, 27, 4, 23, // Skip to: 14929
/* 9037 */    MCD::OPC_Decode, 135, 10, 132, 2, // Opcode: ILVEV_H
/* 9042 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 9055
/* 9046 */    MCD::OPC_CheckPredicate, 27, 247, 22, // Skip to: 14929
/* 9050 */    MCD::OPC_Decode, 136, 10, 133, 2, // Opcode: ILVEV_W
/* 9055 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 9068
/* 9059 */    MCD::OPC_CheckPredicate, 27, 234, 22, // Skip to: 14929
/* 9063 */    MCD::OPC_Decode, 134, 10, 134, 2, // Opcode: ILVEV_D
/* 9068 */    MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 9081
/* 9072 */    MCD::OPC_CheckPredicate, 27, 221, 22, // Skip to: 14929
/* 9076 */    MCD::OPC_Decode, 141, 10, 131, 2, // Opcode: ILVOD_B
/* 9081 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 9094
/* 9085 */    MCD::OPC_CheckPredicate, 27, 208, 22, // Skip to: 14929
/* 9089 */    MCD::OPC_Decode, 143, 10, 132, 2, // Opcode: ILVOD_H
/* 9094 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 9107
/* 9098 */    MCD::OPC_CheckPredicate, 27, 195, 22, // Skip to: 14929
/* 9102 */    MCD::OPC_Decode, 144, 10, 133, 2, // Opcode: ILVOD_W
/* 9107 */    MCD::OPC_FilterValue, 31, 186, 22, // Skip to: 14929
/* 9111 */    MCD::OPC_CheckPredicate, 27, 182, 22, // Skip to: 14929
/* 9115 */    MCD::OPC_Decode, 142, 10, 134, 2, // Opcode: ILVOD_D
/* 9120 */    MCD::OPC_FilterValue, 21, 59, 1, // Skip to: 9439
/* 9124 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 9127 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9140
/* 9131 */    MCD::OPC_CheckPredicate, 27, 162, 22, // Skip to: 14929
/* 9135 */    MCD::OPC_Decode, 234, 19, 135, 2, // Opcode: VSHF_B
/* 9140 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 9153
/* 9144 */    MCD::OPC_CheckPredicate, 27, 149, 22, // Skip to: 14929
/* 9148 */    MCD::OPC_Decode, 236, 19, 136, 2, // Opcode: VSHF_H
/* 9153 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 9166
/* 9157 */    MCD::OPC_CheckPredicate, 27, 136, 22, // Skip to: 14929
/* 9161 */    MCD::OPC_Decode, 237, 19, 137, 2, // Opcode: VSHF_W
/* 9166 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 9179
/* 9170 */    MCD::OPC_CheckPredicate, 27, 123, 22, // Skip to: 14929
/* 9174 */    MCD::OPC_Decode, 235, 19, 138, 2, // Opcode: VSHF_D
/* 9179 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 9192
/* 9183 */    MCD::OPC_CheckPredicate, 27, 110, 22, // Skip to: 14929
/* 9187 */    MCD::OPC_Decode, 228, 17, 131, 2, // Opcode: SRAR_B
/* 9192 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 9205
/* 9196 */    MCD::OPC_CheckPredicate, 27, 97, 22, // Skip to: 14929
/* 9200 */    MCD::OPC_Decode, 230, 17, 132, 2, // Opcode: SRAR_H
/* 9205 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 9218
/* 9209 */    MCD::OPC_CheckPredicate, 27, 84, 22, // Skip to: 14929
/* 9213 */    MCD::OPC_Decode, 231, 17, 133, 2, // Opcode: SRAR_W
/* 9218 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 9231
/* 9222 */    MCD::OPC_CheckPredicate, 27, 71, 22, // Skip to: 14929
/* 9226 */    MCD::OPC_Decode, 229, 17, 134, 2, // Opcode: SRAR_D
/* 9231 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 9244
/* 9235 */    MCD::OPC_CheckPredicate, 27, 58, 22, // Skip to: 14929
/* 9239 */    MCD::OPC_Decode, 250, 17, 131, 2, // Opcode: SRLR_B
/* 9244 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 9257
/* 9248 */    MCD::OPC_CheckPredicate, 27, 45, 22, // Skip to: 14929
/* 9252 */    MCD::OPC_Decode, 252, 17, 132, 2, // Opcode: SRLR_H
/* 9257 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 9270
/* 9261 */    MCD::OPC_CheckPredicate, 27, 32, 22, // Skip to: 14929
/* 9265 */    MCD::OPC_Decode, 253, 17, 133, 2, // Opcode: SRLR_W
/* 9270 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 9283
/* 9274 */    MCD::OPC_CheckPredicate, 27, 19, 22, // Skip to: 14929
/* 9278 */    MCD::OPC_Decode, 251, 17, 134, 2, // Opcode: SRLR_D
/* 9283 */    MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 9296
/* 9287 */    MCD::OPC_CheckPredicate, 27, 6, 22, // Skip to: 14929
/* 9291 */    MCD::OPC_Decode, 250, 9, 139, 2, // Opcode: HADD_S_H
/* 9296 */    MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 9309
/* 9300 */    MCD::OPC_CheckPredicate, 27, 249, 21, // Skip to: 14929
/* 9304 */    MCD::OPC_Decode, 251, 9, 140, 2, // Opcode: HADD_S_W
/* 9309 */    MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 9322
/* 9313 */    MCD::OPC_CheckPredicate, 27, 236, 21, // Skip to: 14929
/* 9317 */    MCD::OPC_Decode, 249, 9, 141, 2, // Opcode: HADD_S_D
/* 9322 */    MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 9335
/* 9326 */    MCD::OPC_CheckPredicate, 27, 223, 21, // Skip to: 14929
/* 9330 */    MCD::OPC_Decode, 253, 9, 139, 2, // Opcode: HADD_U_H
/* 9335 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 9348
/* 9339 */    MCD::OPC_CheckPredicate, 27, 210, 21, // Skip to: 14929
/* 9343 */    MCD::OPC_Decode, 254, 9, 140, 2, // Opcode: HADD_U_W
/* 9348 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 9361
/* 9352 */    MCD::OPC_CheckPredicate, 27, 197, 21, // Skip to: 14929
/* 9356 */    MCD::OPC_Decode, 252, 9, 141, 2, // Opcode: HADD_U_D
/* 9361 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 9374
/* 9365 */    MCD::OPC_CheckPredicate, 27, 184, 21, // Skip to: 14929
/* 9369 */    MCD::OPC_Decode, 128, 10, 139, 2, // Opcode: HSUB_S_H
/* 9374 */    MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 9387
/* 9378 */    MCD::OPC_CheckPredicate, 27, 171, 21, // Skip to: 14929
/* 9382 */    MCD::OPC_Decode, 129, 10, 140, 2, // Opcode: HSUB_S_W
/* 9387 */    MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 9400
/* 9391 */    MCD::OPC_CheckPredicate, 27, 158, 21, // Skip to: 14929
/* 9395 */    MCD::OPC_Decode, 255, 9, 141, 2, // Opcode: HSUB_S_D
/* 9400 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 9413
/* 9404 */    MCD::OPC_CheckPredicate, 27, 145, 21, // Skip to: 14929
/* 9408 */    MCD::OPC_Decode, 131, 10, 139, 2, // Opcode: HSUB_U_H
/* 9413 */    MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 9426
/* 9417 */    MCD::OPC_CheckPredicate, 27, 132, 21, // Skip to: 14929
/* 9421 */    MCD::OPC_Decode, 132, 10, 140, 2, // Opcode: HSUB_U_W
/* 9426 */    MCD::OPC_FilterValue, 31, 123, 21, // Skip to: 14929
/* 9430 */    MCD::OPC_CheckPredicate, 27, 119, 21, // Skip to: 14929
/* 9434 */    MCD::OPC_Decode, 130, 10, 141, 2, // Opcode: HSUB_U_D
/* 9439 */    MCD::OPC_FilterValue, 25, 210, 1, // Skip to: 9909
/* 9443 */    MCD::OPC_ExtractField, 20, 6,  // Inst{25-20} ...
/* 9446 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9459
/* 9450 */    MCD::OPC_CheckPredicate, 27, 99, 21, // Skip to: 14929
/* 9454 */    MCD::OPC_Decode, 163, 17, 153, 2, // Opcode: SLDI_B
/* 9459 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 9478
/* 9463 */    MCD::OPC_CheckPredicate, 27, 86, 21, // Skip to: 14929
/* 9467 */    MCD::OPC_CheckField, 19, 1, 0, 80, 21, // Skip to: 14929
/* 9473 */    MCD::OPC_Decode, 165, 17, 154, 2, // Opcode: SLDI_H
/* 9478 */    MCD::OPC_FilterValue, 3, 54, 0, // Skip to: 9536
/* 9482 */    MCD::OPC_ExtractField, 18, 2,  // Inst{19-18} ...
/* 9485 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9498
/* 9489 */    MCD::OPC_CheckPredicate, 27, 60, 21, // Skip to: 14929
/* 9493 */    MCD::OPC_Decode, 166, 17, 155, 2, // Opcode: SLDI_W
/* 9498 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 9517
/* 9502 */    MCD::OPC_CheckPredicate, 27, 47, 21, // Skip to: 14929
/* 9506 */    MCD::OPC_CheckField, 17, 1, 0, 41, 21, // Skip to: 14929
/* 9512 */    MCD::OPC_Decode, 164, 17, 156, 2, // Opcode: SLDI_D
/* 9517 */    MCD::OPC_FilterValue, 3, 32, 21, // Skip to: 14929
/* 9521 */    MCD::OPC_CheckPredicate, 27, 28, 21, // Skip to: 14929
/* 9525 */    MCD::OPC_CheckField, 16, 2, 2, 22, 21, // Skip to: 14929
/* 9531 */    MCD::OPC_Decode, 204, 5, 157, 2, // Opcode: CTCMSA
/* 9536 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 9549
/* 9540 */    MCD::OPC_CheckPredicate, 27, 9, 21, // Skip to: 14929
/* 9544 */    MCD::OPC_Decode, 209, 17, 158, 2, // Opcode: SPLATI_B
/* 9549 */    MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 9568
/* 9553 */    MCD::OPC_CheckPredicate, 27, 252, 20, // Skip to: 14929
/* 9557 */    MCD::OPC_CheckField, 19, 1, 0, 246, 20, // Skip to: 14929
/* 9563 */    MCD::OPC_Decode, 211, 17, 159, 2, // Opcode: SPLATI_H
/* 9568 */    MCD::OPC_FilterValue, 7, 54, 0, // Skip to: 9626
/* 9572 */    MCD::OPC_ExtractField, 18, 2,  // Inst{19-18} ...
/* 9575 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9588
/* 9579 */    MCD::OPC_CheckPredicate, 27, 226, 20, // Skip to: 14929
/* 9583 */    MCD::OPC_Decode, 212, 17, 160, 2, // Opcode: SPLATI_W
/* 9588 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 9607
/* 9592 */    MCD::OPC_CheckPredicate, 27, 213, 20, // Skip to: 14929
/* 9596 */    MCD::OPC_CheckField, 17, 1, 0, 207, 20, // Skip to: 14929
/* 9602 */    MCD::OPC_Decode, 210, 17, 161, 2, // Opcode: SPLATI_D
/* 9607 */    MCD::OPC_FilterValue, 3, 198, 20, // Skip to: 14929
/* 9611 */    MCD::OPC_CheckPredicate, 27, 194, 20, // Skip to: 14929
/* 9615 */    MCD::OPC_CheckField, 16, 2, 2, 188, 20, // Skip to: 14929
/* 9621 */    MCD::OPC_Decode, 181, 4, 162, 2, // Opcode: CFCMSA
/* 9626 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 9639
/* 9630 */    MCD::OPC_CheckPredicate, 27, 175, 20, // Skip to: 14929
/* 9634 */    MCD::OPC_Decode, 194, 5, 163, 2, // Opcode: COPY_S_B
/* 9639 */    MCD::OPC_FilterValue, 10, 15, 0, // Skip to: 9658
/* 9643 */    MCD::OPC_CheckPredicate, 27, 162, 20, // Skip to: 14929
/* 9647 */    MCD::OPC_CheckField, 19, 1, 0, 156, 20, // Skip to: 14929
/* 9653 */    MCD::OPC_Decode, 196, 5, 164, 2, // Opcode: COPY_S_H
/* 9658 */    MCD::OPC_FilterValue, 11, 54, 0, // Skip to: 9716
/* 9662 */    MCD::OPC_ExtractField, 18, 2,  // Inst{19-18} ...
/* 9665 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9678
/* 9669 */    MCD::OPC_CheckPredicate, 27, 136, 20, // Skip to: 14929
/* 9673 */    MCD::OPC_Decode, 197, 5, 165, 2, // Opcode: COPY_S_W
/* 9678 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 9697
/* 9682 */    MCD::OPC_CheckPredicate, 34, 123, 20, // Skip to: 14929
/* 9686 */    MCD::OPC_CheckField, 17, 1, 0, 117, 20, // Skip to: 14929
/* 9692 */    MCD::OPC_Decode, 195, 5, 166, 2, // Opcode: COPY_S_D
/* 9697 */    MCD::OPC_FilterValue, 3, 108, 20, // Skip to: 14929
/* 9701 */    MCD::OPC_CheckPredicate, 27, 104, 20, // Skip to: 14929
/* 9705 */    MCD::OPC_CheckField, 16, 2, 2, 98, 20, // Skip to: 14929
/* 9711 */    MCD::OPC_Decode, 137, 13, 167, 2, // Opcode: MOVE_V
/* 9716 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 9729
/* 9720 */    MCD::OPC_CheckPredicate, 27, 85, 20, // Skip to: 14929
/* 9724 */    MCD::OPC_Decode, 198, 5, 163, 2, // Opcode: COPY_U_B
/* 9729 */    MCD::OPC_FilterValue, 14, 15, 0, // Skip to: 9748
/* 9733 */    MCD::OPC_CheckPredicate, 27, 72, 20, // Skip to: 14929
/* 9737 */    MCD::OPC_CheckField, 19, 1, 0, 66, 20, // Skip to: 14929
/* 9743 */    MCD::OPC_Decode, 199, 5, 164, 2, // Opcode: COPY_U_H
/* 9748 */    MCD::OPC_FilterValue, 15, 15, 0, // Skip to: 9767
/* 9752 */    MCD::OPC_CheckPredicate, 34, 53, 20, // Skip to: 14929
/* 9756 */    MCD::OPC_CheckField, 18, 2, 0, 47, 20, // Skip to: 14929
/* 9762 */    MCD::OPC_Decode, 200, 5, 165, 2, // Opcode: COPY_U_W
/* 9767 */    MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 9780
/* 9771 */    MCD::OPC_CheckPredicate, 27, 34, 20, // Skip to: 14929
/* 9775 */    MCD::OPC_Decode, 150, 10, 168, 2, // Opcode: INSERT_B
/* 9780 */    MCD::OPC_FilterValue, 18, 15, 0, // Skip to: 9799
/* 9784 */    MCD::OPC_CheckPredicate, 27, 21, 20, // Skip to: 14929
/* 9788 */    MCD::OPC_CheckField, 19, 1, 0, 15, 20, // Skip to: 14929
/* 9794 */    MCD::OPC_Decode, 162, 10, 169, 2, // Opcode: INSERT_H
/* 9799 */    MCD::OPC_FilterValue, 19, 35, 0, // Skip to: 9838
/* 9803 */    MCD::OPC_ExtractField, 18, 2,  // Inst{19-18} ...
/* 9806 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9819
/* 9810 */    MCD::OPC_CheckPredicate, 27, 251, 19, // Skip to: 14929
/* 9814 */    MCD::OPC_Decode, 165, 10, 170, 2, // Opcode: INSERT_W
/* 9819 */    MCD::OPC_FilterValue, 2, 242, 19, // Skip to: 14929
/* 9823 */    MCD::OPC_CheckPredicate, 34, 238, 19, // Skip to: 14929
/* 9827 */    MCD::OPC_CheckField, 17, 1, 0, 232, 19, // Skip to: 14929
/* 9833 */    MCD::OPC_Decode, 153, 10, 171, 2, // Opcode: INSERT_D
/* 9838 */    MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 9851
/* 9842 */    MCD::OPC_CheckPredicate, 27, 219, 19, // Skip to: 14929
/* 9846 */    MCD::OPC_Decode, 169, 10, 172, 2, // Opcode: INSVE_B
/* 9851 */    MCD::OPC_FilterValue, 22, 15, 0, // Skip to: 9870
/* 9855 */    MCD::OPC_CheckPredicate, 27, 206, 19, // Skip to: 14929
/* 9859 */    MCD::OPC_CheckField, 19, 1, 0, 200, 19, // Skip to: 14929
/* 9865 */    MCD::OPC_Decode, 171, 10, 172, 2, // Opcode: INSVE_H
/* 9870 */    MCD::OPC_FilterValue, 23, 191, 19, // Skip to: 14929
/* 9874 */    MCD::OPC_ExtractField, 18, 2,  // Inst{19-18} ...
/* 9877 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9890
/* 9881 */    MCD::OPC_CheckPredicate, 27, 180, 19, // Skip to: 14929
/* 9885 */    MCD::OPC_Decode, 172, 10, 172, 2, // Opcode: INSVE_W
/* 9890 */    MCD::OPC_FilterValue, 2, 171, 19, // Skip to: 14929
/* 9894 */    MCD::OPC_CheckPredicate, 27, 167, 19, // Skip to: 14929
/* 9898 */    MCD::OPC_CheckField, 17, 1, 0, 161, 19, // Skip to: 14929
/* 9904 */    MCD::OPC_Decode, 170, 10, 172, 2, // Opcode: INSVE_D
/* 9909 */    MCD::OPC_FilterValue, 26, 163, 1, // Skip to: 10332
/* 9913 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 9916 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 9929
/* 9920 */    MCD::OPC_CheckPredicate, 27, 141, 19, // Skip to: 14929
/* 9924 */    MCD::OPC_Decode, 212, 8, 133, 2, // Opcode: FCAF_W
/* 9929 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 9942
/* 9933 */    MCD::OPC_CheckPredicate, 27, 128, 19, // Skip to: 14929
/* 9937 */    MCD::OPC_Decode, 211, 8, 134, 2, // Opcode: FCAF_D
/* 9942 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 9955
/* 9946 */    MCD::OPC_CheckPredicate, 27, 115, 19, // Skip to: 14929
/* 9950 */    MCD::OPC_Decode, 239, 8, 133, 2, // Opcode: FCUN_W
/* 9955 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 9968
/* 9959 */    MCD::OPC_CheckPredicate, 27, 102, 19, // Skip to: 14929
/* 9963 */    MCD::OPC_Decode, 238, 8, 134, 2, // Opcode: FCUN_D
/* 9968 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 9981
/* 9972 */    MCD::OPC_CheckPredicate, 27, 89, 19, // Skip to: 14929
/* 9976 */    MCD::OPC_Decode, 214, 8, 133, 2, // Opcode: FCEQ_W
/* 9981 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 9994
/* 9985 */    MCD::OPC_CheckPredicate, 27, 76, 19, // Skip to: 14929
/* 9989 */    MCD::OPC_Decode, 213, 8, 134, 2, // Opcode: FCEQ_D
/* 9994 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 10007
/* 9998 */    MCD::OPC_CheckPredicate, 27, 63, 19, // Skip to: 14929
/* 10002 */   MCD::OPC_Decode, 231, 8, 133, 2, // Opcode: FCUEQ_W
/* 10007 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 10020
/* 10011 */   MCD::OPC_CheckPredicate, 27, 50, 19, // Skip to: 14929
/* 10015 */   MCD::OPC_Decode, 230, 8, 134, 2, // Opcode: FCUEQ_D
/* 10020 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 10033
/* 10024 */   MCD::OPC_CheckPredicate, 27, 37, 19, // Skip to: 14929
/* 10028 */   MCD::OPC_Decode, 220, 8, 133, 2, // Opcode: FCLT_W
/* 10033 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 10046
/* 10037 */   MCD::OPC_CheckPredicate, 27, 24, 19, // Skip to: 14929
/* 10041 */   MCD::OPC_Decode, 219, 8, 134, 2, // Opcode: FCLT_D
/* 10046 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 10059
/* 10050 */   MCD::OPC_CheckPredicate, 27, 11, 19, // Skip to: 14929
/* 10054 */   MCD::OPC_Decode, 235, 8, 133, 2, // Opcode: FCULT_W
/* 10059 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 10072
/* 10063 */   MCD::OPC_CheckPredicate, 27, 254, 18, // Skip to: 14929
/* 10067 */   MCD::OPC_Decode, 234, 8, 134, 2, // Opcode: FCULT_D
/* 10072 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 10085
/* 10076 */   MCD::OPC_CheckPredicate, 27, 241, 18, // Skip to: 14929
/* 10080 */   MCD::OPC_Decode, 218, 8, 133, 2, // Opcode: FCLE_W
/* 10085 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 10098
/* 10089 */   MCD::OPC_CheckPredicate, 27, 228, 18, // Skip to: 14929
/* 10093 */   MCD::OPC_Decode, 217, 8, 134, 2, // Opcode: FCLE_D
/* 10098 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 10111
/* 10102 */   MCD::OPC_CheckPredicate, 27, 215, 18, // Skip to: 14929
/* 10106 */   MCD::OPC_Decode, 233, 8, 133, 2, // Opcode: FCULE_W
/* 10111 */   MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 10124
/* 10115 */   MCD::OPC_CheckPredicate, 27, 202, 18, // Skip to: 14929
/* 10119 */   MCD::OPC_Decode, 232, 8, 134, 2, // Opcode: FCULE_D
/* 10124 */   MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 10137
/* 10128 */   MCD::OPC_CheckPredicate, 27, 189, 18, // Skip to: 14929
/* 10132 */   MCD::OPC_Decode, 201, 9, 133, 2, // Opcode: FSAF_W
/* 10137 */   MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 10150
/* 10141 */   MCD::OPC_CheckPredicate, 27, 176, 18, // Skip to: 14929
/* 10145 */   MCD::OPC_Decode, 200, 9, 134, 2, // Opcode: FSAF_D
/* 10150 */   MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 10163
/* 10154 */   MCD::OPC_CheckPredicate, 27, 163, 18, // Skip to: 14929
/* 10158 */   MCD::OPC_Decode, 237, 9, 133, 2, // Opcode: FSUN_W
/* 10163 */   MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 10176
/* 10167 */   MCD::OPC_CheckPredicate, 27, 150, 18, // Skip to: 14929
/* 10171 */   MCD::OPC_Decode, 236, 9, 134, 2, // Opcode: FSUN_D
/* 10176 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 10189
/* 10180 */   MCD::OPC_CheckPredicate, 27, 137, 18, // Skip to: 14929
/* 10184 */   MCD::OPC_Decode, 203, 9, 133, 2, // Opcode: FSEQ_W
/* 10189 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 10202
/* 10193 */   MCD::OPC_CheckPredicate, 27, 124, 18, // Skip to: 14929
/* 10197 */   MCD::OPC_Decode, 202, 9, 134, 2, // Opcode: FSEQ_D
/* 10202 */   MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 10215
/* 10206 */   MCD::OPC_CheckPredicate, 27, 111, 18, // Skip to: 14929
/* 10210 */   MCD::OPC_Decode, 229, 9, 133, 2, // Opcode: FSUEQ_W
/* 10215 */   MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 10228
/* 10219 */   MCD::OPC_CheckPredicate, 27, 98, 18, // Skip to: 14929
/* 10223 */   MCD::OPC_Decode, 228, 9, 134, 2, // Opcode: FSUEQ_D
/* 10228 */   MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 10241
/* 10232 */   MCD::OPC_CheckPredicate, 27, 85, 18, // Skip to: 14929
/* 10236 */   MCD::OPC_Decode, 207, 9, 133, 2, // Opcode: FSLT_W
/* 10241 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 10254
/* 10245 */   MCD::OPC_CheckPredicate, 27, 72, 18, // Skip to: 14929
/* 10249 */   MCD::OPC_Decode, 206, 9, 134, 2, // Opcode: FSLT_D
/* 10254 */   MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 10267
/* 10258 */   MCD::OPC_CheckPredicate, 27, 59, 18, // Skip to: 14929
/* 10262 */   MCD::OPC_Decode, 233, 9, 133, 2, // Opcode: FSULT_W
/* 10267 */   MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 10280
/* 10271 */   MCD::OPC_CheckPredicate, 27, 46, 18, // Skip to: 14929
/* 10275 */   MCD::OPC_Decode, 232, 9, 134, 2, // Opcode: FSULT_D
/* 10280 */   MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 10293
/* 10284 */   MCD::OPC_CheckPredicate, 27, 33, 18, // Skip to: 14929
/* 10288 */   MCD::OPC_Decode, 205, 9, 133, 2, // Opcode: FSLE_W
/* 10293 */   MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 10306
/* 10297 */   MCD::OPC_CheckPredicate, 27, 20, 18, // Skip to: 14929
/* 10301 */   MCD::OPC_Decode, 204, 9, 134, 2, // Opcode: FSLE_D
/* 10306 */   MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 10319
/* 10310 */   MCD::OPC_CheckPredicate, 27, 7, 18, // Skip to: 14929
/* 10314 */   MCD::OPC_Decode, 231, 9, 133, 2, // Opcode: FSULE_W
/* 10319 */   MCD::OPC_FilterValue, 31, 254, 17, // Skip to: 14929
/* 10323 */   MCD::OPC_CheckPredicate, 27, 250, 17, // Skip to: 14929
/* 10327 */   MCD::OPC_Decode, 230, 9, 134, 2, // Opcode: FSULE_D
/* 10332 */   MCD::OPC_FilterValue, 27, 85, 1, // Skip to: 10677
/* 10336 */   MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 10339 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 10352
/* 10343 */   MCD::OPC_CheckPredicate, 27, 230, 17, // Skip to: 14929
/* 10347 */   MCD::OPC_Decode, 210, 8, 133, 2, // Opcode: FADD_W
/* 10352 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 10365
/* 10356 */   MCD::OPC_CheckPredicate, 27, 217, 17, // Skip to: 14929
/* 10360 */   MCD::OPC_Decode, 202, 8, 134, 2, // Opcode: FADD_D
/* 10365 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 10378
/* 10369 */   MCD::OPC_CheckPredicate, 27, 204, 17, // Skip to: 14929
/* 10373 */   MCD::OPC_Decode, 227, 9, 133, 2, // Opcode: FSUB_W
/* 10378 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 10391
/* 10382 */   MCD::OPC_CheckPredicate, 27, 191, 17, // Skip to: 14929
/* 10386 */   MCD::OPC_Decode, 219, 9, 134, 2, // Opcode: FSUB_D
/* 10391 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 10404
/* 10395 */   MCD::OPC_CheckPredicate, 27, 178, 17, // Skip to: 14929
/* 10399 */   MCD::OPC_Decode, 185, 9, 133, 2, // Opcode: FMUL_W
/* 10404 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 10417
/* 10408 */   MCD::OPC_CheckPredicate, 27, 165, 17, // Skip to: 14929
/* 10412 */   MCD::OPC_Decode, 177, 9, 134, 2, // Opcode: FMUL_D
/* 10417 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 10430
/* 10421 */   MCD::OPC_CheckPredicate, 27, 152, 17, // Skip to: 14929
/* 10425 */   MCD::OPC_Decode, 248, 8, 133, 2, // Opcode: FDIV_W
/* 10430 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 10443
/* 10434 */   MCD::OPC_CheckPredicate, 27, 139, 17, // Skip to: 14929
/* 10438 */   MCD::OPC_Decode, 240, 8, 134, 2, // Opcode: FDIV_D
/* 10443 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 10456
/* 10447 */   MCD::OPC_CheckPredicate, 27, 126, 17, // Skip to: 14929
/* 10451 */   MCD::OPC_Decode, 159, 9, 137, 2, // Opcode: FMADD_W
/* 10456 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 10469
/* 10460 */   MCD::OPC_CheckPredicate, 27, 113, 17, // Skip to: 14929
/* 10464 */   MCD::OPC_Decode, 158, 9, 138, 2, // Opcode: FMADD_D
/* 10469 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 10482
/* 10473 */   MCD::OPC_CheckPredicate, 27, 100, 17, // Skip to: 14929
/* 10477 */   MCD::OPC_Decode, 176, 9, 137, 2, // Opcode: FMSUB_W
/* 10482 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 10495
/* 10486 */   MCD::OPC_CheckPredicate, 27, 87, 17, // Skip to: 14929
/* 10490 */   MCD::OPC_Decode, 175, 9, 138, 2, // Opcode: FMSUB_D
/* 10495 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 10508
/* 10499 */   MCD::OPC_CheckPredicate, 27, 74, 17, // Skip to: 14929
/* 10503 */   MCD::OPC_Decode, 253, 8, 133, 2, // Opcode: FEXP2_W
/* 10508 */   MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 10521
/* 10512 */   MCD::OPC_CheckPredicate, 27, 61, 17, // Skip to: 14929
/* 10516 */   MCD::OPC_Decode, 251, 8, 134, 2, // Opcode: FEXP2_D
/* 10521 */   MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 10534
/* 10525 */   MCD::OPC_CheckPredicate, 27, 48, 17, // Skip to: 14929
/* 10529 */   MCD::OPC_Decode, 249, 8, 173, 2, // Opcode: FEXDO_H
/* 10534 */   MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 10547
/* 10538 */   MCD::OPC_CheckPredicate, 27, 35, 17, // Skip to: 14929
/* 10542 */   MCD::OPC_Decode, 250, 8, 174, 2, // Opcode: FEXDO_W
/* 10547 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 10560
/* 10551 */   MCD::OPC_CheckPredicate, 27, 22, 17, // Skip to: 14929
/* 10555 */   MCD::OPC_Decode, 242, 9, 173, 2, // Opcode: FTQ_H
/* 10560 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 10573
/* 10564 */   MCD::OPC_CheckPredicate, 27, 9, 17, // Skip to: 14929
/* 10568 */   MCD::OPC_Decode, 243, 9, 174, 2, // Opcode: FTQ_W
/* 10573 */   MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 10586
/* 10577 */   MCD::OPC_CheckPredicate, 27, 252, 16, // Skip to: 14929
/* 10581 */   MCD::OPC_Decode, 167, 9, 133, 2, // Opcode: FMIN_W
/* 10586 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 10599
/* 10590 */   MCD::OPC_CheckPredicate, 27, 239, 16, // Skip to: 14929
/* 10594 */   MCD::OPC_Decode, 166, 9, 134, 2, // Opcode: FMIN_D
/* 10599 */   MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 10612
/* 10603 */   MCD::OPC_CheckPredicate, 27, 226, 16, // Skip to: 14929
/* 10607 */   MCD::OPC_Decode, 165, 9, 133, 2, // Opcode: FMIN_A_W
/* 10612 */   MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 10625
/* 10616 */   MCD::OPC_CheckPredicate, 27, 213, 16, // Skip to: 14929
/* 10620 */   MCD::OPC_Decode, 164, 9, 134, 2, // Opcode: FMIN_A_D
/* 10625 */   MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 10638
/* 10629 */   MCD::OPC_CheckPredicate, 27, 200, 16, // Skip to: 14929
/* 10633 */   MCD::OPC_Decode, 163, 9, 133, 2, // Opcode: FMAX_W
/* 10638 */   MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 10651
/* 10642 */   MCD::OPC_CheckPredicate, 27, 187, 16, // Skip to: 14929
/* 10646 */   MCD::OPC_Decode, 162, 9, 134, 2, // Opcode: FMAX_D
/* 10651 */   MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 10664
/* 10655 */   MCD::OPC_CheckPredicate, 27, 174, 16, // Skip to: 14929
/* 10659 */   MCD::OPC_Decode, 161, 9, 133, 2, // Opcode: FMAX_A_W
/* 10664 */   MCD::OPC_FilterValue, 31, 165, 16, // Skip to: 14929
/* 10668 */   MCD::OPC_CheckPredicate, 27, 161, 16, // Skip to: 14929
/* 10672 */   MCD::OPC_Decode, 160, 9, 134, 2, // Opcode: FMAX_A_D
/* 10677 */   MCD::OPC_FilterValue, 28, 59, 1, // Skip to: 10996
/* 10681 */   MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 10684 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 10697
/* 10688 */   MCD::OPC_CheckPredicate, 27, 141, 16, // Skip to: 14929
/* 10692 */   MCD::OPC_Decode, 229, 8, 133, 2, // Opcode: FCOR_W
/* 10697 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 10710
/* 10701 */   MCD::OPC_CheckPredicate, 27, 128, 16, // Skip to: 14929
/* 10705 */   MCD::OPC_Decode, 228, 8, 134, 2, // Opcode: FCOR_D
/* 10710 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 10723
/* 10714 */   MCD::OPC_CheckPredicate, 27, 115, 16, // Skip to: 14929
/* 10718 */   MCD::OPC_Decode, 237, 8, 133, 2, // Opcode: FCUNE_W
/* 10723 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 10736
/* 10727 */   MCD::OPC_CheckPredicate, 27, 102, 16, // Skip to: 14929
/* 10731 */   MCD::OPC_Decode, 236, 8, 134, 2, // Opcode: FCUNE_D
/* 10736 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 10749
/* 10740 */   MCD::OPC_CheckPredicate, 27, 89, 16, // Skip to: 14929
/* 10744 */   MCD::OPC_Decode, 227, 8, 133, 2, // Opcode: FCNE_W
/* 10749 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 10762
/* 10753 */   MCD::OPC_CheckPredicate, 27, 76, 16, // Skip to: 14929
/* 10757 */   MCD::OPC_Decode, 226, 8, 134, 2, // Opcode: FCNE_D
/* 10762 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 10775
/* 10766 */   MCD::OPC_CheckPredicate, 27, 63, 16, // Skip to: 14929
/* 10770 */   MCD::OPC_Decode, 169, 14, 132, 2, // Opcode: MUL_Q_H
/* 10775 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 10788
/* 10779 */   MCD::OPC_CheckPredicate, 27, 50, 16, // Skip to: 14929
/* 10783 */   MCD::OPC_Decode, 170, 14, 133, 2, // Opcode: MUL_Q_W
/* 10788 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 10801
/* 10792 */   MCD::OPC_CheckPredicate, 27, 37, 16, // Skip to: 14929
/* 10796 */   MCD::OPC_Decode, 142, 12, 136, 2, // Opcode: MADD_Q_H
/* 10801 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 10814
/* 10805 */   MCD::OPC_CheckPredicate, 27, 24, 16, // Skip to: 14929
/* 10809 */   MCD::OPC_Decode, 143, 12, 137, 2, // Opcode: MADD_Q_W
/* 10814 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 10827
/* 10818 */   MCD::OPC_CheckPredicate, 27, 11, 16, // Skip to: 14929
/* 10822 */   MCD::OPC_Decode, 203, 13, 136, 2, // Opcode: MSUB_Q_H
/* 10827 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 10840
/* 10831 */   MCD::OPC_CheckPredicate, 27, 254, 15, // Skip to: 14929
/* 10835 */   MCD::OPC_Decode, 204, 13, 137, 2, // Opcode: MSUB_Q_W
/* 10840 */   MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 10853
/* 10844 */   MCD::OPC_CheckPredicate, 27, 241, 15, // Skip to: 14929
/* 10848 */   MCD::OPC_Decode, 211, 9, 133, 2, // Opcode: FSOR_W
/* 10853 */   MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 10866
/* 10857 */   MCD::OPC_CheckPredicate, 27, 228, 15, // Skip to: 14929
/* 10861 */   MCD::OPC_Decode, 210, 9, 134, 2, // Opcode: FSOR_D
/* 10866 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 10879
/* 10870 */   MCD::OPC_CheckPredicate, 27, 215, 15, // Skip to: 14929
/* 10874 */   MCD::OPC_Decode, 235, 9, 133, 2, // Opcode: FSUNE_W
/* 10879 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 10892
/* 10883 */   MCD::OPC_CheckPredicate, 27, 202, 15, // Skip to: 14929
/* 10887 */   MCD::OPC_Decode, 234, 9, 134, 2, // Opcode: FSUNE_D
/* 10892 */   MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 10905
/* 10896 */   MCD::OPC_CheckPredicate, 27, 189, 15, // Skip to: 14929
/* 10900 */   MCD::OPC_Decode, 209, 9, 133, 2, // Opcode: FSNE_W
/* 10905 */   MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 10918
/* 10909 */   MCD::OPC_CheckPredicate, 27, 176, 15, // Skip to: 14929
/* 10913 */   MCD::OPC_Decode, 208, 9, 134, 2, // Opcode: FSNE_D
/* 10918 */   MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 10931
/* 10922 */   MCD::OPC_CheckPredicate, 27, 163, 15, // Skip to: 14929
/* 10926 */   MCD::OPC_Decode, 145, 14, 132, 2, // Opcode: MULR_Q_H
/* 10931 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 10944
/* 10935 */   MCD::OPC_CheckPredicate, 27, 150, 15, // Skip to: 14929
/* 10939 */   MCD::OPC_Decode, 146, 14, 133, 2, // Opcode: MULR_Q_W
/* 10944 */   MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 10957
/* 10948 */   MCD::OPC_CheckPredicate, 27, 137, 15, // Skip to: 14929
/* 10952 */   MCD::OPC_Decode, 254, 11, 136, 2, // Opcode: MADDR_Q_H
/* 10957 */   MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 10970
/* 10961 */   MCD::OPC_CheckPredicate, 27, 124, 15, // Skip to: 14929
/* 10965 */   MCD::OPC_Decode, 255, 11, 137, 2, // Opcode: MADDR_Q_W
/* 10970 */   MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 10983
/* 10974 */   MCD::OPC_CheckPredicate, 27, 111, 15, // Skip to: 14929
/* 10978 */   MCD::OPC_Decode, 187, 13, 136, 2, // Opcode: MSUBR_Q_H
/* 10983 */   MCD::OPC_FilterValue, 29, 102, 15, // Skip to: 14929
/* 10987 */   MCD::OPC_CheckPredicate, 27, 98, 15, // Skip to: 14929
/* 10991 */   MCD::OPC_Decode, 188, 13, 137, 2, // Opcode: MSUBR_Q_W
/* 10996 */   MCD::OPC_FilterValue, 30, 220, 2, // Skip to: 11732
/* 11000 */   MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 11003 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 11016
/* 11007 */   MCD::OPC_CheckPredicate, 27, 78, 15, // Skip to: 14929
/* 11011 */   MCD::OPC_Decode, 201, 1, 131, 2, // Opcode: AND_V
/* 11016 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 11029
/* 11020 */   MCD::OPC_CheckPredicate, 27, 65, 15, // Skip to: 14929
/* 11024 */   MCD::OPC_Decode, 224, 14, 131, 2, // Opcode: OR_V
/* 11029 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 11042
/* 11033 */   MCD::OPC_CheckPredicate, 27, 52, 15, // Skip to: 14929
/* 11037 */   MCD::OPC_Decode, 208, 14, 131, 2, // Opcode: NOR_V
/* 11042 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 11055
/* 11046 */   MCD::OPC_CheckPredicate, 27, 39, 15, // Skip to: 14929
/* 11050 */   MCD::OPC_Decode, 255, 19, 131, 2, // Opcode: XOR_V
/* 11055 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 11068
/* 11059 */   MCD::OPC_CheckPredicate, 27, 26, 15, // Skip to: 14929
/* 11063 */   MCD::OPC_Decode, 186, 3, 135, 2, // Opcode: BMNZ_V
/* 11068 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 11081
/* 11072 */   MCD::OPC_CheckPredicate, 27, 13, 15, // Skip to: 14929
/* 11076 */   MCD::OPC_Decode, 188, 3, 135, 2, // Opcode: BMZ_V
/* 11081 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 11094
/* 11085 */   MCD::OPC_CheckPredicate, 27, 0, 15, // Skip to: 14929
/* 11089 */   MCD::OPC_Decode, 236, 3, 135, 2, // Opcode: BSEL_V
/* 11094 */   MCD::OPC_FilterValue, 24, 211, 0, // Skip to: 11309
/* 11098 */   MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 11101 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 11114
/* 11105 */   MCD::OPC_CheckPredicate, 27, 236, 14, // Skip to: 14929
/* 11109 */   MCD::OPC_Decode, 139, 9, 175, 2, // Opcode: FILL_B
/* 11114 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 11127
/* 11118 */   MCD::OPC_CheckPredicate, 27, 223, 14, // Skip to: 14929
/* 11122 */   MCD::OPC_Decode, 143, 9, 176, 2, // Opcode: FILL_H
/* 11127 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 11140
/* 11131 */   MCD::OPC_CheckPredicate, 27, 210, 14, // Skip to: 14929
/* 11135 */   MCD::OPC_Decode, 144, 9, 177, 2, // Opcode: FILL_W
/* 11140 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 11153
/* 11144 */   MCD::OPC_CheckPredicate, 34, 197, 14, // Skip to: 14929
/* 11148 */   MCD::OPC_Decode, 140, 9, 178, 2, // Opcode: FILL_D
/* 11153 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 11166
/* 11157 */   MCD::OPC_CheckPredicate, 27, 184, 14, // Skip to: 14929
/* 11161 */   MCD::OPC_Decode, 245, 14, 167, 2, // Opcode: PCNT_B
/* 11166 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 11179
/* 11170 */   MCD::OPC_CheckPredicate, 27, 171, 14, // Skip to: 14929
/* 11174 */   MCD::OPC_Decode, 247, 14, 179, 2, // Opcode: PCNT_H
/* 11179 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 11192
/* 11183 */   MCD::OPC_CheckPredicate, 27, 158, 14, // Skip to: 14929
/* 11187 */   MCD::OPC_Decode, 248, 14, 180, 2, // Opcode: PCNT_W
/* 11192 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 11205
/* 11196 */   MCD::OPC_CheckPredicate, 27, 145, 14, // Skip to: 14929
/* 11200 */   MCD::OPC_Decode, 246, 14, 181, 2, // Opcode: PCNT_D
/* 11205 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 11218
/* 11209 */   MCD::OPC_CheckPredicate, 27, 132, 14, // Skip to: 14929
/* 11213 */   MCD::OPC_Decode, 182, 14, 167, 2, // Opcode: NLOC_B
/* 11218 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 11231
/* 11222 */   MCD::OPC_CheckPredicate, 27, 119, 14, // Skip to: 14929
/* 11226 */   MCD::OPC_Decode, 184, 14, 179, 2, // Opcode: NLOC_H
/* 11231 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 11244
/* 11235 */   MCD::OPC_CheckPredicate, 27, 106, 14, // Skip to: 14929
/* 11239 */   MCD::OPC_Decode, 185, 14, 180, 2, // Opcode: NLOC_W
/* 11244 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 11257
/* 11248 */   MCD::OPC_CheckPredicate, 27, 93, 14, // Skip to: 14929
/* 11252 */   MCD::OPC_Decode, 183, 14, 181, 2, // Opcode: NLOC_D
/* 11257 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 11270
/* 11261 */   MCD::OPC_CheckPredicate, 27, 80, 14, // Skip to: 14929
/* 11265 */   MCD::OPC_Decode, 186, 14, 167, 2, // Opcode: NLZC_B
/* 11270 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 11283
/* 11274 */   MCD::OPC_CheckPredicate, 27, 67, 14, // Skip to: 14929
/* 11278 */   MCD::OPC_Decode, 188, 14, 179, 2, // Opcode: NLZC_H
/* 11283 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 11296
/* 11287 */   MCD::OPC_CheckPredicate, 27, 54, 14, // Skip to: 14929
/* 11291 */   MCD::OPC_Decode, 189, 14, 180, 2, // Opcode: NLZC_W
/* 11296 */   MCD::OPC_FilterValue, 15, 45, 14, // Skip to: 14929
/* 11300 */   MCD::OPC_CheckPredicate, 27, 41, 14, // Skip to: 14929
/* 11304 */   MCD::OPC_Decode, 187, 14, 181, 2, // Opcode: NLZC_D
/* 11309 */   MCD::OPC_FilterValue, 25, 32, 14, // Skip to: 14929
/* 11313 */   MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 11316 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 11329
/* 11320 */   MCD::OPC_CheckPredicate, 27, 21, 14, // Skip to: 14929
/* 11324 */   MCD::OPC_Decode, 216, 8, 180, 2, // Opcode: FCLASS_W
/* 11329 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 11342
/* 11333 */   MCD::OPC_CheckPredicate, 27, 8, 14, // Skip to: 14929
/* 11337 */   MCD::OPC_Decode, 215, 8, 181, 2, // Opcode: FCLASS_D
/* 11342 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 11355
/* 11346 */   MCD::OPC_CheckPredicate, 27, 251, 13, // Skip to: 14929
/* 11350 */   MCD::OPC_Decode, 245, 9, 180, 2, // Opcode: FTRUNC_S_W
/* 11355 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 11368
/* 11359 */   MCD::OPC_CheckPredicate, 27, 238, 13, // Skip to: 14929
/* 11363 */   MCD::OPC_Decode, 244, 9, 181, 2, // Opcode: FTRUNC_S_D
/* 11368 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 11381
/* 11372 */   MCD::OPC_CheckPredicate, 27, 225, 13, // Skip to: 14929
/* 11376 */   MCD::OPC_Decode, 247, 9, 180, 2, // Opcode: FTRUNC_U_W
/* 11381 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 11394
/* 11385 */   MCD::OPC_CheckPredicate, 27, 212, 13, // Skip to: 14929
/* 11389 */   MCD::OPC_Decode, 246, 9, 181, 2, // Opcode: FTRUNC_U_D
/* 11394 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 11407
/* 11398 */   MCD::OPC_CheckPredicate, 27, 199, 13, // Skip to: 14929
/* 11402 */   MCD::OPC_Decode, 218, 9, 180, 2, // Opcode: FSQRT_W
/* 11407 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 11420
/* 11411 */   MCD::OPC_CheckPredicate, 27, 186, 13, // Skip to: 14929
/* 11415 */   MCD::OPC_Decode, 212, 9, 181, 2, // Opcode: FSQRT_D
/* 11420 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 11433
/* 11424 */   MCD::OPC_CheckPredicate, 27, 173, 13, // Skip to: 14929
/* 11428 */   MCD::OPC_Decode, 199, 9, 180, 2, // Opcode: FRSQRT_W
/* 11433 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 11446
/* 11437 */   MCD::OPC_CheckPredicate, 27, 160, 13, // Skip to: 14929
/* 11441 */   MCD::OPC_Decode, 198, 9, 181, 2, // Opcode: FRSQRT_D
/* 11446 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 11459
/* 11450 */   MCD::OPC_CheckPredicate, 27, 147, 13, // Skip to: 14929
/* 11454 */   MCD::OPC_Decode, 195, 9, 180, 2, // Opcode: FRCP_W
/* 11459 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 11472
/* 11463 */   MCD::OPC_CheckPredicate, 27, 134, 13, // Skip to: 14929
/* 11467 */   MCD::OPC_Decode, 194, 9, 181, 2, // Opcode: FRCP_D
/* 11472 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 11485
/* 11476 */   MCD::OPC_CheckPredicate, 27, 121, 13, // Skip to: 14929
/* 11480 */   MCD::OPC_Decode, 197, 9, 180, 2, // Opcode: FRINT_W
/* 11485 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 11498
/* 11489 */   MCD::OPC_CheckPredicate, 27, 108, 13, // Skip to: 14929
/* 11493 */   MCD::OPC_Decode, 196, 9, 181, 2, // Opcode: FRINT_D
/* 11498 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 11511
/* 11502 */   MCD::OPC_CheckPredicate, 27, 95, 13, // Skip to: 14929
/* 11506 */   MCD::OPC_Decode, 146, 9, 180, 2, // Opcode: FLOG2_W
/* 11511 */   MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 11524
/* 11515 */   MCD::OPC_CheckPredicate, 27, 82, 13, // Skip to: 14929
/* 11519 */   MCD::OPC_Decode, 145, 9, 181, 2, // Opcode: FLOG2_D
/* 11524 */   MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 11537
/* 11528 */   MCD::OPC_CheckPredicate, 27, 69, 13, // Skip to: 14929
/* 11532 */   MCD::OPC_Decode, 128, 9, 182, 2, // Opcode: FEXUPL_W
/* 11537 */   MCD::OPC_FilterValue, 17, 9, 0, // Skip to: 11550
/* 11541 */   MCD::OPC_CheckPredicate, 27, 56, 13, // Skip to: 14929
/* 11545 */   MCD::OPC_Decode, 255, 8, 183, 2, // Opcode: FEXUPL_D
/* 11550 */   MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 11563
/* 11554 */   MCD::OPC_CheckPredicate, 27, 43, 13, // Skip to: 14929
/* 11558 */   MCD::OPC_Decode, 130, 9, 182, 2, // Opcode: FEXUPR_W
/* 11563 */   MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 11576
/* 11567 */   MCD::OPC_CheckPredicate, 27, 30, 13, // Skip to: 14929
/* 11571 */   MCD::OPC_Decode, 129, 9, 183, 2, // Opcode: FEXUPR_D
/* 11576 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 11589
/* 11580 */   MCD::OPC_CheckPredicate, 27, 17, 13, // Skip to: 14929
/* 11584 */   MCD::OPC_Decode, 136, 9, 182, 2, // Opcode: FFQL_W
/* 11589 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 11602
/* 11593 */   MCD::OPC_CheckPredicate, 27, 4, 13, // Skip to: 14929
/* 11597 */   MCD::OPC_Decode, 135, 9, 183, 2, // Opcode: FFQL_D
/* 11602 */   MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 11615
/* 11606 */   MCD::OPC_CheckPredicate, 27, 247, 12, // Skip to: 14929
/* 11610 */   MCD::OPC_Decode, 138, 9, 182, 2, // Opcode: FFQR_W
/* 11615 */   MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 11628
/* 11619 */   MCD::OPC_CheckPredicate, 27, 234, 12, // Skip to: 14929
/* 11623 */   MCD::OPC_Decode, 137, 9, 183, 2, // Opcode: FFQR_D
/* 11628 */   MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 11641
/* 11632 */   MCD::OPC_CheckPredicate, 27, 221, 12, // Skip to: 14929
/* 11636 */   MCD::OPC_Decode, 239, 9, 180, 2, // Opcode: FTINT_S_W
/* 11641 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 11654
/* 11645 */   MCD::OPC_CheckPredicate, 27, 208, 12, // Skip to: 14929
/* 11649 */   MCD::OPC_Decode, 238, 9, 181, 2, // Opcode: FTINT_S_D
/* 11654 */   MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 11667
/* 11658 */   MCD::OPC_CheckPredicate, 27, 195, 12, // Skip to: 14929
/* 11662 */   MCD::OPC_Decode, 241, 9, 180, 2, // Opcode: FTINT_U_W
/* 11667 */   MCD::OPC_FilterValue, 27, 9, 0, // Skip to: 11680
/* 11671 */   MCD::OPC_CheckPredicate, 27, 182, 12, // Skip to: 14929
/* 11675 */   MCD::OPC_Decode, 240, 9, 181, 2, // Opcode: FTINT_U_D
/* 11680 */   MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 11693
/* 11684 */   MCD::OPC_CheckPredicate, 27, 169, 12, // Skip to: 14929
/* 11688 */   MCD::OPC_Decode, 132, 9, 180, 2, // Opcode: FFINT_S_W
/* 11693 */   MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 11706
/* 11697 */   MCD::OPC_CheckPredicate, 27, 156, 12, // Skip to: 14929
/* 11701 */   MCD::OPC_Decode, 131, 9, 181, 2, // Opcode: FFINT_S_D
/* 11706 */   MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 11719
/* 11710 */   MCD::OPC_CheckPredicate, 27, 143, 12, // Skip to: 14929
/* 11714 */   MCD::OPC_Decode, 134, 9, 180, 2, // Opcode: FFINT_U_W
/* 11719 */   MCD::OPC_FilterValue, 31, 134, 12, // Skip to: 14929
/* 11723 */   MCD::OPC_CheckPredicate, 27, 130, 12, // Skip to: 14929
/* 11727 */   MCD::OPC_Decode, 133, 9, 181, 2, // Opcode: FFINT_U_D
/* 11732 */   MCD::OPC_FilterValue, 32, 9, 0, // Skip to: 11745
/* 11736 */   MCD::OPC_CheckPredicate, 27, 117, 12, // Skip to: 14929
/* 11740 */   MCD::OPC_Decode, 128, 11, 184, 2, // Opcode: LD_B
/* 11745 */   MCD::OPC_FilterValue, 33, 9, 0, // Skip to: 11758
/* 11749 */   MCD::OPC_CheckPredicate, 27, 104, 12, // Skip to: 14929
/* 11753 */   MCD::OPC_Decode, 131, 11, 184, 2, // Opcode: LD_H
/* 11758 */   MCD::OPC_FilterValue, 34, 9, 0, // Skip to: 11771
/* 11762 */   MCD::OPC_CheckPredicate, 27, 91, 12, // Skip to: 14929
/* 11766 */   MCD::OPC_Decode, 133, 11, 184, 2, // Opcode: LD_W
/* 11771 */   MCD::OPC_FilterValue, 35, 9, 0, // Skip to: 11784
/* 11775 */   MCD::OPC_CheckPredicate, 27, 78, 12, // Skip to: 14929
/* 11779 */   MCD::OPC_Decode, 129, 11, 184, 2, // Opcode: LD_D
/* 11784 */   MCD::OPC_FilterValue, 36, 9, 0, // Skip to: 11797
/* 11788 */   MCD::OPC_CheckPredicate, 27, 65, 12, // Skip to: 14929
/* 11792 */   MCD::OPC_Decode, 140, 18, 184, 2, // Opcode: ST_B
/* 11797 */   MCD::OPC_FilterValue, 37, 9, 0, // Skip to: 11810
/* 11801 */   MCD::OPC_CheckPredicate, 27, 52, 12, // Skip to: 14929
/* 11805 */   MCD::OPC_Decode, 143, 18, 184, 2, // Opcode: ST_H
/* 11810 */   MCD::OPC_FilterValue, 38, 9, 0, // Skip to: 11823
/* 11814 */   MCD::OPC_CheckPredicate, 27, 39, 12, // Skip to: 14929
/* 11818 */   MCD::OPC_Decode, 144, 18, 184, 2, // Opcode: ST_W
/* 11823 */   MCD::OPC_FilterValue, 39, 30, 12, // Skip to: 14929
/* 11827 */   MCD::OPC_CheckPredicate, 27, 26, 12, // Skip to: 14929
/* 11831 */   MCD::OPC_Decode, 141, 18, 184, 2, // Opcode: ST_D
/* 11836 */   MCD::OPC_FilterValue, 31, 231, 10, // Skip to: 14631
/* 11840 */   MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 11843 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 11856
/* 11847 */   MCD::OPC_CheckPredicate, 26, 6, 12, // Skip to: 14929
/* 11851 */   MCD::OPC_Decode, 164, 8, 185, 2, // Opcode: EXT
/* 11856 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 11869
/* 11860 */   MCD::OPC_CheckPredicate, 26, 249, 11, // Skip to: 14929
/* 11864 */   MCD::OPC_Decode, 149, 10, 186, 2, // Opcode: INS
/* 11869 */   MCD::OPC_FilterValue, 8, 15, 0, // Skip to: 11888
/* 11873 */   MCD::OPC_CheckPredicate, 39, 236, 11, // Skip to: 14929
/* 11877 */   MCD::OPC_CheckField, 6, 5, 0, 230, 11, // Skip to: 14929
/* 11883 */   MCD::OPC_Decode, 193, 9, 187, 2, // Opcode: FORK
/* 11888 */   MCD::OPC_FilterValue, 9, 20, 0, // Skip to: 11912
/* 11892 */   MCD::OPC_CheckPredicate, 39, 217, 11, // Skip to: 14929
/* 11896 */   MCD::OPC_CheckField, 16, 5, 0, 211, 11, // Skip to: 14929
/* 11902 */   MCD::OPC_CheckField, 6, 5, 0, 205, 11, // Skip to: 14929
/* 11908 */   MCD::OPC_Decode, 135, 20, 14, // Opcode: YIELD
/* 11912 */   MCD::OPC_FilterValue, 10, 42, 0, // Skip to: 11958
/* 11916 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 11919 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 11932
/* 11923 */   MCD::OPC_CheckPredicate, 33, 186, 11, // Skip to: 14929
/* 11927 */   MCD::OPC_Decode, 218, 11, 188, 2, // Opcode: LWX
/* 11932 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 11945
/* 11936 */   MCD::OPC_CheckPredicate, 33, 173, 11, // Skip to: 14929
/* 11940 */   MCD::OPC_Decode, 142, 11, 188, 2, // Opcode: LHX
/* 11945 */   MCD::OPC_FilterValue, 6, 164, 11, // Skip to: 14929
/* 11949 */   MCD::OPC_CheckPredicate, 33, 160, 11, // Skip to: 14929
/* 11953 */   MCD::OPC_Decode, 226, 10, 188, 2, // Opcode: LBUX
/* 11958 */   MCD::OPC_FilterValue, 12, 15, 0, // Skip to: 11977
/* 11962 */   MCD::OPC_CheckPredicate, 33, 147, 11, // Skip to: 14929
/* 11966 */   MCD::OPC_CheckField, 6, 10, 0, 141, 11, // Skip to: 14929
/* 11972 */   MCD::OPC_Decode, 168, 10, 189, 2, // Opcode: INSV
/* 11977 */   MCD::OPC_FilterValue, 16, 60, 1, // Skip to: 12297
/* 11981 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 11984 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 11997
/* 11988 */   MCD::OPC_CheckPredicate, 33, 121, 11, // Skip to: 14929
/* 11992 */   MCD::OPC_Decode, 157, 1, 190, 2, // Opcode: ADDU_QB
/* 11997 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 12010
/* 12001 */   MCD::OPC_CheckPredicate, 33, 108, 11, // Skip to: 14929
/* 12005 */   MCD::OPC_Decode, 185, 18, 190, 2, // Opcode: SUBU_QB
/* 12010 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 12023
/* 12014 */   MCD::OPC_CheckPredicate, 33, 95, 11, // Skip to: 14929
/* 12018 */   MCD::OPC_Decode, 161, 1, 190, 2, // Opcode: ADDU_S_QB
/* 12023 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 12036
/* 12027 */   MCD::OPC_CheckPredicate, 33, 82, 11, // Skip to: 14929
/* 12031 */   MCD::OPC_Decode, 189, 18, 190, 2, // Opcode: SUBU_S_QB
/* 12036 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 12049
/* 12040 */   MCD::OPC_CheckPredicate, 33, 69, 11, // Skip to: 14929
/* 12044 */   MCD::OPC_Decode, 130, 14, 190, 2, // Opcode: MULEU_S_PH_QBL
/* 12049 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 12062
/* 12053 */   MCD::OPC_CheckPredicate, 33, 56, 11, // Skip to: 14929
/* 12057 */   MCD::OPC_Decode, 132, 14, 190, 2, // Opcode: MULEU_S_PH_QBR
/* 12062 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 12075
/* 12066 */   MCD::OPC_CheckPredicate, 67, 43, 11, // Skip to: 14929
/* 12070 */   MCD::OPC_Decode, 155, 1, 190, 2, // Opcode: ADDU_PH
/* 12075 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 12088
/* 12079 */   MCD::OPC_CheckPredicate, 67, 30, 11, // Skip to: 14929
/* 12083 */   MCD::OPC_Decode, 183, 18, 190, 2, // Opcode: SUBU_PH
/* 12088 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 12101
/* 12092 */   MCD::OPC_CheckPredicate, 33, 17, 11, // Skip to: 14929
/* 12096 */   MCD::OPC_Decode, 128, 1, 190, 2, // Opcode: ADDQ_PH
/* 12101 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 12114
/* 12105 */   MCD::OPC_CheckPredicate, 33, 4, 11, // Skip to: 14929
/* 12109 */   MCD::OPC_Decode, 154, 18, 190, 2, // Opcode: SUBQ_PH
/* 12114 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 12127
/* 12118 */   MCD::OPC_CheckPredicate, 67, 247, 10, // Skip to: 14929
/* 12122 */   MCD::OPC_Decode, 159, 1, 190, 2, // Opcode: ADDU_S_PH
/* 12127 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 12140
/* 12131 */   MCD::OPC_CheckPredicate, 67, 234, 10, // Skip to: 14929
/* 12135 */   MCD::OPC_Decode, 187, 18, 190, 2, // Opcode: SUBU_S_PH
/* 12140 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 12153
/* 12144 */   MCD::OPC_CheckPredicate, 33, 221, 10, // Skip to: 14929
/* 12148 */   MCD::OPC_Decode, 130, 1, 190, 2, // Opcode: ADDQ_S_PH
/* 12153 */   MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 12166
/* 12157 */   MCD::OPC_CheckPredicate, 33, 208, 10, // Skip to: 14929
/* 12161 */   MCD::OPC_Decode, 156, 18, 190, 2, // Opcode: SUBQ_S_PH
/* 12166 */   MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 12178
/* 12170 */   MCD::OPC_CheckPredicate, 33, 195, 10, // Skip to: 14929
/* 12174 */   MCD::OPC_Decode, 134, 1, 49, // Opcode: ADDSC
/* 12178 */   MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 12190
/* 12182 */   MCD::OPC_CheckPredicate, 33, 183, 10, // Skip to: 14929
/* 12186 */   MCD::OPC_Decode, 171, 1, 49, // Opcode: ADDWC
/* 12190 */   MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 12202
/* 12194 */   MCD::OPC_CheckPredicate, 33, 171, 10, // Skip to: 14929
/* 12198 */   MCD::OPC_Decode, 249, 12, 49, // Opcode: MODSUB
/* 12202 */   MCD::OPC_FilterValue, 20, 15, 0, // Skip to: 12221
/* 12206 */   MCD::OPC_CheckPredicate, 33, 159, 10, // Skip to: 14929
/* 12210 */   MCD::OPC_CheckField, 16, 5, 0, 153, 10, // Skip to: 14929
/* 12216 */   MCD::OPC_Decode, 224, 15, 191, 2, // Opcode: RADDU_W_QB
/* 12221 */   MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 12233
/* 12225 */   MCD::OPC_CheckPredicate, 33, 140, 10, // Skip to: 14929
/* 12229 */   MCD::OPC_Decode, 132, 1, 49, // Opcode: ADDQ_S_W
/* 12233 */   MCD::OPC_FilterValue, 23, 8, 0, // Skip to: 12245
/* 12237 */   MCD::OPC_CheckPredicate, 33, 128, 10, // Skip to: 14929
/* 12241 */   MCD::OPC_Decode, 158, 18, 49, // Opcode: SUBQ_S_W
/* 12245 */   MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 12258
/* 12249 */   MCD::OPC_CheckPredicate, 33, 116, 10, // Skip to: 14929
/* 12253 */   MCD::OPC_Decode, 254, 13, 192, 2, // Opcode: MULEQ_S_W_PHL
/* 12258 */   MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 12271
/* 12262 */   MCD::OPC_CheckPredicate, 33, 103, 10, // Skip to: 14929
/* 12266 */   MCD::OPC_Decode, 128, 14, 192, 2, // Opcode: MULEQ_S_W_PHR
/* 12271 */   MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 12284
/* 12275 */   MCD::OPC_CheckPredicate, 67, 90, 10, // Skip to: 14929
/* 12279 */   MCD::OPC_Decode, 141, 14, 190, 2, // Opcode: MULQ_S_PH
/* 12284 */   MCD::OPC_FilterValue, 31, 81, 10, // Skip to: 14929
/* 12288 */   MCD::OPC_CheckPredicate, 33, 77, 10, // Skip to: 14929
/* 12292 */   MCD::OPC_Decode, 137, 14, 190, 2, // Opcode: MULQ_RS_PH
/* 12297 */   MCD::OPC_FilterValue, 17, 63, 1, // Skip to: 12620
/* 12301 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 12304 */   MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 12322
/* 12308 */   MCD::OPC_CheckPredicate, 33, 57, 10, // Skip to: 14929
/* 12312 */   MCD::OPC_CheckField, 11, 5, 0, 51, 10, // Skip to: 14929
/* 12318 */   MCD::OPC_Decode, 243, 4, 62, // Opcode: CMPU_EQ_QB
/* 12322 */   MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 12340
/* 12326 */   MCD::OPC_CheckPredicate, 33, 39, 10, // Skip to: 14929
/* 12330 */   MCD::OPC_CheckField, 11, 5, 0, 33, 10, // Skip to: 14929
/* 12336 */   MCD::OPC_Decode, 247, 4, 62, // Opcode: CMPU_LT_QB
/* 12340 */   MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 12358
/* 12344 */   MCD::OPC_CheckPredicate, 33, 21, 10, // Skip to: 14929
/* 12348 */   MCD::OPC_CheckField, 11, 5, 0, 15, 10, // Skip to: 14929
/* 12354 */   MCD::OPC_Decode, 245, 4, 62, // Opcode: CMPU_LE_QB
/* 12358 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 12371
/* 12362 */   MCD::OPC_CheckPredicate, 33, 3, 10, // Skip to: 14929
/* 12366 */   MCD::OPC_Decode, 251, 14, 190, 2, // Opcode: PICK_QB
/* 12371 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 12384
/* 12375 */   MCD::OPC_CheckPredicate, 33, 246, 9, // Skip to: 14929
/* 12379 */   MCD::OPC_Decode, 237, 4, 192, 2, // Opcode: CMPGU_EQ_QB
/* 12384 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 12397
/* 12388 */   MCD::OPC_CheckPredicate, 33, 233, 9, // Skip to: 14929
/* 12392 */   MCD::OPC_Decode, 241, 4, 192, 2, // Opcode: CMPGU_LT_QB
/* 12397 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 12410
/* 12401 */   MCD::OPC_CheckPredicate, 33, 220, 9, // Skip to: 14929
/* 12405 */   MCD::OPC_Decode, 239, 4, 192, 2, // Opcode: CMPGU_LE_QB
/* 12410 */   MCD::OPC_FilterValue, 8, 14, 0, // Skip to: 12428
/* 12414 */   MCD::OPC_CheckPredicate, 33, 207, 9, // Skip to: 14929
/* 12418 */   MCD::OPC_CheckField, 11, 5, 0, 201, 9, // Skip to: 14929
/* 12424 */   MCD::OPC_Decode, 253, 4, 62, // Opcode: CMP_EQ_PH
/* 12428 */   MCD::OPC_FilterValue, 9, 14, 0, // Skip to: 12446
/* 12432 */   MCD::OPC_CheckPredicate, 33, 189, 9, // Skip to: 14929
/* 12436 */   MCD::OPC_CheckField, 11, 5, 0, 183, 9, // Skip to: 14929
/* 12442 */   MCD::OPC_Decode, 139, 5, 62, // Opcode: CMP_LT_PH
/* 12446 */   MCD::OPC_FilterValue, 10, 14, 0, // Skip to: 12464
/* 12450 */   MCD::OPC_CheckPredicate, 33, 171, 9, // Skip to: 14929
/* 12454 */   MCD::OPC_CheckField, 11, 5, 0, 165, 9, // Skip to: 14929
/* 12460 */   MCD::OPC_Decode, 133, 5, 62, // Opcode: CMP_LE_PH
/* 12464 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 12477
/* 12468 */   MCD::OPC_CheckPredicate, 33, 153, 9, // Skip to: 14929
/* 12472 */   MCD::OPC_Decode, 249, 14, 190, 2, // Opcode: PICK_PH
/* 12477 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 12490
/* 12481 */   MCD::OPC_CheckPredicate, 33, 140, 9, // Skip to: 14929
/* 12485 */   MCD::OPC_Decode, 150, 15, 190, 2, // Opcode: PRECRQ_QB_PH
/* 12490 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 12503
/* 12494 */   MCD::OPC_CheckPredicate, 67, 127, 9, // Skip to: 14929
/* 12498 */   MCD::OPC_Decode, 154, 15, 190, 2, // Opcode: PRECR_QB_PH
/* 12503 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 12516
/* 12507 */   MCD::OPC_CheckPredicate, 33, 114, 9, // Skip to: 14929
/* 12511 */   MCD::OPC_Decode, 232, 14, 190, 2, // Opcode: PACKRL_PH
/* 12516 */   MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 12529
/* 12520 */   MCD::OPC_CheckPredicate, 33, 101, 9, // Skip to: 14929
/* 12524 */   MCD::OPC_Decode, 146, 15, 190, 2, // Opcode: PRECRQU_S_QB_PH
/* 12529 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 12542
/* 12533 */   MCD::OPC_CheckPredicate, 33, 88, 9, // Skip to: 14929
/* 12537 */   MCD::OPC_Decode, 148, 15, 193, 2, // Opcode: PRECRQ_PH_W
/* 12542 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 12555
/* 12546 */   MCD::OPC_CheckPredicate, 33, 75, 9, // Skip to: 14929
/* 12550 */   MCD::OPC_Decode, 152, 15, 193, 2, // Opcode: PRECRQ_RS_PH_W
/* 12555 */   MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 12568
/* 12559 */   MCD::OPC_CheckPredicate, 67, 62, 9, // Skip to: 14929
/* 12563 */   MCD::OPC_Decode, 231, 4, 192, 2, // Opcode: CMPGDU_EQ_QB
/* 12568 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 12581
/* 12572 */   MCD::OPC_CheckPredicate, 67, 49, 9, // Skip to: 14929
/* 12576 */   MCD::OPC_Decode, 235, 4, 192, 2, // Opcode: CMPGDU_LT_QB
/* 12581 */   MCD::OPC_FilterValue, 26, 9, 0, // Skip to: 12594
/* 12585 */   MCD::OPC_CheckPredicate, 67, 36, 9, // Skip to: 14929
/* 12589 */   MCD::OPC_Decode, 233, 4, 192, 2, // Opcode: CMPGDU_LE_QB
/* 12594 */   MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 12607
/* 12598 */   MCD::OPC_CheckPredicate, 67, 23, 9, // Skip to: 14929
/* 12602 */   MCD::OPC_Decode, 156, 15, 194, 2, // Opcode: PRECR_SRA_PH_W
/* 12607 */   MCD::OPC_FilterValue, 31, 14, 9, // Skip to: 14929
/* 12611 */   MCD::OPC_CheckPredicate, 67, 10, 9, // Skip to: 14929
/* 12615 */   MCD::OPC_Decode, 158, 15, 194, 2, // Opcode: PRECR_SRA_R_PH_W
/* 12620 */   MCD::OPC_FilterValue, 18, 73, 1, // Skip to: 12953
/* 12624 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 12627 */   MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 12645
/* 12631 */   MCD::OPC_CheckPredicate, 67, 246, 8, // Skip to: 14929
/* 12635 */   MCD::OPC_CheckField, 21, 5, 0, 240, 8, // Skip to: 14929
/* 12641 */   MCD::OPC_Decode, 105, 195, 2, // Opcode: ABSQ_S_QB
/* 12645 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 12658
/* 12649 */   MCD::OPC_CheckPredicate, 33, 228, 8, // Skip to: 14929
/* 12653 */   MCD::OPC_Decode, 243, 15, 196, 2, // Opcode: REPL_QB
/* 12658 */   MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 12677
/* 12662 */   MCD::OPC_CheckPredicate, 33, 215, 8, // Skip to: 14929
/* 12666 */   MCD::OPC_CheckField, 21, 5, 0, 209, 8, // Skip to: 14929
/* 12672 */   MCD::OPC_Decode, 239, 15, 197, 2, // Opcode: REPLV_QB
/* 12677 */   MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 12696
/* 12681 */   MCD::OPC_CheckPredicate, 33, 196, 8, // Skip to: 14929
/* 12685 */   MCD::OPC_CheckField, 21, 5, 0, 190, 8, // Skip to: 14929
/* 12691 */   MCD::OPC_Decode, 254, 14, 195, 2, // Opcode: PRECEQU_PH_QBL
/* 12696 */   MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 12715
/* 12700 */   MCD::OPC_CheckPredicate, 33, 177, 8, // Skip to: 14929
/* 12704 */   MCD::OPC_CheckField, 21, 5, 0, 171, 8, // Skip to: 14929
/* 12710 */   MCD::OPC_Decode, 130, 15, 195, 2, // Opcode: PRECEQU_PH_QBR
/* 12715 */   MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 12734
/* 12719 */   MCD::OPC_CheckPredicate, 33, 158, 8, // Skip to: 14929
/* 12723 */   MCD::OPC_CheckField, 21, 5, 0, 152, 8, // Skip to: 14929
/* 12729 */   MCD::OPC_Decode, 255, 14, 195, 2, // Opcode: PRECEQU_PH_QBLA
/* 12734 */   MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 12753
/* 12738 */   MCD::OPC_CheckPredicate, 33, 139, 8, // Skip to: 14929
/* 12742 */   MCD::OPC_CheckField, 21, 5, 0, 133, 8, // Skip to: 14929
/* 12748 */   MCD::OPC_Decode, 131, 15, 195, 2, // Opcode: PRECEQU_PH_QBRA
/* 12753 */   MCD::OPC_FilterValue, 9, 14, 0, // Skip to: 12771
/* 12757 */   MCD::OPC_CheckPredicate, 33, 120, 8, // Skip to: 14929
/* 12761 */   MCD::OPC_CheckField, 21, 5, 0, 114, 8, // Skip to: 14929
/* 12767 */   MCD::OPC_Decode, 103, 195, 2, // Opcode: ABSQ_S_PH
/* 12771 */   MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 12783
/* 12775 */   MCD::OPC_CheckPredicate, 33, 102, 8, // Skip to: 14929
/* 12779 */   MCD::OPC_Decode, 241, 15, 82, // Opcode: REPL_PH
/* 12783 */   MCD::OPC_FilterValue, 11, 15, 0, // Skip to: 12802
/* 12787 */   MCD::OPC_CheckPredicate, 33, 90, 8, // Skip to: 14929
/* 12791 */   MCD::OPC_CheckField, 21, 5, 0, 84, 8, // Skip to: 14929
/* 12797 */   MCD::OPC_Decode, 237, 15, 197, 2, // Opcode: REPLV_PH
/* 12802 */   MCD::OPC_FilterValue, 12, 15, 0, // Skip to: 12821
/* 12806 */   MCD::OPC_CheckPredicate, 33, 71, 8, // Skip to: 14929
/* 12810 */   MCD::OPC_CheckField, 21, 5, 0, 65, 8, // Skip to: 14929
/* 12816 */   MCD::OPC_Decode, 134, 15, 198, 2, // Opcode: PRECEQ_W_PHL
/* 12821 */   MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 12840
/* 12825 */   MCD::OPC_CheckPredicate, 33, 52, 8, // Skip to: 14929
/* 12829 */   MCD::OPC_CheckField, 21, 5, 0, 46, 8, // Skip to: 14929
/* 12835 */   MCD::OPC_Decode, 136, 15, 198, 2, // Opcode: PRECEQ_W_PHR
/* 12840 */   MCD::OPC_FilterValue, 17, 14, 0, // Skip to: 12858
/* 12844 */   MCD::OPC_CheckPredicate, 33, 33, 8, // Skip to: 14929
/* 12848 */   MCD::OPC_CheckField, 21, 5, 0, 27, 8, // Skip to: 14929
/* 12854 */   MCD::OPC_Decode, 107, 199, 2, // Opcode: ABSQ_S_W
/* 12858 */   MCD::OPC_FilterValue, 27, 15, 0, // Skip to: 12877
/* 12862 */   MCD::OPC_CheckPredicate, 33, 15, 8, // Skip to: 14929
/* 12866 */   MCD::OPC_CheckField, 21, 5, 0, 9, 8, // Skip to: 14929
/* 12872 */   MCD::OPC_Decode, 137, 3, 199, 2, // Opcode: BITREV
/* 12877 */   MCD::OPC_FilterValue, 28, 15, 0, // Skip to: 12896
/* 12881 */   MCD::OPC_CheckPredicate, 33, 252, 7, // Skip to: 14929
/* 12885 */   MCD::OPC_CheckField, 21, 5, 0, 246, 7, // Skip to: 14929
/* 12891 */   MCD::OPC_Decode, 138, 15, 195, 2, // Opcode: PRECEU_PH_QBL
/* 12896 */   MCD::OPC_FilterValue, 29, 15, 0, // Skip to: 12915
/* 12900 */   MCD::OPC_CheckPredicate, 33, 233, 7, // Skip to: 14929
/* 12904 */   MCD::OPC_CheckField, 21, 5, 0, 227, 7, // Skip to: 14929
/* 12910 */   MCD::OPC_Decode, 142, 15, 195, 2, // Opcode: PRECEU_PH_QBR
/* 12915 */   MCD::OPC_FilterValue, 30, 15, 0, // Skip to: 12934
/* 12919 */   MCD::OPC_CheckPredicate, 33, 214, 7, // Skip to: 14929
/* 12923 */   MCD::OPC_CheckField, 21, 5, 0, 208, 7, // Skip to: 14929
/* 12929 */   MCD::OPC_Decode, 139, 15, 195, 2, // Opcode: PRECEU_PH_QBLA
/* 12934 */   MCD::OPC_FilterValue, 31, 199, 7, // Skip to: 14929
/* 12938 */   MCD::OPC_CheckPredicate, 33, 195, 7, // Skip to: 14929
/* 12942 */   MCD::OPC_CheckField, 21, 5, 0, 189, 7, // Skip to: 14929
/* 12948 */   MCD::OPC_Decode, 143, 15, 195, 2, // Opcode: PRECEU_PH_QBRA
/* 12953 */   MCD::OPC_FilterValue, 19, 31, 1, // Skip to: 13244
/* 12957 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 12960 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 12973
/* 12964 */   MCD::OPC_CheckPredicate, 33, 169, 7, // Skip to: 14929
/* 12968 */   MCD::OPC_Decode, 255, 16, 200, 2, // Opcode: SHLL_QB
/* 12973 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 12986
/* 12977 */   MCD::OPC_CheckPredicate, 33, 156, 7, // Skip to: 14929
/* 12981 */   MCD::OPC_Decode, 159, 17, 200, 2, // Opcode: SHRL_QB
/* 12986 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 12999
/* 12990 */   MCD::OPC_CheckPredicate, 33, 143, 7, // Skip to: 14929
/* 12994 */   MCD::OPC_Decode, 247, 16, 201, 2, // Opcode: SHLLV_QB
/* 12999 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 13012
/* 13003 */   MCD::OPC_CheckPredicate, 33, 130, 7, // Skip to: 14929
/* 13007 */   MCD::OPC_Decode, 155, 17, 201, 2, // Opcode: SHRLV_QB
/* 13012 */   MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 13025
/* 13016 */   MCD::OPC_CheckPredicate, 67, 117, 7, // Skip to: 14929
/* 13020 */   MCD::OPC_Decode, 145, 17, 200, 2, // Opcode: SHRA_QB
/* 13025 */   MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 13038
/* 13029 */   MCD::OPC_CheckPredicate, 67, 104, 7, // Skip to: 14929
/* 13033 */   MCD::OPC_Decode, 149, 17, 200, 2, // Opcode: SHRA_R_QB
/* 13038 */   MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 13051
/* 13042 */   MCD::OPC_CheckPredicate, 67, 91, 7, // Skip to: 14929
/* 13046 */   MCD::OPC_Decode, 135, 17, 201, 2, // Opcode: SHRAV_QB
/* 13051 */   MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 13064
/* 13055 */   MCD::OPC_CheckPredicate, 67, 78, 7, // Skip to: 14929
/* 13059 */   MCD::OPC_Decode, 139, 17, 201, 2, // Opcode: SHRAV_R_QB
/* 13064 */   MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 13077
/* 13068 */   MCD::OPC_CheckPredicate, 33, 65, 7, // Skip to: 14929
/* 13072 */   MCD::OPC_Decode, 253, 16, 200, 2, // Opcode: SHLL_PH
/* 13077 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 13090
/* 13081 */   MCD::OPC_CheckPredicate, 33, 52, 7, // Skip to: 14929
/* 13085 */   MCD::OPC_Decode, 143, 17, 200, 2, // Opcode: SHRA_PH
/* 13090 */   MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 13103
/* 13094 */   MCD::OPC_CheckPredicate, 33, 39, 7, // Skip to: 14929
/* 13098 */   MCD::OPC_Decode, 245, 16, 201, 2, // Opcode: SHLLV_PH
/* 13103 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 13116
/* 13107 */   MCD::OPC_CheckPredicate, 33, 26, 7, // Skip to: 14929
/* 13111 */   MCD::OPC_Decode, 133, 17, 201, 2, // Opcode: SHRAV_PH
/* 13116 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 13129
/* 13120 */   MCD::OPC_CheckPredicate, 33, 13, 7, // Skip to: 14929
/* 13124 */   MCD::OPC_Decode, 129, 17, 200, 2, // Opcode: SHLL_S_PH
/* 13129 */   MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 13142
/* 13133 */   MCD::OPC_CheckPredicate, 33, 0, 7, // Skip to: 14929
/* 13137 */   MCD::OPC_Decode, 147, 17, 200, 2, // Opcode: SHRA_R_PH
/* 13142 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 13155
/* 13146 */   MCD::OPC_CheckPredicate, 33, 243, 6, // Skip to: 14929
/* 13150 */   MCD::OPC_Decode, 249, 16, 201, 2, // Opcode: SHLLV_S_PH
/* 13155 */   MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 13168
/* 13159 */   MCD::OPC_CheckPredicate, 33, 230, 6, // Skip to: 14929
/* 13163 */   MCD::OPC_Decode, 137, 17, 201, 2, // Opcode: SHRAV_R_PH
/* 13168 */   MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 13181
/* 13172 */   MCD::OPC_CheckPredicate, 33, 217, 6, // Skip to: 14929
/* 13176 */   MCD::OPC_Decode, 131, 17, 202, 2, // Opcode: SHLL_S_W
/* 13181 */   MCD::OPC_FilterValue, 21, 9, 0, // Skip to: 13194
/* 13185 */   MCD::OPC_CheckPredicate, 33, 204, 6, // Skip to: 14929
/* 13189 */   MCD::OPC_Decode, 151, 17, 202, 2, // Opcode: SHRA_R_W
/* 13194 */   MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 13206
/* 13198 */   MCD::OPC_CheckPredicate, 33, 191, 6, // Skip to: 14929
/* 13202 */   MCD::OPC_Decode, 251, 16, 43, // Opcode: SHLLV_S_W
/* 13206 */   MCD::OPC_FilterValue, 23, 8, 0, // Skip to: 13218
/* 13210 */   MCD::OPC_CheckPredicate, 33, 179, 6, // Skip to: 14929
/* 13214 */   MCD::OPC_Decode, 141, 17, 43, // Opcode: SHRAV_R_W
/* 13218 */   MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 13231
/* 13222 */   MCD::OPC_CheckPredicate, 67, 167, 6, // Skip to: 14929
/* 13226 */   MCD::OPC_Decode, 157, 17, 200, 2, // Opcode: SHRL_PH
/* 13231 */   MCD::OPC_FilterValue, 27, 158, 6, // Skip to: 14929
/* 13235 */   MCD::OPC_CheckPredicate, 67, 154, 6, // Skip to: 14929
/* 13239 */   MCD::OPC_Decode, 153, 17, 201, 2, // Opcode: SHRLV_PH
/* 13244 */   MCD::OPC_FilterValue, 24, 201, 0, // Skip to: 13449
/* 13248 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 13251 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 13264
/* 13255 */   MCD::OPC_CheckPredicate, 67, 134, 6, // Skip to: 14929
/* 13259 */   MCD::OPC_Decode, 150, 1, 190, 2, // Opcode: ADDUH_QB
/* 13264 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 13277
/* 13268 */   MCD::OPC_CheckPredicate, 67, 121, 6, // Skip to: 14929
/* 13272 */   MCD::OPC_Decode, 178, 18, 190, 2, // Opcode: SUBUH_QB
/* 13277 */   MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 13290
/* 13281 */   MCD::OPC_CheckPredicate, 67, 108, 6, // Skip to: 14929
/* 13285 */   MCD::OPC_Decode, 152, 1, 190, 2, // Opcode: ADDUH_R_QB
/* 13290 */   MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 13303
/* 13294 */   MCD::OPC_CheckPredicate, 67, 95, 6, // Skip to: 14929
/* 13298 */   MCD::OPC_Decode, 180, 18, 190, 2, // Opcode: SUBUH_R_QB
/* 13303 */   MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 13315
/* 13307 */   MCD::OPC_CheckPredicate, 67, 82, 6, // Skip to: 14929
/* 13311 */   MCD::OPC_Decode, 120, 190, 2, // Opcode: ADDQH_PH
/* 13315 */   MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 13328
/* 13319 */   MCD::OPC_CheckPredicate, 67, 70, 6, // Skip to: 14929
/* 13323 */   MCD::OPC_Decode, 146, 18, 190, 2, // Opcode: SUBQH_PH
/* 13328 */   MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 13340
/* 13332 */   MCD::OPC_CheckPredicate, 67, 57, 6, // Skip to: 14929
/* 13336 */   MCD::OPC_Decode, 122, 190, 2, // Opcode: ADDQH_R_PH
/* 13340 */   MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 13353
/* 13344 */   MCD::OPC_CheckPredicate, 67, 45, 6, // Skip to: 14929
/* 13348 */   MCD::OPC_Decode, 148, 18, 190, 2, // Opcode: SUBQH_R_PH
/* 13353 */   MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 13366
/* 13357 */   MCD::OPC_CheckPredicate, 67, 32, 6, // Skip to: 14929
/* 13361 */   MCD::OPC_Decode, 167, 14, 190, 2, // Opcode: MUL_PH
/* 13366 */   MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 13379
/* 13370 */   MCD::OPC_CheckPredicate, 67, 19, 6, // Skip to: 14929
/* 13374 */   MCD::OPC_Decode, 172, 14, 190, 2, // Opcode: MUL_S_PH
/* 13379 */   MCD::OPC_FilterValue, 16, 7, 0, // Skip to: 13390
/* 13383 */   MCD::OPC_CheckPredicate, 67, 6, 6, // Skip to: 14929
/* 13387 */   MCD::OPC_Decode, 126, 49, // Opcode: ADDQH_W
/* 13390 */   MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 13402
/* 13394 */   MCD::OPC_CheckPredicate, 67, 251, 5, // Skip to: 14929
/* 13398 */   MCD::OPC_Decode, 152, 18, 49, // Opcode: SUBQH_W
/* 13402 */   MCD::OPC_FilterValue, 18, 7, 0, // Skip to: 13413
/* 13406 */   MCD::OPC_CheckPredicate, 67, 239, 5, // Skip to: 14929
/* 13410 */   MCD::OPC_Decode, 124, 49, // Opcode: ADDQH_R_W
/* 13413 */   MCD::OPC_FilterValue, 19, 8, 0, // Skip to: 13425
/* 13417 */   MCD::OPC_CheckPredicate, 67, 228, 5, // Skip to: 14929
/* 13421 */   MCD::OPC_Decode, 150, 18, 49, // Opcode: SUBQH_R_W
/* 13425 */   MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 13437
/* 13429 */   MCD::OPC_CheckPredicate, 67, 216, 5, // Skip to: 14929
/* 13433 */   MCD::OPC_Decode, 143, 14, 49, // Opcode: MULQ_S_W
/* 13437 */   MCD::OPC_FilterValue, 23, 208, 5, // Skip to: 14929
/* 13441 */   MCD::OPC_CheckPredicate, 67, 204, 5, // Skip to: 14929
/* 13445 */   MCD::OPC_Decode, 139, 14, 49, // Opcode: MULQ_RS_W
/* 13449 */   MCD::OPC_FilterValue, 25, 15, 0, // Skip to: 13468
/* 13453 */   MCD::OPC_CheckPredicate, 68, 192, 5, // Skip to: 14929
/* 13457 */   MCD::OPC_CheckField, 6, 1, 0, 186, 5, // Skip to: 14929
/* 13463 */   MCD::OPC_Decode, 197, 11, 203, 2, // Opcode: LWLE
/* 13468 */   MCD::OPC_FilterValue, 26, 15, 0, // Skip to: 13487
/* 13472 */   MCD::OPC_CheckPredicate, 68, 173, 5, // Skip to: 14929
/* 13476 */   MCD::OPC_CheckField, 6, 1, 0, 167, 5, // Skip to: 14929
/* 13482 */   MCD::OPC_Decode, 210, 11, 203, 2, // Opcode: LWRE
/* 13487 */   MCD::OPC_FilterValue, 27, 15, 0, // Skip to: 13506
/* 13491 */   MCD::OPC_CheckPredicate, 69, 154, 5, // Skip to: 14929
/* 13495 */   MCD::OPC_CheckField, 6, 1, 0, 148, 5, // Skip to: 14929
/* 13501 */   MCD::OPC_Decode, 153, 4, 204, 2, // Opcode: CACHEE
/* 13506 */   MCD::OPC_FilterValue, 28, 15, 0, // Skip to: 13525
/* 13510 */   MCD::OPC_CheckPredicate, 69, 135, 5, // Skip to: 14929
/* 13514 */   MCD::OPC_CheckField, 6, 1, 0, 129, 5, // Skip to: 14929
/* 13520 */   MCD::OPC_Decode, 160, 16, 203, 2, // Opcode: SBE
/* 13525 */   MCD::OPC_FilterValue, 29, 15, 0, // Skip to: 13544
/* 13529 */   MCD::OPC_CheckPredicate, 69, 116, 5, // Skip to: 14929
/* 13533 */   MCD::OPC_CheckField, 6, 1, 0, 110, 5, // Skip to: 14929
/* 13539 */   MCD::OPC_Decode, 235, 16, 203, 2, // Opcode: SHE
/* 13544 */   MCD::OPC_FilterValue, 30, 15, 0, // Skip to: 13563
/* 13548 */   MCD::OPC_CheckPredicate, 40, 97, 5, // Skip to: 14929
/* 13552 */   MCD::OPC_CheckField, 6, 1, 0, 91, 5, // Skip to: 14929
/* 13558 */   MCD::OPC_Decode, 170, 16, 203, 2, // Opcode: SCE
/* 13563 */   MCD::OPC_FilterValue, 31, 15, 0, // Skip to: 13582
/* 13567 */   MCD::OPC_CheckPredicate, 40, 78, 5, // Skip to: 14929
/* 13571 */   MCD::OPC_CheckField, 6, 1, 0, 72, 5, // Skip to: 14929
/* 13577 */   MCD::OPC_Decode, 218, 18, 203, 2, // Opcode: SWE
/* 13582 */   MCD::OPC_FilterValue, 32, 60, 0, // Skip to: 13646
/* 13586 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 13589 */   MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 13608
/* 13593 */   MCD::OPC_CheckPredicate, 26, 52, 5, // Skip to: 14929
/* 13597 */   MCD::OPC_CheckField, 21, 5, 0, 46, 5, // Skip to: 14929
/* 13603 */   MCD::OPC_Decode, 244, 19, 199, 2, // Opcode: WSBH
/* 13608 */   MCD::OPC_FilterValue, 16, 15, 0, // Skip to: 13627
/* 13612 */   MCD::OPC_CheckPredicate, 24, 33, 5, // Skip to: 14929
/* 13616 */   MCD::OPC_CheckField, 21, 5, 0, 27, 5, // Skip to: 14929
/* 13622 */   MCD::OPC_Decode, 201, 16, 199, 2, // Opcode: SEB
/* 13627 */   MCD::OPC_FilterValue, 24, 18, 5, // Skip to: 14929
/* 13631 */   MCD::OPC_CheckPredicate, 24, 14, 5, // Skip to: 14929
/* 13635 */   MCD::OPC_CheckField, 21, 5, 0, 8, 5, // Skip to: 14929
/* 13641 */   MCD::OPC_Decode, 205, 16, 199, 2, // Opcode: SEH
/* 13646 */   MCD::OPC_FilterValue, 33, 15, 0, // Skip to: 13665
/* 13650 */   MCD::OPC_CheckPredicate, 68, 251, 4, // Skip to: 14929
/* 13654 */   MCD::OPC_CheckField, 6, 1, 0, 245, 4, // Skip to: 14929
/* 13660 */   MCD::OPC_Decode, 223, 18, 203, 2, // Opcode: SWLE
/* 13665 */   MCD::OPC_FilterValue, 34, 15, 0, // Skip to: 13684
/* 13669 */   MCD::OPC_CheckPredicate, 68, 232, 4, // Skip to: 14929
/* 13673 */   MCD::OPC_CheckField, 6, 1, 0, 226, 4, // Skip to: 14929
/* 13679 */   MCD::OPC_Decode, 234, 18, 203, 2, // Opcode: SWRE
/* 13684 */   MCD::OPC_FilterValue, 35, 15, 0, // Skip to: 13703
/* 13688 */   MCD::OPC_CheckPredicate, 69, 213, 4, // Skip to: 14929
/* 13692 */   MCD::OPC_CheckField, 6, 1, 0, 207, 4, // Skip to: 14929
/* 13698 */   MCD::OPC_Decode, 161, 15, 204, 2, // Opcode: PREFE
/* 13703 */   MCD::OPC_FilterValue, 40, 15, 0, // Skip to: 13722
/* 13707 */   MCD::OPC_CheckPredicate, 69, 194, 4, // Skip to: 14929
/* 13711 */   MCD::OPC_CheckField, 6, 1, 0, 188, 4, // Skip to: 14929
/* 13717 */   MCD::OPC_Decode, 233, 10, 203, 2, // Opcode: LBuE
/* 13722 */   MCD::OPC_FilterValue, 41, 15, 0, // Skip to: 13741
/* 13726 */   MCD::OPC_CheckPredicate, 69, 175, 4, // Skip to: 14929
/* 13730 */   MCD::OPC_CheckField, 6, 1, 0, 169, 4, // Skip to: 14929
/* 13736 */   MCD::OPC_Decode, 147, 11, 203, 2, // Opcode: LHuE
/* 13741 */   MCD::OPC_FilterValue, 44, 15, 0, // Skip to: 13760
/* 13745 */   MCD::OPC_CheckPredicate, 69, 156, 4, // Skip to: 14929
/* 13749 */   MCD::OPC_CheckField, 6, 1, 0, 150, 4, // Skip to: 14929
/* 13755 */   MCD::OPC_Decode, 221, 10, 203, 2, // Opcode: LBE
/* 13760 */   MCD::OPC_FilterValue, 45, 15, 0, // Skip to: 13779
/* 13764 */   MCD::OPC_CheckPredicate, 69, 137, 4, // Skip to: 14929
/* 13768 */   MCD::OPC_CheckField, 6, 1, 0, 131, 4, // Skip to: 14929
/* 13774 */   MCD::OPC_Decode, 139, 11, 203, 2, // Opcode: LHE
/* 13779 */   MCD::OPC_FilterValue, 46, 15, 0, // Skip to: 13798
/* 13783 */   MCD::OPC_CheckPredicate, 40, 118, 4, // Skip to: 14929
/* 13787 */   MCD::OPC_CheckField, 6, 1, 0, 112, 4, // Skip to: 14929
/* 13793 */   MCD::OPC_Decode, 158, 11, 203, 2, // Opcode: LLE
/* 13798 */   MCD::OPC_FilterValue, 47, 15, 0, // Skip to: 13817
/* 13802 */   MCD::OPC_CheckPredicate, 40, 99, 4, // Skip to: 14929
/* 13806 */   MCD::OPC_CheckField, 6, 1, 0, 93, 4, // Skip to: 14929
/* 13812 */   MCD::OPC_Decode, 191, 11, 203, 2, // Opcode: LWE
/* 13817 */   MCD::OPC_FilterValue, 48, 165, 1, // Skip to: 14242
/* 13821 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 13824 */   MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 13843
/* 13828 */   MCD::OPC_CheckPredicate, 67, 73, 4, // Skip to: 14929
/* 13832 */   MCD::OPC_CheckField, 13, 3, 0, 67, 4, // Skip to: 14929
/* 13838 */   MCD::OPC_Decode, 203, 7, 238, 1, // Opcode: DPA_W_PH
/* 13843 */   MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 13862
/* 13847 */   MCD::OPC_CheckPredicate, 67, 54, 4, // Skip to: 14929
/* 13851 */   MCD::OPC_CheckField, 13, 3, 0, 48, 4, // Skip to: 14929
/* 13857 */   MCD::OPC_Decode, 226, 7, 238, 1, // Opcode: DPS_W_PH
/* 13862 */   MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 13881
/* 13866 */   MCD::OPC_CheckPredicate, 67, 35, 4, // Skip to: 14929
/* 13870 */   MCD::OPC_CheckField, 13, 3, 0, 29, 4, // Skip to: 14929
/* 13876 */   MCD::OPC_Decode, 149, 14, 238, 1, // Opcode: MULSA_W_PH
/* 13881 */   MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 13900
/* 13885 */   MCD::OPC_CheckPredicate, 33, 16, 4, // Skip to: 14929
/* 13889 */   MCD::OPC_CheckField, 13, 3, 0, 10, 4, // Skip to: 14929
/* 13895 */   MCD::OPC_Decode, 197, 7, 238, 1, // Opcode: DPAU_H_QBL
/* 13900 */   MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 13919
/* 13904 */   MCD::OPC_CheckPredicate, 33, 253, 3, // Skip to: 14929
/* 13908 */   MCD::OPC_CheckField, 13, 3, 0, 247, 3, // Skip to: 14929
/* 13914 */   MCD::OPC_Decode, 195, 7, 238, 1, // Opcode: DPAQ_S_W_PH
/* 13919 */   MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 13938
/* 13923 */   MCD::OPC_CheckPredicate, 33, 234, 3, // Skip to: 14929
/* 13927 */   MCD::OPC_CheckField, 13, 3, 0, 228, 3, // Skip to: 14929
/* 13933 */   MCD::OPC_Decode, 212, 7, 238, 1, // Opcode: DPSQ_S_W_PH
/* 13938 */   MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 13957
/* 13942 */   MCD::OPC_CheckPredicate, 33, 215, 3, // Skip to: 14929
/* 13946 */   MCD::OPC_CheckField, 13, 3, 0, 209, 3, // Skip to: 14929
/* 13952 */   MCD::OPC_Decode, 147, 14, 238, 1, // Opcode: MULSAQ_S_W_PH
/* 13957 */   MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 13976
/* 13961 */   MCD::OPC_CheckPredicate, 33, 196, 3, // Skip to: 14929
/* 13965 */   MCD::OPC_CheckField, 13, 3, 0, 190, 3, // Skip to: 14929
/* 13971 */   MCD::OPC_Decode, 199, 7, 238, 1, // Opcode: DPAU_H_QBR
/* 13976 */   MCD::OPC_FilterValue, 8, 15, 0, // Skip to: 13995
/* 13980 */   MCD::OPC_CheckPredicate, 67, 177, 3, // Skip to: 14929
/* 13984 */   MCD::OPC_CheckField, 13, 3, 0, 171, 3, // Skip to: 14929
/* 13990 */   MCD::OPC_Decode, 201, 7, 238, 1, // Opcode: DPAX_W_PH
/* 13995 */   MCD::OPC_FilterValue, 9, 15, 0, // Skip to: 14014
/* 13999 */   MCD::OPC_CheckPredicate, 67, 158, 3, // Skip to: 14929
/* 14003 */   MCD::OPC_CheckField, 13, 3, 0, 152, 3, // Skip to: 14929
/* 14009 */   MCD::OPC_Decode, 224, 7, 238, 1, // Opcode: DPSX_W_PH
/* 14014 */   MCD::OPC_FilterValue, 11, 15, 0, // Skip to: 14033
/* 14018 */   MCD::OPC_CheckPredicate, 33, 139, 3, // Skip to: 14929
/* 14022 */   MCD::OPC_CheckField, 13, 3, 0, 133, 3, // Skip to: 14929
/* 14028 */   MCD::OPC_Decode, 220, 7, 238, 1, // Opcode: DPSU_H_QBL
/* 14033 */   MCD::OPC_FilterValue, 12, 15, 0, // Skip to: 14052
/* 14037 */   MCD::OPC_CheckPredicate, 33, 120, 3, // Skip to: 14929
/* 14041 */   MCD::OPC_CheckField, 13, 3, 0, 114, 3, // Skip to: 14929
/* 14047 */   MCD::OPC_Decode, 193, 7, 238, 1, // Opcode: DPAQ_SA_L_W
/* 14052 */   MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 14071
/* 14056 */   MCD::OPC_CheckPredicate, 33, 101, 3, // Skip to: 14929
/* 14060 */   MCD::OPC_CheckField, 13, 3, 0, 95, 3, // Skip to: 14929
/* 14066 */   MCD::OPC_Decode, 210, 7, 238, 1, // Opcode: DPSQ_SA_L_W
/* 14071 */   MCD::OPC_FilterValue, 15, 15, 0, // Skip to: 14090
/* 14075 */   MCD::OPC_CheckPredicate, 33, 82, 3, // Skip to: 14929
/* 14079 */   MCD::OPC_CheckField, 13, 3, 0, 76, 3, // Skip to: 14929
/* 14085 */   MCD::OPC_Decode, 222, 7, 238, 1, // Opcode: DPSU_H_QBR
/* 14090 */   MCD::OPC_FilterValue, 16, 15, 0, // Skip to: 14109
/* 14094 */   MCD::OPC_CheckPredicate, 33, 63, 3, // Skip to: 14929
/* 14098 */   MCD::OPC_CheckField, 13, 3, 0, 57, 3, // Skip to: 14929
/* 14104 */   MCD::OPC_Decode, 146, 12, 238, 1, // Opcode: MAQ_SA_W_PHL
/* 14109 */   MCD::OPC_FilterValue, 18, 15, 0, // Skip to: 14128
/* 14113 */   MCD::OPC_CheckPredicate, 33, 44, 3, // Skip to: 14929
/* 14117 */   MCD::OPC_CheckField, 13, 3, 0, 38, 3, // Skip to: 14929
/* 14123 */   MCD::OPC_Decode, 148, 12, 238, 1, // Opcode: MAQ_SA_W_PHR
/* 14128 */   MCD::OPC_FilterValue, 20, 15, 0, // Skip to: 14147
/* 14132 */   MCD::OPC_CheckPredicate, 33, 25, 3, // Skip to: 14929
/* 14136 */   MCD::OPC_CheckField, 13, 3, 0, 19, 3, // Skip to: 14929
/* 14142 */   MCD::OPC_Decode, 150, 12, 238, 1, // Opcode: MAQ_S_W_PHL
/* 14147 */   MCD::OPC_FilterValue, 22, 15, 0, // Skip to: 14166
/* 14151 */   MCD::OPC_CheckPredicate, 33, 6, 3, // Skip to: 14929
/* 14155 */   MCD::OPC_CheckField, 13, 3, 0, 0, 3, // Skip to: 14929
/* 14161 */   MCD::OPC_Decode, 152, 12, 238, 1, // Opcode: MAQ_S_W_PHR
/* 14166 */   MCD::OPC_FilterValue, 24, 15, 0, // Skip to: 14185
/* 14170 */   MCD::OPC_CheckPredicate, 67, 243, 2, // Skip to: 14929
/* 14174 */   MCD::OPC_CheckField, 13, 3, 0, 237, 2, // Skip to: 14929
/* 14180 */   MCD::OPC_Decode, 191, 7, 238, 1, // Opcode: DPAQX_S_W_PH
/* 14185 */   MCD::OPC_FilterValue, 25, 15, 0, // Skip to: 14204
/* 14189 */   MCD::OPC_CheckPredicate, 67, 224, 2, // Skip to: 14929
/* 14193 */   MCD::OPC_CheckField, 13, 3, 0, 218, 2, // Skip to: 14929
/* 14199 */   MCD::OPC_Decode, 208, 7, 238, 1, // Opcode: DPSQX_S_W_PH
/* 14204 */   MCD::OPC_FilterValue, 26, 15, 0, // Skip to: 14223
/* 14208 */   MCD::OPC_CheckPredicate, 67, 205, 2, // Skip to: 14929
/* 14212 */   MCD::OPC_CheckField, 13, 3, 0, 199, 2, // Skip to: 14929
/* 14218 */   MCD::OPC_Decode, 189, 7, 238, 1, // Opcode: DPAQX_SA_W_PH
/* 14223 */   MCD::OPC_FilterValue, 27, 190, 2, // Skip to: 14929
/* 14227 */   MCD::OPC_CheckPredicate, 67, 186, 2, // Skip to: 14929
/* 14231 */   MCD::OPC_CheckField, 13, 3, 0, 180, 2, // Skip to: 14929
/* 14237 */   MCD::OPC_Decode, 206, 7, 238, 1, // Opcode: DPSQX_SA_W_PH
/* 14242 */   MCD::OPC_FilterValue, 49, 42, 0, // Skip to: 14288
/* 14246 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 14249 */   MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 14262
/* 14253 */   MCD::OPC_CheckPredicate, 67, 160, 2, // Skip to: 14929
/* 14257 */   MCD::OPC_Decode, 208, 1, 205, 2, // Opcode: APPEND
/* 14262 */   MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 14275
/* 14266 */   MCD::OPC_CheckPredicate, 67, 147, 2, // Skip to: 14929
/* 14270 */   MCD::OPC_Decode, 168, 15, 205, 2, // Opcode: PREPEND
/* 14275 */   MCD::OPC_FilterValue, 16, 138, 2, // Skip to: 14929
/* 14279 */   MCD::OPC_CheckPredicate, 67, 134, 2, // Skip to: 14929
/* 14283 */   MCD::OPC_Decode, 157, 2, 205, 2, // Opcode: BALIGN
/* 14288 */   MCD::OPC_FilterValue, 56, 58, 1, // Skip to: 14606
/* 14292 */   MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 14295 */   MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 14314
/* 14299 */   MCD::OPC_CheckPredicate, 33, 114, 2, // Skip to: 14929
/* 14303 */   MCD::OPC_CheckField, 13, 3, 0, 108, 2, // Skip to: 14929
/* 14309 */   MCD::OPC_Decode, 187, 8, 206, 2, // Opcode: EXTR_W
/* 14314 */   MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 14333
/* 14318 */   MCD::OPC_CheckPredicate, 33, 95, 2, // Skip to: 14929
/* 14322 */   MCD::OPC_CheckField, 13, 3, 0, 89, 2, // Skip to: 14929
/* 14328 */   MCD::OPC_Decode, 179, 8, 207, 2, // Opcode: EXTRV_W
/* 14333 */   MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 14352
/* 14337 */   MCD::OPC_CheckPredicate, 33, 76, 2, // Skip to: 14929
/* 14341 */   MCD::OPC_CheckField, 13, 3, 0, 70, 2, // Skip to: 14929
/* 14347 */   MCD::OPC_Decode, 165, 8, 206, 2, // Opcode: EXTP
/* 14352 */   MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 14371
/* 14356 */   MCD::OPC_CheckPredicate, 33, 57, 2, // Skip to: 14929
/* 14360 */   MCD::OPC_CheckField, 13, 3, 0, 51, 2, // Skip to: 14929
/* 14366 */   MCD::OPC_Decode, 170, 8, 207, 2, // Opcode: EXTPV
/* 14371 */   MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 14390
/* 14375 */   MCD::OPC_CheckPredicate, 33, 38, 2, // Skip to: 14929
/* 14379 */   MCD::OPC_CheckField, 13, 3, 0, 32, 2, // Skip to: 14929
/* 14385 */   MCD::OPC_Decode, 183, 8, 206, 2, // Opcode: EXTR_R_W
/* 14390 */   MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 14409
/* 14394 */   MCD::OPC_CheckPredicate, 33, 19, 2, // Skip to: 14929
/* 14398 */   MCD::OPC_CheckField, 13, 3, 0, 13, 2, // Skip to: 14929
/* 14404 */   MCD::OPC_Decode, 175, 8, 207, 2, // Opcode: EXTRV_R_W
/* 14409 */   MCD::OPC_FilterValue, 6, 15, 0, // Skip to: 14428
/* 14413 */   MCD::OPC_CheckPredicate, 33, 0, 2, // Skip to: 14929
/* 14417 */   MCD::OPC_CheckField, 13, 3, 0, 250, 1, // Skip to: 14929
/* 14423 */   MCD::OPC_Decode, 181, 8, 206, 2, // Opcode: EXTR_RS_W
/* 14428 */   MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 14447
/* 14432 */   MCD::OPC_CheckPredicate, 33, 237, 1, // Skip to: 14929
/* 14436 */   MCD::OPC_CheckField, 13, 3, 0, 231, 1, // Skip to: 14929
/* 14442 */   MCD::OPC_Decode, 173, 8, 207, 2, // Opcode: EXTRV_RS_W
/* 14447 */   MCD::OPC_FilterValue, 10, 15, 0, // Skip to: 14466
/* 14451 */   MCD::OPC_CheckPredicate, 33, 218, 1, // Skip to: 14929
/* 14455 */   MCD::OPC_CheckField, 13, 3, 0, 212, 1, // Skip to: 14929
/* 14461 */   MCD::OPC_Decode, 166, 8, 206, 2, // Opcode: EXTPDP
/* 14466 */   MCD::OPC_FilterValue, 11, 15, 0, // Skip to: 14485
/* 14470 */   MCD::OPC_CheckPredicate, 33, 199, 1, // Skip to: 14929
/* 14474 */   MCD::OPC_CheckField, 13, 3, 0, 193, 1, // Skip to: 14929
/* 14480 */   MCD::OPC_Decode, 167, 8, 207, 2, // Opcode: EXTPDPV
/* 14485 */   MCD::OPC_FilterValue, 14, 15, 0, // Skip to: 14504
/* 14489 */   MCD::OPC_CheckPredicate, 33, 180, 1, // Skip to: 14929
/* 14493 */   MCD::OPC_CheckField, 13, 3, 0, 174, 1, // Skip to: 14929
/* 14499 */   MCD::OPC_Decode, 185, 8, 206, 2, // Opcode: EXTR_S_H
/* 14504 */   MCD::OPC_FilterValue, 15, 15, 0, // Skip to: 14523
/* 14508 */   MCD::OPC_CheckPredicate, 33, 161, 1, // Skip to: 14929
/* 14512 */   MCD::OPC_CheckField, 13, 3, 0, 155, 1, // Skip to: 14929
/* 14518 */   MCD::OPC_Decode, 177, 8, 207, 2, // Opcode: EXTRV_S_H
/* 14523 */   MCD::OPC_FilterValue, 18, 9, 0, // Skip to: 14536
/* 14527 */   MCD::OPC_CheckPredicate, 33, 142, 1, // Skip to: 14929
/* 14531 */   MCD::OPC_Decode, 226, 15, 208, 2, // Opcode: RDDSP
/* 14536 */   MCD::OPC_FilterValue, 19, 9, 0, // Skip to: 14549
/* 14540 */   MCD::OPC_CheckPredicate, 37, 129, 1, // Skip to: 14929
/* 14544 */   MCD::OPC_Decode, 241, 19, 209, 2, // Opcode: WRDSP
/* 14549 */   MCD::OPC_FilterValue, 26, 15, 0, // Skip to: 14568
/* 14553 */   MCD::OPC_CheckPredicate, 33, 116, 1, // Skip to: 14929
/* 14557 */   MCD::OPC_CheckField, 13, 7, 0, 110, 1, // Skip to: 14929
/* 14563 */   MCD::OPC_Decode, 241, 16, 210, 2, // Opcode: SHILO
/* 14568 */   MCD::OPC_FilterValue, 27, 15, 0, // Skip to: 14587
/* 14572 */   MCD::OPC_CheckPredicate, 33, 97, 1, // Skip to: 14929
/* 14576 */   MCD::OPC_CheckField, 13, 8, 0, 91, 1, // Skip to: 14929
/* 14582 */   MCD::OPC_Decode, 242, 16, 211, 2, // Opcode: SHILOV
/* 14587 */   MCD::OPC_FilterValue, 31, 82, 1, // Skip to: 14929
/* 14591 */   MCD::OPC_CheckPredicate, 33, 78, 1, // Skip to: 14929
/* 14595 */   MCD::OPC_CheckField, 13, 8, 0, 72, 1, // Skip to: 14929
/* 14601 */   MCD::OPC_Decode, 227, 13, 211, 2, // Opcode: MTHLIP
/* 14606 */   MCD::OPC_FilterValue, 59, 63, 1, // Skip to: 14929
/* 14610 */   MCD::OPC_CheckPredicate, 1, 59, 1, // Skip to: 14929
/* 14614 */   MCD::OPC_CheckField, 21, 5, 0, 53, 1, // Skip to: 14929
/* 14620 */   MCD::OPC_CheckField, 6, 5, 0, 47, 1, // Skip to: 14929
/* 14626 */   MCD::OPC_Decode, 228, 15, 212, 2, // Opcode: RDHWR
/* 14631 */   MCD::OPC_FilterValue, 32, 8, 0, // Skip to: 14643
/* 14635 */   MCD::OPC_CheckPredicate, 23, 34, 1, // Skip to: 14929
/* 14639 */   MCD::OPC_Decode, 219, 10, 108, // Opcode: LB
/* 14643 */   MCD::OPC_FilterValue, 33, 8, 0, // Skip to: 14655
/* 14647 */   MCD::OPC_CheckPredicate, 1, 22, 1, // Skip to: 14929
/* 14651 */   MCD::OPC_Decode, 137, 11, 108, // Opcode: LH
/* 14655 */   MCD::OPC_FilterValue, 34, 8, 0, // Skip to: 14667
/* 14659 */   MCD::OPC_CheckPredicate, 32, 10, 1, // Skip to: 14929
/* 14663 */   MCD::OPC_Decode, 195, 11, 108, // Opcode: LWL
/* 14667 */   MCD::OPC_FilterValue, 35, 8, 0, // Skip to: 14679
/* 14671 */   MCD::OPC_CheckPredicate, 1, 254, 0, // Skip to: 14929
/* 14675 */   MCD::OPC_Decode, 180, 11, 108, // Opcode: LW
/* 14679 */   MCD::OPC_FilterValue, 36, 8, 0, // Skip to: 14691
/* 14683 */   MCD::OPC_CheckPredicate, 23, 242, 0, // Skip to: 14929
/* 14687 */   MCD::OPC_Decode, 231, 10, 108, // Opcode: LBu
/* 14691 */   MCD::OPC_FilterValue, 37, 8, 0, // Skip to: 14703
/* 14695 */   MCD::OPC_CheckPredicate, 1, 230, 0, // Skip to: 14929
/* 14699 */   MCD::OPC_Decode, 145, 11, 108, // Opcode: LHu
/* 14703 */   MCD::OPC_FilterValue, 38, 8, 0, // Skip to: 14715
/* 14707 */   MCD::OPC_CheckPredicate, 32, 218, 0, // Skip to: 14929
/* 14711 */   MCD::OPC_Decode, 208, 11, 108, // Opcode: LWR
/* 14715 */   MCD::OPC_FilterValue, 40, 8, 0, // Skip to: 14727
/* 14719 */   MCD::OPC_CheckPredicate, 23, 206, 0, // Skip to: 14929
/* 14723 */   MCD::OPC_Decode, 156, 16, 108, // Opcode: SB
/* 14727 */   MCD::OPC_FilterValue, 41, 8, 0, // Skip to: 14739
/* 14731 */   MCD::OPC_CheckPredicate, 23, 194, 0, // Skip to: 14929
/* 14735 */   MCD::OPC_Decode, 231, 16, 108, // Opcode: SH
/* 14739 */   MCD::OPC_FilterValue, 42, 8, 0, // Skip to: 14751
/* 14743 */   MCD::OPC_CheckPredicate, 32, 182, 0, // Skip to: 14929
/* 14747 */   MCD::OPC_Decode, 221, 18, 108, // Opcode: SWL
/* 14751 */   MCD::OPC_FilterValue, 43, 8, 0, // Skip to: 14763
/* 14755 */   MCD::OPC_CheckPredicate, 1, 170, 0, // Skip to: 14929
/* 14759 */   MCD::OPC_Decode, 206, 18, 108, // Opcode: SW
/* 14763 */   MCD::OPC_FilterValue, 46, 8, 0, // Skip to: 14775
/* 14767 */   MCD::OPC_CheckPredicate, 32, 158, 0, // Skip to: 14929
/* 14771 */   MCD::OPC_Decode, 232, 18, 108, // Opcode: SWR
/* 14775 */   MCD::OPC_FilterValue, 47, 9, 0, // Skip to: 14788
/* 14779 */   MCD::OPC_CheckPredicate, 70, 146, 0, // Skip to: 14929
/* 14783 */   MCD::OPC_Decode, 152, 4, 213, 2, // Opcode: CACHE
/* 14788 */   MCD::OPC_FilterValue, 48, 8, 0, // Skip to: 14800
/* 14792 */   MCD::OPC_CheckPredicate, 71, 133, 0, // Skip to: 14929
/* 14796 */   MCD::OPC_Decode, 152, 11, 108, // Opcode: LL
/* 14800 */   MCD::OPC_FilterValue, 49, 9, 0, // Skip to: 14813
/* 14804 */   MCD::OPC_CheckPredicate, 46, 121, 0, // Skip to: 14929
/* 14808 */   MCD::OPC_Decode, 183, 11, 214, 2, // Opcode: LWC1
/* 14813 */   MCD::OPC_FilterValue, 50, 9, 0, // Skip to: 14826
/* 14817 */   MCD::OPC_CheckPredicate, 35, 108, 0, // Skip to: 14929
/* 14821 */   MCD::OPC_Decode, 185, 11, 215, 2, // Opcode: LWC2
/* 14826 */   MCD::OPC_FilterValue, 51, 9, 0, // Skip to: 14839
/* 14830 */   MCD::OPC_CheckPredicate, 70, 95, 0, // Skip to: 14929
/* 14834 */   MCD::OPC_Decode, 160, 15, 213, 2, // Opcode: PREF
/* 14839 */   MCD::OPC_FilterValue, 53, 9, 0, // Skip to: 14852
/* 14843 */   MCD::OPC_CheckPredicate, 72, 82, 0, // Skip to: 14929
/* 14847 */   MCD::OPC_Decode, 237, 10, 214, 2, // Opcode: LDC1
/* 14852 */   MCD::OPC_FilterValue, 54, 9, 0, // Skip to: 14865
/* 14856 */   MCD::OPC_CheckPredicate, 73, 69, 0, // Skip to: 14929
/* 14860 */   MCD::OPC_Decode, 241, 10, 215, 2, // Opcode: LDC2
/* 14865 */   MCD::OPC_FilterValue, 56, 8, 0, // Skip to: 14877
/* 14869 */   MCD::OPC_CheckPredicate, 71, 56, 0, // Skip to: 14929
/* 14873 */   MCD::OPC_Decode, 165, 16, 108, // Opcode: SC
/* 14877 */   MCD::OPC_FilterValue, 57, 9, 0, // Skip to: 14890
/* 14881 */   MCD::OPC_CheckPredicate, 46, 44, 0, // Skip to: 14929
/* 14885 */   MCD::OPC_Decode, 210, 18, 214, 2, // Opcode: SWC1
/* 14890 */   MCD::OPC_FilterValue, 58, 9, 0, // Skip to: 14903
/* 14894 */   MCD::OPC_CheckPredicate, 35, 31, 0, // Skip to: 14929
/* 14898 */   MCD::OPC_Decode, 212, 18, 215, 2, // Opcode: SWC2
/* 14903 */   MCD::OPC_FilterValue, 61, 9, 0, // Skip to: 14916
/* 14907 */   MCD::OPC_CheckPredicate, 72, 18, 0, // Skip to: 14929
/* 14911 */   MCD::OPC_Decode, 182, 16, 214, 2, // Opcode: SDC1
/* 14916 */   MCD::OPC_FilterValue, 62, 9, 0, // Skip to: 14929
/* 14920 */   MCD::OPC_CheckPredicate, 73, 5, 0, // Skip to: 14929
/* 14924 */   MCD::OPC_Decode, 186, 16, 215, 2, // Opcode: SDC2
/* 14929 */   MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32_64_PTR6432[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 21
/* 7 */       MCD::OPC_CheckPredicate, 74, 34, 0, // Skip to: 45
/* 11 */      MCD::OPC_CheckField, 0, 21, 8, 28, 0, // Skip to: 45
/* 17 */      MCD::OPC_Decode, 202, 10, 13, // Opcode: JR64
/* 21 */      MCD::OPC_FilterValue, 48, 8, 0, // Skip to: 33
/* 25 */      MCD::OPC_CheckPredicate, 75, 16, 0, // Skip to: 45
/* 29 */      MCD::OPC_Decode, 153, 11, 108, // Opcode: LL64
/* 33 */      MCD::OPC_FilterValue, 56, 8, 0, // Skip to: 45
/* 37 */      MCD::OPC_CheckPredicate, 75, 4, 0, // Skip to: 45
/* 41 */      MCD::OPC_Decode, 166, 16, 108, // Opcode: SC64
/* 45 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32r6_64r632[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 197, 1, // Skip to: 460
/* 7 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 10 */      MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 29
/* 14 */      MCD::OPC_CheckPredicate, 76, 142, 7, // Skip to: 1952
/* 18 */      MCD::OPC_CheckField, 8, 3, 0, 136, 7, // Skip to: 1952
/* 24 */      MCD::OPC_Decode, 172, 11, 180, 1, // Opcode: LSA_R6
/* 29 */      MCD::OPC_FilterValue, 9, 15, 0, // Skip to: 48
/* 33 */      MCD::OPC_CheckPredicate, 76, 123, 7, // Skip to: 1952
/* 37 */      MCD::OPC_CheckField, 6, 15, 16, 117, 7, // Skip to: 1952
/* 43 */      MCD::OPC_Decode, 208, 10, 181, 1, // Opcode: JR_HB_R6
/* 48 */      MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 61
/* 52 */      MCD::OPC_CheckPredicate, 77, 104, 7, // Skip to: 1952
/* 56 */      MCD::OPC_Decode, 181, 16, 183, 1, // Opcode: SDBBP_R6
/* 61 */      MCD::OPC_FilterValue, 16, 20, 0, // Skip to: 85
/* 65 */      MCD::OPC_CheckPredicate, 76, 91, 7, // Skip to: 1952
/* 69 */      MCD::OPC_CheckField, 16, 5, 0, 85, 7, // Skip to: 1952
/* 75 */      MCD::OPC_CheckField, 6, 5, 1, 79, 7, // Skip to: 1952
/* 81 */      MCD::OPC_Decode, 230, 4, 14, // Opcode: CLZ_R6
/* 85 */      MCD::OPC_FilterValue, 17, 20, 0, // Skip to: 109
/* 89 */      MCD::OPC_CheckPredicate, 76, 67, 7, // Skip to: 1952
/* 93 */      MCD::OPC_CheckField, 16, 5, 0, 61, 7, // Skip to: 1952
/* 99 */      MCD::OPC_CheckField, 6, 5, 1, 55, 7, // Skip to: 1952
/* 105 */     MCD::OPC_Decode, 210, 4, 14, // Opcode: CLO_R6
/* 109 */     MCD::OPC_FilterValue, 18, 20, 0, // Skip to: 133
/* 113 */     MCD::OPC_CheckPredicate, 78, 43, 7, // Skip to: 1952
/* 117 */     MCD::OPC_CheckField, 16, 5, 0, 37, 7, // Skip to: 1952
/* 123 */     MCD::OPC_CheckField, 6, 5, 1, 31, 7, // Skip to: 1952
/* 129 */     MCD::OPC_Decode, 232, 6, 15, // Opcode: DCLZ_R6
/* 133 */     MCD::OPC_FilterValue, 19, 20, 0, // Skip to: 157
/* 137 */     MCD::OPC_CheckPredicate, 78, 19, 7, // Skip to: 1952
/* 141 */     MCD::OPC_CheckField, 16, 5, 0, 13, 7, // Skip to: 1952
/* 147 */     MCD::OPC_CheckField, 6, 5, 1, 7, 7, // Skip to: 1952
/* 153 */     MCD::OPC_Decode, 229, 6, 15, // Opcode: DCLO_R6
/* 157 */     MCD::OPC_FilterValue, 21, 15, 0, // Skip to: 176
/* 161 */     MCD::OPC_CheckPredicate, 78, 251, 6, // Skip to: 1952
/* 165 */     MCD::OPC_CheckField, 8, 3, 0, 245, 6, // Skip to: 1952
/* 171 */     MCD::OPC_Decode, 142, 7, 189, 1, // Opcode: DLSA_R6
/* 176 */     MCD::OPC_FilterValue, 24, 27, 0, // Skip to: 207
/* 180 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 183 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 195
/* 187 */     MCD::OPC_CheckPredicate, 77, 225, 6, // Skip to: 1952
/* 191 */     MCD::OPC_Decode, 171, 14, 49, // Opcode: MUL_R6
/* 195 */     MCD::OPC_FilterValue, 3, 217, 6, // Skip to: 1952
/* 199 */     MCD::OPC_CheckPredicate, 77, 213, 6, // Skip to: 1952
/* 203 */     MCD::OPC_Decode, 249, 13, 49, // Opcode: MUH
/* 207 */     MCD::OPC_FilterValue, 25, 27, 0, // Skip to: 238
/* 211 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 214 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 226
/* 218 */     MCD::OPC_CheckPredicate, 77, 194, 6, // Skip to: 1952
/* 222 */     MCD::OPC_Decode, 159, 14, 49, // Opcode: MULU
/* 226 */     MCD::OPC_FilterValue, 3, 186, 6, // Skip to: 1952
/* 230 */     MCD::OPC_CheckPredicate, 77, 182, 6, // Skip to: 1952
/* 234 */     MCD::OPC_Decode, 250, 13, 49, // Opcode: MUHU
/* 238 */     MCD::OPC_FilterValue, 26, 27, 0, // Skip to: 269
/* 242 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 245 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 257
/* 249 */     MCD::OPC_CheckPredicate, 77, 163, 6, // Skip to: 1952
/* 253 */     MCD::OPC_Decode, 254, 6, 49, // Opcode: DIV
/* 257 */     MCD::OPC_FilterValue, 3, 155, 6, // Skip to: 1952
/* 261 */     MCD::OPC_CheckPredicate, 77, 151, 6, // Skip to: 1952
/* 265 */     MCD::OPC_Decode, 248, 12, 49, // Opcode: MOD
/* 269 */     MCD::OPC_FilterValue, 27, 27, 0, // Skip to: 300
/* 273 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 276 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 288
/* 280 */     MCD::OPC_CheckPredicate, 77, 132, 6, // Skip to: 1952
/* 284 */     MCD::OPC_Decode, 255, 6, 49, // Opcode: DIVU
/* 288 */     MCD::OPC_FilterValue, 3, 124, 6, // Skip to: 1952
/* 292 */     MCD::OPC_CheckPredicate, 77, 120, 6, // Skip to: 1952
/* 296 */     MCD::OPC_Decode, 251, 12, 49, // Opcode: MODU
/* 300 */     MCD::OPC_FilterValue, 28, 27, 0, // Skip to: 331
/* 304 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 307 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 319
/* 311 */     MCD::OPC_CheckPredicate, 78, 101, 6, // Skip to: 1952
/* 315 */     MCD::OPC_Decode, 176, 7, 12, // Opcode: DMUL_R6
/* 319 */     MCD::OPC_FilterValue, 3, 93, 6, // Skip to: 1952
/* 323 */     MCD::OPC_CheckPredicate, 78, 89, 6, // Skip to: 1952
/* 327 */     MCD::OPC_Decode, 162, 7, 12, // Opcode: DMUH
/* 331 */     MCD::OPC_FilterValue, 29, 27, 0, // Skip to: 362
/* 335 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 338 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 350
/* 342 */     MCD::OPC_CheckPredicate, 78, 70, 6, // Skip to: 1952
/* 346 */     MCD::OPC_Decode, 173, 7, 12, // Opcode: DMULU
/* 350 */     MCD::OPC_FilterValue, 3, 62, 6, // Skip to: 1952
/* 354 */     MCD::OPC_CheckPredicate, 78, 58, 6, // Skip to: 1952
/* 358 */     MCD::OPC_Decode, 163, 7, 12, // Opcode: DMUHU
/* 362 */     MCD::OPC_FilterValue, 30, 27, 0, // Skip to: 393
/* 366 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 369 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 381
/* 373 */     MCD::OPC_CheckPredicate, 78, 39, 6, // Skip to: 1952
/* 377 */     MCD::OPC_Decode, 233, 6, 12, // Opcode: DDIV
/* 381 */     MCD::OPC_FilterValue, 3, 31, 6, // Skip to: 1952
/* 385 */     MCD::OPC_CheckPredicate, 78, 27, 6, // Skip to: 1952
/* 389 */     MCD::OPC_Decode, 150, 7, 12, // Opcode: DMOD
/* 393 */     MCD::OPC_FilterValue, 31, 27, 0, // Skip to: 424
/* 397 */     MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 400 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 412
/* 404 */     MCD::OPC_CheckPredicate, 78, 8, 6, // Skip to: 1952
/* 408 */     MCD::OPC_Decode, 234, 6, 12, // Opcode: DDIVU
/* 412 */     MCD::OPC_FilterValue, 3, 0, 6, // Skip to: 1952
/* 416 */     MCD::OPC_CheckPredicate, 78, 252, 5, // Skip to: 1952
/* 420 */     MCD::OPC_Decode, 151, 7, 12, // Opcode: DMODU
/* 424 */     MCD::OPC_FilterValue, 53, 14, 0, // Skip to: 442
/* 428 */     MCD::OPC_CheckPredicate, 79, 240, 5, // Skip to: 1952
/* 432 */     MCD::OPC_CheckField, 6, 5, 0, 234, 5, // Skip to: 1952
/* 438 */     MCD::OPC_Decode, 209, 16, 49, // Opcode: SELEQZ
/* 442 */     MCD::OPC_FilterValue, 55, 226, 5, // Skip to: 1952
/* 446 */     MCD::OPC_CheckPredicate, 79, 222, 5, // Skip to: 1952
/* 450 */     MCD::OPC_CheckField, 6, 5, 0, 216, 5, // Skip to: 1952
/* 456 */     MCD::OPC_Decode, 216, 16, 49, // Opcode: SELNEZ
/* 460 */     MCD::OPC_FilterValue, 1, 48, 0, // Skip to: 512
/* 464 */     MCD::OPC_ExtractField, 16, 5,  // Inst{20-16} ...
/* 467 */     MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 480
/* 471 */     MCD::OPC_CheckPredicate, 78, 197, 5, // Skip to: 1952
/* 475 */     MCD::OPC_Decode, 217, 6, 216, 2, // Opcode: DAHI
/* 480 */     MCD::OPC_FilterValue, 17, 15, 0, // Skip to: 499
/* 484 */     MCD::OPC_CheckPredicate, 76, 184, 5, // Skip to: 1952
/* 488 */     MCD::OPC_CheckField, 21, 5, 0, 178, 5, // Skip to: 1952
/* 494 */     MCD::OPC_Decode, 154, 2, 193, 1, // Opcode: BAL
/* 499 */     MCD::OPC_FilterValue, 30, 169, 5, // Skip to: 1952
/* 503 */     MCD::OPC_CheckPredicate, 78, 165, 5, // Skip to: 1952
/* 507 */     MCD::OPC_Decode, 221, 6, 216, 2, // Opcode: DATI
/* 512 */     MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 525
/* 516 */     MCD::OPC_CheckPredicate, 77, 152, 5, // Skip to: 1952
/* 520 */     MCD::OPC_Decode, 222, 2, 217, 2, // Opcode: BGEZALC
/* 525 */     MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 538
/* 529 */     MCD::OPC_CheckPredicate, 77, 139, 5, // Skip to: 1952
/* 533 */     MCD::OPC_Decode, 175, 3, 218, 2, // Opcode: BLTZALC
/* 538 */     MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 551
/* 542 */     MCD::OPC_CheckPredicate, 77, 126, 5, // Skip to: 1952
/* 546 */     MCD::OPC_Decode, 191, 2, 219, 2, // Opcode: BEQC
/* 551 */     MCD::OPC_FilterValue, 15, 9, 0, // Skip to: 564
/* 555 */     MCD::OPC_CheckPredicate, 76, 113, 5, // Skip to: 1952
/* 559 */     MCD::OPC_Decode, 250, 1, 197, 1, // Opcode: AUI
/* 564 */     MCD::OPC_FilterValue, 16, 39, 0, // Skip to: 607
/* 568 */     MCD::OPC_ExtractField, 0, 16,  // Inst{15-0} ...
/* 571 */     MCD::OPC_FilterValue, 4, 14, 0, // Skip to: 589
/* 575 */     MCD::OPC_CheckPredicate, 76, 93, 5, // Skip to: 1952
/* 579 */     MCD::OPC_CheckField, 21, 5, 11, 87, 5, // Skip to: 1952
/* 585 */     MCD::OPC_Decode, 161, 8, 73, // Opcode: EVP
/* 589 */     MCD::OPC_FilterValue, 36, 79, 5, // Skip to: 1952
/* 593 */     MCD::OPC_CheckPredicate, 76, 75, 5, // Skip to: 1952
/* 597 */     MCD::OPC_CheckField, 21, 5, 11, 69, 5, // Skip to: 1952
/* 603 */     MCD::OPC_Decode, 143, 8, 73, // Opcode: DVP
/* 607 */     MCD::OPC_FilterValue, 17, 15, 3, // Skip to: 1394
/* 611 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 614 */     MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 627
/* 618 */     MCD::OPC_CheckPredicate, 80, 50, 5, // Skip to: 1952
/* 622 */     MCD::OPC_Decode, 166, 2, 220, 2, // Opcode: BC1EQZ
/* 627 */     MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 640
/* 631 */     MCD::OPC_CheckPredicate, 80, 37, 5, // Skip to: 1952
/* 635 */     MCD::OPC_Decode, 171, 2, 220, 2, // Opcode: BC1NEZ
/* 640 */     MCD::OPC_FilterValue, 16, 158, 0, // Skip to: 802
/* 644 */     MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 647 */     MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 660
/* 651 */     MCD::OPC_CheckPredicate, 80, 17, 5, // Skip to: 1952
/* 655 */     MCD::OPC_Decode, 225, 16, 221, 2, // Opcode: SEL_S
/* 660 */     MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 673
/* 664 */     MCD::OPC_CheckPredicate, 80, 4, 5, // Skip to: 1952
/* 668 */     MCD::OPC_Decode, 214, 16, 211, 1, // Opcode: SELEQZ_S
/* 673 */     MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 686
/* 677 */     MCD::OPC_CheckPredicate, 80, 247, 4, // Skip to: 1952
/* 681 */     MCD::OPC_Decode, 221, 16, 211, 1, // Opcode: SELNEZ_S
/* 686 */     MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 699
/* 690 */     MCD::OPC_CheckPredicate, 80, 234, 4, // Skip to: 1952
/* 694 */     MCD::OPC_Decode, 252, 11, 222, 2, // Opcode: MADDF_S
/* 699 */     MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 712
/* 703 */     MCD::OPC_CheckPredicate, 80, 221, 4, // Skip to: 1952
/* 707 */     MCD::OPC_Decode, 185, 13, 222, 2, // Opcode: MSUBF_S
/* 712 */     MCD::OPC_FilterValue, 26, 15, 0, // Skip to: 731
/* 716 */     MCD::OPC_CheckPredicate, 80, 208, 4, // Skip to: 1952
/* 720 */     MCD::OPC_CheckField, 16, 5, 0, 202, 4, // Skip to: 1952
/* 726 */     MCD::OPC_Decode, 247, 15, 212, 1, // Opcode: RINT_S
/* 731 */     MCD::OPC_FilterValue, 27, 15, 0, // Skip to: 750
/* 735 */     MCD::OPC_CheckPredicate, 80, 189, 4, // Skip to: 1952
/* 739 */     MCD::OPC_CheckField, 16, 5, 0, 183, 4, // Skip to: 1952
/* 745 */     MCD::OPC_Decode, 189, 4, 212, 1, // Opcode: CLASS_S
/* 750 */     MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 763
/* 754 */     MCD::OPC_CheckPredicate, 80, 170, 4, // Skip to: 1952
/* 758 */     MCD::OPC_Decode, 236, 12, 211, 1, // Opcode: MIN_S
/* 763 */     MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 776
/* 767 */     MCD::OPC_CheckPredicate, 80, 157, 4, // Skip to: 1952
/* 771 */     MCD::OPC_Decode, 172, 12, 211, 1, // Opcode: MAX_S
/* 776 */     MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 789
/* 780 */     MCD::OPC_CheckPredicate, 80, 144, 4, // Skip to: 1952
/* 784 */     MCD::OPC_Decode, 220, 12, 211, 1, // Opcode: MINA_S
/* 789 */     MCD::OPC_FilterValue, 31, 135, 4, // Skip to: 1952
/* 793 */     MCD::OPC_CheckPredicate, 80, 131, 4, // Skip to: 1952
/* 797 */     MCD::OPC_Decode, 156, 12, 211, 1, // Opcode: MAXA_S
/* 802 */     MCD::OPC_FilterValue, 17, 158, 0, // Skip to: 964
/* 806 */     MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 809 */     MCD::OPC_FilterValue, 16, 9, 0, // Skip to: 822
/* 813 */     MCD::OPC_CheckPredicate, 80, 111, 4, // Skip to: 1952
/* 817 */     MCD::OPC_Decode, 223, 16, 223, 2, // Opcode: SEL_D
/* 822 */     MCD::OPC_FilterValue, 20, 9, 0, // Skip to: 835
/* 826 */     MCD::OPC_CheckPredicate, 80, 98, 4, // Skip to: 1952
/* 830 */     MCD::OPC_Decode, 211, 16, 224, 2, // Opcode: SELEQZ_D
/* 835 */     MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 848
/* 839 */     MCD::OPC_CheckPredicate, 80, 85, 4, // Skip to: 1952
/* 843 */     MCD::OPC_Decode, 218, 16, 224, 2, // Opcode: SELNEZ_D
/* 848 */     MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 861
/* 852 */     MCD::OPC_CheckPredicate, 80, 72, 4, // Skip to: 1952
/* 856 */     MCD::OPC_Decode, 250, 11, 225, 2, // Opcode: MADDF_D
/* 861 */     MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 874
/* 865 */     MCD::OPC_CheckPredicate, 80, 59, 4, // Skip to: 1952
/* 869 */     MCD::OPC_Decode, 183, 13, 225, 2, // Opcode: MSUBF_D
/* 874 */     MCD::OPC_FilterValue, 26, 15, 0, // Skip to: 893
/* 878 */     MCD::OPC_CheckPredicate, 80, 46, 4, // Skip to: 1952
/* 882 */     MCD::OPC_CheckField, 16, 5, 0, 40, 4, // Skip to: 1952
/* 888 */     MCD::OPC_Decode, 245, 15, 223, 1, // Opcode: RINT_D
/* 893 */     MCD::OPC_FilterValue, 27, 15, 0, // Skip to: 912
/* 897 */     MCD::OPC_CheckPredicate, 80, 27, 4, // Skip to: 1952
/* 901 */     MCD::OPC_CheckField, 16, 5, 0, 21, 4, // Skip to: 1952
/* 907 */     MCD::OPC_Decode, 187, 4, 223, 1, // Opcode: CLASS_D
/* 912 */     MCD::OPC_FilterValue, 28, 9, 0, // Skip to: 925
/* 916 */     MCD::OPC_CheckPredicate, 80, 8, 4, // Skip to: 1952
/* 920 */     MCD::OPC_Decode, 234, 12, 224, 2, // Opcode: MIN_D
/* 925 */     MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 938
/* 929 */     MCD::OPC_CheckPredicate, 80, 251, 3, // Skip to: 1952
/* 933 */     MCD::OPC_Decode, 170, 12, 224, 2, // Opcode: MAX_D
/* 938 */     MCD::OPC_FilterValue, 30, 9, 0, // Skip to: 951
/* 942 */     MCD::OPC_CheckPredicate, 80, 238, 3, // Skip to: 1952
/* 946 */     MCD::OPC_Decode, 218, 12, 224, 2, // Opcode: MINA_D
/* 951 */     MCD::OPC_FilterValue, 31, 229, 3, // Skip to: 1952
/* 955 */     MCD::OPC_CheckPredicate, 80, 225, 3, // Skip to: 1952
/* 959 */     MCD::OPC_Decode, 154, 12, 224, 2, // Opcode: MAXA_D
/* 964 */     MCD::OPC_FilterValue, 20, 211, 0, // Skip to: 1179
/* 968 */     MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 971 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 984
/* 975 */     MCD::OPC_CheckPredicate, 80, 205, 3, // Skip to: 1952
/* 979 */     MCD::OPC_Decode, 130, 5, 226, 2, // Opcode: CMP_F_S
/* 984 */     MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 997
/* 988 */     MCD::OPC_CheckPredicate, 80, 192, 3, // Skip to: 1952
/* 992 */     MCD::OPC_Decode, 189, 5, 226, 2, // Opcode: CMP_UN_S
/* 997 */     MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1010
/* 1001 */    MCD::OPC_CheckPredicate, 80, 179, 3, // Skip to: 1952
/* 1005 */    MCD::OPC_Decode, 255, 4, 226, 2, // Opcode: CMP_EQ_S
/* 1010 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 1023
/* 1014 */    MCD::OPC_CheckPredicate, 80, 166, 3, // Skip to: 1952
/* 1018 */    MCD::OPC_Decode, 177, 5, 226, 2, // Opcode: CMP_UEQ_S
/* 1023 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 1036
/* 1027 */    MCD::OPC_CheckPredicate, 80, 153, 3, // Skip to: 1952
/* 1031 */    MCD::OPC_Decode, 141, 5, 226, 2, // Opcode: CMP_LT_S
/* 1036 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 1049
/* 1040 */    MCD::OPC_CheckPredicate, 80, 140, 3, // Skip to: 1952
/* 1044 */    MCD::OPC_Decode, 185, 5, 226, 2, // Opcode: CMP_ULT_S
/* 1049 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 1062
/* 1053 */    MCD::OPC_CheckPredicate, 80, 127, 3, // Skip to: 1952
/* 1057 */    MCD::OPC_Decode, 135, 5, 226, 2, // Opcode: CMP_LE_S
/* 1062 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 1075
/* 1066 */    MCD::OPC_CheckPredicate, 80, 114, 3, // Skip to: 1952
/* 1070 */    MCD::OPC_Decode, 181, 5, 226, 2, // Opcode: CMP_ULE_S
/* 1075 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 1088
/* 1079 */    MCD::OPC_CheckPredicate, 80, 101, 3, // Skip to: 1952
/* 1083 */    MCD::OPC_Decode, 145, 5, 226, 2, // Opcode: CMP_SAF_S
/* 1088 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 1101
/* 1092 */    MCD::OPC_CheckPredicate, 80, 88, 3, // Skip to: 1952
/* 1096 */    MCD::OPC_Decode, 173, 5, 226, 2, // Opcode: CMP_SUN_S
/* 1101 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 1114
/* 1105 */    MCD::OPC_CheckPredicate, 80, 75, 3, // Skip to: 1952
/* 1109 */    MCD::OPC_Decode, 149, 5, 226, 2, // Opcode: CMP_SEQ_S
/* 1114 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1127
/* 1118 */    MCD::OPC_CheckPredicate, 80, 62, 3, // Skip to: 1952
/* 1122 */    MCD::OPC_Decode, 161, 5, 226, 2, // Opcode: CMP_SUEQ_S
/* 1127 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 1140
/* 1131 */    MCD::OPC_CheckPredicate, 80, 49, 3, // Skip to: 1952
/* 1135 */    MCD::OPC_Decode, 157, 5, 226, 2, // Opcode: CMP_SLT_S
/* 1140 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 1153
/* 1144 */    MCD::OPC_CheckPredicate, 80, 36, 3, // Skip to: 1952
/* 1148 */    MCD::OPC_Decode, 169, 5, 226, 2, // Opcode: CMP_SULT_S
/* 1153 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 1166
/* 1157 */    MCD::OPC_CheckPredicate, 80, 23, 3, // Skip to: 1952
/* 1161 */    MCD::OPC_Decode, 153, 5, 226, 2, // Opcode: CMP_SLE_S
/* 1166 */    MCD::OPC_FilterValue, 15, 14, 3, // Skip to: 1952
/* 1170 */    MCD::OPC_CheckPredicate, 80, 10, 3, // Skip to: 1952
/* 1174 */    MCD::OPC_Decode, 165, 5, 226, 2, // Opcode: CMP_SULE_S
/* 1179 */    MCD::OPC_FilterValue, 21, 1, 3, // Skip to: 1952
/* 1183 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 1186 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 1199
/* 1190 */    MCD::OPC_CheckPredicate, 80, 246, 2, // Skip to: 1952
/* 1194 */    MCD::OPC_Decode, 129, 5, 227, 2, // Opcode: CMP_F_D
/* 1199 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 1212
/* 1203 */    MCD::OPC_CheckPredicate, 80, 233, 2, // Skip to: 1952
/* 1207 */    MCD::OPC_Decode, 187, 5, 227, 2, // Opcode: CMP_UN_D
/* 1212 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1225
/* 1216 */    MCD::OPC_CheckPredicate, 80, 220, 2, // Skip to: 1952
/* 1220 */    MCD::OPC_Decode, 251, 4, 227, 2, // Opcode: CMP_EQ_D
/* 1225 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 1238
/* 1229 */    MCD::OPC_CheckPredicate, 80, 207, 2, // Skip to: 1952
/* 1233 */    MCD::OPC_Decode, 175, 5, 227, 2, // Opcode: CMP_UEQ_D
/* 1238 */    MCD::OPC_FilterValue, 4, 9, 0, // Skip to: 1251
/* 1242 */    MCD::OPC_CheckPredicate, 80, 194, 2, // Skip to: 1952
/* 1246 */    MCD::OPC_Decode, 137, 5, 227, 2, // Opcode: CMP_LT_D
/* 1251 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 1264
/* 1255 */    MCD::OPC_CheckPredicate, 80, 181, 2, // Skip to: 1952
/* 1259 */    MCD::OPC_Decode, 183, 5, 227, 2, // Opcode: CMP_ULT_D
/* 1264 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 1277
/* 1268 */    MCD::OPC_CheckPredicate, 80, 168, 2, // Skip to: 1952
/* 1272 */    MCD::OPC_Decode, 131, 5, 227, 2, // Opcode: CMP_LE_D
/* 1277 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 1290
/* 1281 */    MCD::OPC_CheckPredicate, 80, 155, 2, // Skip to: 1952
/* 1285 */    MCD::OPC_Decode, 179, 5, 227, 2, // Opcode: CMP_ULE_D
/* 1290 */    MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 1303
/* 1294 */    MCD::OPC_CheckPredicate, 80, 142, 2, // Skip to: 1952
/* 1298 */    MCD::OPC_Decode, 143, 5, 227, 2, // Opcode: CMP_SAF_D
/* 1303 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 1316
/* 1307 */    MCD::OPC_CheckPredicate, 80, 129, 2, // Skip to: 1952
/* 1311 */    MCD::OPC_Decode, 171, 5, 227, 2, // Opcode: CMP_SUN_D
/* 1316 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 1329
/* 1320 */    MCD::OPC_CheckPredicate, 80, 116, 2, // Skip to: 1952
/* 1324 */    MCD::OPC_Decode, 147, 5, 227, 2, // Opcode: CMP_SEQ_D
/* 1329 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1342
/* 1333 */    MCD::OPC_CheckPredicate, 80, 103, 2, // Skip to: 1952
/* 1337 */    MCD::OPC_Decode, 159, 5, 227, 2, // Opcode: CMP_SUEQ_D
/* 1342 */    MCD::OPC_FilterValue, 12, 9, 0, // Skip to: 1355
/* 1346 */    MCD::OPC_CheckPredicate, 80, 90, 2, // Skip to: 1952
/* 1350 */    MCD::OPC_Decode, 155, 5, 227, 2, // Opcode: CMP_SLT_D
/* 1355 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 1368
/* 1359 */    MCD::OPC_CheckPredicate, 80, 77, 2, // Skip to: 1952
/* 1363 */    MCD::OPC_Decode, 167, 5, 227, 2, // Opcode: CMP_SULT_D
/* 1368 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 1381
/* 1372 */    MCD::OPC_CheckPredicate, 80, 64, 2, // Skip to: 1952
/* 1376 */    MCD::OPC_Decode, 151, 5, 227, 2, // Opcode: CMP_SLE_D
/* 1381 */    MCD::OPC_FilterValue, 15, 55, 2, // Skip to: 1952
/* 1385 */    MCD::OPC_CheckPredicate, 80, 51, 2, // Skip to: 1952
/* 1389 */    MCD::OPC_Decode, 163, 5, 227, 2, // Opcode: CMP_SULE_D
/* 1394 */    MCD::OPC_FilterValue, 18, 81, 0, // Skip to: 1479
/* 1398 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 1401 */    MCD::OPC_FilterValue, 9, 9, 0, // Skip to: 1414
/* 1405 */    MCD::OPC_CheckPredicate, 77, 31, 2, // Skip to: 1952
/* 1409 */    MCD::OPC_Decode, 176, 2, 228, 2, // Opcode: BC2EQZ
/* 1414 */    MCD::OPC_FilterValue, 10, 9, 0, // Skip to: 1427
/* 1418 */    MCD::OPC_CheckPredicate, 77, 18, 2, // Skip to: 1952
/* 1422 */    MCD::OPC_Decode, 187, 11, 229, 2, // Opcode: LWC2_R6
/* 1427 */    MCD::OPC_FilterValue, 11, 9, 0, // Skip to: 1440
/* 1431 */    MCD::OPC_CheckPredicate, 77, 5, 2, // Skip to: 1952
/* 1435 */    MCD::OPC_Decode, 214, 18, 229, 2, // Opcode: SWC2_R6
/* 1440 */    MCD::OPC_FilterValue, 13, 9, 0, // Skip to: 1453
/* 1444 */    MCD::OPC_CheckPredicate, 77, 248, 1, // Skip to: 1952
/* 1448 */    MCD::OPC_Decode, 178, 2, 228, 2, // Opcode: BC2NEZ
/* 1453 */    MCD::OPC_FilterValue, 14, 9, 0, // Skip to: 1466
/* 1457 */    MCD::OPC_CheckPredicate, 77, 235, 1, // Skip to: 1952
/* 1461 */    MCD::OPC_Decode, 243, 10, 229, 2, // Opcode: LDC2_R6
/* 1466 */    MCD::OPC_FilterValue, 15, 226, 1, // Skip to: 1952
/* 1470 */    MCD::OPC_CheckPredicate, 77, 222, 1, // Skip to: 1952
/* 1474 */    MCD::OPC_Decode, 188, 16, 229, 2, // Opcode: SDC2_R6
/* 1479 */    MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 1492
/* 1483 */    MCD::OPC_CheckPredicate, 77, 209, 1, // Skip to: 1952
/* 1487 */    MCD::OPC_Decode, 227, 2, 230, 2, // Opcode: BGEZC
/* 1492 */    MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 1505
/* 1496 */    MCD::OPC_CheckPredicate, 77, 196, 1, // Skip to: 1952
/* 1500 */    MCD::OPC_Decode, 180, 3, 231, 2, // Opcode: BLTZC
/* 1505 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 1518
/* 1509 */    MCD::OPC_CheckPredicate, 77, 183, 1, // Skip to: 1952
/* 1513 */    MCD::OPC_Decode, 191, 3, 232, 2, // Opcode: BNEC
/* 1518 */    MCD::OPC_FilterValue, 29, 9, 0, // Skip to: 1531
/* 1522 */    MCD::OPC_CheckPredicate, 78, 170, 1, // Skip to: 1952
/* 1526 */    MCD::OPC_Decode, 223, 6, 233, 2, // Opcode: DAUI
/* 1531 */    MCD::OPC_FilterValue, 31, 183, 0, // Skip to: 1718
/* 1535 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 1538 */    MCD::OPC_FilterValue, 32, 41, 0, // Skip to: 1583
/* 1542 */    MCD::OPC_ExtractField, 8, 3,  // Inst{10-8} ...
/* 1545 */    MCD::OPC_FilterValue, 0, 21, 0, // Skip to: 1570
/* 1549 */    MCD::OPC_CheckPredicate, 76, 143, 1, // Skip to: 1952
/* 1553 */    MCD::OPC_CheckField, 21, 5, 0, 137, 1, // Skip to: 1952
/* 1559 */    MCD::OPC_CheckField, 6, 2, 0, 131, 1, // Skip to: 1952
/* 1565 */    MCD::OPC_Decode, 139, 3, 199, 2, // Opcode: BITSWAP
/* 1570 */    MCD::OPC_FilterValue, 2, 122, 1, // Skip to: 1952
/* 1574 */    MCD::OPC_CheckPredicate, 76, 118, 1, // Skip to: 1952
/* 1578 */    MCD::OPC_Decode, 187, 1, 234, 2, // Opcode: ALIGN
/* 1583 */    MCD::OPC_FilterValue, 36, 41, 0, // Skip to: 1628
/* 1587 */    MCD::OPC_ExtractField, 9, 2,  // Inst{10-9} ...
/* 1590 */    MCD::OPC_FilterValue, 0, 21, 0, // Skip to: 1615
/* 1594 */    MCD::OPC_CheckPredicate, 78, 98, 1, // Skip to: 1952
/* 1598 */    MCD::OPC_CheckField, 21, 5, 0, 92, 1, // Skip to: 1952
/* 1604 */    MCD::OPC_CheckField, 6, 3, 0, 86, 1, // Skip to: 1952
/* 1610 */    MCD::OPC_Decode, 225, 6, 235, 2, // Opcode: DBITSWAP
/* 1615 */    MCD::OPC_FilterValue, 1, 77, 1, // Skip to: 1952
/* 1619 */    MCD::OPC_CheckPredicate, 78, 73, 1, // Skip to: 1952
/* 1623 */    MCD::OPC_Decode, 219, 6, 236, 2, // Opcode: DALIGN
/* 1628 */    MCD::OPC_FilterValue, 37, 15, 0, // Skip to: 1647
/* 1632 */    MCD::OPC_CheckPredicate, 76, 60, 1, // Skip to: 1952
/* 1636 */    MCD::OPC_CheckField, 6, 1, 0, 54, 1, // Skip to: 1952
/* 1642 */    MCD::OPC_Decode, 158, 4, 204, 2, // Opcode: CACHE_R6
/* 1647 */    MCD::OPC_FilterValue, 38, 9, 0, // Skip to: 1660
/* 1651 */    MCD::OPC_CheckPredicate, 81, 41, 1, // Skip to: 1952
/* 1655 */    MCD::OPC_Decode, 174, 16, 237, 2, // Opcode: SC_R6
/* 1660 */    MCD::OPC_FilterValue, 39, 9, 0, // Skip to: 1673
/* 1664 */    MCD::OPC_CheckPredicate, 76, 28, 1, // Skip to: 1952
/* 1668 */    MCD::OPC_Decode, 169, 16, 237, 2, // Opcode: SCD_R6
/* 1673 */    MCD::OPC_FilterValue, 53, 15, 0, // Skip to: 1692
/* 1677 */    MCD::OPC_CheckPredicate, 76, 15, 1, // Skip to: 1952
/* 1681 */    MCD::OPC_CheckField, 6, 1, 0, 9, 1, // Skip to: 1952
/* 1687 */    MCD::OPC_Decode, 167, 15, 204, 2, // Opcode: PREF_R6
/* 1692 */    MCD::OPC_FilterValue, 54, 9, 0, // Skip to: 1705
/* 1696 */    MCD::OPC_CheckPredicate, 81, 252, 0, // Skip to: 1952
/* 1700 */    MCD::OPC_Decode, 162, 11, 237, 2, // Opcode: LL_R6
/* 1705 */    MCD::OPC_FilterValue, 55, 243, 0, // Skip to: 1952
/* 1709 */    MCD::OPC_CheckPredicate, 78, 239, 0, // Skip to: 1952
/* 1713 */    MCD::OPC_Decode, 157, 11, 237, 2, // Opcode: LLD_R6
/* 1718 */    MCD::OPC_FilterValue, 50, 9, 0, // Skip to: 1731
/* 1722 */    MCD::OPC_CheckPredicate, 76, 226, 0, // Skip to: 1952
/* 1726 */    MCD::OPC_Decode, 164, 2, 238, 2, // Opcode: BC
/* 1731 */    MCD::OPC_FilterValue, 53, 24, 0, // Skip to: 1759
/* 1735 */    MCD::OPC_CheckPredicate, 19, 11, 0, // Skip to: 1750
/* 1739 */    MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 1750
/* 1745 */    MCD::OPC_Decode, 246, 2, 174, 1, // Opcode: BGTZC_MMR6
/* 1750 */    MCD::OPC_CheckPredicate, 19, 198, 0, // Skip to: 1952
/* 1754 */    MCD::OPC_Decode, 182, 3, 174, 1, // Opcode: BLTZC_MMR6
/* 1759 */    MCD::OPC_FilterValue, 54, 23, 0, // Skip to: 1786
/* 1763 */    MCD::OPC_CheckPredicate, 76, 10, 0, // Skip to: 1777
/* 1767 */    MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 1777
/* 1773 */    MCD::OPC_Decode, 197, 10, 89, // Opcode: JIC
/* 1777 */    MCD::OPC_CheckPredicate, 77, 171, 0, // Skip to: 1952
/* 1781 */    MCD::OPC_Decode, 199, 2, 239, 2, // Opcode: BEQZC
/* 1786 */    MCD::OPC_FilterValue, 58, 9, 0, // Skip to: 1799
/* 1790 */    MCD::OPC_CheckPredicate, 76, 158, 0, // Skip to: 1952
/* 1794 */    MCD::OPC_Decode, 155, 2, 238, 2, // Opcode: BALC
/* 1799 */    MCD::OPC_FilterValue, 59, 94, 0, // Skip to: 1897
/* 1803 */    MCD::OPC_ExtractField, 19, 2,  // Inst{20-19} ...
/* 1806 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1818
/* 1810 */    MCD::OPC_CheckPredicate, 76, 138, 0, // Skip to: 1952
/* 1814 */    MCD::OPC_Decode, 112, 166, 1, // Opcode: ADDIUPC
/* 1818 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 1831
/* 1822 */    MCD::OPC_CheckPredicate, 76, 126, 0, // Skip to: 1952
/* 1826 */    MCD::OPC_Decode, 204, 11, 166, 1, // Opcode: LWPC
/* 1831 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1844
/* 1835 */    MCD::OPC_CheckPredicate, 77, 113, 0, // Skip to: 1952
/* 1839 */    MCD::OPC_Decode, 214, 11, 166, 1, // Opcode: LWUPC
/* 1844 */    MCD::OPC_FilterValue, 3, 104, 0, // Skip to: 1952
/* 1848 */    MCD::OPC_ExtractField, 18, 1,  // Inst{18} ...
/* 1851 */    MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 1864
/* 1855 */    MCD::OPC_CheckPredicate, 82, 93, 0, // Skip to: 1952
/* 1859 */    MCD::OPC_Decode, 251, 10, 168, 1, // Opcode: LDPC
/* 1864 */    MCD::OPC_FilterValue, 1, 84, 0, // Skip to: 1952
/* 1868 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 1871 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 1884
/* 1875 */    MCD::OPC_CheckPredicate, 76, 73, 0, // Skip to: 1952
/* 1879 */    MCD::OPC_Decode, 251, 1, 169, 1, // Opcode: AUIPC
/* 1884 */    MCD::OPC_FilterValue, 3, 64, 0, // Skip to: 1952
/* 1888 */    MCD::OPC_CheckPredicate, 76, 60, 0, // Skip to: 1952
/* 1892 */    MCD::OPC_Decode, 189, 1, 169, 1, // Opcode: ALUIPC
/* 1897 */    MCD::OPC_FilterValue, 61, 24, 0, // Skip to: 1925
/* 1901 */    MCD::OPC_CheckPredicate, 19, 11, 0, // Skip to: 1916
/* 1905 */    MCD::OPC_CheckField, 16, 5, 0, 5, 0, // Skip to: 1916
/* 1911 */    MCD::OPC_Decode, 155, 3, 177, 1, // Opcode: BLEZC_MMR6
/* 1916 */    MCD::OPC_CheckPredicate, 19, 32, 0, // Skip to: 1952
/* 1920 */    MCD::OPC_Decode, 229, 2, 177, 1, // Opcode: BGEZC_MMR6
/* 1925 */    MCD::OPC_FilterValue, 62, 23, 0, // Skip to: 1952
/* 1929 */    MCD::OPC_CheckPredicate, 76, 10, 0, // Skip to: 1943
/* 1933 */    MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 1943
/* 1939 */    MCD::OPC_Decode, 194, 10, 89, // Opcode: JIALC
/* 1943 */    MCD::OPC_CheckPredicate, 77, 5, 0, // Skip to: 1952
/* 1947 */    MCD::OPC_Decode, 207, 3, 239, 2, // Opcode: BNEZC
/* 1952 */    MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32r6_64r6_Ambiguous32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 6, 24, 0, // Skip to: 31
/* 7 */       MCD::OPC_CheckPredicate, 77, 11, 0, // Skip to: 22
/* 11 */      MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 22
/* 17 */      MCD::OPC_Decode, 151, 3, 217, 2, // Opcode: BLEZALC
/* 22 */      MCD::OPC_CheckPredicate, 77, 145, 0, // Skip to: 171
/* 26 */      MCD::OPC_Decode, 213, 2, 217, 2, // Opcode: BGEUC
/* 31 */      MCD::OPC_FilterValue, 7, 24, 0, // Skip to: 59
/* 35 */      MCD::OPC_CheckPredicate, 77, 11, 0, // Skip to: 50
/* 39 */      MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 50
/* 45 */      MCD::OPC_Decode, 242, 2, 218, 2, // Opcode: BGTZALC
/* 50 */      MCD::OPC_CheckPredicate, 77, 117, 0, // Skip to: 171
/* 54 */      MCD::OPC_Decode, 166, 3, 218, 2, // Opcode: BLTUC
/* 59 */      MCD::OPC_FilterValue, 8, 24, 0, // Skip to: 87
/* 63 */      MCD::OPC_CheckPredicate, 77, 11, 0, // Skip to: 78
/* 67 */      MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 78
/* 73 */      MCD::OPC_Decode, 197, 2, 232, 2, // Opcode: BEQZALC
/* 78 */      MCD::OPC_CheckPredicate, 77, 89, 0, // Skip to: 171
/* 82 */      MCD::OPC_Decode, 220, 3, 219, 2, // Opcode: BOVC
/* 87 */      MCD::OPC_FilterValue, 22, 24, 0, // Skip to: 115
/* 91 */      MCD::OPC_CheckPredicate, 77, 11, 0, // Skip to: 106
/* 95 */      MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 106
/* 101 */     MCD::OPC_Decode, 153, 3, 230, 2, // Opcode: BLEZC
/* 106 */     MCD::OPC_CheckPredicate, 77, 61, 0, // Skip to: 171
/* 110 */     MCD::OPC_Decode, 206, 2, 230, 2, // Opcode: BGEC
/* 115 */     MCD::OPC_FilterValue, 23, 24, 0, // Skip to: 143
/* 119 */     MCD::OPC_CheckPredicate, 77, 11, 0, // Skip to: 134
/* 123 */     MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 134
/* 129 */     MCD::OPC_Decode, 244, 2, 231, 2, // Opcode: BGTZC
/* 134 */     MCD::OPC_CheckPredicate, 77, 33, 0, // Skip to: 171
/* 138 */     MCD::OPC_Decode, 159, 3, 231, 2, // Opcode: BLTC
/* 143 */     MCD::OPC_FilterValue, 24, 24, 0, // Skip to: 171
/* 147 */     MCD::OPC_CheckPredicate, 77, 11, 0, // Skip to: 162
/* 151 */     MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 162
/* 157 */     MCD::OPC_Decode, 205, 3, 232, 2, // Opcode: BNEZALC
/* 162 */     MCD::OPC_CheckPredicate, 77, 5, 0, // Skip to: 171
/* 166 */     MCD::OPC_Decode, 213, 3, 232, 2, // Opcode: BNVC
/* 171 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32r6_64r6_BranchZero32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 22, 9, 0, // Skip to: 16
/* 7 */       MCD::OPC_CheckPredicate, 83, 18, 0, // Skip to: 29
/* 11 */      MCD::OPC_Decode, 228, 2, 230, 2, // Opcode: BGEZC64
/* 16 */      MCD::OPC_FilterValue, 23, 9, 0, // Skip to: 29
/* 20 */      MCD::OPC_CheckPredicate, 83, 5, 0, // Skip to: 29
/* 24 */      MCD::OPC_Decode, 181, 3, 231, 2, // Opcode: BLTZC64
/* 29 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32r6_64r6_GP6432[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 34
/* 7 */       MCD::OPC_ExtractField, 0, 11,  // Inst{10-0} ...
/* 10 */      MCD::OPC_FilterValue, 53, 8, 0, // Skip to: 22
/* 14 */      MCD::OPC_CheckPredicate, 84, 178, 0, // Skip to: 196
/* 18 */      MCD::OPC_Decode, 210, 16, 12, // Opcode: SELEQZ64
/* 22 */      MCD::OPC_FilterValue, 55, 170, 0, // Skip to: 196
/* 26 */      MCD::OPC_CheckPredicate, 84, 166, 0, // Skip to: 196
/* 30 */      MCD::OPC_Decode, 217, 16, 12, // Opcode: SELNEZ64
/* 34 */      MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 47
/* 38 */      MCD::OPC_CheckPredicate, 83, 154, 0, // Skip to: 196
/* 42 */      MCD::OPC_Decode, 214, 2, 217, 2, // Opcode: BGEUC64
/* 47 */      MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 60
/* 51 */      MCD::OPC_CheckPredicate, 83, 141, 0, // Skip to: 196
/* 55 */      MCD::OPC_Decode, 167, 3, 218, 2, // Opcode: BLTUC64
/* 60 */      MCD::OPC_FilterValue, 8, 9, 0, // Skip to: 73
/* 64 */      MCD::OPC_CheckPredicate, 83, 128, 0, // Skip to: 196
/* 68 */      MCD::OPC_Decode, 192, 2, 219, 2, // Opcode: BEQC64
/* 73 */      MCD::OPC_FilterValue, 22, 24, 0, // Skip to: 101
/* 77 */      MCD::OPC_CheckPredicate, 83, 11, 0, // Skip to: 92
/* 81 */      MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 92
/* 87 */      MCD::OPC_Decode, 154, 3, 230, 2, // Opcode: BLEZC64
/* 92 */      MCD::OPC_CheckPredicate, 83, 100, 0, // Skip to: 196
/* 96 */      MCD::OPC_Decode, 207, 2, 230, 2, // Opcode: BGEC64
/* 101 */     MCD::OPC_FilterValue, 23, 24, 0, // Skip to: 129
/* 105 */     MCD::OPC_CheckPredicate, 83, 11, 0, // Skip to: 120
/* 109 */     MCD::OPC_CheckField, 21, 5, 0, 5, 0, // Skip to: 120
/* 115 */     MCD::OPC_Decode, 245, 2, 231, 2, // Opcode: BGTZC64
/* 120 */     MCD::OPC_CheckPredicate, 83, 72, 0, // Skip to: 196
/* 124 */     MCD::OPC_Decode, 160, 3, 231, 2, // Opcode: BLTC64
/* 129 */     MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 142
/* 133 */     MCD::OPC_CheckPredicate, 83, 59, 0, // Skip to: 196
/* 137 */     MCD::OPC_Decode, 192, 3, 232, 2, // Opcode: BNEC64
/* 142 */     MCD::OPC_FilterValue, 54, 23, 0, // Skip to: 169
/* 146 */     MCD::OPC_CheckPredicate, 83, 10, 0, // Skip to: 160
/* 150 */     MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 160
/* 156 */     MCD::OPC_Decode, 198, 10, 11, // Opcode: JIC64
/* 160 */     MCD::OPC_CheckPredicate, 83, 32, 0, // Skip to: 196
/* 164 */     MCD::OPC_Decode, 201, 2, 240, 2, // Opcode: BEQZC64
/* 169 */     MCD::OPC_FilterValue, 62, 23, 0, // Skip to: 196
/* 173 */     MCD::OPC_CheckPredicate, 83, 10, 0, // Skip to: 187
/* 177 */     MCD::OPC_CheckField, 21, 5, 0, 4, 0, // Skip to: 187
/* 183 */     MCD::OPC_Decode, 195, 10, 11, // Opcode: JIALC64
/* 187 */     MCD::OPC_CheckPredicate, 83, 5, 0, // Skip to: 196
/* 191 */     MCD::OPC_Decode, 209, 3, 240, 2, // Opcode: BNEZC64
/* 196 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips32r6_64r6_PTR6432[] = {
/* 0 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 3 */       MCD::OPC_FilterValue, 38, 15, 0, // Skip to: 22
/* 7 */       MCD::OPC_CheckPredicate, 85, 30, 0, // Skip to: 41
/* 11 */      MCD::OPC_CheckField, 26, 6, 31, 24, 0, // Skip to: 41
/* 17 */      MCD::OPC_Decode, 167, 16, 237, 2, // Opcode: SC64_R6
/* 22 */      MCD::OPC_FilterValue, 54, 15, 0, // Skip to: 41
/* 26 */      MCD::OPC_CheckPredicate, 85, 11, 0, // Skip to: 41
/* 30 */      MCD::OPC_CheckField, 26, 6, 31, 5, 0, // Skip to: 41
/* 36 */      MCD::OPC_Decode, 154, 11, 237, 2, // Opcode: LL64_R6
/* 41 */      MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMips6432[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 132, 1, // Skip to: 395
/* 7 */       MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 10 */      MCD::OPC_FilterValue, 9, 20, 0, // Skip to: 34
/* 14 */      MCD::OPC_CheckPredicate, 23, 155, 8, // Skip to: 2221
/* 18 */      MCD::OPC_CheckField, 16, 5, 0, 149, 8, // Skip to: 2221
/* 24 */      MCD::OPC_CheckField, 6, 5, 0, 143, 8, // Skip to: 2221
/* 30 */      MCD::OPC_Decode, 180, 10, 15, // Opcode: JALR64
/* 34 */      MCD::OPC_FilterValue, 20, 15, 0, // Skip to: 53
/* 38 */      MCD::OPC_CheckPredicate, 86, 131, 8, // Skip to: 2221
/* 42 */      MCD::OPC_CheckField, 6, 5, 0, 125, 8, // Skip to: 2221
/* 48 */      MCD::OPC_Decode, 249, 7, 241, 2, // Opcode: DSLLV
/* 53 */      MCD::OPC_FilterValue, 22, 29, 0, // Skip to: 86
/* 57 */      MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 60 */      MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 73
/* 64 */      MCD::OPC_CheckPredicate, 86, 105, 8, // Skip to: 2221
/* 68 */      MCD::OPC_Decode, 133, 8, 241, 2, // Opcode: DSRLV
/* 73 */      MCD::OPC_FilterValue, 1, 96, 8, // Skip to: 2221
/* 77 */      MCD::OPC_CheckPredicate, 87, 92, 8, // Skip to: 2221
/* 81 */      MCD::OPC_Decode, 235, 7, 241, 2, // Opcode: DROTRV
/* 86 */      MCD::OPC_FilterValue, 23, 15, 0, // Skip to: 105
/* 90 */      MCD::OPC_CheckPredicate, 86, 79, 8, // Skip to: 2221
/* 94 */      MCD::OPC_CheckField, 6, 5, 0, 73, 8, // Skip to: 2221
/* 100 */     MCD::OPC_Decode, 255, 7, 241, 2, // Opcode: DSRAV
/* 105 */     MCD::OPC_FilterValue, 28, 15, 0, // Skip to: 124
/* 109 */     MCD::OPC_CheckPredicate, 88, 60, 8, // Skip to: 2221
/* 113 */     MCD::OPC_CheckField, 6, 10, 0, 54, 8, // Skip to: 2221
/* 119 */     MCD::OPC_Decode, 171, 7, 161, 1, // Opcode: DMULT
/* 124 */     MCD::OPC_FilterValue, 29, 15, 0, // Skip to: 143
/* 128 */     MCD::OPC_CheckPredicate, 88, 41, 8, // Skip to: 2221
/* 132 */     MCD::OPC_CheckField, 6, 10, 0, 35, 8, // Skip to: 2221
/* 138 */     MCD::OPC_Decode, 172, 7, 161, 1, // Opcode: DMULTu
/* 143 */     MCD::OPC_FilterValue, 30, 15, 0, // Skip to: 162
/* 147 */     MCD::OPC_CheckPredicate, 88, 22, 8, // Skip to: 2221
/* 151 */     MCD::OPC_CheckField, 6, 10, 0, 16, 8, // Skip to: 2221
/* 157 */     MCD::OPC_Decode, 240, 7, 161, 1, // Opcode: DSDIV
/* 162 */     MCD::OPC_FilterValue, 31, 15, 0, // Skip to: 181
/* 166 */     MCD::OPC_CheckPredicate, 88, 3, 8, // Skip to: 2221
/* 170 */     MCD::OPC_CheckField, 6, 10, 0, 253, 7, // Skip to: 2221
/* 176 */     MCD::OPC_Decode, 140, 8, 161, 1, // Opcode: DUDIV
/* 181 */     MCD::OPC_FilterValue, 44, 14, 0, // Skip to: 199
/* 185 */     MCD::OPC_CheckPredicate, 86, 240, 7, // Skip to: 2221
/* 189 */     MCD::OPC_CheckField, 6, 5, 0, 234, 7, // Skip to: 2221
/* 195 */     MCD::OPC_Decode, 210, 6, 12, // Opcode: DADD
/* 199 */     MCD::OPC_FilterValue, 45, 14, 0, // Skip to: 217
/* 203 */     MCD::OPC_CheckPredicate, 86, 222, 7, // Skip to: 2221
/* 207 */     MCD::OPC_CheckField, 6, 5, 0, 216, 7, // Skip to: 2221
/* 213 */     MCD::OPC_Decode, 216, 6, 12, // Opcode: DADDu
/* 217 */     MCD::OPC_FilterValue, 46, 14, 0, // Skip to: 235
/* 221 */     MCD::OPC_CheckPredicate, 86, 204, 7, // Skip to: 2221
/* 225 */     MCD::OPC_CheckField, 6, 5, 0, 198, 7, // Skip to: 2221
/* 231 */     MCD::OPC_Decode, 136, 8, 12, // Opcode: DSUB
/* 235 */     MCD::OPC_FilterValue, 47, 14, 0, // Skip to: 253
/* 239 */     MCD::OPC_CheckPredicate, 86, 186, 7, // Skip to: 2221
/* 243 */     MCD::OPC_CheckField, 6, 5, 0, 180, 7, // Skip to: 2221
/* 249 */     MCD::OPC_Decode, 139, 8, 12, // Opcode: DSUBu
/* 253 */     MCD::OPC_FilterValue, 56, 15, 0, // Skip to: 272
/* 257 */     MCD::OPC_CheckPredicate, 86, 168, 7, // Skip to: 2221
/* 261 */     MCD::OPC_CheckField, 21, 5, 0, 162, 7, // Skip to: 2221
/* 267 */     MCD::OPC_Decode, 245, 7, 242, 2, // Opcode: DSLL
/* 272 */     MCD::OPC_FilterValue, 58, 29, 0, // Skip to: 305
/* 276 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 279 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 292
/* 283 */     MCD::OPC_CheckPredicate, 86, 142, 7, // Skip to: 2221
/* 287 */     MCD::OPC_Decode, 130, 8, 242, 2, // Opcode: DSRL
/* 292 */     MCD::OPC_FilterValue, 1, 133, 7, // Skip to: 2221
/* 296 */     MCD::OPC_CheckPredicate, 87, 129, 7, // Skip to: 2221
/* 300 */     MCD::OPC_Decode, 232, 7, 242, 2, // Opcode: DROTR
/* 305 */     MCD::OPC_FilterValue, 59, 15, 0, // Skip to: 324
/* 309 */     MCD::OPC_CheckPredicate, 86, 116, 7, // Skip to: 2221
/* 313 */     MCD::OPC_CheckField, 21, 5, 0, 110, 7, // Skip to: 2221
/* 319 */     MCD::OPC_Decode, 252, 7, 242, 2, // Opcode: DSRA
/* 324 */     MCD::OPC_FilterValue, 60, 15, 0, // Skip to: 343
/* 328 */     MCD::OPC_CheckPredicate, 86, 97, 7, // Skip to: 2221
/* 332 */     MCD::OPC_CheckField, 21, 5, 0, 91, 7, // Skip to: 2221
/* 338 */     MCD::OPC_Decode, 246, 7, 242, 2, // Opcode: DSLL32
/* 343 */     MCD::OPC_FilterValue, 62, 29, 0, // Skip to: 376
/* 347 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 350 */     MCD::OPC_FilterValue, 0, 9, 0, // Skip to: 363
/* 354 */     MCD::OPC_CheckPredicate, 86, 71, 7, // Skip to: 2221
/* 358 */     MCD::OPC_Decode, 131, 8, 242, 2, // Opcode: DSRL32
/* 363 */     MCD::OPC_FilterValue, 1, 62, 7, // Skip to: 2221
/* 367 */     MCD::OPC_CheckPredicate, 87, 58, 7, // Skip to: 2221
/* 371 */     MCD::OPC_Decode, 233, 7, 242, 2, // Opcode: DROTR32
/* 376 */     MCD::OPC_FilterValue, 63, 49, 7, // Skip to: 2221
/* 380 */     MCD::OPC_CheckPredicate, 86, 45, 7, // Skip to: 2221
/* 384 */     MCD::OPC_CheckField, 21, 5, 0, 39, 7, // Skip to: 2221
/* 390 */     MCD::OPC_Decode, 253, 7, 242, 2, // Opcode: DSRA32
/* 395 */     MCD::OPC_FilterValue, 16, 41, 0, // Skip to: 440
/* 399 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 402 */     MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 421
/* 406 */     MCD::OPC_CheckPredicate, 89, 19, 7, // Skip to: 2221
/* 410 */     MCD::OPC_CheckField, 3, 8, 0, 13, 7, // Skip to: 2221
/* 416 */     MCD::OPC_Decode, 143, 7, 243, 2, // Opcode: DMFC0
/* 421 */     MCD::OPC_FilterValue, 5, 4, 7, // Skip to: 2221
/* 425 */     MCD::OPC_CheckPredicate, 89, 0, 7, // Skip to: 2221
/* 429 */     MCD::OPC_CheckField, 3, 8, 0, 250, 6, // Skip to: 2221
/* 435 */     MCD::OPC_Decode, 155, 7, 244, 2, // Opcode: DMTC0
/* 440 */     MCD::OPC_FilterValue, 17, 19, 4, // Skip to: 1487
/* 444 */     MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 447 */     MCD::OPC_FilterValue, 0, 92, 0, // Skip to: 543
/* 451 */     MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 454 */     MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 473
/* 458 */     MCD::OPC_CheckPredicate, 90, 223, 6, // Skip to: 2221
/* 462 */     MCD::OPC_CheckField, 6, 5, 0, 217, 6, // Skip to: 2221
/* 468 */     MCD::OPC_Decode, 185, 12, 245, 2, // Opcode: MFC1_D64
/* 473 */     MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 492
/* 477 */     MCD::OPC_CheckPredicate, 91, 204, 6, // Skip to: 2221
/* 481 */     MCD::OPC_CheckField, 6, 5, 0, 198, 6, // Skip to: 2221
/* 487 */     MCD::OPC_Decode, 193, 12, 245, 2, // Opcode: MFHC1_D64
/* 492 */     MCD::OPC_FilterValue, 4, 15, 0, // Skip to: 511
/* 496 */     MCD::OPC_CheckPredicate, 90, 185, 6, // Skip to: 2221
/* 500 */     MCD::OPC_CheckField, 6, 5, 0, 179, 6, // Skip to: 2221
/* 506 */     MCD::OPC_Decode, 210, 13, 246, 2, // Opcode: MTC1_D64
/* 511 */     MCD::OPC_FilterValue, 7, 15, 0, // Skip to: 530
/* 515 */     MCD::OPC_CheckPredicate, 91, 166, 6, // Skip to: 2221
/* 519 */     MCD::OPC_CheckField, 6, 5, 0, 160, 6, // Skip to: 2221
/* 525 */     MCD::OPC_Decode, 218, 13, 247, 2, // Opcode: MTHC1_D64
/* 530 */     MCD::OPC_FilterValue, 17, 151, 6, // Skip to: 2221
/* 534 */     MCD::OPC_CheckPredicate, 90, 147, 6, // Skip to: 2221
/* 538 */     MCD::OPC_Decode, 204, 8, 224, 2, // Opcode: FADD_D64
/* 543 */     MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 562
/* 547 */     MCD::OPC_CheckPredicate, 90, 134, 6, // Skip to: 2221
/* 551 */     MCD::OPC_CheckField, 21, 5, 17, 128, 6, // Skip to: 2221
/* 557 */     MCD::OPC_Decode, 221, 9, 224, 2, // Opcode: FSUB_D64
/* 562 */     MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 581
/* 566 */     MCD::OPC_CheckPredicate, 90, 115, 6, // Skip to: 2221
/* 570 */     MCD::OPC_CheckField, 21, 5, 17, 109, 6, // Skip to: 2221
/* 576 */     MCD::OPC_Decode, 179, 9, 224, 2, // Opcode: FMUL_D64
/* 581 */     MCD::OPC_FilterValue, 3, 15, 0, // Skip to: 600
/* 585 */     MCD::OPC_CheckPredicate, 90, 96, 6, // Skip to: 2221
/* 589 */     MCD::OPC_CheckField, 21, 5, 17, 90, 6, // Skip to: 2221
/* 595 */     MCD::OPC_Decode, 242, 8, 224, 2, // Opcode: FDIV_D64
/* 600 */     MCD::OPC_FilterValue, 4, 16, 0, // Skip to: 620
/* 604 */     MCD::OPC_CheckPredicate, 92, 77, 6, // Skip to: 2221
/* 608 */     MCD::OPC_CheckField, 16, 10, 160, 4, 70, 6, // Skip to: 2221
/* 615 */     MCD::OPC_Decode, 214, 9, 223, 1, // Opcode: FSQRT_D64
/* 620 */     MCD::OPC_FilterValue, 5, 16, 0, // Skip to: 640
/* 624 */     MCD::OPC_CheckPredicate, 90, 57, 6, // Skip to: 2221
/* 628 */     MCD::OPC_CheckField, 16, 10, 160, 4, 50, 6, // Skip to: 2221
/* 635 */     MCD::OPC_Decode, 197, 8, 223, 1, // Opcode: FABS_D64
/* 640 */     MCD::OPC_FilterValue, 6, 16, 0, // Skip to: 660
/* 644 */     MCD::OPC_CheckPredicate, 90, 37, 6, // Skip to: 2221
/* 648 */     MCD::OPC_CheckField, 16, 10, 160, 4, 30, 6, // Skip to: 2221
/* 655 */     MCD::OPC_Decode, 170, 9, 223, 1, // Opcode: FMOV_D64
/* 660 */     MCD::OPC_FilterValue, 7, 16, 0, // Skip to: 680
/* 664 */     MCD::OPC_CheckPredicate, 90, 17, 6, // Skip to: 2221
/* 668 */     MCD::OPC_CheckField, 16, 10, 160, 4, 10, 6, // Skip to: 2221
/* 675 */     MCD::OPC_Decode, 187, 9, 223, 1, // Opcode: FNEG_D64
/* 680 */     MCD::OPC_FilterValue, 8, 31, 0, // Skip to: 715
/* 684 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 687 */     MCD::OPC_FilterValue, 128, 4, 9, 0, // Skip to: 701
/* 692 */     MCD::OPC_CheckPredicate, 93, 245, 5, // Skip to: 2221
/* 696 */     MCD::OPC_Decode, 131, 16, 216, 1, // Opcode: ROUND_L_S
/* 701 */     MCD::OPC_FilterValue, 160, 4, 235, 5, // Skip to: 2221
/* 706 */     MCD::OPC_CheckPredicate, 93, 231, 5, // Skip to: 2221
/* 710 */     MCD::OPC_Decode, 129, 16, 223, 1, // Opcode: ROUND_L_D64
/* 715 */     MCD::OPC_FilterValue, 9, 31, 0, // Skip to: 750
/* 719 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 722 */     MCD::OPC_FilterValue, 128, 4, 9, 0, // Skip to: 736
/* 727 */     MCD::OPC_CheckPredicate, 93, 210, 5, // Skip to: 2221
/* 731 */     MCD::OPC_Decode, 211, 19, 216, 1, // Opcode: TRUNC_L_S
/* 736 */     MCD::OPC_FilterValue, 160, 4, 200, 5, // Skip to: 2221
/* 741 */     MCD::OPC_CheckPredicate, 93, 196, 5, // Skip to: 2221
/* 745 */     MCD::OPC_Decode, 209, 19, 223, 1, // Opcode: TRUNC_L_D64
/* 750 */     MCD::OPC_FilterValue, 10, 31, 0, // Skip to: 785
/* 754 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 757 */     MCD::OPC_FilterValue, 128, 4, 9, 0, // Skip to: 771
/* 762 */     MCD::OPC_CheckPredicate, 93, 175, 5, // Skip to: 2221
/* 766 */     MCD::OPC_Decode, 161, 4, 216, 1, // Opcode: CEIL_L_S
/* 771 */     MCD::OPC_FilterValue, 160, 4, 165, 5, // Skip to: 2221
/* 776 */     MCD::OPC_CheckPredicate, 93, 161, 5, // Skip to: 2221
/* 780 */     MCD::OPC_Decode, 159, 4, 223, 1, // Opcode: CEIL_L_D64
/* 785 */     MCD::OPC_FilterValue, 11, 31, 0, // Skip to: 820
/* 789 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 792 */     MCD::OPC_FilterValue, 128, 4, 9, 0, // Skip to: 806
/* 797 */     MCD::OPC_CheckPredicate, 93, 140, 5, // Skip to: 2221
/* 801 */     MCD::OPC_Decode, 149, 9, 216, 1, // Opcode: FLOOR_L_S
/* 806 */     MCD::OPC_FilterValue, 160, 4, 130, 5, // Skip to: 2221
/* 811 */     MCD::OPC_CheckPredicate, 93, 126, 5, // Skip to: 2221
/* 815 */     MCD::OPC_Decode, 147, 9, 223, 1, // Opcode: FLOOR_L_D64
/* 820 */     MCD::OPC_FilterValue, 12, 16, 0, // Skip to: 840
/* 824 */     MCD::OPC_CheckPredicate, 92, 113, 5, // Skip to: 2221
/* 828 */     MCD::OPC_CheckField, 16, 10, 160, 4, 106, 5, // Skip to: 2221
/* 835 */     MCD::OPC_Decode, 134, 16, 248, 2, // Opcode: ROUND_W_D64
/* 840 */     MCD::OPC_FilterValue, 13, 16, 0, // Skip to: 860
/* 844 */     MCD::OPC_CheckPredicate, 92, 93, 5, // Skip to: 2221
/* 848 */     MCD::OPC_CheckField, 16, 10, 160, 4, 86, 5, // Skip to: 2221
/* 855 */     MCD::OPC_Decode, 214, 19, 248, 2, // Opcode: TRUNC_W_D64
/* 860 */     MCD::OPC_FilterValue, 14, 16, 0, // Skip to: 880
/* 864 */     MCD::OPC_CheckPredicate, 92, 73, 5, // Skip to: 2221
/* 868 */     MCD::OPC_CheckField, 16, 10, 160, 4, 66, 5, // Skip to: 2221
/* 875 */     MCD::OPC_Decode, 164, 4, 248, 2, // Opcode: CEIL_W_D64
/* 880 */     MCD::OPC_FilterValue, 15, 16, 0, // Skip to: 900
/* 884 */     MCD::OPC_CheckPredicate, 92, 53, 5, // Skip to: 2221
/* 888 */     MCD::OPC_CheckField, 16, 10, 160, 4, 46, 5, // Skip to: 2221
/* 895 */     MCD::OPC_Decode, 152, 9, 248, 2, // Opcode: FLOOR_W_D64
/* 900 */     MCD::OPC_FilterValue, 17, 41, 0, // Skip to: 945
/* 904 */     MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 907 */     MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 926
/* 911 */     MCD::OPC_CheckPredicate, 94, 26, 5, // Skip to: 2221
/* 915 */     MCD::OPC_CheckField, 21, 5, 17, 20, 5, // Skip to: 2221
/* 921 */     MCD::OPC_Decode, 140, 13, 249, 2, // Opcode: MOVF_D64
/* 926 */     MCD::OPC_FilterValue, 1, 11, 5, // Skip to: 2221
/* 930 */     MCD::OPC_CheckPredicate, 94, 7, 5, // Skip to: 2221
/* 934 */     MCD::OPC_CheckField, 21, 5, 17, 1, 5, // Skip to: 2221
/* 940 */     MCD::OPC_Decode, 160, 13, 249, 2, // Opcode: MOVT_D64
/* 945 */     MCD::OPC_FilterValue, 18, 15, 0, // Skip to: 964
/* 949 */     MCD::OPC_CheckPredicate, 94, 244, 4, // Skip to: 2221
/* 953 */     MCD::OPC_CheckField, 21, 5, 17, 238, 4, // Skip to: 2221
/* 959 */     MCD::OPC_Decode, 172, 13, 250, 2, // Opcode: MOVZ_I_D64
/* 964 */     MCD::OPC_FilterValue, 19, 15, 0, // Skip to: 983
/* 968 */     MCD::OPC_CheckPredicate, 94, 225, 4, // Skip to: 2221
/* 972 */     MCD::OPC_CheckField, 21, 5, 17, 219, 4, // Skip to: 2221
/* 978 */     MCD::OPC_Decode, 152, 13, 250, 2, // Opcode: MOVN_I_D64
/* 983 */     MCD::OPC_FilterValue, 32, 31, 0, // Skip to: 1018
/* 987 */     MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 990 */     MCD::OPC_FilterValue, 160, 4, 9, 0, // Skip to: 1004
/* 995 */     MCD::OPC_CheckPredicate, 90, 198, 4, // Skip to: 2221
/* 999 */     MCD::OPC_Decode, 224, 5, 248, 2, // Opcode: CVT_S_D64
/* 1004 */    MCD::OPC_FilterValue, 160, 5, 188, 4, // Skip to: 2221
/* 1009 */    MCD::OPC_CheckPredicate, 93, 184, 4, // Skip to: 2221
/* 1013 */    MCD::OPC_Decode, 226, 5, 248, 2, // Opcode: CVT_S_L
/* 1018 */    MCD::OPC_FilterValue, 33, 45, 0, // Skip to: 1067
/* 1022 */    MCD::OPC_ExtractField, 16, 10,  // Inst{25-16} ...
/* 1025 */    MCD::OPC_FilterValue, 128, 4, 9, 0, // Skip to: 1039
/* 1030 */    MCD::OPC_CheckPredicate, 90, 163, 4, // Skip to: 2221
/* 1034 */    MCD::OPC_Decode, 210, 5, 216, 1, // Opcode: CVT_D64_S
/* 1039 */    MCD::OPC_FilterValue, 128, 5, 9, 0, // Skip to: 1053
/* 1044 */    MCD::OPC_CheckPredicate, 90, 149, 4, // Skip to: 2221
/* 1048 */    MCD::OPC_Decode, 211, 5, 216, 1, // Opcode: CVT_D64_W
/* 1053 */    MCD::OPC_FilterValue, 160, 5, 139, 4, // Skip to: 2221
/* 1058 */    MCD::OPC_CheckPredicate, 90, 135, 4, // Skip to: 2221
/* 1062 */    MCD::OPC_Decode, 209, 5, 223, 1, // Opcode: CVT_D64_L
/* 1067 */    MCD::OPC_FilterValue, 36, 16, 0, // Skip to: 1087
/* 1071 */    MCD::OPC_CheckPredicate, 90, 122, 4, // Skip to: 2221
/* 1075 */    MCD::OPC_CheckField, 16, 10, 160, 4, 115, 4, // Skip to: 2221
/* 1082 */    MCD::OPC_Decode, 232, 5, 248, 2, // Opcode: CVT_W_D64
/* 1087 */    MCD::OPC_FilterValue, 48, 21, 0, // Skip to: 1112
/* 1091 */    MCD::OPC_CheckPredicate, 95, 102, 4, // Skip to: 2221
/* 1095 */    MCD::OPC_CheckField, 21, 5, 17, 96, 4, // Skip to: 2221
/* 1101 */    MCD::OPC_CheckField, 6, 2, 0, 90, 4, // Skip to: 2221
/* 1107 */    MCD::OPC_Decode, 246, 5, 251, 2, // Opcode: C_F_D64
/* 1112 */    MCD::OPC_FilterValue, 49, 21, 0, // Skip to: 1137
/* 1116 */    MCD::OPC_CheckPredicate, 95, 77, 4, // Skip to: 2221
/* 1120 */    MCD::OPC_CheckField, 21, 5, 17, 71, 4, // Skip to: 2221
/* 1126 */    MCD::OPC_CheckField, 6, 2, 0, 65, 4, // Skip to: 2221
/* 1132 */    MCD::OPC_Decode, 202, 6, 251, 2, // Opcode: C_UN_D64
/* 1137 */    MCD::OPC_FilterValue, 50, 21, 0, // Skip to: 1162
/* 1141 */    MCD::OPC_CheckPredicate, 95, 52, 4, // Skip to: 2221
/* 1145 */    MCD::OPC_CheckField, 21, 5, 17, 46, 4, // Skip to: 2221
/* 1151 */    MCD::OPC_CheckField, 6, 2, 0, 40, 4, // Skip to: 2221
/* 1157 */    MCD::OPC_Decode, 240, 5, 251, 2, // Opcode: C_EQ_D64
/* 1162 */    MCD::OPC_FilterValue, 51, 21, 0, // Skip to: 1187
/* 1166 */    MCD::OPC_CheckPredicate, 95, 27, 4, // Skip to: 2221
/* 1170 */    MCD::OPC_CheckField, 21, 5, 17, 21, 4, // Skip to: 2221
/* 1176 */    MCD::OPC_CheckField, 6, 2, 0, 15, 4, // Skip to: 2221
/* 1182 */    MCD::OPC_Decode, 184, 6, 251, 2, // Opcode: C_UEQ_D64
/* 1187 */    MCD::OPC_FilterValue, 52, 21, 0, // Skip to: 1212
/* 1191 */    MCD::OPC_CheckPredicate, 95, 2, 4, // Skip to: 2221
/* 1195 */    MCD::OPC_CheckField, 21, 5, 17, 252, 3, // Skip to: 2221
/* 1201 */    MCD::OPC_CheckField, 6, 2, 0, 246, 3, // Skip to: 2221
/* 1207 */    MCD::OPC_Decode, 166, 6, 251, 2, // Opcode: C_OLT_D64
/* 1212 */    MCD::OPC_FilterValue, 53, 21, 0, // Skip to: 1237
/* 1216 */    MCD::OPC_CheckPredicate, 95, 233, 3, // Skip to: 2221
/* 1220 */    MCD::OPC_CheckField, 21, 5, 17, 227, 3, // Skip to: 2221
/* 1226 */    MCD::OPC_CheckField, 6, 2, 0, 221, 3, // Skip to: 2221
/* 1232 */    MCD::OPC_Decode, 196, 6, 251, 2, // Opcode: C_ULT_D64
/* 1237 */    MCD::OPC_FilterValue, 54, 21, 0, // Skip to: 1262
/* 1241 */    MCD::OPC_CheckPredicate, 95, 208, 3, // Skip to: 2221
/* 1245 */    MCD::OPC_CheckField, 21, 5, 17, 202, 3, // Skip to: 2221
/* 1251 */    MCD::OPC_CheckField, 6, 2, 0, 196, 3, // Skip to: 2221
/* 1257 */    MCD::OPC_Decode, 160, 6, 251, 2, // Opcode: C_OLE_D64
/* 1262 */    MCD::OPC_FilterValue, 55, 21, 0, // Skip to: 1287
/* 1266 */    MCD::OPC_CheckPredicate, 95, 183, 3, // Skip to: 2221
/* 1270 */    MCD::OPC_CheckField, 21, 5, 17, 177, 3, // Skip to: 2221
/* 1276 */    MCD::OPC_CheckField, 6, 2, 0, 171, 3, // Skip to: 2221
/* 1282 */    MCD::OPC_Decode, 190, 6, 251, 2, // Opcode: C_ULE_D64
/* 1287 */    MCD::OPC_FilterValue, 56, 21, 0, // Skip to: 1312
/* 1291 */    MCD::OPC_CheckPredicate, 95, 158, 3, // Skip to: 2221
/* 1295 */    MCD::OPC_CheckField, 21, 5, 17, 152, 3, // Skip to: 2221
/* 1301 */    MCD::OPC_CheckField, 6, 2, 0, 146, 3, // Skip to: 2221
/* 1307 */    MCD::OPC_Decode, 178, 6, 251, 2, // Opcode: C_SF_D64
/* 1312 */    MCD::OPC_FilterValue, 57, 21, 0, // Skip to: 1337
/* 1316 */    MCD::OPC_CheckPredicate, 95, 133, 3, // Skip to: 2221
/* 1320 */    MCD::OPC_CheckField, 21, 5, 17, 127, 3, // Skip to: 2221
/* 1326 */    MCD::OPC_CheckField, 6, 2, 0, 121, 3, // Skip to: 2221
/* 1332 */    MCD::OPC_Decode, 142, 6, 251, 2, // Opcode: C_NGLE_D64
/* 1337 */    MCD::OPC_FilterValue, 58, 21, 0, // Skip to: 1362
/* 1341 */    MCD::OPC_CheckPredicate, 95, 108, 3, // Skip to: 2221
/* 1345 */    MCD::OPC_CheckField, 21, 5, 17, 102, 3, // Skip to: 2221
/* 1351 */    MCD::OPC_CheckField, 6, 2, 0, 96, 3, // Skip to: 2221
/* 1357 */    MCD::OPC_Decode, 172, 6, 251, 2, // Opcode: C_SEQ_D64
/* 1362 */    MCD::OPC_FilterValue, 59, 21, 0, // Skip to: 1387
/* 1366 */    MCD::OPC_CheckPredicate, 95, 83, 3, // Skip to: 2221
/* 1370 */    MCD::OPC_CheckField, 21, 5, 17, 77, 3, // Skip to: 2221
/* 1376 */    MCD::OPC_CheckField, 6, 2, 0, 71, 3, // Skip to: 2221
/* 1382 */    MCD::OPC_Decode, 148, 6, 251, 2, // Opcode: C_NGL_D64
/* 1387 */    MCD::OPC_FilterValue, 60, 21, 0, // Skip to: 1412
/* 1391 */    MCD::OPC_CheckPredicate, 95, 58, 3, // Skip to: 2221
/* 1395 */    MCD::OPC_CheckField, 21, 5, 17, 52, 3, // Skip to: 2221
/* 1401 */    MCD::OPC_CheckField, 6, 2, 0, 46, 3, // Skip to: 2221
/* 1407 */    MCD::OPC_Decode, 130, 6, 251, 2, // Opcode: C_LT_D64
/* 1412 */    MCD::OPC_FilterValue, 61, 21, 0, // Skip to: 1437
/* 1416 */    MCD::OPC_CheckPredicate, 95, 33, 3, // Skip to: 2221
/* 1420 */    MCD::OPC_CheckField, 21, 5, 17, 27, 3, // Skip to: 2221
/* 1426 */    MCD::OPC_CheckField, 6, 2, 0, 21, 3, // Skip to: 2221
/* 1432 */    MCD::OPC_Decode, 136, 6, 251, 2, // Opcode: C_NGE_D64
/* 1437 */    MCD::OPC_FilterValue, 62, 21, 0, // Skip to: 1462
/* 1441 */    MCD::OPC_CheckPredicate, 95, 8, 3, // Skip to: 2221
/* 1445 */    MCD::OPC_CheckField, 21, 5, 17, 2, 3, // Skip to: 2221
/* 1451 */    MCD::OPC_CheckField, 6, 2, 0, 252, 2, // Skip to: 2221
/* 1457 */    MCD::OPC_Decode, 252, 5, 251, 2, // Opcode: C_LE_D64
/* 1462 */    MCD::OPC_FilterValue, 63, 243, 2, // Skip to: 2221
/* 1466 */    MCD::OPC_CheckPredicate, 95, 239, 2, // Skip to: 2221
/* 1470 */    MCD::OPC_CheckField, 21, 5, 17, 233, 2, // Skip to: 2221
/* 1476 */    MCD::OPC_CheckField, 6, 2, 0, 227, 2, // Skip to: 2221
/* 1482 */    MCD::OPC_Decode, 154, 6, 251, 2, // Opcode: C_NGT_D64
/* 1487 */    MCD::OPC_FilterValue, 18, 41, 0, // Skip to: 1532
/* 1491 */    MCD::OPC_ExtractField, 21, 5,  // Inst{25-21} ...
/* 1494 */    MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 1513
/* 1498 */    MCD::OPC_CheckPredicate, 89, 207, 2, // Skip to: 2221
/* 1502 */    MCD::OPC_CheckField, 3, 8, 0, 201, 2, // Skip to: 2221
/* 1508 */    MCD::OPC_Decode, 147, 7, 252, 2, // Opcode: DMFC2
/* 1513 */    MCD::OPC_FilterValue, 5, 192, 2, // Skip to: 2221
/* 1517 */    MCD::OPC_CheckPredicate, 89, 188, 2, // Skip to: 2221
/* 1521 */    MCD::OPC_CheckField, 3, 8, 0, 182, 2, // Skip to: 2221
/* 1527 */    MCD::OPC_Decode, 159, 7, 253, 2, // Opcode: DMTC2
/* 1532 */    MCD::OPC_FilterValue, 19, 131, 0, // Skip to: 1667
/* 1536 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 1539 */    MCD::OPC_FilterValue, 1, 15, 0, // Skip to: 1558
/* 1543 */    MCD::OPC_CheckPredicate, 96, 162, 2, // Skip to: 2221
/* 1547 */    MCD::OPC_CheckField, 11, 5, 0, 156, 2, // Skip to: 2221
/* 1553 */    MCD::OPC_Decode, 255, 10, 254, 2, // Opcode: LDXC164
/* 1558 */    MCD::OPC_FilterValue, 5, 15, 0, // Skip to: 1577
/* 1562 */    MCD::OPC_CheckPredicate, 97, 143, 2, // Skip to: 2221
/* 1566 */    MCD::OPC_CheckField, 11, 5, 0, 137, 2, // Skip to: 2221
/* 1572 */    MCD::OPC_Decode, 175, 11, 254, 2, // Opcode: LUXC164
/* 1577 */    MCD::OPC_FilterValue, 9, 15, 0, // Skip to: 1596
/* 1581 */    MCD::OPC_CheckPredicate, 96, 124, 2, // Skip to: 2221
/* 1585 */    MCD::OPC_CheckField, 6, 5, 0, 118, 2, // Skip to: 2221
/* 1591 */    MCD::OPC_Decode, 197, 16, 255, 2, // Opcode: SDXC164
/* 1596 */    MCD::OPC_FilterValue, 13, 15, 0, // Skip to: 1615
/* 1600 */    MCD::OPC_CheckPredicate, 97, 105, 2, // Skip to: 2221
/* 1604 */    MCD::OPC_CheckField, 6, 5, 0, 99, 2, // Skip to: 2221
/* 1610 */    MCD::OPC_Decode, 204, 18, 255, 2, // Opcode: SUXC164
/* 1615 */    MCD::OPC_FilterValue, 33, 9, 0, // Skip to: 1628
/* 1619 */    MCD::OPC_CheckPredicate, 98, 86, 2, // Skip to: 2221
/* 1623 */    MCD::OPC_Decode, 138, 12, 128, 3, // Opcode: MADD_D64
/* 1628 */    MCD::OPC_FilterValue, 41, 9, 0, // Skip to: 1641
/* 1632 */    MCD::OPC_CheckPredicate, 98, 73, 2, // Skip to: 2221
/* 1636 */    MCD::OPC_Decode, 199, 13, 128, 3, // Opcode: MSUB_D64
/* 1641 */    MCD::OPC_FilterValue, 49, 9, 0, // Skip to: 1654
/* 1645 */    MCD::OPC_CheckPredicate, 98, 60, 2, // Skip to: 2221
/* 1649 */    MCD::OPC_Decode, 192, 14, 128, 3, // Opcode: NMADD_D64
/* 1654 */    MCD::OPC_FilterValue, 57, 51, 2, // Skip to: 2221
/* 1658 */    MCD::OPC_CheckPredicate, 98, 47, 2, // Skip to: 2221
/* 1662 */    MCD::OPC_Decode, 197, 14, 128, 3, // Opcode: NMSUB_D64
/* 1667 */    MCD::OPC_FilterValue, 21, 227, 0, // Skip to: 1898
/* 1671 */    MCD::OPC_ExtractField, 0, 13,  // Inst{12-0} ...
/* 1674 */    MCD::OPC_FilterValue, 188, 8, 9, 0, // Skip to: 1688
/* 1679 */    MCD::OPC_CheckPredicate, 99, 26, 2, // Skip to: 2221
/* 1683 */    MCD::OPC_Decode, 247, 5, 129, 3, // Opcode: C_F_D64_MM
/* 1688 */    MCD::OPC_FilterValue, 252, 8, 9, 0, // Skip to: 1702
/* 1693 */    MCD::OPC_CheckPredicate, 99, 12, 2, // Skip to: 2221
/* 1697 */    MCD::OPC_Decode, 203, 6, 129, 3, // Opcode: C_UN_D64_MM
/* 1702 */    MCD::OPC_FilterValue, 188, 9, 9, 0, // Skip to: 1716
/* 1707 */    MCD::OPC_CheckPredicate, 99, 254, 1, // Skip to: 2221
/* 1711 */    MCD::OPC_Decode, 241, 5, 129, 3, // Opcode: C_EQ_D64_MM
/* 1716 */    MCD::OPC_FilterValue, 252, 9, 9, 0, // Skip to: 1730
/* 1721 */    MCD::OPC_CheckPredicate, 99, 240, 1, // Skip to: 2221
/* 1725 */    MCD::OPC_Decode, 185, 6, 129, 3, // Opcode: C_UEQ_D64_MM
/* 1730 */    MCD::OPC_FilterValue, 188, 10, 9, 0, // Skip to: 1744
/* 1735 */    MCD::OPC_CheckPredicate, 99, 226, 1, // Skip to: 2221
/* 1739 */    MCD::OPC_Decode, 167, 6, 129, 3, // Opcode: C_OLT_D64_MM
/* 1744 */    MCD::OPC_FilterValue, 252, 10, 9, 0, // Skip to: 1758
/* 1749 */    MCD::OPC_CheckPredicate, 99, 212, 1, // Skip to: 2221
/* 1753 */    MCD::OPC_Decode, 197, 6, 129, 3, // Opcode: C_ULT_D64_MM
/* 1758 */    MCD::OPC_FilterValue, 188, 11, 9, 0, // Skip to: 1772
/* 1763 */    MCD::OPC_CheckPredicate, 99, 198, 1, // Skip to: 2221
/* 1767 */    MCD::OPC_Decode, 161, 6, 129, 3, // Opcode: C_OLE_D64_MM
/* 1772 */    MCD::OPC_FilterValue, 252, 11, 9, 0, // Skip to: 1786
/* 1777 */    MCD::OPC_CheckPredicate, 99, 184, 1, // Skip to: 2221
/* 1781 */    MCD::OPC_Decode, 191, 6, 129, 3, // Opcode: C_ULE_D64_MM
/* 1786 */    MCD::OPC_FilterValue, 188, 12, 9, 0, // Skip to: 1800
/* 1791 */    MCD::OPC_CheckPredicate, 99, 170, 1, // Skip to: 2221
/* 1795 */    MCD::OPC_Decode, 179, 6, 129, 3, // Opcode: C_SF_D64_MM
/* 1800 */    MCD::OPC_FilterValue, 252, 12, 9, 0, // Skip to: 1814
/* 1805 */    MCD::OPC_CheckPredicate, 99, 156, 1, // Skip to: 2221
/* 1809 */    MCD::OPC_Decode, 143, 6, 129, 3, // Opcode: C_NGLE_D64_MM
/* 1814 */    MCD::OPC_FilterValue, 188, 13, 9, 0, // Skip to: 1828
/* 1819 */    MCD::OPC_CheckPredicate, 99, 142, 1, // Skip to: 2221
/* 1823 */    MCD::OPC_Decode, 173, 6, 129, 3, // Opcode: C_SEQ_D64_MM
/* 1828 */    MCD::OPC_FilterValue, 252, 13, 9, 0, // Skip to: 1842
/* 1833 */    MCD::OPC_CheckPredicate, 99, 128, 1, // Skip to: 2221
/* 1837 */    MCD::OPC_Decode, 149, 6, 129, 3, // Opcode: C_NGL_D64_MM
/* 1842 */    MCD::OPC_FilterValue, 188, 14, 9, 0, // Skip to: 1856
/* 1847 */    MCD::OPC_CheckPredicate, 99, 114, 1, // Skip to: 2221
/* 1851 */    MCD::OPC_Decode, 131, 6, 129, 3, // Opcode: C_LT_D64_MM
/* 1856 */    MCD::OPC_FilterValue, 252, 14, 9, 0, // Skip to: 1870
/* 1861 */    MCD::OPC_CheckPredicate, 99, 100, 1, // Skip to: 2221
/* 1865 */    MCD::OPC_Decode, 137, 6, 129, 3, // Opcode: C_NGE_D64_MM
/* 1870 */    MCD::OPC_FilterValue, 188, 15, 9, 0, // Skip to: 1884
/* 1875 */    MCD::OPC_CheckPredicate, 99, 86, 1, // Skip to: 2221
/* 1879 */    MCD::OPC_Decode, 253, 5, 129, 3, // Opcode: C_LE_D64_MM
/* 1884 */    MCD::OPC_FilterValue, 252, 15, 76, 1, // Skip to: 2221
/* 1889 */    MCD::OPC_CheckPredicate, 99, 72, 1, // Skip to: 2221
/* 1893 */    MCD::OPC_Decode, 155, 6, 129, 3, // Opcode: C_NGT_D64_MM
/* 1898 */    MCD::OPC_FilterValue, 24, 9, 0, // Skip to: 1911
/* 1902 */    MCD::OPC_CheckPredicate, 100, 59, 1, // Skip to: 2221
/* 1906 */    MCD::OPC_Decode, 214, 6, 130, 3, // Opcode: DADDi
/* 1911 */    MCD::OPC_FilterValue, 25, 9, 0, // Skip to: 1924
/* 1915 */    MCD::OPC_CheckPredicate, 86, 46, 1, // Skip to: 2221
/* 1919 */    MCD::OPC_Decode, 215, 6, 130, 3, // Opcode: DADDiu
/* 1924 */    MCD::OPC_FilterValue, 26, 8, 0, // Skip to: 1936
/* 1928 */    MCD::OPC_CheckPredicate, 100, 33, 1, // Skip to: 2221
/* 1932 */    MCD::OPC_Decode, 249, 10, 108, // Opcode: LDL
/* 1936 */    MCD::OPC_FilterValue, 27, 8, 0, // Skip to: 1948
/* 1940 */    MCD::OPC_CheckPredicate, 100, 21, 1, // Skip to: 2221
/* 1944 */    MCD::OPC_Decode, 253, 10, 108, // Opcode: LDR
/* 1948 */    MCD::OPC_FilterValue, 28, 29, 0, // Skip to: 1981
/* 1952 */    MCD::OPC_ExtractField, 0, 11,  // Inst{10-0} ...
/* 1955 */    MCD::OPC_FilterValue, 36, 9, 0, // Skip to: 1968
/* 1959 */    MCD::OPC_CheckPredicate, 101, 2, 1, // Skip to: 2221
/* 1963 */    MCD::OPC_Decode, 230, 6, 131, 3, // Opcode: DCLZ
/* 1968 */    MCD::OPC_FilterValue, 37, 249, 0, // Skip to: 2221
/* 1972 */    MCD::OPC_CheckPredicate, 101, 245, 0, // Skip to: 2221
/* 1976 */    MCD::OPC_Decode, 227, 6, 131, 3, // Opcode: DCLO
/* 1981 */    MCD::OPC_FilterValue, 31, 126, 0, // Skip to: 2111
/* 1985 */    MCD::OPC_ExtractField, 0, 6,  // Inst{5-0} ...
/* 1988 */    MCD::OPC_FilterValue, 1, 9, 0, // Skip to: 2001
/* 1992 */    MCD::OPC_CheckPredicate, 87, 225, 0, // Skip to: 2221
/* 1996 */    MCD::OPC_Decode, 242, 6, 132, 3, // Opcode: DEXTM
/* 2001 */    MCD::OPC_FilterValue, 2, 9, 0, // Skip to: 2014
/* 2005 */    MCD::OPC_CheckPredicate, 87, 212, 0, // Skip to: 2221
/* 2009 */    MCD::OPC_Decode, 244, 6, 132, 3, // Opcode: DEXTU
/* 2014 */    MCD::OPC_FilterValue, 3, 9, 0, // Skip to: 2027
/* 2018 */    MCD::OPC_CheckPredicate, 87, 199, 0, // Skip to: 2221
/* 2022 */    MCD::OPC_Decode, 240, 6, 132, 3, // Opcode: DEXT
/* 2027 */    MCD::OPC_FilterValue, 5, 9, 0, // Skip to: 2040
/* 2031 */    MCD::OPC_CheckPredicate, 87, 186, 0, // Skip to: 2221
/* 2035 */    MCD::OPC_Decode, 249, 6, 133, 3, // Opcode: DINSM
/* 2040 */    MCD::OPC_FilterValue, 6, 9, 0, // Skip to: 2053
/* 2044 */    MCD::OPC_CheckPredicate, 87, 173, 0, // Skip to: 2221
/* 2048 */    MCD::OPC_Decode, 251, 6, 133, 3, // Opcode: DINSU
/* 2053 */    MCD::OPC_FilterValue, 7, 9, 0, // Skip to: 2066
/* 2057 */    MCD::OPC_CheckPredicate, 87, 160, 0, // Skip to: 2221
/* 2061 */    MCD::OPC_Decode, 248, 6, 133, 3, // Opcode: DINS
/* 2066 */    MCD::OPC_FilterValue, 36, 151, 0, // Skip to: 2221
/* 2070 */    MCD::OPC_ExtractField, 6, 5,  // Inst{10-6} ...
/* 2073 */    MCD::OPC_FilterValue, 2, 15, 0, // Skip to: 2092
/* 2077 */    MCD::OPC_CheckPredicate, 87, 140, 0, // Skip to: 2221
/* 2081 */    MCD::OPC_CheckField, 21, 5, 0, 134, 0, // Skip to: 2221
/* 2087 */    MCD::OPC_Decode, 238, 7, 235, 2, // Opcode: DSBH
/* 2092 */    MCD::OPC_FilterValue, 5, 125, 0, // Skip to: 2221
/* 2096 */    MCD::OPC_CheckPredicate, 87, 121, 0, // Skip to: 2221
/* 2100 */    MCD::OPC_CheckField, 21, 5, 0, 115, 0, // Skip to: 2221
/* 2106 */    MCD::OPC_Decode, 243, 7, 235, 2, // Opcode: DSHD
/* 2111 */    MCD::OPC_FilterValue, 39, 8, 0, // Skip to: 2123
/* 2115 */    MCD::OPC_CheckPredicate, 86, 102, 0, // Skip to: 2221
/* 2119 */    MCD::OPC_Decode, 225, 11, 108, // Opcode: LWu
/* 2123 */    MCD::OPC_FilterValue, 44, 8, 0, // Skip to: 2135
/* 2127 */    MCD::OPC_CheckPredicate, 100, 90, 0, // Skip to: 2221
/* 2131 */    MCD::OPC_Decode, 193, 16, 108, // Opcode: SDL
/* 2135 */    MCD::OPC_FilterValue, 45, 8, 0, // Skip to: 2147
/* 2139 */    MCD::OPC_CheckPredicate, 100, 78, 0, // Skip to: 2221
/* 2143 */    MCD::OPC_Decode, 195, 16, 108, // Opcode: SDR
/* 2147 */    MCD::OPC_FilterValue, 52, 8, 0, // Skip to: 2159
/* 2151 */    MCD::OPC_CheckPredicate, 88, 66, 0, // Skip to: 2221
/* 2155 */    MCD::OPC_Decode, 155, 11, 108, // Opcode: LLD
/* 2159 */    MCD::OPC_FilterValue, 53, 9, 0, // Skip to: 2172
/* 2163 */    MCD::OPC_CheckPredicate, 102, 54, 0, // Skip to: 2221
/* 2167 */    MCD::OPC_Decode, 238, 10, 214, 2, // Opcode: LDC164
/* 2172 */    MCD::OPC_FilterValue, 55, 8, 0, // Skip to: 2184
/* 2176 */    MCD::OPC_CheckPredicate, 86, 41, 0, // Skip to: 2221
/* 2180 */    MCD::OPC_Decode, 236, 10, 108, // Opcode: LD
/* 2184 */    MCD::OPC_FilterValue, 60, 8, 0, // Skip to: 2196
/* 2188 */    MCD::OPC_CheckPredicate, 100, 29, 0, // Skip to: 2221
/* 2192 */    MCD::OPC_Decode, 168, 16, 108, // Opcode: SCD
/* 2196 */    MCD::OPC_FilterValue, 61, 9, 0, // Skip to: 2209
/* 2200 */    MCD::OPC_CheckPredicate, 102, 17, 0, // Skip to: 2221
/* 2204 */    MCD::OPC_Decode, 183, 16, 214, 2, // Opcode: SDC164
/* 2209 */    MCD::OPC_FilterValue, 63, 8, 0, // Skip to: 2221
/* 2213 */    MCD::OPC_CheckPredicate, 86, 4, 0, // Skip to: 2221
/* 2217 */    MCD::OPC_Decode, 175, 16, 108, // Opcode: SD
/* 2221 */    MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableMipsDSP32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 35, 8, 0, // Skip to: 15
/* 7 */       MCD::OPC_CheckPredicate, 103, 16, 0, // Skip to: 27
/* 11 */      MCD::OPC_Decode, 189, 11, 108, // Opcode: LWDSP
/* 15 */      MCD::OPC_FilterValue, 43, 8, 0, // Skip to: 27
/* 19 */      MCD::OPC_CheckPredicate, 103, 4, 0, // Skip to: 27
/* 23 */      MCD::OPC_Decode, 216, 18, 108, // Opcode: SWDSP
/* 27 */      MCD::OPC_Fail,
  0
};

static bool checkDecoderPredicate(unsigned Idx, const FeatureBitset& Bits) {
  switch (Idx) {
  default: llvm_unreachable("Invalid index!");
  case 0:
    return (Bits[Mips::FeatureMips16]);
  case 1:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMicroMips]);
  case 2:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureMicroMips]);
  case 3:
    return (Bits[Mips::FeatureCnMips]);
  case 4:
    return (Bits[Mips::FeatureMips64] && Bits[Mips::FeatureCnMips] && !Bits[Mips::FeatureMicroMips]);
  case 5:
    return (Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6]);
  case 6:
    return (Bits[Mips::FeatureMicroMips]);
  case 7:
    return (Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureMips32r6]);
  case 8:
    return (Bits[Mips::FeatureDSP] && Bits[Mips::FeatureMicroMips]);
  case 9:
    return (Bits[Mips::FeatureDSPR2] && Bits[Mips::FeatureMicroMips]);
  case 10:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMicroMips] && !Bits[Mips::FeatureMips32r6]);
  case 11:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMicroMips]);
  case 12:
    return (Bits[Mips::FeatureDSPR3] && Bits[Mips::FeatureMicroMips]);
  case 13:
    return (!Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && Bits[Mips::FeatureMicroMips]);
  case 14:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureSoftFloat] && Bits[Mips::FeatureMicroMips]);
  case 15:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureSoftFloat] && Bits[Mips::FeatureMicroMips]);
  case 16:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat]);
  case 17:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureDSP] && Bits[Mips::FeatureMicroMips]);
  case 18:
    return (Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureMips32r6]);
  case 19:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureMips32r6]);
  case 20:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureMips64r6]);
  case 21:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat]);
  case 22:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMicroMips] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat]);
  case 23:
    return (!Bits[Mips::FeatureMips16]);
  case 24:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r2]);
  case 25:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips4_32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat]);
  case 26:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureMicroMips]);
  case 27:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMSA]);
  case 28:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6]);
  case 29:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6]);
  case 30:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32]);
  case 31:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips4_32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6]);
  case 32:
    return (!Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 33:
    return (Bits[Mips::FeatureDSP]);
  case 34:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMSA] && Bits[Mips::FeatureMips64]);
  case 35:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 36:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6]);
  case 37:
    return (Bits[Mips::FeatureDSP] && !Bits[Mips::FeatureMicroMips]);
  case 38:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32] && !Bits[Mips::FeatureMicroMips]);
  case 39:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMT] && !Bits[Mips::FeatureMicroMips]);
  case 40:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureEVA] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureMicroMips]);
  case 41:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3_32] && !Bits[Mips::FeatureMicroMips]);
  case 42:
    return (!Bits[Mips::FeatureMicroMips]);
  case 43:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r5] && !Bits[Mips::FeatureMicroMips]);
  case 44:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureSoftFloat]);
  case 45:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 46:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 47:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 48:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat]);
  case 49:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat]);
  case 50:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureSoftFloat]);
  case 51:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 52:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureSoftFloat]);
  case 53:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3_32r2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 54:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 55:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureSoftFloat]);
  case 56:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat]);
  case 57:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 58:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat]);
  case 59:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 60:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips5_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat]);
  case 61:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMadd4]);
  case 62:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMadd4]);
  case 63:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureSoftFloat] && Bits[Mips::FeatureMicroMips]);
  case 64:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && Bits[Mips::FeatureMicroMips]);
  case 65:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && Bits[Mips::FeatureMicroMips]);
  case 66:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 67:
    return (Bits[Mips::FeatureDSPR2]);
  case 68:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && Bits[Mips::FeatureEVA] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureMicroMips]);
  case 69:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureEVA] && Bits[Mips::FeatureMips32r2]);
  case 70:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3_32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6]);
  case 71:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeaturePTR64Bit] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 72:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 73:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 74:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeaturePTR64Bit] && !Bits[Mips::FeatureMicroMips]);
  case 75:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeaturePTR64Bit] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 76:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r6]);
  case 77:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMicroMips]);
  case 78:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 79:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeatureGP64Bit] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMicroMips]);
  case 80:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 81:
    return (!Bits[Mips::FeatureMips16] && !Bits[Mips::FeaturePTR64Bit] && Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMicroMips]);
  case 82:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips64r6]);
  case 83:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureGP64Bit] && Bits[Mips::FeatureMips64r6]);
  case 84:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureGP64Bit] && Bits[Mips::FeatureMips32r6]);
  case 85:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeaturePTR64Bit] && Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 86:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3] && !Bits[Mips::FeatureMicroMips]);
  case 87:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips64r2] && !Bits[Mips::FeatureMicroMips]);
  case 88:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 89:
    return (Bits[Mips::FeatureMips64]);
  case 90:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureSoftFloat]);
  case 91:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips32r2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 92:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureSoftFloat]);
  case 93:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 94:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat]);
  case 95:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 96:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat]);
  case 97:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips5_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat]);
  case 98:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips4_32r2] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMadd4]);
  case 99:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureSoftFloat] && Bits[Mips::FeatureMicroMips]);
  case 100:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips3] && !Bits[Mips::FeatureMips32r6] && !Bits[Mips::FeatureMips64r6]);
  case 101:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureMips64] && !Bits[Mips::FeatureMips64r6] && !Bits[Mips::FeatureMicroMips]);
  case 102:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureFP64Bit] && Bits[Mips::FeatureMips2] && !Bits[Mips::FeatureSoftFloat] && !Bits[Mips::FeatureMicroMips]);
  case 103:
    return (!Bits[Mips::FeatureMips16] && Bits[Mips::FeatureDSP]);
  }
}

template<typename InsnType>
static DecodeStatus decodeToMCInst(DecodeStatus S, unsigned Idx, InsnType insn, MCInst &MI,
                                   uint64_t Address, const void *Decoder, bool &DecodeComplete) {
  DecodeComplete = true;
  InsnType tmp;
  switch (Idx) {
  default: llvm_unreachable("Invalid index!");
  case 0:
    return S;
  case 1:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 2:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 8, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 3:
    tmp = 0;
    tmp |= fieldFromInstruction(insn, 3, 2) << 3;
    tmp |= fieldFromInstruction(insn, 5, 3) << 0;
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 4:
    tmp = fieldFromInstruction(insn, 0, 4);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 5:
    tmp = fieldFromInstruction(insn, 2, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 8, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 6:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 7:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 8, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 8:
    tmp = 0;
    tmp |= fieldFromInstruction(insn, 0, 5) << 0;
    tmp |= fieldFromInstruction(insn, 16, 5) << 11;
    tmp |= fieldFromInstruction(insn, 21, 6) << 5;
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 9:
    tmp = fieldFromInstruction(insn, 5, 3);
    if (DecodeCPU16RegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 10:
    if (DecodeFMem3(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 11:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 12:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 13:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 14:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 15:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 16:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 10);
    if (DecodeSImmWithOffsetAndScale<10>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 17:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 18:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 19:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 1, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 20:
    if (DecodeMemMMImm4(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 21:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 22:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 1, 3);
    if (DecodePOOL16BEncodedField(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 23:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 4);
    if (DecodeANDI16Imm(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 24:
    tmp = fieldFromInstruction(insn, 3, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 25:
    tmp = fieldFromInstruction(insn, 3, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 3, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 26:
    if (DecodeMemMMReglistImm4Lsl2(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 27:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 28:
    tmp = fieldFromInstruction(insn, 0, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 29:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (DecodeUImmWithOffsetAndScale<5, 0, 4>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 30:
    if (DecodeMemMMSPImm5Lsl2(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 31:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 1, 4);
    if (DecodeSImmWithOffsetAndScale<4>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 32:
    tmp = fieldFromInstruction(insn, 1, 9);
    if (DecodeSimm9SP(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 33:
    if (DecodeMemMMGPImm7Lsl2(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 34:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 1, 3);
    if (DecodeAddiur2Simm7(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 35:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 1, 6);
    if (DecodeUImmWithOffsetAndScale<6, 0, 4>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 36:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeMovePRegPair(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 1, 3);
    if (DecodeGPRMM16MovePRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (DecodeGPRMM16MovePRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 37:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 7);
    if (DecodeBranchTarget7MM(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 38:
    tmp = fieldFromInstruction(insn, 0, 10);
    if (DecodeBranchTarget10MM(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 39:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 7);
    if (DecodeLi16Imm(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 40:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 41:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 42:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 43:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 44:
    tmp = fieldFromInstruction(insn, 16, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 6, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 45:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeInsSize(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 46:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 47:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 48:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 49:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 50:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 51:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 52:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 53:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 6);
    if (DecodeSImmWithOffsetAndScale<6>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 54:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeUImmWithOffset<5, 1>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 55:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 56:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 12, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 57:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 12, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 58:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 59:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeHI32DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 60:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeLO32DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 61:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 62:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 63:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 64:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 65:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 66:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 13, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 67:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 68:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 69:
    tmp = fieldFromInstruction(insn, 16, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 70:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 13, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 71:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 7);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 72:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 73:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 74:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 75:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 76:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeHWRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 77:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 78:
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 79:
    tmp = fieldFromInstruction(insn, 14, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 80:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 81:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 82:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 10);
    if (DecodeSImmWithOffsetAndScale<10>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 83:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 84:
    if (DecodeMemMMImm16(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 85:
    if (DecodeMemMMImm12(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 86:
    if (DecodeCacheOpMM(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 87:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTargetMM(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 88:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 89:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 90:
    if (DecodeSyncI(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 91:
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget1SImm16(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 92:
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTargetMM(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 93:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 94:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCCRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 95:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCCRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 96:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 13, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 97:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 98:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 99:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 100:
    if (DecodeMemMMImm9(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 101:
    if (DecodePrefeOpMM(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 102:
    if (DecodeJumpTargetMM(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 103:
    tmp = fieldFromInstruction(insn, 23, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 23);
    if (DecodeSimm23Lsl2(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 104:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTargetMM(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 105:
    if (DecodeFMemMMR2(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 106:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 107:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 108:
    if (DecodeMem(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 109:
    tmp = fieldFromInstruction(insn, 1, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 110:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 111:
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 4, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 7, 3);
    if (DecodeGPRMM16RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 112:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 113:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (DecodeUImmWithOffsetAndScale<5, 0, 4>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 114:
    tmp = fieldFromInstruction(insn, 6, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 115:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeHWRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 116:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 9, 2);
    if (DecodeUImmWithOffset<2, 1>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 117:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 9, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 118:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCOP0RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 119:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCOP0RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 120:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 121:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 122:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 123:
    if (DecodeLoadByte15(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 124:
    if (DecodeFMemCop2MMR6(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 125:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTargetMM(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 126:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTargetMM(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 127:
    if (DecodeSynciR6(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 128:
    if (DecodeDAHIDATIMMR6(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 129:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 130:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 131:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 132:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 133:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 134:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 135:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 136:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 137:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 138:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 139:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 140:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 141:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 142:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 143:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 144:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 145:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 146:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 147:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 148:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 149:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 150:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 151:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 152:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 9, 2);
    if (DecodeUImmWithOffset<2, 1>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 153:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeInsSize(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 154:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 155:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 156:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeUImmWithOffset<5, 1>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 157:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 8, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 158:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCOP0RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 159:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCOP0RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 160:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 161:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 162:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 163:
    if (DecodeLoadByte9(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 164:
    if (DecodeStoreEvaOpMM(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 165:
    if (DecodePOP35GroupBranchMMR6(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 166:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 19);
    if (DecodeSimm19Lsl2(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 167:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 19);
    if (DecodeSimm19Lsl2(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 168:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 18);
    if (DecodeSimm18Lsl3(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 169:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 170:
    if (DecodePOP37GroupBranchMMR6(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 171:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 21);
    if (DecodeBranchTarget21MM(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 172:
    tmp = fieldFromInstruction(insn, 0, 26);
    if (DecodeBranchTarget26MM(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 173:
    if (DecodeBlezGroupBranchMMR6(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 174:
    if (DecodePOP65GroupBranchMMR6(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 175:
    if (DecodeBgtzGroupBranchMMR6(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 176:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 177:
    if (DecodePOP75GroupBranchMMR6(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 178:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 179:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 180:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 2);
    if (DecodeUImmWithOffset<2, 1>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 181:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 182:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 183:
    tmp = fieldFromInstruction(insn, 6, 20);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 184:
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 185:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 186:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 187:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (DecodeHI32DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 188:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (DecodeLO32DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 189:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 2);
    if (DecodeUImmWithOffset<2, 1>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 190:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 191:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 192:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 193:
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 194:
    if (DecodeJumpTarget(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 195:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 196:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 197:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 198:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeCOP0RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 199:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeCOP0RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 200:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 4, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 201:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 202:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 203:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeCCRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 204:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 205:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 206:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 207:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeCCRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 208:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 209:
    tmp = fieldFromInstruction(insn, 18, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 210:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 211:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 212:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 213:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 214:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 215:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 216:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 217:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 218:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 219:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 220:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 221:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 222:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 223:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 224:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 225:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 226:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 227:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 228:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 229:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 230:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 231:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 232:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 233:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 234:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 235:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 236:
    tmp = fieldFromInstruction(insn, 13, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 237:
    tmp = fieldFromInstruction(insn, 13, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeAFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 238:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 239:
    tmp = 0;
    tmp |= fieldFromInstruction(insn, 11, 5) << 0;
    tmp |= fieldFromInstruction(insn, 16, 5) << 0;
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 240:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 241:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 242:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 243:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 244:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 245:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 246:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 247:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 248:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 249:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 250:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 251:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 252:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 253:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 254:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 255:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 256:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 257:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 258:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 259:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 260:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 261:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 262:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 263:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 264:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 265:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 266:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 267:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 268:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 269:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 270:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 271:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 272:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 273:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 274:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 275:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 276:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 277:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 278:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 279:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 280:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 281:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 282:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 283:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 284:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 285:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSACtrlRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 286:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 287:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 288:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 289:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 290:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSACtrlRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 291:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 292:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 293:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 294:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 295:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 296:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 297:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 298:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 299:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 300:
    if (DecodeINSVE_DF(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 301:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 302:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 303:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128BRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 304:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 305:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 306:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 307:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 308:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 309:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 310:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128HRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 311:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeMSA128DRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeMSA128WRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 312:
    if (DecodeMSA128Mem(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 313:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeUImmWithOffset<5, 1>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 314:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeInsSize(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 315:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 316:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 317:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 318:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 319:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 320:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 321:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 322:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 323:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 324:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 325:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 326:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 327:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 328:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 329:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeDSPRRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 330:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 331:
    if (DecodeMemEVA(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 332:
    if (DecodeCacheeOp_CacheOpR6(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 333:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 334:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 335:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 336:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 337:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 338:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 20, 6);
    if (DecodeSImmWithOffsetAndScale<6>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 339:
    tmp = fieldFromInstruction(insn, 11, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (DecodeACC64DSPRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 340:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeHWRegsRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 341:
    if (DecodeCacheOp(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 342:
    if (DecodeFMem(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 343:
    if (DecodeFMem2(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 344:
    if (DecodeDAHIDATI(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 345:
    if (DecodeBlezGroupBranch(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 346:
    if (DecodeBgtzGroupBranch(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 347:
    if (DecodeAddiGroupBranch(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 348:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 349:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 350:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 351:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 352:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 353:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 354:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 355:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGRCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 356:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeBranchTarget(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 357:
    if (DecodeFMemCop2R6(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 358:
    if (DecodeBlezlGroupBranch(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 359:
    if (DecodeBgtzlGroupBranch(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 360:
    if (DecodeDaddiGroupBranch(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 361:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 362:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 363:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 364:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 365:
    if (DecodeSpecial3LlSc(MI, insn, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 366:
    tmp = fieldFromInstruction(insn, 0, 26);
    if (DecodeBranchTarget26(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 367:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 21);
    if (DecodeBranchTarget21(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 368:
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 21);
    if (DecodeBranchTarget21(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 369:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 370:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 371:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeCOP0RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 372:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeCOP0RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 373:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 374:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 375:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 376:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 377:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 378:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR32RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 379:
    tmp = fieldFromInstruction(insn, 8, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 380:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 381:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeCOP2RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 382:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 383:
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodePtrRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 384:
    tmp = fieldFromInstruction(insn, 6, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 385:
    tmp = fieldFromInstruction(insn, 13, 3);
    if (DecodeFCCRegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeFGR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 386:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 16);
    if (DecodeSImmWithOffsetAndScale<16>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 387:
    tmp = 0;
    tmp |= fieldFromInstruction(insn, 11, 5) << 0;
    tmp |= fieldFromInstruction(insn, 16, 5) << 0;
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 388:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeUImmWithOffset<5, 1>(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  case 389:
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 21, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 6, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 11, 5);
    if (DecodeInsSize(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    if (DecodeGPR64RegisterClass(MI, tmp, Address, Decoder) == MCDisassembler::Fail) { return MCDisassembler::Fail; }
    return S;
  }
}

template<typename InsnType>
static DecodeStatus decodeInstruction(const uint8_t DecodeTable[], MCInst &MI,
                                      InsnType insn, uint64_t Address,
                                      const void *DisAsm,
                                      const MCSubtargetInfo &STI) {
  const FeatureBitset& Bits = STI.getFeatureBits();

  const uint8_t *Ptr = DecodeTable;
  uint32_t CurFieldValue = 0;
  DecodeStatus S = MCDisassembler::Success;
  while (true) {
    ptrdiff_t Loc = Ptr - DecodeTable;
    switch (*Ptr) {
    default:
      errs() << Loc << ": Unexpected decode table opcode!\n";
      return MCDisassembler::Fail;
    case MCD::OPC_ExtractField: {
      unsigned Start = *++Ptr;
      unsigned Len = *++Ptr;
      ++Ptr;
      CurFieldValue = fieldFromInstruction(insn, Start, Len);
      DEBUG(dbgs() << Loc << ": OPC_ExtractField(" << Start << ", "
                   << Len << "): " << CurFieldValue << "\n");
      break;
    }
    case MCD::OPC_FilterValue: {
      // Decode the field value.
      unsigned Len;
      InsnType Val = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      // NumToSkip is a plain 16-bit integer.
      unsigned NumToSkip = *Ptr++;
      NumToSkip |= (*Ptr++) << 8;

      // Perform the filter operation.
      if (Val != CurFieldValue)
        Ptr += NumToSkip;
      DEBUG(dbgs() << Loc << ": OPC_FilterValue(" << Val << ", " << NumToSkip
                   << "): " << ((Val != CurFieldValue) ? "FAIL:" : "PASS:")
                   << " continuing at " << (Ptr - DecodeTable) << "\n");

      break;
    }
    case MCD::OPC_CheckField: {
      unsigned Start = *++Ptr;
      unsigned Len = *++Ptr;
      InsnType FieldValue = fieldFromInstruction(insn, Start, Len);
      // Decode the field value.
      uint32_t ExpectedValue = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      // NumToSkip is a plain 16-bit integer.
      unsigned NumToSkip = *Ptr++;
      NumToSkip |= (*Ptr++) << 8;

      // If the actual and expected values don't match, skip.
      if (ExpectedValue != FieldValue)
        Ptr += NumToSkip;
      DEBUG(dbgs() << Loc << ": OPC_CheckField(" << Start << ", "
                   << Len << ", " << ExpectedValue << ", " << NumToSkip
                   << "): FieldValue = " << FieldValue << ", ExpectedValue = "
                   << ExpectedValue << ": "
                   << ((ExpectedValue == FieldValue) ? "PASS\n" : "FAIL\n"));
      break;
    }
    case MCD::OPC_CheckPredicate: {
      unsigned Len;
      // Decode the Predicate Index value.
      unsigned PIdx = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      // NumToSkip is a plain 16-bit integer.
      unsigned NumToSkip = *Ptr++;
      NumToSkip |= (*Ptr++) << 8;
      // Check the predicate.
      bool Pred;
      if (!(Pred = checkDecoderPredicate(PIdx, Bits)))
        Ptr += NumToSkip;
      (void)Pred;
      DEBUG(dbgs() << Loc << ": OPC_CheckPredicate(" << PIdx << "): "
            << (Pred ? "PASS\n" : "FAIL\n"));

      break;
    }
    case MCD::OPC_Decode: {
      unsigned Len;
      // Decode the Opcode value.
      unsigned Opc = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      unsigned DecodeIdx = decodeULEB128(Ptr, &Len);
      Ptr += Len;

      MI.clear();
      MI.setOpcode(Opc);
      bool DecodeComplete;
      S = decodeToMCInst(S, DecodeIdx, insn, MI, Address, DisAsm, DecodeComplete);
      assert(DecodeComplete);

      DEBUG(dbgs() << Loc << ": OPC_Decode: opcode " << Opc
                   << ", using decoder " << DecodeIdx << ": "
                   << (S != MCDisassembler::Fail ? "PASS" : "FAIL") << "\n");
      return S;
    }
    case MCD::OPC_TryDecode: {
      unsigned Len;
      // Decode the Opcode value.
      unsigned Opc = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      unsigned DecodeIdx = decodeULEB128(Ptr, &Len);
      Ptr += Len;
      // NumToSkip is a plain 16-bit integer.
      unsigned NumToSkip = *Ptr++;
      NumToSkip |= (*Ptr++) << 8;

      // Perform the decode operation.
      MCInst TmpMI;
      TmpMI.setOpcode(Opc);
      bool DecodeComplete;
      S = decodeToMCInst(S, DecodeIdx, insn, TmpMI, Address, DisAsm, DecodeComplete);
      DEBUG(dbgs() << Loc << ": OPC_TryDecode: opcode " << Opc
                   << ", using decoder " << DecodeIdx << ": ");

      if (DecodeComplete) {
        // Decoding complete.
        DEBUG(dbgs() << (S != MCDisassembler::Fail ? "PASS" : "FAIL") << "\n");
        MI = TmpMI;
        return S;
      } else {
        assert(S == MCDisassembler::Fail);
        // If the decoding was incomplete, skip.
        Ptr += NumToSkip;
        DEBUG(dbgs() << "FAIL: continuing at " << (Ptr - DecodeTable) << "\n");
        // Reset decode status. This also drops a SoftFail status that could be
        // set before the decode attempt.
        S = MCDisassembler::Success;
      }
      break;
    }
    case MCD::OPC_SoftFail: {
      // Decode the mask values.
      unsigned Len;
      InsnType PositiveMask = decodeULEB128(++Ptr, &Len);
      Ptr += Len;
      InsnType NegativeMask = decodeULEB128(Ptr, &Len);
      Ptr += Len;
      bool Fail = (insn & PositiveMask) || (~insn & NegativeMask);
      if (Fail)
        S = MCDisassembler::SoftFail;
      DEBUG(dbgs() << Loc << ": OPC_SoftFail: " << (Fail ? "FAIL\n":"PASS\n"));
      break;
    }
    case MCD::OPC_Fail: {
      DEBUG(dbgs() << Loc << ": OPC_Fail\n");
      return MCDisassembler::Fail;
    }
    }
  }
  llvm_unreachable("bogosity detected in disassembler state machine!");
}


} // End llvm namespace
